searchNodes=[{"doc":"The SDK for ExOAPI.Stripe. Endpoint modules and the schemas generated from the OpenAPI spec can be found under the ./sdk directory. One usecase for this module is to wrap the SDK Client struct instantiation, for instance, setting base url for the API calls, adding authorization headers, middleware, default parameters, etc, and returning the prepared ExOAPI.Client.t() struct to the caller so they can use it in subsequent calls.","ref":"ExOAPI.Stripe.html","title":"ExOAPI.Stripe","type":"module"},{"doc":"Sample function for returning a properly usable client.","ref":"ExOAPI.Stripe.html#new/2","title":"ExOAPI.Stripe.new/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html","title":"ExOAPI.Stripe.SDK.Account","type":"module"},{"doc":"description : &lt;p&gt;With &lt;a href=&quot;/docs/connect&quot;&gt;Connect&lt;/a&gt;, you can delete accounts you manage.&lt;/p&gt; Accounts created using test-mode keys can be deleted at any time. Standard accounts created using live-mode keys cannot be deleted. Custom or Express accounts created using live-mode keys can only be deleted once all balances are zero. If you want to delete your own account, use the account information tab in your account settings instead.","ref":"ExOAPI.Stripe.SDK.Account.html#delete_account/2","title":"ExOAPI.Stripe.SDK.Account.delete_account/2","type":"function"},{"doc":"description : &lt;p&gt;Delete a specified external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#delete_account_bank_accounts_id/3","title":"ExOAPI.Stripe.SDK.Account.delete_account_bank_accounts_id/3","type":"function"},{"doc":"description : &lt;p&gt;Delete a specified external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#delete_account_external_accounts_id/3","title":"ExOAPI.Stripe.SDK.Account.delete_account_external_accounts_id/3","type":"function"},{"doc":"description : &lt;p&gt;Deletes an existing person’s relationship to the account’s legal entity. Any person with a relationship for an account can be deleted through the API, except if the person is the &lt;code&gt;account_opener&lt;/code&gt;. If your integration is using the &lt;code&gt;executive&lt;/code&gt; parameter, you cannot delete the only verified &lt;code&gt;executive&lt;/code&gt; on file.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#delete_account_people_person/3","title":"ExOAPI.Stripe.SDK.Account.delete_account_people_person/3","type":"function"},{"doc":"description : &lt;p&gt;Deletes an existing person’s relationship to the account’s legal entity. Any person with a relationship for an account can be deleted through the API, except if the person is the &lt;code&gt;account_opener&lt;/code&gt;. If your integration is using the &lt;code&gt;executive&lt;/code&gt; parameter, you cannot delete the only verified &lt;code&gt;executive&lt;/code&gt; on file.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#delete_account_persons_person/3","title":"ExOAPI.Stripe.SDK.Account.delete_account_persons_person/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#get_account/2","title":"ExOAPI.Stripe.SDK.Account.get_account/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieve a specified external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#get_account_bank_accounts_id/3","title":"ExOAPI.Stripe.SDK.Account.get_account_bank_accounts_id/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of capabilities associated with the account. The capabilities are returned sorted by creation date, with the most recent capability appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#get_account_capabilities/2","title":"ExOAPI.Stripe.SDK.Account.get_account_capabilities/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves information about the specified Account Capability.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#get_account_capabilities_capability/3","title":"ExOAPI.Stripe.SDK.Account.get_account_capabilities_capability/3","type":"function"},{"doc":"description : &lt;p&gt;List external accounts for an account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#get_account_external_accounts/2","title":"ExOAPI.Stripe.SDK.Account.get_account_external_accounts/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieve a specified external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#get_account_external_accounts_id/3","title":"ExOAPI.Stripe.SDK.Account.get_account_external_accounts_id/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of people associated with the account’s legal entity. The people are returned sorted by creation date, with the most recent people appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#get_account_people/2","title":"ExOAPI.Stripe.SDK.Account.get_account_people/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an existing person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#get_account_people_person/3","title":"ExOAPI.Stripe.SDK.Account.get_account_people_person/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of people associated with the account’s legal entity. The people are returned sorted by creation date, with the most recent people appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#get_account_persons/2","title":"ExOAPI.Stripe.SDK.Account.get_account_persons/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an existing person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#get_account_persons_person/3","title":"ExOAPI.Stripe.SDK.Account.get_account_persons_person/3","type":"function"},{"doc":"description : &lt;p&gt;Updates a &lt;a href=&quot;/docs/connect/accounts&quot;&gt;connected account&lt;/a&gt; by setting the values of the parameters passed. Any parameters not provided are left unchanged. Most parameters can be changed only for Custom accounts. (These are marked &lt;strong&gt;Custom Only&lt;/strong&gt; below.) Parameters marked &lt;strong&gt;Custom and Express&lt;/strong&gt; are not supported for Standard accounts.&lt;/p&gt; To update your own account, use the Dashboard . Refer to our Connect documentation to learn more about updating accounts.","ref":"ExOAPI.Stripe.SDK.Account.html#post_account/2","title":"ExOAPI.Stripe.SDK.Account.post_account/2","type":"function"},{"doc":"description : &lt;p&gt;Create an external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#post_account_bank_accounts/2","title":"ExOAPI.Stripe.SDK.Account.post_account_bank_accounts/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the metadata, account holder name, account holder type of a bank account belonging to a &lt;a href=&quot;/docs/connect/custom-accounts&quot;&gt;Custom account&lt;/a&gt;, and optionally sets it as the default for its currency. Other bank account details are not editable by design.&lt;/p&gt; You can re-enable a disabled bank account by performing an update call without providing any arguments or changes.","ref":"ExOAPI.Stripe.SDK.Account.html#post_account_bank_accounts_id/3","title":"ExOAPI.Stripe.SDK.Account.post_account_bank_accounts_id/3","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing Account Capability.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#post_account_capabilities_capability/3","title":"ExOAPI.Stripe.SDK.Account.post_account_capabilities_capability/3","type":"function"},{"doc":"description : &lt;p&gt;Create an external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#post_account_external_accounts/2","title":"ExOAPI.Stripe.SDK.Account.post_account_external_accounts/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the metadata, account holder name, account holder type of a bank account belonging to a &lt;a href=&quot;/docs/connect/custom-accounts&quot;&gt;Custom account&lt;/a&gt;, and optionally sets it as the default for its currency. Other bank account details are not editable by design.&lt;/p&gt; You can re-enable a disabled bank account by performing an update call without providing any arguments or changes.","ref":"ExOAPI.Stripe.SDK.Account.html#post_account_external_accounts_id/3","title":"ExOAPI.Stripe.SDK.Account.post_account_external_accounts_id/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a single-use login link for an Express account to access their Stripe dashboard.&lt;/p&gt; You may only create login links for Express accounts connected to your platform .","ref":"ExOAPI.Stripe.SDK.Account.html#post_account_login_links/2","title":"ExOAPI.Stripe.SDK.Account.post_account_login_links/2","type":"function"},{"doc":"description : &lt;p&gt;Creates a new person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#post_account_people/2","title":"ExOAPI.Stripe.SDK.Account.post_account_people/2","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#post_account_people_person/3","title":"ExOAPI.Stripe.SDK.Account.post_account_people_person/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#post_account_persons/2","title":"ExOAPI.Stripe.SDK.Account.post_account_persons/2","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Account.html#post_account_persons_person/3","title":"ExOAPI.Stripe.SDK.Account.post_account_persons_person/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html#t:get_account_bank_accounts_id_opts/0","title":"ExOAPI.Stripe.SDK.Account.get_account_bank_accounts_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html#t:get_account_capabilities_capability_opts/0","title":"ExOAPI.Stripe.SDK.Account.get_account_capabilities_capability_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html#t:get_account_capabilities_opts/0","title":"ExOAPI.Stripe.SDK.Account.get_account_capabilities_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html#t:get_account_external_accounts_id_opts/0","title":"ExOAPI.Stripe.SDK.Account.get_account_external_accounts_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html#t:get_account_external_accounts_opts/0","title":"ExOAPI.Stripe.SDK.Account.get_account_external_accounts_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html#t:get_account_opts/0","title":"ExOAPI.Stripe.SDK.Account.get_account_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html#t:get_account_people_opts/0","title":"ExOAPI.Stripe.SDK.Account.get_account_people_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html#t:get_account_people_person_opts/0","title":"ExOAPI.Stripe.SDK.Account.get_account_people_person_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html#t:get_account_persons_opts/0","title":"ExOAPI.Stripe.SDK.Account.get_account_persons_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Account.html#t:get_account_persons_person_opts/0","title":"ExOAPI.Stripe.SDK.Account.get_account_persons_person_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.AccountLinks.html","title":"ExOAPI.Stripe.SDK.AccountLinks","type":"module"},{"doc":"description : &lt;p&gt;Creates an AccountLink object that includes a single-use Stripe URL that the platform can redirect their user to in order to take them through the Connect Onboarding flow.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.AccountLinks.html#post_account_links/2","title":"ExOAPI.Stripe.SDK.AccountLinks.post_account_links/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html","title":"ExOAPI.Stripe.SDK.Accounts","type":"module"},{"doc":"description : &lt;p&gt;With &lt;a href=&quot;/docs/connect&quot;&gt;Connect&lt;/a&gt;, you can delete accounts you manage.&lt;/p&gt; Accounts created using test-mode keys can be deleted at any time. Standard accounts created using live-mode keys cannot be deleted. Custom or Express accounts created using live-mode keys can only be deleted once all balances are zero. If you want to delete your own account, use the account information tab in your account settings instead.","ref":"ExOAPI.Stripe.SDK.Accounts.html#delete_accounts_account/3","title":"ExOAPI.Stripe.SDK.Accounts.delete_accounts_account/3","type":"function"},{"doc":"description : &lt;p&gt;Delete a specified external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#delete_accounts_account_bank_accounts_id/4","title":"ExOAPI.Stripe.SDK.Accounts.delete_accounts_account_bank_accounts_id/4","type":"function"},{"doc":"description : &lt;p&gt;Delete a specified external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#delete_accounts_account_external_accounts_id/4","title":"ExOAPI.Stripe.SDK.Accounts.delete_accounts_account_external_accounts_id/4","type":"function"},{"doc":"description : &lt;p&gt;Deletes an existing person’s relationship to the account’s legal entity. Any person with a relationship for an account can be deleted through the API, except if the person is the &lt;code&gt;account_opener&lt;/code&gt;. If your integration is using the &lt;code&gt;executive&lt;/code&gt; parameter, you cannot delete the only verified &lt;code&gt;executive&lt;/code&gt; on file.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#delete_accounts_account_people_person/4","title":"ExOAPI.Stripe.SDK.Accounts.delete_accounts_account_people_person/4","type":"function"},{"doc":"description : &lt;p&gt;Deletes an existing person’s relationship to the account’s legal entity. Any person with a relationship for an account can be deleted through the API, except if the person is the &lt;code&gt;account_opener&lt;/code&gt;. If your integration is using the &lt;code&gt;executive&lt;/code&gt; parameter, you cannot delete the only verified &lt;code&gt;executive&lt;/code&gt; on file.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#delete_accounts_account_persons_person/4","title":"ExOAPI.Stripe.SDK.Accounts.delete_accounts_account_persons_person/4","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of accounts connected to your platform via &lt;a href=&quot;/docs/connect&quot;&gt;Connect&lt;/a&gt;. If you’re not a platform, the list is empty.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts/2","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts_account/3","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieve a specified external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts_account_bank_accounts_id/4","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_bank_accounts_id/4","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of capabilities associated with the account. The capabilities are returned sorted by creation date, with the most recent capability appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts_account_capabilities/3","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_capabilities/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves information about the specified Account Capability.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts_account_capabilities_capability/4","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_capabilities_capability/4","type":"function"},{"doc":"description : &lt;p&gt;List external accounts for an account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts_account_external_accounts/3","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_external_accounts/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieve a specified external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts_account_external_accounts_id/4","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_external_accounts_id/4","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of people associated with the account’s legal entity. The people are returned sorted by creation date, with the most recent people appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts_account_people/3","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_people/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an existing person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts_account_people_person/4","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_people_person/4","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of people associated with the account’s legal entity. The people are returned sorted by creation date, with the most recent people appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts_account_persons/3","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_persons/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an existing person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#get_accounts_account_persons_person/4","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_persons_person/4","type":"function"},{"doc":"description : &lt;p&gt;With &lt;a href=&quot;/docs/connect&quot;&gt;Connect&lt;/a&gt;, you can create Stripe accounts for your users. To do this, you’ll first need to &lt;a href=&quot; https://dashboard.stripe.com/account/applications/settings&quot; &gt;register your platform&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts/2","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts/2","type":"function"},{"doc":"description : &lt;p&gt;Updates a &lt;a href=&quot;/docs/connect/accounts&quot;&gt;connected account&lt;/a&gt; by setting the values of the parameters passed. Any parameters not provided are left unchanged. Most parameters can be changed only for Custom accounts. (These are marked &lt;strong&gt;Custom Only&lt;/strong&gt; below.) Parameters marked &lt;strong&gt;Custom and Express&lt;/strong&gt; are not supported for Standard accounts.&lt;/p&gt; To update your own account, use the Dashboard . Refer to our Connect documentation to learn more about updating accounts.","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account/3","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account/3","type":"function"},{"doc":"description : &lt;p&gt;Create an external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_bank_accounts/3","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_bank_accounts/3","type":"function"},{"doc":"description : &lt;p&gt;Updates the metadata, account holder name, account holder type of a bank account belonging to a &lt;a href=&quot;/docs/connect/custom-accounts&quot;&gt;Custom account&lt;/a&gt;, and optionally sets it as the default for its currency. Other bank account details are not editable by design.&lt;/p&gt; You can re-enable a disabled bank account by performing an update call without providing any arguments or changes.","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_bank_accounts_id/4","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_bank_accounts_id/4","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing Account Capability.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_capabilities_capability/4","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_capabilities_capability/4","type":"function"},{"doc":"description : &lt;p&gt;Create an external account for a given account.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_external_accounts/3","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_external_accounts/3","type":"function"},{"doc":"description : &lt;p&gt;Updates the metadata, account holder name, account holder type of a bank account belonging to a &lt;a href=&quot;/docs/connect/custom-accounts&quot;&gt;Custom account&lt;/a&gt;, and optionally sets it as the default for its currency. Other bank account details are not editable by design.&lt;/p&gt; You can re-enable a disabled bank account by performing an update call without providing any arguments or changes.","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_external_accounts_id/4","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_external_accounts_id/4","type":"function"},{"doc":"description : &lt;p&gt;Creates a single-use login link for an Express account to access their Stripe dashboard.&lt;/p&gt; You may only create login links for Express accounts connected to your platform .","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_login_links/3","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_login_links/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_people/3","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_people/3","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_people_person/4","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_people_person/4","type":"function"},{"doc":"description : &lt;p&gt;Creates a new person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_persons/3","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_persons/3","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing person.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_persons_person/4","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_persons_person/4","type":"function"},{"doc":"description : &lt;p&gt;With &lt;a href=&quot;/docs/connect&quot;&gt;Connect&lt;/a&gt;, you may flag accounts as suspicious.&lt;/p&gt; Test-mode Custom and Express accounts can be rejected at any time. Accounts created using live-mode keys may only be rejected once all balances are zero.","ref":"ExOAPI.Stripe.SDK.Accounts.html#post_accounts_account_reject/3","title":"ExOAPI.Stripe.SDK.Accounts.post_accounts_account_reject/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_account_bank_accounts_id_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_bank_accounts_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_account_capabilities_capability_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_capabilities_capability_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_account_capabilities_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_capabilities_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_account_external_accounts_id_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_external_accounts_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_account_external_accounts_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_external_accounts_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_account_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_account_people_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_people_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_account_people_person_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_people_person_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_account_persons_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_persons_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_account_persons_person_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_account_persons_person_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Accounts.html#t:get_accounts_opts/0","title":"ExOAPI.Stripe.SDK.Accounts.get_accounts_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ApplePay.html","title":"ExOAPI.Stripe.SDK.ApplePay","type":"module"},{"doc":"description : &lt;p&gt;Delete an apple pay domain.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ApplePay.html#delete_apple_pay_domains_domain/3","title":"ExOAPI.Stripe.SDK.ApplePay.delete_apple_pay_domains_domain/3","type":"function"},{"doc":"description : &lt;p&gt;List apple pay domains.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ApplePay.html#get_apple_pay_domains/2","title":"ExOAPI.Stripe.SDK.ApplePay.get_apple_pay_domains/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieve an apple pay domain.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ApplePay.html#get_apple_pay_domains_domain/3","title":"ExOAPI.Stripe.SDK.ApplePay.get_apple_pay_domains_domain/3","type":"function"},{"doc":"description : &lt;p&gt;Create an apple pay domain.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ApplePay.html#post_apple_pay_domains/2","title":"ExOAPI.Stripe.SDK.ApplePay.post_apple_pay_domains/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ApplePay.html#t:get_apple_pay_domains_domain_opts/0","title":"ExOAPI.Stripe.SDK.ApplePay.get_apple_pay_domains_domain_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ApplePay.html#t:get_apple_pay_domains_opts/0","title":"ExOAPI.Stripe.SDK.ApplePay.get_apple_pay_domains_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html","title":"ExOAPI.Stripe.SDK.ApplicationFees","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of application fees you’ve previously collected. The application fees are returned in sorted order, with the most recent fees appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#get_application_fees/2","title":"ExOAPI.Stripe.SDK.ApplicationFees.get_application_fees/2","type":"function"},{"doc":"description : &lt;p&gt;By default, you can see the 10 most recent refunds stored directly on the application fee object, but you can also retrieve details about a specific refund stored on the application fee.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#get_application_fees_fee_refunds_id/4","title":"ExOAPI.Stripe.SDK.ApplicationFees.get_application_fees_fee_refunds_id/4","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an application fee that your account has collected. The same information is returned when refunding the application fee.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#get_application_fees_id/3","title":"ExOAPI.Stripe.SDK.ApplicationFees.get_application_fees_id/3","type":"function"},{"doc":"description : &lt;p&gt;You can see a list of the refunds belonging to a specific application fee. Note that the 10 most recent refunds are always available by default on the application fee object. If you need more than those 10, you can use this API method and the &lt;code&gt;limit&lt;/code&gt; and &lt;code&gt;starting_after&lt;/code&gt; parameters to page through additional refunds.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#get_application_fees_id_refunds/3","title":"ExOAPI.Stripe.SDK.ApplicationFees.get_application_fees_id_refunds/3","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified application fee refund by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt; This request only accepts metadata as an argument.","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#post_application_fees_fee_refunds_id/4","title":"ExOAPI.Stripe.SDK.ApplicationFees.post_application_fees_fee_refunds_id/4","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#post_application_fees_id_refund/3","title":"ExOAPI.Stripe.SDK.ApplicationFees.post_application_fees_id_refund/3","type":"function"},{"doc":"description : &lt;p&gt;Refunds an application fee that has previously been collected but not yet refunded. Funds will be refunded to the Stripe account from which the fee was originally collected.&lt;/p&gt; You can optionally refund only part of an application fee.You can do so multiple times, until the entire fee has been refunded. Once entirely refunded, an application fee can’t be refunded again.This method will raise an error when called on an already-refunded application fee, or when trying to refund more money than is left on an application fee.","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#post_application_fees_id_refunds/3","title":"ExOAPI.Stripe.SDK.ApplicationFees.post_application_fees_id_refunds/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#t:get_application_fees_fee_refunds_id_opts/0","title":"ExOAPI.Stripe.SDK.ApplicationFees.get_application_fees_fee_refunds_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#t:get_application_fees_id_opts/0","title":"ExOAPI.Stripe.SDK.ApplicationFees.get_application_fees_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#t:get_application_fees_id_refunds_opts/0","title":"ExOAPI.Stripe.SDK.ApplicationFees.get_application_fees_id_refunds_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ApplicationFees.html#t:get_application_fees_opts/0","title":"ExOAPI.Stripe.SDK.ApplicationFees.get_application_fees_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Balance.html","title":"ExOAPI.Stripe.SDK.Balance","type":"module"},{"doc":"description : &lt;p&gt;Retrieves the current account balance, based on the authentication that was used to make the request. For a sample request, see &lt;a href=&quot;/docs/connect/account-balances#accounting-for-negative-balances&quot;&gt;Accounting for negative balances&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Balance.html#get_balance/2","title":"ExOAPI.Stripe.SDK.Balance.get_balance/2","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of transactions that have contributed to the Stripe account balance (e.g., charges, transfers, and so forth). The transactions are returned in sorted order, with the most recent transactions appearing first.&lt;/p&gt; Note that this endpoint was previously called “Balance history” and used the path /v1/balance/history .","ref":"ExOAPI.Stripe.SDK.Balance.html#get_balance_history/2","title":"ExOAPI.Stripe.SDK.Balance.get_balance_history/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the balance transaction with the given ID.&lt;/p&gt; Note that this endpoint previously used the path /v1/balance/history/:id .","ref":"ExOAPI.Stripe.SDK.Balance.html#get_balance_history_id/3","title":"ExOAPI.Stripe.SDK.Balance.get_balance_history_id/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Balance.html#t:get_balance_history_id_opts/0","title":"ExOAPI.Stripe.SDK.Balance.get_balance_history_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Balance.html#t:get_balance_history_opts/0","title":"ExOAPI.Stripe.SDK.Balance.get_balance_history_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Balance.html#t:get_balance_opts/0","title":"ExOAPI.Stripe.SDK.Balance.get_balance_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.BalanceTransactions.html","title":"ExOAPI.Stripe.SDK.BalanceTransactions","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of transactions that have contributed to the Stripe account balance (e.g., charges, transfers, and so forth). The transactions are returned in sorted order, with the most recent transactions appearing first.&lt;/p&gt; Note that this endpoint was previously called “Balance history” and used the path /v1/balance/history .","ref":"ExOAPI.Stripe.SDK.BalanceTransactions.html#get_balance_transactions/2","title":"ExOAPI.Stripe.SDK.BalanceTransactions.get_balance_transactions/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the balance transaction with the given ID.&lt;/p&gt; Note that this endpoint previously used the path /v1/balance/history/:id .","ref":"ExOAPI.Stripe.SDK.BalanceTransactions.html#get_balance_transactions_id/3","title":"ExOAPI.Stripe.SDK.BalanceTransactions.get_balance_transactions_id/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.BalanceTransactions.html#t:get_balance_transactions_id_opts/0","title":"ExOAPI.Stripe.SDK.BalanceTransactions.get_balance_transactions_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.BalanceTransactions.html#t:get_balance_transactions_opts/0","title":"ExOAPI.Stripe.SDK.BalanceTransactions.get_balance_transactions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.BillingPortal.html","title":"ExOAPI.Stripe.SDK.BillingPortal","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of configurations that describe the functionality of the customer portal.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.BillingPortal.html#get_billing_portal_configurations/2","title":"ExOAPI.Stripe.SDK.BillingPortal.get_billing_portal_configurations/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a configuration that describes the functionality of the customer portal.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.BillingPortal.html#get_billing_portal_configurations_configuration/3","title":"ExOAPI.Stripe.SDK.BillingPortal.get_billing_portal_configurations_configuration/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a configuration that describes the functionality and behavior of a PortalSession&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.BillingPortal.html#post_billing_portal_configurations/2","title":"ExOAPI.Stripe.SDK.BillingPortal.post_billing_portal_configurations/2","type":"function"},{"doc":"description : &lt;p&gt;Updates a configuration that describes the functionality of the customer portal.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.BillingPortal.html#post_billing_portal_configurations_configuration/3","title":"ExOAPI.Stripe.SDK.BillingPortal.post_billing_portal_configurations_configuration/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a session of the customer portal.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.BillingPortal.html#post_billing_portal_sessions/2","title":"ExOAPI.Stripe.SDK.BillingPortal.post_billing_portal_sessions/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.BillingPortal.html#t:get_billing_portal_configurations_configuration_opts/0","title":"ExOAPI.Stripe.SDK.BillingPortal.get_billing_portal_configurations_configuration_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.BillingPortal.html#t:get_billing_portal_configurations_opts/0","title":"ExOAPI.Stripe.SDK.BillingPortal.get_billing_portal_configurations_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Bitcoin.html","title":"ExOAPI.Stripe.SDK.Bitcoin","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of your receivers. Receivers are returned sorted by creation date, with the most recently created receivers appearing first.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Bitcoin.html#get_bitcoin_receivers/2","title":"ExOAPI.Stripe.SDK.Bitcoin.get_bitcoin_receivers/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the Bitcoin receiver with the given ID.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Bitcoin.html#get_bitcoin_receivers_id/3","title":"ExOAPI.Stripe.SDK.Bitcoin.get_bitcoin_receivers_id/3","type":"function"},{"doc":"description : &lt;p&gt;List bitcoin transacitons for a given receiver.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Bitcoin.html#get_bitcoin_receivers_receiver_transactions/3","title":"ExOAPI.Stripe.SDK.Bitcoin.get_bitcoin_receivers_receiver_transactions/3","type":"function"},{"doc":"description : &lt;p&gt;List bitcoin transacitons for a given receiver.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Bitcoin.html#get_bitcoin_transactions/2","title":"ExOAPI.Stripe.SDK.Bitcoin.get_bitcoin_transactions/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Bitcoin.html#t:get_bitcoin_receivers_id_opts/0","title":"ExOAPI.Stripe.SDK.Bitcoin.get_bitcoin_receivers_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Bitcoin.html#t:get_bitcoin_receivers_opts/0","title":"ExOAPI.Stripe.SDK.Bitcoin.get_bitcoin_receivers_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Bitcoin.html#t:get_bitcoin_receivers_receiver_transactions_opts/0","title":"ExOAPI.Stripe.SDK.Bitcoin.get_bitcoin_receivers_receiver_transactions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Bitcoin.html#t:get_bitcoin_transactions_opts/0","title":"ExOAPI.Stripe.SDK.Bitcoin.get_bitcoin_transactions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Charges.html","title":"ExOAPI.Stripe.SDK.Charges","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of charges you’ve previously created. The charges are returned in sorted order, with the most recent charges appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Charges.html#get_charges/2","title":"ExOAPI.Stripe.SDK.Charges.get_charges/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of a charge that has previously been created. Supply the unique charge ID that was returned from your previous request, and Stripe will return the corresponding charge information. The same information is returned when creating or refunding the charge.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Charges.html#get_charges_charge/3","title":"ExOAPI.Stripe.SDK.Charges.get_charges_charge/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieve a dispute for a specified charge.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Charges.html#get_charges_charge_dispute/3","title":"ExOAPI.Stripe.SDK.Charges.get_charges_charge_dispute/3","type":"function"},{"doc":"description : &lt;p&gt;You can see a list of the refunds belonging to a specific charge. Note that the 10 most recent refunds are always available by default on the charge object. If you need more than those 10, you can use this API method and the &lt;code&gt;limit&lt;/code&gt; and &lt;code&gt;starting_after&lt;/code&gt; parameters to page through additional refunds.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Charges.html#get_charges_charge_refunds/3","title":"ExOAPI.Stripe.SDK.Charges.get_charges_charge_refunds/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing refund.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Charges.html#get_charges_charge_refunds_refund/4","title":"ExOAPI.Stripe.SDK.Charges.get_charges_charge_refunds_refund/4","type":"function"},{"doc":"description : &lt;p&gt;Search for charges you’ve previously created using Stripe’s &lt;a href=&quot;/docs/search#search-query-language&quot;&gt;Search Query Language&lt;/a&gt;. Don’t use search in read-after-write flows where strict consistency is necessary. Under normal operating conditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up to an hour behind during outages. Search functionality is not available to merchants in India.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Charges.html#get_charges_search/3","title":"ExOAPI.Stripe.SDK.Charges.get_charges_search/3","type":"function"},{"doc":"description : &lt;p&gt;To charge a credit card or other payment source, you create a &lt;code&gt;Charge&lt;/code&gt; object. If your API key is in test mode, the supplied payment source (e.g., card) won’t actually be charged, although everything else will occur as if in live mode. (Stripe assumes that the charge would have completed successfully).&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Charges.html#post_charges/2","title":"ExOAPI.Stripe.SDK.Charges.post_charges/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified charge by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Charges.html#post_charges_charge/3","title":"ExOAPI.Stripe.SDK.Charges.post_charges_charge/3","type":"function"},{"doc":"description : &lt;p&gt;Capture the payment of an existing, uncaptured, charge. This is the second half of the two-step payment flow, where first you &lt;a href=&quot;#create_charge&quot;&gt;created a charge&lt;/a&gt; with the capture option set to false.&lt;/p&gt; Uncaptured payments expire a set number of days after they are created ( 7 by default ). If they are not captured by that point in time, they will be marked as refunded and will no longer be capturable.","ref":"ExOAPI.Stripe.SDK.Charges.html#post_charges_charge_capture/3","title":"ExOAPI.Stripe.SDK.Charges.post_charges_charge_capture/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Charges.html#post_charges_charge_dispute/3","title":"ExOAPI.Stripe.SDK.Charges.post_charges_charge_dispute/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Charges.html#post_charges_charge_dispute_close/3","title":"ExOAPI.Stripe.SDK.Charges.post_charges_charge_dispute_close/3","type":"function"},{"doc":"description : &lt;p&gt;When you create a new refund, you must specify a Charge or a PaymentIntent object on which to create it.&lt;/p&gt; Creating a new refund will refund a charge that has previously been created but not yet refunded.Funds will be refunded to the credit or debit card that was originally charged. You can optionally refund only part of a charge.You can do so multiple times, until the entire charge has been refunded. Once entirely refunded, a charge can’t be refunded again.This method will raise an error when called on an already-refunded charge, or when trying to refund more money than is left on a charge.","ref":"ExOAPI.Stripe.SDK.Charges.html#post_charges_charge_refund/3","title":"ExOAPI.Stripe.SDK.Charges.post_charges_charge_refund/3","type":"function"},{"doc":"description : &lt;p&gt;Create a refund.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Charges.html#post_charges_charge_refunds/3","title":"ExOAPI.Stripe.SDK.Charges.post_charges_charge_refunds/3","type":"function"},{"doc":"description : &lt;p&gt;Update a specified refund.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Charges.html#post_charges_charge_refunds_refund/4","title":"ExOAPI.Stripe.SDK.Charges.post_charges_charge_refunds_refund/4","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Charges.html#t:get_charges_charge_dispute_opts/0","title":"ExOAPI.Stripe.SDK.Charges.get_charges_charge_dispute_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Charges.html#t:get_charges_charge_opts/0","title":"ExOAPI.Stripe.SDK.Charges.get_charges_charge_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Charges.html#t:get_charges_charge_refunds_opts/0","title":"ExOAPI.Stripe.SDK.Charges.get_charges_charge_refunds_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Charges.html#t:get_charges_charge_refunds_refund_opts/0","title":"ExOAPI.Stripe.SDK.Charges.get_charges_charge_refunds_refund_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Charges.html#t:get_charges_opts/0","title":"ExOAPI.Stripe.SDK.Charges.get_charges_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Charges.html#t:get_charges_search_opts/0","title":"ExOAPI.Stripe.SDK.Charges.get_charges_search_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Checkout.html","title":"ExOAPI.Stripe.SDK.Checkout","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of Checkout Sessions.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Checkout.html#get_checkout_sessions/2","title":"ExOAPI.Stripe.SDK.Checkout.get_checkout_sessions/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a Session object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Checkout.html#get_checkout_sessions_session/3","title":"ExOAPI.Stripe.SDK.Checkout.get_checkout_sessions_session/3","type":"function"},{"doc":"description : &lt;p&gt;When retrieving a Checkout Session, there is an includable &lt;strong&gt;line_items&lt;/strong&gt; property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Checkout.html#get_checkout_sessions_session_line_items/3","title":"ExOAPI.Stripe.SDK.Checkout.get_checkout_sessions_session_line_items/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a Session object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Checkout.html#post_checkout_sessions/2","title":"ExOAPI.Stripe.SDK.Checkout.post_checkout_sessions/2","type":"function"},{"doc":"description : &lt;p&gt;A Session can be expired when it is in one of these statuses: &lt;code&gt;open&lt;/code&gt; &lt;/p&gt; After it expires, a customer can’t complete a Session and customers loading the Session see a message saying the Session is expired.","ref":"ExOAPI.Stripe.SDK.Checkout.html#post_checkout_sessions_session_expire/3","title":"ExOAPI.Stripe.SDK.Checkout.post_checkout_sessions_session_expire/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Checkout.html#t:get_checkout_sessions_opts/0","title":"ExOAPI.Stripe.SDK.Checkout.get_checkout_sessions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Checkout.html#t:get_checkout_sessions_session_line_items_opts/0","title":"ExOAPI.Stripe.SDK.Checkout.get_checkout_sessions_session_line_items_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Checkout.html#t:get_checkout_sessions_session_opts/0","title":"ExOAPI.Stripe.SDK.Checkout.get_checkout_sessions_session_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.CountrySpecs.html","title":"ExOAPI.Stripe.SDK.CountrySpecs","type":"module"},{"doc":"description : &lt;p&gt;Lists all Country Spec objects available in the API.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.CountrySpecs.html#get_country_specs/2","title":"ExOAPI.Stripe.SDK.CountrySpecs.get_country_specs/2","type":"function"},{"doc":"description : &lt;p&gt;Returns a Country Spec for a given Country code.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.CountrySpecs.html#get_country_specs_country/3","title":"ExOAPI.Stripe.SDK.CountrySpecs.get_country_specs_country/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.CountrySpecs.html#t:get_country_specs_country_opts/0","title":"ExOAPI.Stripe.SDK.CountrySpecs.get_country_specs_country_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.CountrySpecs.html#t:get_country_specs_opts/0","title":"ExOAPI.Stripe.SDK.CountrySpecs.get_country_specs_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Coupons.html","title":"ExOAPI.Stripe.SDK.Coupons","type":"module"},{"doc":"description : &lt;p&gt;You can delete coupons via the &lt;a href=&quot; https://dashboard.stripe.com/coupons&quot; &gt;coupon management&lt;/a&gt; page of the Stripe dashboard. However, deleting a coupon does not affect any customers who have already applied the coupon; it means that new customers can’t redeem the coupon. You can also delete coupons via the API.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Coupons.html#delete_coupons_coupon/3","title":"ExOAPI.Stripe.SDK.Coupons.delete_coupons_coupon/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of your coupons.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Coupons.html#get_coupons/2","title":"ExOAPI.Stripe.SDK.Coupons.get_coupons/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the coupon with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Coupons.html#get_coupons_coupon/3","title":"ExOAPI.Stripe.SDK.Coupons.get_coupons_coupon/3","type":"function"},{"doc":"description : &lt;p&gt;You can create coupons easily via the &lt;a href=&quot; https://dashboard.stripe.com/coupons&quot; &gt;coupon management&lt;/a&gt; page of the Stripe dashboard. Coupon creation is also accessible via the API if you need to create coupons on the fly.&lt;/p&gt; A coupon has either a percent_off or an amount_off and currency . If you set an amount_off , that amount will be subtracted from any invoice’s subtotal. For example, an invoice with a subtotal of 100 will have a final total of 0 if a coupon with an amount_off of 200 is applied to it and an invoice with a subtotal of 300 will have a final total of 100 if a coupon with an amount_off of 200 is applied to it.","ref":"ExOAPI.Stripe.SDK.Coupons.html#post_coupons/2","title":"ExOAPI.Stripe.SDK.Coupons.post_coupons/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the metadata of a coupon. Other coupon details (currency, duration, amount_off) are, by design, not editable.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Coupons.html#post_coupons_coupon/3","title":"ExOAPI.Stripe.SDK.Coupons.post_coupons_coupon/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Coupons.html#t:get_coupons_coupon_opts/0","title":"ExOAPI.Stripe.SDK.Coupons.get_coupons_coupon_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Coupons.html#t:get_coupons_opts/0","title":"ExOAPI.Stripe.SDK.Coupons.get_coupons_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.CreditNotes.html","title":"ExOAPI.Stripe.SDK.CreditNotes","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of credit notes.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#get_credit_notes/2","title":"ExOAPI.Stripe.SDK.CreditNotes.get_credit_notes/2","type":"function"},{"doc":"description : &lt;p&gt;When retrieving a credit note, you’ll get a &lt;strong&gt;lines&lt;/strong&gt; property containing the the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#get_credit_notes_credit_note_lines/3","title":"ExOAPI.Stripe.SDK.CreditNotes.get_credit_notes_credit_note_lines/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the credit note object with the given identifier.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#get_credit_notes_id/3","title":"ExOAPI.Stripe.SDK.CreditNotes.get_credit_notes_id/3","type":"function"},{"doc":"description : &lt;p&gt;Get a preview of a credit note without creating it.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#get_credit_notes_preview/3","title":"ExOAPI.Stripe.SDK.CreditNotes.get_credit_notes_preview/3","type":"function"},{"doc":"description : &lt;p&gt;When retrieving a credit note preview, you’ll get a &lt;strong&gt;lines&lt;/strong&gt; property containing the first handful of those items. This URL you can retrieve the full (paginated) list of line items.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#get_credit_notes_preview_lines/3","title":"ExOAPI.Stripe.SDK.CreditNotes.get_credit_notes_preview_lines/3","type":"function"},{"doc":"description : &lt;p&gt;Issue a credit note to adjust the amount of a finalized invoice. For a &lt;code&gt;status=open&lt;/code&gt; invoice, a credit note reduces its &lt;code&gt;amount_due&lt;/code&gt;. For a &lt;code&gt;status=paid&lt;/code&gt; invoice, a credit note does not affect its &lt;code&gt;amount_due&lt;/code&gt;. Instead, it can result in any combination of the following:&lt;/p&gt; Refund: create a new refund (using refund_amount ) or link an existing refund (using refund ). Customer balance credit: credit the customer’s balance (using credit_amount ) which will be automatically applied to their next invoice when it’s finalized. Outside of Stripe credit: record the amount that is or will be credited outside of Stripe (using out_of_band_amount ). For post-payment credit notes the sum of the refund, credit and outside of Stripe amounts must equal the credit note total. You may issue multiple credit notes for an invoice. Each credit note will increment the invoice’s pre_payment_credit_notes_amount or post_payment_credit_notes_amount depending on its status at the time of credit note creation.","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#post_credit_notes/2","title":"ExOAPI.Stripe.SDK.CreditNotes.post_credit_notes/2","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing credit note.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#post_credit_notes_id/3","title":"ExOAPI.Stripe.SDK.CreditNotes.post_credit_notes_id/3","type":"function"},{"doc":"description : &lt;p&gt;Marks a credit note as void. Learn more about &lt;a href=&quot;/docs/billing/invoices/credit-notes#voiding&quot;&gt;voiding credit notes&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#post_credit_notes_id_void/3","title":"ExOAPI.Stripe.SDK.CreditNotes.post_credit_notes_id_void/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#t:get_credit_notes_credit_note_lines_opts/0","title":"ExOAPI.Stripe.SDK.CreditNotes.get_credit_notes_credit_note_lines_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#t:get_credit_notes_id_opts/0","title":"ExOAPI.Stripe.SDK.CreditNotes.get_credit_notes_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#t:get_credit_notes_opts/0","title":"ExOAPI.Stripe.SDK.CreditNotes.get_credit_notes_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#t:get_credit_notes_preview_lines_opts/0","title":"ExOAPI.Stripe.SDK.CreditNotes.get_credit_notes_preview_lines_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.CreditNotes.html#t:get_credit_notes_preview_opts/0","title":"ExOAPI.Stripe.SDK.CreditNotes.get_credit_notes_preview_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html","title":"ExOAPI.Stripe.SDK.Customers","type":"module"},{"doc":"description : &lt;p&gt;Permanently deletes a customer. It cannot be undone. Also immediately cancels any active subscriptions on the customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#delete_customers_customer/3","title":"ExOAPI.Stripe.SDK.Customers.delete_customers_customer/3","type":"function"},{"doc":"description : &lt;p&gt;Delete a specified source for a given customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#delete_customers_customer_bank_accounts_id/4","title":"ExOAPI.Stripe.SDK.Customers.delete_customers_customer_bank_accounts_id/4","type":"function"},{"doc":"description : &lt;p&gt;Delete a specified source for a given customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#delete_customers_customer_cards_id/4","title":"ExOAPI.Stripe.SDK.Customers.delete_customers_customer_cards_id/4","type":"function"},{"doc":"description : &lt;p&gt;Removes the currently applied discount on a customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#delete_customers_customer_discount/3","title":"ExOAPI.Stripe.SDK.Customers.delete_customers_customer_discount/3","type":"function"},{"doc":"description : &lt;p&gt;Delete a specified source for a given customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#delete_customers_customer_sources_id/4","title":"ExOAPI.Stripe.SDK.Customers.delete_customers_customer_sources_id/4","type":"function"},{"doc":"description : &lt;p&gt;Cancels a customer’s subscription. If you set the &lt;code&gt;at_period_end&lt;/code&gt; parameter to &lt;code&gt;true&lt;/code&gt;, the subscription will remain active until the end of the period, at which point it will be canceled and not renewed. Otherwise, with the default &lt;code&gt;false&lt;/code&gt; value, the subscription is terminated immediately. In either case, the customer will not be charged again for the subscription.&lt;/p&gt; Note, however, that any pending invoice items that you’ve created will still be charged for at the end of the period, unless manually deleted . If you’ve set the subscription to cancel at the end of the period, any pending prorations will also be left in place and collected at the end of the period. But if the subscription is set to cancel immediately, pending prorations will be removed. By default, upon subscription cancellation, Stripe will stop automatic collection of all finalized invoices for the customer. This is intended to prevent unexpected payment attempts after the customer has canceled a subscription. However, you can resume automatic collection of the invoices manually after subscription cancellation to have us proceed. Or, you could check for unpaid invoices before allowing the customer to cancel the subscription at all.","ref":"ExOAPI.Stripe.SDK.Customers.html#delete_customers_customer_subscriptions_subscription_exposed_id/4","title":"ExOAPI.Stripe.SDK.Customers.delete_customers_customer_subscriptions_subscription_exposed_id/4","type":"function"},{"doc":"description : &lt;p&gt;Removes the currently applied discount on a customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#delete_customers_customer_subscriptions_subscription_exposed_id_discount/4","title":"ExOAPI.Stripe.SDK.Customers.delete_customers_customer_subscriptions_subscription_exposed_id_discount/4","type":"function"},{"doc":"description : &lt;p&gt;Deletes an existing &lt;code&gt;TaxID&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#delete_customers_customer_tax_ids_id/4","title":"ExOAPI.Stripe.SDK.Customers.delete_customers_customer_tax_ids_id/4","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of your customers. The customers are returned sorted by creation date, with the most recent customers appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers/2","title":"ExOAPI.Stripe.SDK.Customers.get_customers/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a Customer object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer/3","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of transactions that updated the customer’s &lt;a href=&quot;/docs/billing/customer/balance&quot;&gt;balances&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_balance_transactions/3","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_balance_transactions/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a specific customer balance transaction that updated the customer’s &lt;a href=&quot;/docs/billing/customer/balance&quot;&gt;balances&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_balance_transactions_transaction/4","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_balance_transactions_transaction/4","type":"function"},{"doc":"description : &lt;p&gt;You can see a list of the bank accounts belonging to a Customer. Note that the 10 most recent sources are always available by default on the Customer. If you need more than those 10, you can use this API method and the &lt;code&gt;limit&lt;/code&gt; and &lt;code&gt;starting_after&lt;/code&gt; parameters to page through additional bank accounts.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_bank_accounts/3","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_bank_accounts/3","type":"function"},{"doc":"description : &lt;p&gt;By default, you can see the 10 most recent sources stored on a Customer directly on the object, but you can also retrieve details about a specific bank account stored on the Stripe account.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_bank_accounts_id/4","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_bank_accounts_id/4","type":"function"},{"doc":"description : &lt;p&gt;You can see a list of the cards belonging to a customer. Note that the 10 most recent sources are always available on the &lt;code&gt;Customer&lt;/code&gt; object. If you need more than those 10, you can use this API method and the &lt;code&gt;limit&lt;/code&gt; and &lt;code&gt;starting_after&lt;/code&gt; parameters to page through additional cards.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_cards/3","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_cards/3","type":"function"},{"doc":"description : &lt;p&gt;You can always see the 10 most recent cards directly on a customer; this method lets you retrieve details about a specific card stored on the customer.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_cards_id/4","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_cards_id/4","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_discount/3","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_discount/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieve all applicable funding instructions for a customer cash balance.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_funding_instructions/3","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_funding_instructions/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of PaymentMethods for a given Customer&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_payment_methods/4","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_payment_methods/4","type":"function"},{"doc":"description : &lt;p&gt;List sources for a specified customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_sources/3","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_sources/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieve a specified source for a given customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_sources_id/4","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_sources_id/4","type":"function"},{"doc":"description : &lt;p&gt;You can see a list of the customer’s active subscriptions. Note that the 10 most recent active subscriptions are always available by default on the customer object. If you need more than those 10, you can use the limit and starting_after parameters to page through additional subscriptions.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_subscriptions/3","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_subscriptions/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the subscription with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_subscriptions_subscription_exposed_id/4","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_subscriptions_subscription_exposed_id/4","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_subscriptions_subscription_exposed_id_discount/4","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_subscriptions_subscription_exposed_id_discount/4","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of tax IDs for a customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_tax_ids/3","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_tax_ids/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the &lt;code&gt;TaxID&lt;/code&gt; object with the given identifier.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_customer_tax_ids_id/4","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_tax_ids_id/4","type":"function"},{"doc":"description : &lt;p&gt;Search for customers you’ve previously created using Stripe’s &lt;a href=&quot;/docs/search#search-query-language&quot;&gt;Search Query Language&lt;/a&gt;. Don’t use search in read-after-write flows where strict consistency is necessary. Under normal operating conditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up to an hour behind during outages. Search functionality is not available to merchants in India.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#get_customers_search/3","title":"ExOAPI.Stripe.SDK.Customers.get_customers_search/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new customer object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers/2","title":"ExOAPI.Stripe.SDK.Customers.post_customers/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified customer by setting the values of the parameters passed. Any parameters not provided will be left unchanged. For example, if you pass the &lt;strong&gt;source&lt;/strong&gt; parameter, that becomes the customer’s active source (e.g., a card) to be used for all charges in the future. When you update a customer to a new valid card source by passing the &lt;strong&gt;source&lt;/strong&gt; parameter: for each of the customer’s current subscriptions, if the subscription bills automatically and is in the &lt;code&gt;past_due&lt;/code&gt; state, then the latest open invoice for the subscription with automatic collection enabled will be retried. This retry will not count as an automatic retry, and will not affect the next regularly scheduled payment for the invoice. Changing the &lt;strong&gt;default_source&lt;/strong&gt; for a customer will not trigger this behavior.&lt;/p&gt; This request accepts mostly the same arguments as the customer creation call.","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer/3","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer/3","type":"function"},{"doc":"description : &lt;p&gt;Creates an immutable transaction that updates the customer’s credit &lt;a href=&quot;/docs/billing/customer/balance&quot;&gt;balance&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_balance_transactions/3","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_balance_transactions/3","type":"function"},{"doc":"description : &lt;p&gt;Most credit balance transaction fields are immutable, but you may update its &lt;code&gt;description&lt;/code&gt; and &lt;code&gt;metadata&lt;/code&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_balance_transactions_transaction/4","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_balance_transactions_transaction/4","type":"function"},{"doc":"description : &lt;p&gt;When you create a new credit card, you must specify a customer or recipient on which to create it.&lt;/p&gt; If the card’s owner has no default card, then the new card will become the default.However, if the owner already has a default, then it will not change. To change the default, you should update the customer to have a new default_source .","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_bank_accounts/3","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_bank_accounts/3","type":"function"},{"doc":"description : &lt;p&gt;Update a specified source for a given customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_bank_accounts_id/4","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_bank_accounts_id/4","type":"function"},{"doc":"description : &lt;p&gt;Verify a specified bank account for a given customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_bank_accounts_id_verify/4","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_bank_accounts_id_verify/4","type":"function"},{"doc":"description : &lt;p&gt;When you create a new credit card, you must specify a customer or recipient on which to create it.&lt;/p&gt; If the card’s owner has no default card, then the new card will become the default.However, if the owner already has a default, then it will not change. To change the default, you should update the customer to have a new default_source .","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_cards/3","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_cards/3","type":"function"},{"doc":"description : &lt;p&gt;Update a specified source for a given customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_cards_id/4","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_cards_id/4","type":"function"},{"doc":"description : &lt;p&gt;Retrieve funding instructions for a customer cash balance. If funding instructions do not yet exist for the customer, new funding instructions will be created. If funding instructions have already been created for a given customer, the same funding instructions will be retrieved. In other words, we will return the same funding instructions each time.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_funding_instructions/3","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_funding_instructions/3","type":"function"},{"doc":"description : &lt;p&gt;When you create a new credit card, you must specify a customer or recipient on which to create it.&lt;/p&gt; If the card’s owner has no default card, then the new card will become the default.However, if the owner already has a default, then it will not change. To change the default, you should update the customer to have a new default_source .","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_sources/3","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_sources/3","type":"function"},{"doc":"description : &lt;p&gt;Update a specified source for a given customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_sources_id/4","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_sources_id/4","type":"function"},{"doc":"description : &lt;p&gt;Verify a specified bank account for a given customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_sources_id_verify/4","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_sources_id_verify/4","type":"function"},{"doc":"description : &lt;p&gt;Creates a new subscription on an existing customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_subscriptions/3","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_subscriptions/3","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing subscription on a customer to match the specified parameters. When changing plans or quantities, we will optionally prorate the price we charge next month to make up for any price changes. To preview how the proration will be calculated, use the &lt;a href=&quot;#upcoming_invoice&quot;&gt;upcoming invoice&lt;/a&gt; endpoint.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_subscriptions_subscription_exposed_id/4","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_subscriptions_subscription_exposed_id/4","type":"function"},{"doc":"description : &lt;p&gt;Creates a new &lt;code&gt;TaxID&lt;/code&gt; object for a customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Customers.html#post_customers_customer_tax_ids/3","title":"ExOAPI.Stripe.SDK.Customers.post_customers_customer_tax_ids/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_balance_transactions_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_balance_transactions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_balance_transactions_transaction_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_balance_transactions_transaction_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_bank_accounts_id_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_bank_accounts_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_bank_accounts_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_bank_accounts_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_cards_id_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_cards_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_cards_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_cards_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_discount_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_discount_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_funding_instructions_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_funding_instructions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_payment_methods_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_payment_methods_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_sources_id_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_sources_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_sources_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_sources_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_subscriptions_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_subscriptions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_subscriptions_subscription_exposed_id_discount_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_subscriptions_subscription_exposed_id_discount_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_subscriptions_subscription_exposed_id_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_subscriptions_subscription_exposed_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_tax_ids_id_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_tax_ids_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_customer_tax_ids_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_customer_tax_ids_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Customers.html#t:get_customers_search_opts/0","title":"ExOAPI.Stripe.SDK.Customers.get_customers_search_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Disputes.html","title":"ExOAPI.Stripe.SDK.Disputes","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of your disputes.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Disputes.html#get_disputes/2","title":"ExOAPI.Stripe.SDK.Disputes.get_disputes/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the dispute with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Disputes.html#get_disputes_dispute/3","title":"ExOAPI.Stripe.SDK.Disputes.get_disputes_dispute/3","type":"function"},{"doc":"description : &lt;p&gt;When you get a dispute, contacting your customer is always the best first step. If that doesn’t work, you can submit evidence to help us resolve the dispute in your favor. You can do this in your &lt;a href=&quot; https://dashboard.stripe.com/disputes&quot; &gt;dashboard&lt;/a&gt;, but if you prefer, you can use the API to submit evidence programmatically.&lt;/p&gt; Depending on your dispute type, different evidence fields will give you a better chance of winning your dispute. To figure out which evidence fields to provide, see our guide to dispute types .","ref":"ExOAPI.Stripe.SDK.Disputes.html#post_disputes_dispute/3","title":"ExOAPI.Stripe.SDK.Disputes.post_disputes_dispute/3","type":"function"},{"doc":"description : &lt;p&gt;Closing the dispute for a charge indicates that you do not have any evidence to submit and are essentially dismissing the dispute, acknowledging it as lost.&lt;/p&gt; The status of the dispute will change from needs_response to lost . Closing a dispute is irreversible .","ref":"ExOAPI.Stripe.SDK.Disputes.html#post_disputes_dispute_close/3","title":"ExOAPI.Stripe.SDK.Disputes.post_disputes_dispute_close/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Disputes.html#t:get_disputes_dispute_opts/0","title":"ExOAPI.Stripe.SDK.Disputes.get_disputes_dispute_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Disputes.html#t:get_disputes_opts/0","title":"ExOAPI.Stripe.SDK.Disputes.get_disputes_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.EphemeralKeys.html","title":"ExOAPI.Stripe.SDK.EphemeralKeys","type":"module"},{"doc":"description : &lt;p&gt;Invalidates a short-lived API key for a given resource.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.EphemeralKeys.html#delete_ephemeral_keys_key/3","title":"ExOAPI.Stripe.SDK.EphemeralKeys.delete_ephemeral_keys_key/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a short-lived API key for a given resource.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.EphemeralKeys.html#post_ephemeral_keys/2","title":"ExOAPI.Stripe.SDK.EphemeralKeys.post_ephemeral_keys/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Events.html","title":"ExOAPI.Stripe.SDK.Events","type":"module"},{"doc":"description : &lt;p&gt;List events, going back up to 30 days. Each event data is rendered according to Stripe API version at its creation time, specified in &lt;a href=&quot;/docs/api/events/object&quot;&gt;event object&lt;/a&gt; &lt;code&gt;api_version&lt;/code&gt; attribute (not according to your current Stripe API version or &lt;code&gt;Stripe-Version&lt;/code&gt; header).&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Events.html#get_events/2","title":"ExOAPI.Stripe.SDK.Events.get_events/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an event. Supply the unique identifier of the event, which you might have received in a webhook.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Events.html#get_events_id/3","title":"ExOAPI.Stripe.SDK.Events.get_events_id/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Events.html#t:get_events_id_opts/0","title":"ExOAPI.Stripe.SDK.Events.get_events_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Events.html#t:get_events_opts/0","title":"ExOAPI.Stripe.SDK.Events.get_events_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ExOAPI.Spec.html","title":"ExOAPI.Stripe.SDK.ExOAPI.Spec","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ExOAPI.Spec.html#path/1","title":"ExOAPI.Stripe.SDK.ExOAPI.Spec.path/1","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ExOAPI.Spec.html#schemas/0","title":"ExOAPI.Stripe.SDK.ExOAPI.Spec.schemas/0","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ExOAPI.Spec.html#schemas_title/0","title":"ExOAPI.Stripe.SDK.ExOAPI.Spec.schemas_title/0","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ExchangeRates.html","title":"ExOAPI.Stripe.SDK.ExchangeRates","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of objects that contain the rates at which foreign currencies are converted to one another. Only shows the currencies for which Stripe supports.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ExchangeRates.html#get_exchange_rates/2","title":"ExOAPI.Stripe.SDK.ExchangeRates.get_exchange_rates/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the exchange rates from the given currency to every supported currency.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ExchangeRates.html#get_exchange_rates_rate_id/3","title":"ExOAPI.Stripe.SDK.ExchangeRates.get_exchange_rates_rate_id/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ExchangeRates.html#t:get_exchange_rates_opts/0","title":"ExOAPI.Stripe.SDK.ExchangeRates.get_exchange_rates_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ExchangeRates.html#t:get_exchange_rates_rate_id_opts/0","title":"ExOAPI.Stripe.SDK.ExchangeRates.get_exchange_rates_rate_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.FileLinks.html","title":"ExOAPI.Stripe.SDK.FileLinks","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of file links.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.FileLinks.html#get_file_links/2","title":"ExOAPI.Stripe.SDK.FileLinks.get_file_links/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the file link with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.FileLinks.html#get_file_links_link/3","title":"ExOAPI.Stripe.SDK.FileLinks.get_file_links_link/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new file link object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.FileLinks.html#post_file_links/2","title":"ExOAPI.Stripe.SDK.FileLinks.post_file_links/2","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing file link object. Expired links can no longer be updated.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.FileLinks.html#post_file_links_link/3","title":"ExOAPI.Stripe.SDK.FileLinks.post_file_links_link/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.FileLinks.html#t:get_file_links_link_opts/0","title":"ExOAPI.Stripe.SDK.FileLinks.get_file_links_link_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.FileLinks.html#t:get_file_links_opts/0","title":"ExOAPI.Stripe.SDK.FileLinks.get_file_links_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Files.html","title":"ExOAPI.Stripe.SDK.Files","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of the files that your account has access to. The files are returned sorted by creation date, with the most recently created files appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Files.html#get_files/2","title":"ExOAPI.Stripe.SDK.Files.get_files/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing file object. Supply the unique file ID from a file, and Stripe will return the corresponding file object. To access file contents, see the &lt;a href=&quot;/docs/file-upload#download-file-contents&quot;&gt;File Upload Guide&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Files.html#get_files_file/3","title":"ExOAPI.Stripe.SDK.Files.get_files_file/3","type":"function"},{"doc":"description : &lt;p&gt;To upload a file to Stripe, you’ll need to send a request of type &lt;code&gt;multipart/form-data&lt;/code&gt;. The request should contain the file you would like to upload, as well as the parameters for creating a file.&lt;/p&gt; All of Stripe’s officially supported Client libraries should have support for sending multipart/form-data .","ref":"ExOAPI.Stripe.SDK.Files.html#post_files/2","title":"ExOAPI.Stripe.SDK.Files.post_files/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Files.html#t:get_files_file_opts/0","title":"ExOAPI.Stripe.SDK.Files.get_files_file_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Files.html#t:get_files_opts/0","title":"ExOAPI.Stripe.SDK.Files.get_files_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Identity.html","title":"ExOAPI.Stripe.SDK.Identity","type":"module"},{"doc":"description : &lt;p&gt;List all verification reports.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Identity.html#get_identity_verification_reports/2","title":"ExOAPI.Stripe.SDK.Identity.get_identity_verification_reports/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an existing VerificationReport&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Identity.html#get_identity_verification_reports_report/3","title":"ExOAPI.Stripe.SDK.Identity.get_identity_verification_reports_report/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of VerificationSessions&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Identity.html#get_identity_verification_sessions/2","title":"ExOAPI.Stripe.SDK.Identity.get_identity_verification_sessions/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of a VerificationSession that was previously created.&lt;/p&gt; When the session status is requires_input , you can use this method to retrieve a valid client_secret or url to allow re-submission.","ref":"ExOAPI.Stripe.SDK.Identity.html#get_identity_verification_sessions_session/3","title":"ExOAPI.Stripe.SDK.Identity.get_identity_verification_sessions_session/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a VerificationSession object.&lt;/p&gt; After the VerificationSession is created, display a verification modal using the session client_secret or send your users to the session’s url . If your API key is in test mode, verification checks won’t actually process, though everything else will occur as if in live mode. Related guide: Verify your users’ identity documents .","ref":"ExOAPI.Stripe.SDK.Identity.html#post_identity_verification_sessions/2","title":"ExOAPI.Stripe.SDK.Identity.post_identity_verification_sessions/2","type":"function"},{"doc":"description : &lt;p&gt;Updates a VerificationSession object.&lt;/p&gt; When the session status is requires_input , you can use this method to update theverification check and options.","ref":"ExOAPI.Stripe.SDK.Identity.html#post_identity_verification_sessions_session/3","title":"ExOAPI.Stripe.SDK.Identity.post_identity_verification_sessions_session/3","type":"function"},{"doc":"description : &lt;p&gt;A VerificationSession object can be canceled when it is in &lt;code&gt;requires_input&lt;/code&gt; &lt;a href=&quot;/docs/identity/how-sessions-work&quot;&gt;status&lt;/a&gt;.&lt;/p&gt; Once canceled, future submission attempts are disabled. This cannot be undone. Learn more .","ref":"ExOAPI.Stripe.SDK.Identity.html#post_identity_verification_sessions_session_cancel/3","title":"ExOAPI.Stripe.SDK.Identity.post_identity_verification_sessions_session_cancel/3","type":"function"},{"doc":"description : &lt;p&gt;Redact a VerificationSession to remove all collected information from Stripe. This will redact the VerificationSession and all objects related to it, including VerificationReports, Events, request logs, etc.&lt;/p&gt; A VerificationSession object can be redacted when it is in requires_input or verified status . Redacting a VerificationSession in requires_action state will automatically cancel it. The redaction process may take up to four days. When the redaction process is in progress, theVerificationSession’s redaction.status field will be set to processing ; when the process is finished, it will change to redacted and an identity.verification_session.redacted event will be emitted. Redaction is irreversible. Redacted objects are still accessible in the Stripe API, but all thefields that contain personal data will be replaced by the string [redacted] or a similar placeholder. The metadata field will also be erased. Redacted objects cannot be updated or used for any purpose. Learn more .","ref":"ExOAPI.Stripe.SDK.Identity.html#post_identity_verification_sessions_session_redact/3","title":"ExOAPI.Stripe.SDK.Identity.post_identity_verification_sessions_session_redact/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Identity.html#t:get_identity_verification_reports_opts/0","title":"ExOAPI.Stripe.SDK.Identity.get_identity_verification_reports_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Identity.html#t:get_identity_verification_reports_report_opts/0","title":"ExOAPI.Stripe.SDK.Identity.get_identity_verification_reports_report_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Identity.html#t:get_identity_verification_sessions_opts/0","title":"ExOAPI.Stripe.SDK.Identity.get_identity_verification_sessions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Identity.html#t:get_identity_verification_sessions_session_opts/0","title":"ExOAPI.Stripe.SDK.Identity.get_identity_verification_sessions_session_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Invoiceitems.html","title":"ExOAPI.Stripe.SDK.Invoiceitems","type":"module"},{"doc":"description : &lt;p&gt;Deletes an invoice item, removing it from an invoice. Deleting invoice items is only possible when they’re not attached to invoices, or if it’s attached to a draft invoice.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoiceitems.html#delete_invoiceitems_invoiceitem/3","title":"ExOAPI.Stripe.SDK.Invoiceitems.delete_invoiceitems_invoiceitem/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of your invoice items. Invoice items are returned sorted by creation date, with the most recently created invoice items appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoiceitems.html#get_invoiceitems/2","title":"ExOAPI.Stripe.SDK.Invoiceitems.get_invoiceitems/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the invoice item with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoiceitems.html#get_invoiceitems_invoiceitem/3","title":"ExOAPI.Stripe.SDK.Invoiceitems.get_invoiceitems_invoiceitem/3","type":"function"},{"doc":"description : &lt;p&gt;Creates an item to be added to a draft invoice (up to 250 items per invoice). If no invoice is specified, the item will be on the next invoice created for the customer specified.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoiceitems.html#post_invoiceitems/2","title":"ExOAPI.Stripe.SDK.Invoiceitems.post_invoiceitems/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the amount or description of an invoice item on an upcoming invoice. Updating an invoice item is only possible before the invoice it’s attached to is closed.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoiceitems.html#post_invoiceitems_invoiceitem/3","title":"ExOAPI.Stripe.SDK.Invoiceitems.post_invoiceitems_invoiceitem/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Invoiceitems.html#t:get_invoiceitems_invoiceitem_opts/0","title":"ExOAPI.Stripe.SDK.Invoiceitems.get_invoiceitems_invoiceitem_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Invoiceitems.html#t:get_invoiceitems_opts/0","title":"ExOAPI.Stripe.SDK.Invoiceitems.get_invoiceitems_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Invoices.html","title":"ExOAPI.Stripe.SDK.Invoices","type":"module"},{"doc":"description : &lt;p&gt;Permanently deletes a one-off invoice draft. This cannot be undone. Attempts to delete invoices that are no longer in a draft state will fail; once an invoice has been finalized or if an invoice is for a subscription, it must be &lt;a href=&quot;#void_invoice&quot;&gt;voided&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#delete_invoices_invoice/3","title":"ExOAPI.Stripe.SDK.Invoices.delete_invoices_invoice/3","type":"function"},{"doc":"description : &lt;p&gt;You can list all invoices, or list the invoices for a specific customer. The invoices are returned sorted by creation date, with the most recently created invoices appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#get_invoices/2","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the invoice with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#get_invoices_invoice/3","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_invoice/3","type":"function"},{"doc":"description : &lt;p&gt;When retrieving an invoice, you’ll get a &lt;strong&gt;lines&lt;/strong&gt; property containing the total count of line items and the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#get_invoices_invoice_lines/3","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_invoice_lines/3","type":"function"},{"doc":"description : &lt;p&gt;Search for invoices you’ve previously created using Stripe’s &lt;a href=&quot;/docs/search#search-query-language&quot;&gt;Search Query Language&lt;/a&gt;. Don’t use search in read-after-write flows where strict consistency is necessary. Under normal operating conditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up to an hour behind during outages. Search functionality is not available to merchants in India.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#get_invoices_search/3","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_search/3","type":"function"},{"doc":"description : &lt;p&gt;At any time, you can preview the upcoming invoice for a customer. This will show you all the charges that are pending, including subscription renewal charges, invoice item charges, etc. It will also show you any discounts that are applicable to the invoice.&lt;/p&gt; Note that when you are viewing an upcoming invoice, you are simply viewing a preview – the invoice has not yet been created. As such, the upcoming invoice will not show up in invoice listing calls, and you cannot use the API to pay or edit the invoice. If you want to change the amount that your customer will be billed, you can add, remove, or update pending invoice items, or update the customer’s discount. You can preview the effects of updating a subscription, including a preview of what proration will take place. To ensure that the actual proration is calculated exactly the same as the previewed proration, you should pass a proration_date parameter when doing the actual subscription update. The value passed in should be the same as the subscription_proration_date returned on the upcoming invoice resource. The recommended way to get only the prorations being previewed is to consider only proration line items where period[start] is equal to the subscription_proration_date on the upcoming invoice resource.","ref":"ExOAPI.Stripe.SDK.Invoices.html#get_invoices_upcoming/2","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_upcoming/2","type":"function"},{"doc":"description : &lt;p&gt;When retrieving an upcoming invoice, you’ll get a &lt;strong&gt;lines&lt;/strong&gt; property containing the total count of line items and the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#get_invoices_upcoming_lines/2","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_upcoming_lines/2","type":"function"},{"doc":"description : &lt;p&gt;This endpoint creates a draft invoice for a given customer. The draft invoice created pulls in all pending invoice items on that customer, including prorations. The invoice remains a draft until you &lt;a href=&quot;#finalize_invoice&quot;&gt;finalize&lt;/a&gt; the invoice, which allows you to &lt;a href=&quot;#pay_invoice&quot;&gt;pay&lt;/a&gt; or &lt;a href=&quot;#send_invoice&quot;&gt;send&lt;/a&gt; the invoice to your customers.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#post_invoices/2","title":"ExOAPI.Stripe.SDK.Invoices.post_invoices/2","type":"function"},{"doc":"description : &lt;p&gt;Draft invoices are fully editable. Once an invoice is &lt;a href=&quot;/docs/billing/invoices/workflow#finalized&quot;&gt;finalized&lt;/a&gt;, monetary values, as well as &lt;code&gt;collection_method&lt;/code&gt;, become uneditable.&lt;/p&gt; If you would like to stop the Stripe Billing engine from automatically finalizing, reattempting payments on,sending reminders for, or automatically reconciling invoices, pass auto_advance=false .","ref":"ExOAPI.Stripe.SDK.Invoices.html#post_invoices_invoice/3","title":"ExOAPI.Stripe.SDK.Invoices.post_invoices_invoice/3","type":"function"},{"doc":"description : &lt;p&gt;Stripe automatically finalizes drafts before sending and attempting payment on invoices. However, if you’d like to finalize a draft invoice manually, you can do so using this method.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#post_invoices_invoice_finalize/3","title":"ExOAPI.Stripe.SDK.Invoices.post_invoices_invoice_finalize/3","type":"function"},{"doc":"description : &lt;p&gt;Marking an invoice as uncollectible is useful for keeping track of bad debts that can be written off for accounting purposes.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#post_invoices_invoice_mark_uncollectible/3","title":"ExOAPI.Stripe.SDK.Invoices.post_invoices_invoice_mark_uncollectible/3","type":"function"},{"doc":"description : &lt;p&gt;Stripe automatically creates and then attempts to collect payment on invoices for customers on subscriptions according to your &lt;a href=&quot; https://dashboard.stripe.com/account/billing/automatic&quot; &gt;subscriptions settings&lt;/a&gt;. However, if you’d like to attempt payment on an invoice out of the normal collection schedule or for some other reason, you can do so.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#post_invoices_invoice_pay/3","title":"ExOAPI.Stripe.SDK.Invoices.post_invoices_invoice_pay/3","type":"function"},{"doc":"description : &lt;p&gt;Stripe will automatically send invoices to customers according to your &lt;a href=&quot; https://dashboard.stripe.com/account/billing/automatic&quot; &gt;subscriptions settings&lt;/a&gt;. However, if you’d like to manually send an invoice to your customer out of the normal schedule, you can do so. When sending invoices that have already been paid, there will be no reference to the payment in the email.&lt;/p&gt; Requests made in test-mode result in no emails being sent, despite sending an invoice.sent event.","ref":"ExOAPI.Stripe.SDK.Invoices.html#post_invoices_invoice_send/3","title":"ExOAPI.Stripe.SDK.Invoices.post_invoices_invoice_send/3","type":"function"},{"doc":"description : &lt;p&gt;Mark a finalized invoice as void. This cannot be undone. Voiding an invoice is similar to &lt;a href=&quot;#delete_invoice&quot;&gt;deletion&lt;/a&gt;, however it only applies to finalized invoices and maintains a papertrail where the invoice can still be found.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Invoices.html#post_invoices_invoice_void/3","title":"ExOAPI.Stripe.SDK.Invoices.post_invoices_invoice_void/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Invoices.html#t:get_invoices_invoice_lines_opts/0","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_invoice_lines_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Invoices.html#t:get_invoices_invoice_opts/0","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_invoice_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Invoices.html#t:get_invoices_opts/0","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Invoices.html#t:get_invoices_search_opts/0","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_search_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Invoices.html#t:get_invoices_upcoming_lines_opts/0","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_upcoming_lines_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Invoices.html#t:get_invoices_upcoming_opts/0","title":"ExOAPI.Stripe.SDK.Invoices.get_invoices_upcoming_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.IssuerFraudRecords.html","title":"ExOAPI.Stripe.SDK.IssuerFraudRecords","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of issuer fraud records.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.IssuerFraudRecords.html#get_issuer_fraud_records/2","title":"ExOAPI.Stripe.SDK.IssuerFraudRecords.get_issuer_fraud_records/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an issuer fraud record that has previously been created. &lt;/p&gt; Please refer to the issuer fraud record object reference for more details. deprecated : true","ref":"ExOAPI.Stripe.SDK.IssuerFraudRecords.html#get_issuer_fraud_records_issuer_fraud_record/3","title":"ExOAPI.Stripe.SDK.IssuerFraudRecords.get_issuer_fraud_records_issuer_fraud_record/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.IssuerFraudRecords.html#t:get_issuer_fraud_records_issuer_fraud_record_opts/0","title":"ExOAPI.Stripe.SDK.IssuerFraudRecords.get_issuer_fraud_records_issuer_fraud_record_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.IssuerFraudRecords.html#t:get_issuer_fraud_records_opts/0","title":"ExOAPI.Stripe.SDK.IssuerFraudRecords.get_issuer_fraud_records_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html","title":"ExOAPI.Stripe.SDK.Issuing","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of Issuing &lt;code&gt;Authorization&lt;/code&gt; objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_authorizations/2","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_authorizations/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an Issuing &lt;code&gt;Authorization&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_authorizations_authorization/3","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_authorizations_authorization/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of Issuing &lt;code&gt;Cardholder&lt;/code&gt; objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_cardholders/2","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_cardholders/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an Issuing &lt;code&gt;Cardholder&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_cardholders_cardholder/3","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_cardholders_cardholder/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of Issuing &lt;code&gt;Card&lt;/code&gt; objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_cards/2","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_cards/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an Issuing &lt;code&gt;Card&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_cards_card/3","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_cards_card/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of Issuing &lt;code&gt;Dispute&lt;/code&gt; objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_disputes/2","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_disputes/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an Issuing &lt;code&gt;Dispute&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_disputes_dispute/3","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_disputes_dispute/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of Issuing &lt;code&gt;Settlement&lt;/code&gt; objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_settlements/2","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_settlements/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an Issuing &lt;code&gt;Settlement&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_settlements_settlement/3","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_settlements_settlement/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of Issuing &lt;code&gt;Transaction&lt;/code&gt; objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_transactions/2","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_transactions/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves an Issuing &lt;code&gt;Transaction&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#get_issuing_transactions_transaction/3","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_transactions_transaction/3","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified Issuing &lt;code&gt;Authorization&lt;/code&gt; object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_authorizations_authorization/3","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_authorizations_authorization/3","type":"function"},{"doc":"description : &lt;p&gt;Approves a pending Issuing &lt;code&gt;Authorization&lt;/code&gt; object. This request should be made within the timeout window of the &lt;a href=&quot;/docs/issuing/controls/real-time-authorizations&quot;&gt;real-time authorization&lt;/a&gt; flow.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_authorizations_authorization_approve/3","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_authorizations_authorization_approve/3","type":"function"},{"doc":"description : &lt;p&gt;Declines a pending Issuing &lt;code&gt;Authorization&lt;/code&gt; object. This request should be made within the timeout window of the &lt;a href=&quot;/docs/issuing/controls/real-time-authorizations&quot;&gt;real time authorization&lt;/a&gt; flow.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_authorizations_authorization_decline/3","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_authorizations_authorization_decline/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new Issuing &lt;code&gt;Cardholder&lt;/code&gt; object that can be issued cards.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_cardholders/2","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_cardholders/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified Issuing &lt;code&gt;Cardholder&lt;/code&gt; object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_cardholders_cardholder/3","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_cardholders_cardholder/3","type":"function"},{"doc":"description : &lt;p&gt;Creates an Issuing &lt;code&gt;Card&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_cards/2","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_cards/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified Issuing &lt;code&gt;Card&lt;/code&gt; object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_cards_card/3","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_cards_card/3","type":"function"},{"doc":"description : &lt;p&gt;Creates an Issuing &lt;code&gt;Dispute&lt;/code&gt; object. Individual pieces of evidence within the &lt;code&gt;evidence&lt;/code&gt; object are optional at this point. Stripe only validates that required evidence is present during submission. Refer to &lt;a href=&quot;/docs/issuing/purchases/disputes#dispute-reasons-and-evidence&quot;&gt;Dispute reasons and evidence&lt;/a&gt; for more details about evidence requirements.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_disputes/2","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_disputes/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified Issuing &lt;code&gt;Dispute&lt;/code&gt; object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Properties on the &lt;code&gt;evidence&lt;/code&gt; object can be unset by passing in an empty string.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_disputes_dispute/3","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_disputes_dispute/3","type":"function"},{"doc":"description : &lt;p&gt;Submits an Issuing &lt;code&gt;Dispute&lt;/code&gt; to the card network. Stripe validates that all evidence fields required for the dispute’s reason are present. For more details, see &lt;a href=&quot;/docs/issuing/purchases/disputes#dispute-reasons-and-evidence&quot;&gt;Dispute reasons and evidence&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_disputes_dispute_submit/3","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_disputes_dispute_submit/3","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified Issuing &lt;code&gt;Settlement&lt;/code&gt; object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_settlements_settlement/3","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_settlements_settlement/3","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified Issuing &lt;code&gt;Transaction&lt;/code&gt; object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Issuing.html#post_issuing_transactions_transaction/3","title":"ExOAPI.Stripe.SDK.Issuing.post_issuing_transactions_transaction/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_authorizations_authorization_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_authorizations_authorization_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_authorizations_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_authorizations_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_cardholders_cardholder_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_cardholders_cardholder_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_cardholders_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_cardholders_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_cards_card_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_cards_card_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_cards_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_cards_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_disputes_dispute_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_disputes_dispute_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_disputes_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_disputes_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_settlements_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_settlements_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_settlements_settlement_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_settlements_settlement_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_transactions_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_transactions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Issuing.html#t:get_issuing_transactions_transaction_opts/0","title":"ExOAPI.Stripe.SDK.Issuing.get_issuing_transactions_transaction_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Mandates.html","title":"ExOAPI.Stripe.SDK.Mandates","type":"module"},{"doc":"description : &lt;p&gt;Retrieves a Mandate object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Mandates.html#get_mandates_mandate/3","title":"ExOAPI.Stripe.SDK.Mandates.get_mandates_mandate/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Mandates.html#t:get_mandates_mandate_opts/0","title":"ExOAPI.Stripe.SDK.Mandates.get_mandates_mandate_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.OrderReturns.html","title":"ExOAPI.Stripe.SDK.OrderReturns","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of your order returns. The returns are returned sorted by creation date, with the most recently created return appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.OrderReturns.html#get_order_returns/2","title":"ExOAPI.Stripe.SDK.OrderReturns.get_order_returns/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing order return. Supply the unique order ID from either an order return creation request or the order return list, and Stripe will return the corresponding order information.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.OrderReturns.html#get_order_returns_id/3","title":"ExOAPI.Stripe.SDK.OrderReturns.get_order_returns_id/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.OrderReturns.html#t:get_order_returns_id_opts/0","title":"ExOAPI.Stripe.SDK.OrderReturns.get_order_returns_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.OrderReturns.html#t:get_order_returns_opts/0","title":"ExOAPI.Stripe.SDK.OrderReturns.get_order_returns_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Orders.html","title":"ExOAPI.Stripe.SDK.Orders","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of your orders. The orders are returned sorted by creation date, with the most recently created orders appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Orders.html#get_orders/2","title":"ExOAPI.Stripe.SDK.Orders.get_orders/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing order. Supply the unique order ID from either an order creation request or the order list, and Stripe will return the corresponding order information.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Orders.html#get_orders_id/3","title":"ExOAPI.Stripe.SDK.Orders.get_orders_id/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new order object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Orders.html#post_orders/2","title":"ExOAPI.Stripe.SDK.Orders.post_orders/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specific order by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Orders.html#post_orders_id/3","title":"ExOAPI.Stripe.SDK.Orders.post_orders_id/3","type":"function"},{"doc":"description : &lt;p&gt;Pay an order by providing a &lt;code&gt;source&lt;/code&gt; to create a payment.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Orders.html#post_orders_id_pay/3","title":"ExOAPI.Stripe.SDK.Orders.post_orders_id_pay/3","type":"function"},{"doc":"description : &lt;p&gt;Return all or part of an order. The order must have a status of &lt;code&gt;paid&lt;/code&gt; or &lt;code&gt;fulfilled&lt;/code&gt; before it can be returned. Once all items have been returned, the order will become &lt;code&gt;canceled&lt;/code&gt; or &lt;code&gt;returned&lt;/code&gt; depending on which status the order started in.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Orders.html#post_orders_id_returns/3","title":"ExOAPI.Stripe.SDK.Orders.post_orders_id_returns/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Orders.html#t:get_orders_id_opts/0","title":"ExOAPI.Stripe.SDK.Orders.get_orders_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Orders.html#t:get_orders_opts/0","title":"ExOAPI.Stripe.SDK.Orders.get_orders_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html","title":"ExOAPI.Stripe.SDK.PaymentIntents","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of PaymentIntents.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#get_payment_intents/2","title":"ExOAPI.Stripe.SDK.PaymentIntents.get_payment_intents/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of a PaymentIntent that has previously been created. &lt;/p&gt; Client-side retrieval using a publishable key is allowed when the client_secret is provided in the query string. When retrieved with a publishable key, only a subset of properties will be returned. Please refer to the payment intent object reference for more details.","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#get_payment_intents_intent/3","title":"ExOAPI.Stripe.SDK.PaymentIntents.get_payment_intents_intent/3","type":"function"},{"doc":"description : &lt;p&gt;Search for PaymentIntents you’ve previously created using Stripe’s &lt;a href=&quot;/docs/search#search-query-language&quot;&gt;Search Query Language&lt;/a&gt;. Don’t use search in read-after-write flows where strict consistency is necessary. Under normal operating conditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up to an hour behind during outages. Search functionality is not available to merchants in India.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#get_payment_intents_search/3","title":"ExOAPI.Stripe.SDK.PaymentIntents.get_payment_intents_search/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a PaymentIntent object.&lt;/p&gt; After the PaymentIntent is created, attach a payment method and confirm to continue the payment. You can read more about the different payment flows available via the Payment Intents API here . When confirm=true is used during creation, it is equivalent to creatingand confirming the PaymentIntent in the same call. You may use any parameters available in the confirm API when confirm=true is supplied.","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#post_payment_intents/2","title":"ExOAPI.Stripe.SDK.PaymentIntents.post_payment_intents/2","type":"function"},{"doc":"description : &lt;p&gt;Updates properties on a PaymentIntent object without confirming.&lt;/p&gt; Depending on which properties you update, you may need to confirm thePaymentIntent again. For example, updating the payment_method will always require you to confirm the PaymentIntent again. If you prefer to update and confirm at the same time, we recommend updating properties via the confirm API instead.","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#post_payment_intents_intent/3","title":"ExOAPI.Stripe.SDK.PaymentIntents.post_payment_intents_intent/3","type":"function"},{"doc":"description : &lt;p&gt;Manually reconcile the remaining amount for a customer_balance PaymentIntent.&lt;/p&gt; This can be used when the cash balance for a customer in manual reconciliation mode received funds.","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#post_payment_intents_intent_apply_customer_balance/3","title":"ExOAPI.Stripe.SDK.PaymentIntents.post_payment_intents_intent_apply_customer_balance/3","type":"function"},{"doc":"description : &lt;p&gt;A PaymentIntent object can be canceled when it is in one of these statuses: &lt;code&gt;requires_payment_method&lt;/code&gt;, &lt;code&gt;requires_capture&lt;/code&gt;, &lt;code&gt;requires_confirmation&lt;/code&gt;, &lt;code&gt;requires_action&lt;/code&gt;, or &lt;code&gt;processing&lt;/code&gt;. &lt;/p&gt; Once canceled, no additional charges will be made by the PaymentIntent and any operations on the PaymentIntent will fail with an error. For PaymentIntents with status=’requires_capture’ , the remaining amount_capturable will automatically be refunded. You cannot cancel the PaymentIntent for a Checkout Session. Expire the Checkout Session instead","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#post_payment_intents_intent_cancel/3","title":"ExOAPI.Stripe.SDK.PaymentIntents.post_payment_intents_intent_cancel/3","type":"function"},{"doc":"description : &lt;p&gt;Capture the funds of an existing uncaptured PaymentIntent when its status is &lt;code&gt;requires_capture&lt;/code&gt;.&lt;/p&gt; Uncaptured PaymentIntents will be canceled a set number of days after they are created (7 by default). Learn more about separate authorization and capture .","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#post_payment_intents_intent_capture/3","title":"ExOAPI.Stripe.SDK.PaymentIntents.post_payment_intents_intent_capture/3","type":"function"},{"doc":"description : &lt;p&gt;Confirm that your customer intends to pay with current or provided payment method. Upon confirmation, the PaymentIntent will attempt to initiate a payment.&lt;/p&gt; If the selected payment method requires additional authentication steps, thePaymentIntent will transition to the requires_action status and suggest additional actions via next_action . If payment fails, the PaymentIntent will transition to the requires_payment_method status. If payment succeeds, the PaymentIntent will transition to the succeeded status (or requires_capture , if capture_method is set to manual ). If the confirmation_method is automatic , payment may be attemptedusing our client SDKs and the PaymentIntent’s client_secret . After next_action s are handled by the client, no additional confirmation is required to complete the payment. If the confirmation_method is manual , all payment attempts must beinitiated using a secret key. If any actions are required for the payment, the PaymentIntent will return to the requires_confirmation state after those actions are completed. Your server needs to then explicitly re-confirm the PaymentIntent to initiate the next payment attempt. Read the expanded documentation to learn more about manual confirmation.","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#post_payment_intents_intent_confirm/3","title":"ExOAPI.Stripe.SDK.PaymentIntents.post_payment_intents_intent_confirm/3","type":"function"},{"doc":"description : &lt;p&gt;Perform an incremental authorization on an eligible PaymentIntent PaymentIntent’s status must be &lt;code&gt;requires_capture&lt;/code&gt; and incremental_authorization_supported must be &lt;code&gt;true&lt;/code&gt;.&lt;/p&gt; Incremental authorizations attempt to increase the authorized amount onyour customer’s card to the new, higher amount provided. As with the initial authorization, incremental authorizations may be declined. A single PaymentIntent can call this endpoint multiple times to further increase the authorized amount. If the incremental authorization succeeds, the PaymentIntent object isreturned with the updated amount . If the incremental authorization fails, a card_declined error is returned, and no fields on the PaymentIntent or Charge are updated. The PaymentIntent object remains capturable for the previously authorized amount. Each PaymentIntent can have a maximum of 10 incremental authorization attempts, including declines.Once captured, a PaymentIntent can no longer be incremented. Learn more about incremental authorizations .","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#post_payment_intents_intent_increment_authorization/3","title":"ExOAPI.Stripe.SDK.PaymentIntents.post_payment_intents_intent_increment_authorization/3","type":"function"},{"doc":"description : &lt;p&gt;Verifies microdeposits on a PaymentIntent object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#post_payment_intents_intent_verify_microdeposits/3","title":"ExOAPI.Stripe.SDK.PaymentIntents.post_payment_intents_intent_verify_microdeposits/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#t:get_payment_intents_intent_opts/0","title":"ExOAPI.Stripe.SDK.PaymentIntents.get_payment_intents_intent_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#t:get_payment_intents_opts/0","title":"ExOAPI.Stripe.SDK.PaymentIntents.get_payment_intents_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentIntents.html#t:get_payment_intents_search_opts/0","title":"ExOAPI.Stripe.SDK.PaymentIntents.get_payment_intents_search_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentLinks.html","title":"ExOAPI.Stripe.SDK.PaymentLinks","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of your payment links.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentLinks.html#get_payment_links/2","title":"ExOAPI.Stripe.SDK.PaymentLinks.get_payment_links/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieve a payment link.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentLinks.html#get_payment_links_payment_link/3","title":"ExOAPI.Stripe.SDK.PaymentLinks.get_payment_links_payment_link/3","type":"function"},{"doc":"description : &lt;p&gt;When retrieving a payment link, there is an includable &lt;strong&gt;line_items&lt;/strong&gt; property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentLinks.html#get_payment_links_payment_link_line_items/3","title":"ExOAPI.Stripe.SDK.PaymentLinks.get_payment_links_payment_link_line_items/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a payment link.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentLinks.html#post_payment_links/2","title":"ExOAPI.Stripe.SDK.PaymentLinks.post_payment_links/2","type":"function"},{"doc":"description : &lt;p&gt;Updates a payment link.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentLinks.html#post_payment_links_payment_link/3","title":"ExOAPI.Stripe.SDK.PaymentLinks.post_payment_links_payment_link/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentLinks.html#t:get_payment_links_opts/0","title":"ExOAPI.Stripe.SDK.PaymentLinks.get_payment_links_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentLinks.html#t:get_payment_links_payment_link_line_items_opts/0","title":"ExOAPI.Stripe.SDK.PaymentLinks.get_payment_links_payment_link_line_items_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentLinks.html#t:get_payment_links_payment_link_opts/0","title":"ExOAPI.Stripe.SDK.PaymentLinks.get_payment_links_payment_link_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentMethods.html","title":"ExOAPI.Stripe.SDK.PaymentMethods","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of PaymentMethods. For listing a customer’s payment methods, you should use &lt;a href=&quot;/docs/api/payment_methods/customer_list&quot;&gt;List a Customer’s PaymentMethods&lt;/a&gt;&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentMethods.html#get_payment_methods/3","title":"ExOAPI.Stripe.SDK.PaymentMethods.get_payment_methods/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a PaymentMethod object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentMethods.html#get_payment_methods_payment_method/3","title":"ExOAPI.Stripe.SDK.PaymentMethods.get_payment_methods_payment_method/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a PaymentMethod object. Read the &lt;a href=&quot;/docs/stripe-js/reference#stripe-create-payment-method&quot;&gt;Stripe.js reference&lt;/a&gt; to learn how to create PaymentMethods via Stripe.js.&lt;/p&gt; Instead of creating a PaymentMethod directly, we recommend using the PaymentIntents API to accept a payment immediately or the SetupIntent API to collect payment method details ahead of a future payment.","ref":"ExOAPI.Stripe.SDK.PaymentMethods.html#post_payment_methods/2","title":"ExOAPI.Stripe.SDK.PaymentMethods.post_payment_methods/2","type":"function"},{"doc":"description : &lt;p&gt;Updates a PaymentMethod object. A PaymentMethod must be attached a customer to be updated.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentMethods.html#post_payment_methods_payment_method/3","title":"ExOAPI.Stripe.SDK.PaymentMethods.post_payment_methods_payment_method/3","type":"function"},{"doc":"description : &lt;p&gt;Attaches a PaymentMethod object to a Customer.&lt;/p&gt; To attach a new PaymentMethod to a customer for future payments, we recommend you use a SetupIntent or a PaymentIntent with setup_future_usage . These approaches will perform any necessary steps to ensure that the PaymentMethod can be used in a future payment. Using the /v1/payment_methods/:id/attach endpoint does not ensure that future payments can be made with the attached PaymentMethod. See Optimizing cards for future payments for more information about setting up future payments. To use this PaymentMethod as the default for invoice or subscription payments,set invoice_settings.default_payment_method , on the Customer to the PaymentMethod’s ID.","ref":"ExOAPI.Stripe.SDK.PaymentMethods.html#post_payment_methods_payment_method_attach/3","title":"ExOAPI.Stripe.SDK.PaymentMethods.post_payment_methods_payment_method_attach/3","type":"function"},{"doc":"description : &lt;p&gt;Detaches a PaymentMethod object from a Customer. After a PaymentMethod is detached, it can no longer be used for a payment or re-attached to a Customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PaymentMethods.html#post_payment_methods_payment_method_detach/3","title":"ExOAPI.Stripe.SDK.PaymentMethods.post_payment_methods_payment_method_detach/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentMethods.html#t:get_payment_methods_opts/0","title":"ExOAPI.Stripe.SDK.PaymentMethods.get_payment_methods_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PaymentMethods.html#t:get_payment_methods_payment_method_opts/0","title":"ExOAPI.Stripe.SDK.PaymentMethods.get_payment_methods_payment_method_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Payouts.html","title":"ExOAPI.Stripe.SDK.Payouts","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of existing payouts sent to third-party bank accounts or that Stripe has sent you. The payouts are returned in sorted order, with the most recently created payouts appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Payouts.html#get_payouts/2","title":"ExOAPI.Stripe.SDK.Payouts.get_payouts/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing payout. Supply the unique payout ID from either a payout creation request or the payout list, and Stripe will return the corresponding payout information.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Payouts.html#get_payouts_payout/3","title":"ExOAPI.Stripe.SDK.Payouts.get_payouts_payout/3","type":"function"},{"doc":"description : &lt;p&gt;To send funds to your own bank account, you create a new payout object. Your &lt;a href=&quot;#balance&quot;&gt;Stripe balance&lt;/a&gt; must be able to cover the payout amount, or you’ll receive an “Insufficient Funds” error.&lt;/p&gt; If your API key is in test mode, money won’t actually be sent, though everything else will occur as if in live mode. If you are creating a manual payout on a Stripe account that uses multiple payment source types, you’ll need to specify the source type balance that the payout should draw from. The balance object details available and pending amounts by source type.","ref":"ExOAPI.Stripe.SDK.Payouts.html#post_payouts/2","title":"ExOAPI.Stripe.SDK.Payouts.post_payouts/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified payout by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request accepts only the metadata as arguments.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Payouts.html#post_payouts_payout/3","title":"ExOAPI.Stripe.SDK.Payouts.post_payouts_payout/3","type":"function"},{"doc":"description : &lt;p&gt;A previously created payout can be canceled if it has not yet been paid out. Funds will be refunded to your available balance. You may not cancel automatic Stripe payouts.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Payouts.html#post_payouts_payout_cancel/3","title":"ExOAPI.Stripe.SDK.Payouts.post_payouts_payout_cancel/3","type":"function"},{"doc":"description : &lt;p&gt;Reverses a payout by debiting the destination bank account. Only payouts for connected accounts to US bank accounts may be reversed at this time. If the payout is in the &lt;code&gt;pending&lt;/code&gt; status, &lt;code&gt;/v1/payouts/:id/cancel&lt;/code&gt; should be used instead.&lt;/p&gt; By requesting a reversal via /v1/payouts/:id/reverse , you confirm that the authorized signatory of the selected bank account has authorized the debit on the bank account and that no other authorization is required.","ref":"ExOAPI.Stripe.SDK.Payouts.html#post_payouts_payout_reverse/3","title":"ExOAPI.Stripe.SDK.Payouts.post_payouts_payout_reverse/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Payouts.html#t:get_payouts_opts/0","title":"ExOAPI.Stripe.SDK.Payouts.get_payouts_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Payouts.html#t:get_payouts_payout_opts/0","title":"ExOAPI.Stripe.SDK.Payouts.get_payouts_payout_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Plans.html","title":"ExOAPI.Stripe.SDK.Plans","type":"module"},{"doc":"description : &lt;p&gt;Deleting plans means new subscribers can’t be added. Existing subscribers aren’t affected.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Plans.html#delete_plans_plan/3","title":"ExOAPI.Stripe.SDK.Plans.delete_plans_plan/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of your plans.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Plans.html#get_plans/2","title":"ExOAPI.Stripe.SDK.Plans.get_plans/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the plan with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Plans.html#get_plans_plan/3","title":"ExOAPI.Stripe.SDK.Plans.get_plans_plan/3","type":"function"},{"doc":"description : &lt;p&gt;You can now model subscriptions more flexibly using the &lt;a href=&quot;#prices&quot;&gt;Prices API&lt;/a&gt;. It replaces the Plans API and is backwards compatible to simplify your migration.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Plans.html#post_plans/2","title":"ExOAPI.Stripe.SDK.Plans.post_plans/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified plan by setting the values of the parameters passed. Any parameters not provided are left unchanged. By design, you cannot change a plan’s ID, amount, currency, or billing cycle.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Plans.html#post_plans_plan/3","title":"ExOAPI.Stripe.SDK.Plans.post_plans_plan/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Plans.html#t:get_plans_opts/0","title":"ExOAPI.Stripe.SDK.Plans.get_plans_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Plans.html#t:get_plans_plan_opts/0","title":"ExOAPI.Stripe.SDK.Plans.get_plans_plan_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Prices.html","title":"ExOAPI.Stripe.SDK.Prices","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of your prices.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Prices.html#get_prices/2","title":"ExOAPI.Stripe.SDK.Prices.get_prices/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the price with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Prices.html#get_prices_price/3","title":"ExOAPI.Stripe.SDK.Prices.get_prices_price/3","type":"function"},{"doc":"description : &lt;p&gt;Search for prices you’ve previously created using Stripe’s &lt;a href=&quot;/docs/search#search-query-language&quot;&gt;Search Query Language&lt;/a&gt;. Don’t use search in read-after-write flows where strict consistency is necessary. Under normal operating conditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up to an hour behind during outages. Search functionality is not available to merchants in India.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Prices.html#get_prices_search/3","title":"ExOAPI.Stripe.SDK.Prices.get_prices_search/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new price for an existing product. The price can be recurring or one-time.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Prices.html#post_prices/2","title":"ExOAPI.Stripe.SDK.Prices.post_prices/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified price by setting the values of the parameters passed. Any parameters not provided are left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Prices.html#post_prices_price/3","title":"ExOAPI.Stripe.SDK.Prices.post_prices_price/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Prices.html#t:get_prices_opts/0","title":"ExOAPI.Stripe.SDK.Prices.get_prices_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Prices.html#t:get_prices_price_opts/0","title":"ExOAPI.Stripe.SDK.Prices.get_prices_price_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Prices.html#t:get_prices_search_opts/0","title":"ExOAPI.Stripe.SDK.Prices.get_prices_search_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Products.html","title":"ExOAPI.Stripe.SDK.Products","type":"module"},{"doc":"description : &lt;p&gt;Delete a product. Deleting a product is only possible if it has no prices associated with it. Additionally, deleting a product with &lt;code&gt;type=good&lt;/code&gt; is only possible if it has no SKUs associated with it.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Products.html#delete_products_id/3","title":"ExOAPI.Stripe.SDK.Products.delete_products_id/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of your products. The products are returned sorted by creation date, with the most recently created products appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Products.html#get_products/2","title":"ExOAPI.Stripe.SDK.Products.get_products/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing product. Supply the unique product ID from either a product creation request or the product list, and Stripe will return the corresponding product information.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Products.html#get_products_id/3","title":"ExOAPI.Stripe.SDK.Products.get_products_id/3","type":"function"},{"doc":"description : &lt;p&gt;Search for products you’ve previously created using Stripe’s &lt;a href=&quot;/docs/search#search-query-language&quot;&gt;Search Query Language&lt;/a&gt;. Don’t use search in read-after-write flows where strict consistency is necessary. Under normal operating conditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up to an hour behind during outages. Search functionality is not available to merchants in India.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Products.html#get_products_search/3","title":"ExOAPI.Stripe.SDK.Products.get_products_search/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new product object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Products.html#post_products/2","title":"ExOAPI.Stripe.SDK.Products.post_products/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specific product by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Products.html#post_products_id/3","title":"ExOAPI.Stripe.SDK.Products.post_products_id/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Products.html#t:get_products_id_opts/0","title":"ExOAPI.Stripe.SDK.Products.get_products_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Products.html#t:get_products_opts/0","title":"ExOAPI.Stripe.SDK.Products.get_products_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Products.html#t:get_products_search_opts/0","title":"ExOAPI.Stripe.SDK.Products.get_products_search_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PromotionCodes.html","title":"ExOAPI.Stripe.SDK.PromotionCodes","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of your promotion codes.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PromotionCodes.html#get_promotion_codes/2","title":"ExOAPI.Stripe.SDK.PromotionCodes.get_promotion_codes/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the promotion code with the given ID. In order to retrieve a promotion code by the customer-facing &lt;code&gt;code&lt;/code&gt; use &lt;a href=&quot;/docs/api/promotion_codes/list&quot;&gt;list&lt;/a&gt; with the desired &lt;code&gt;code&lt;/code&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PromotionCodes.html#get_promotion_codes_promotion_code/3","title":"ExOAPI.Stripe.SDK.PromotionCodes.get_promotion_codes_promotion_code/3","type":"function"},{"doc":"description : &lt;p&gt;A promotion code points to a coupon. You can optionally restrict the code to a specific customer, redemption limit, and expiration date.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PromotionCodes.html#post_promotion_codes/2","title":"ExOAPI.Stripe.SDK.PromotionCodes.post_promotion_codes/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified promotion code by setting the values of the parameters passed. Most fields are, by design, not editable.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.PromotionCodes.html#post_promotion_codes_promotion_code/3","title":"ExOAPI.Stripe.SDK.PromotionCodes.post_promotion_codes_promotion_code/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PromotionCodes.html#t:get_promotion_codes_opts/0","title":"ExOAPI.Stripe.SDK.PromotionCodes.get_promotion_codes_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.PromotionCodes.html#t:get_promotion_codes_promotion_code_opts/0","title":"ExOAPI.Stripe.SDK.PromotionCodes.get_promotion_codes_promotion_code_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Quotes.html","title":"ExOAPI.Stripe.SDK.Quotes","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of your quotes.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Quotes.html#get_quotes/2","title":"ExOAPI.Stripe.SDK.Quotes.get_quotes/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the quote with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Quotes.html#get_quotes_quote/3","title":"ExOAPI.Stripe.SDK.Quotes.get_quotes_quote/3","type":"function"},{"doc":"description : &lt;p&gt;When retrieving a quote, there is an includable &lt;a href=&quot; https://stripe.com/docs/api/quotes/object#quote_object-computed-upfront-line_items&quot; &gt;&lt;strong&gt;computed.upfront.line_items&lt;/strong&gt;&lt;/a&gt; property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of upfront line items.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Quotes.html#get_quotes_quote_computed_upfront_line_items/3","title":"ExOAPI.Stripe.SDK.Quotes.get_quotes_quote_computed_upfront_line_items/3","type":"function"},{"doc":"description : &lt;p&gt;When retrieving a quote, there is an includable &lt;strong&gt;line_items&lt;/strong&gt; property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Quotes.html#get_quotes_quote_line_items/3","title":"ExOAPI.Stripe.SDK.Quotes.get_quotes_quote_line_items/3","type":"function"},{"doc":"description : &lt;p&gt;Download the PDF for a finalized quote&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Quotes.html#get_quotes_quote_pdf/3","title":"ExOAPI.Stripe.SDK.Quotes.get_quotes_quote_pdf/3","type":"function"},{"doc":"description : &lt;p&gt;A quote models prices and services for a customer. Default options for &lt;code&gt;header&lt;/code&gt;, &lt;code&gt;description&lt;/code&gt;, &lt;code&gt;footer&lt;/code&gt;, and &lt;code&gt;expires_at&lt;/code&gt; can be set in the dashboard via the &lt;a href=&quot; https://dashboard.stripe.com/settings/billing/quote&quot; &gt;quote template&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Quotes.html#post_quotes/2","title":"ExOAPI.Stripe.SDK.Quotes.post_quotes/2","type":"function"},{"doc":"description : &lt;p&gt;A quote models prices and services for a customer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Quotes.html#post_quotes_quote/3","title":"ExOAPI.Stripe.SDK.Quotes.post_quotes_quote/3","type":"function"},{"doc":"description : &lt;p&gt;Accepts the specified quote.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Quotes.html#post_quotes_quote_accept/3","title":"ExOAPI.Stripe.SDK.Quotes.post_quotes_quote_accept/3","type":"function"},{"doc":"description : &lt;p&gt;Cancels the quote.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Quotes.html#post_quotes_quote_cancel/3","title":"ExOAPI.Stripe.SDK.Quotes.post_quotes_quote_cancel/3","type":"function"},{"doc":"description : &lt;p&gt;Finalizes the quote.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Quotes.html#post_quotes_quote_finalize/3","title":"ExOAPI.Stripe.SDK.Quotes.post_quotes_quote_finalize/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Quotes.html#t:get_quotes_opts/0","title":"ExOAPI.Stripe.SDK.Quotes.get_quotes_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Quotes.html#t:get_quotes_quote_computed_upfront_line_items_opts/0","title":"ExOAPI.Stripe.SDK.Quotes.get_quotes_quote_computed_upfront_line_items_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Quotes.html#t:get_quotes_quote_line_items_opts/0","title":"ExOAPI.Stripe.SDK.Quotes.get_quotes_quote_line_items_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Quotes.html#t:get_quotes_quote_opts/0","title":"ExOAPI.Stripe.SDK.Quotes.get_quotes_quote_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Quotes.html#t:get_quotes_quote_pdf_opts/0","title":"ExOAPI.Stripe.SDK.Quotes.get_quotes_quote_pdf_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Radar.html","title":"ExOAPI.Stripe.SDK.Radar","type":"module"},{"doc":"description : &lt;p&gt;Deletes a &lt;code&gt;ValueListItem&lt;/code&gt; object, removing it from its parent value list.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Radar.html#delete_radar_value_list_items_item/3","title":"ExOAPI.Stripe.SDK.Radar.delete_radar_value_list_items_item/3","type":"function"},{"doc":"description : &lt;p&gt;Deletes a &lt;code&gt;ValueList&lt;/code&gt; object, also deleting any items contained within the value list. To be deleted, a value list must not be referenced in any rules.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Radar.html#delete_radar_value_lists_value_list/3","title":"ExOAPI.Stripe.SDK.Radar.delete_radar_value_lists_value_list/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of early fraud warnings.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Radar.html#get_radar_early_fraud_warnings/2","title":"ExOAPI.Stripe.SDK.Radar.get_radar_early_fraud_warnings/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an early fraud warning that has previously been created. &lt;/p&gt; Please refer to the early fraud warning object reference for more details.","ref":"ExOAPI.Stripe.SDK.Radar.html#get_radar_early_fraud_warnings_early_fraud_warning/3","title":"ExOAPI.Stripe.SDK.Radar.get_radar_early_fraud_warnings_early_fraud_warning/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of &lt;code&gt;ValueListItem&lt;/code&gt; objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Radar.html#get_radar_value_list_items/3","title":"ExOAPI.Stripe.SDK.Radar.get_radar_value_list_items/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a &lt;code&gt;ValueListItem&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Radar.html#get_radar_value_list_items_item/3","title":"ExOAPI.Stripe.SDK.Radar.get_radar_value_list_items_item/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of &lt;code&gt;ValueList&lt;/code&gt; objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Radar.html#get_radar_value_lists/2","title":"ExOAPI.Stripe.SDK.Radar.get_radar_value_lists/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a &lt;code&gt;ValueList&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Radar.html#get_radar_value_lists_value_list/3","title":"ExOAPI.Stripe.SDK.Radar.get_radar_value_lists_value_list/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new &lt;code&gt;ValueListItem&lt;/code&gt; object, which is added to the specified parent value list.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Radar.html#post_radar_value_list_items/2","title":"ExOAPI.Stripe.SDK.Radar.post_radar_value_list_items/2","type":"function"},{"doc":"description : &lt;p&gt;Creates a new &lt;code&gt;ValueList&lt;/code&gt; object, which can then be referenced in rules.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Radar.html#post_radar_value_lists/2","title":"ExOAPI.Stripe.SDK.Radar.post_radar_value_lists/2","type":"function"},{"doc":"description : &lt;p&gt;Updates a &lt;code&gt;ValueList&lt;/code&gt; object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Note that &lt;code&gt;item_type&lt;/code&gt; is immutable.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Radar.html#post_radar_value_lists_value_list/3","title":"ExOAPI.Stripe.SDK.Radar.post_radar_value_lists_value_list/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Radar.html#t:get_radar_early_fraud_warnings_early_fraud_warning_opts/0","title":"ExOAPI.Stripe.SDK.Radar.get_radar_early_fraud_warnings_early_fraud_warning_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Radar.html#t:get_radar_early_fraud_warnings_opts/0","title":"ExOAPI.Stripe.SDK.Radar.get_radar_early_fraud_warnings_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Radar.html#t:get_radar_value_list_items_item_opts/0","title":"ExOAPI.Stripe.SDK.Radar.get_radar_value_list_items_item_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Radar.html#t:get_radar_value_list_items_opts/0","title":"ExOAPI.Stripe.SDK.Radar.get_radar_value_list_items_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Radar.html#t:get_radar_value_lists_opts/0","title":"ExOAPI.Stripe.SDK.Radar.get_radar_value_lists_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Radar.html#t:get_radar_value_lists_value_list_opts/0","title":"ExOAPI.Stripe.SDK.Radar.get_radar_value_lists_value_list_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Recipients.html","title":"ExOAPI.Stripe.SDK.Recipients","type":"module"},{"doc":"description : &lt;p&gt;Permanently deletes a recipient. It cannot be undone.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Recipients.html#delete_recipients_id/3","title":"ExOAPI.Stripe.SDK.Recipients.delete_recipients_id/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of your recipients. The recipients are returned sorted by creation date, with the most recently created recipients appearing first.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Recipients.html#get_recipients/2","title":"ExOAPI.Stripe.SDK.Recipients.get_recipients/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing recipient. You need only supply the unique recipient identifier that was returned upon recipient creation.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Recipients.html#get_recipients_id/3","title":"ExOAPI.Stripe.SDK.Recipients.get_recipients_id/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new &lt;code&gt;Recipient&lt;/code&gt; object and verifies the recipient’s identity. Also verifies the recipient’s bank account information or debit card, if either is provided.&lt;/p&gt; deprecated : true","ref":"ExOAPI.Stripe.SDK.Recipients.html#post_recipients/2","title":"ExOAPI.Stripe.SDK.Recipients.post_recipients/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified recipient by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt; If you update the name or tax ID, the identity verification will automatically be rerun.If you update the bank account, the bank account validation will automatically be rerun. **deprecated**: true","ref":"ExOAPI.Stripe.SDK.Recipients.html#post_recipients_id/3","title":"ExOAPI.Stripe.SDK.Recipients.post_recipients_id/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Recipients.html#t:get_recipients_id_opts/0","title":"ExOAPI.Stripe.SDK.Recipients.get_recipients_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Recipients.html#t:get_recipients_opts/0","title":"ExOAPI.Stripe.SDK.Recipients.get_recipients_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Refunds.html","title":"ExOAPI.Stripe.SDK.Refunds","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of all refunds you’ve previously created. The refunds are returned in sorted order, with the most recent refunds appearing first. For convenience, the 10 most recent refunds are always available by default on the charge object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Refunds.html#get_refunds/2","title":"ExOAPI.Stripe.SDK.Refunds.get_refunds/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing refund.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Refunds.html#get_refunds_refund/3","title":"ExOAPI.Stripe.SDK.Refunds.get_refunds_refund/3","type":"function"},{"doc":"description : &lt;p&gt;Create a refund.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Refunds.html#post_refunds/2","title":"ExOAPI.Stripe.SDK.Refunds.post_refunds/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified refund by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt; This request only accepts metadata as an argument.","ref":"ExOAPI.Stripe.SDK.Refunds.html#post_refunds_refund/3","title":"ExOAPI.Stripe.SDK.Refunds.post_refunds_refund/3","type":"function"},{"doc":"description : &lt;p&gt;Cancels a refund with a status of &lt;code&gt;requires_action&lt;/code&gt;.&lt;/p&gt; Refunds in other states cannot be canceled, and only refunds for payment methods that require customer action will enter the requires_action state.","ref":"ExOAPI.Stripe.SDK.Refunds.html#post_refunds_refund_cancel/3","title":"ExOAPI.Stripe.SDK.Refunds.post_refunds_refund_cancel/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Refunds.html#t:get_refunds_opts/0","title":"ExOAPI.Stripe.SDK.Refunds.get_refunds_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Refunds.html#t:get_refunds_refund_opts/0","title":"ExOAPI.Stripe.SDK.Refunds.get_refunds_refund_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Reporting.html","title":"ExOAPI.Stripe.SDK.Reporting","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of Report Runs, with the most recent appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Reporting.html#get_reporting_report_runs/2","title":"ExOAPI.Stripe.SDK.Reporting.get_reporting_report_runs/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing Report Run.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Reporting.html#get_reporting_report_runs_report_run/3","title":"ExOAPI.Stripe.SDK.Reporting.get_reporting_report_runs_report_run/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a full list of Report Types.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Reporting.html#get_reporting_report_types/2","title":"ExOAPI.Stripe.SDK.Reporting.get_reporting_report_types/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of a Report Type. (Certain report types require a &lt;a href=&quot; https://stripe.com/docs/keys#test-live-modes&quot; &gt;live-mode API key&lt;/a&gt;.)&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Reporting.html#get_reporting_report_types_report_type/3","title":"ExOAPI.Stripe.SDK.Reporting.get_reporting_report_types_report_type/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new object and begin running the report. (Certain report types require a &lt;a href=&quot; https://stripe.com/docs/keys#test-live-modes&quot; &gt;live-mode API key&lt;/a&gt;.)&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Reporting.html#post_reporting_report_runs/2","title":"ExOAPI.Stripe.SDK.Reporting.post_reporting_report_runs/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Reporting.html#t:get_reporting_report_runs_opts/0","title":"ExOAPI.Stripe.SDK.Reporting.get_reporting_report_runs_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Reporting.html#t:get_reporting_report_runs_report_run_opts/0","title":"ExOAPI.Stripe.SDK.Reporting.get_reporting_report_runs_report_run_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Reporting.html#t:get_reporting_report_types_opts/0","title":"ExOAPI.Stripe.SDK.Reporting.get_reporting_report_types_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Reporting.html#t:get_reporting_report_types_report_type_opts/0","title":"ExOAPI.Stripe.SDK.Reporting.get_reporting_report_types_report_type_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Reviews.html","title":"ExOAPI.Stripe.SDK.Reviews","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of &lt;code&gt;Review&lt;/code&gt; objects that have &lt;code&gt;open&lt;/code&gt; set to &lt;code&gt;true&lt;/code&gt;. The objects are sorted in descending order by creation date, with the most recently created object appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Reviews.html#get_reviews/2","title":"ExOAPI.Stripe.SDK.Reviews.get_reviews/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a &lt;code&gt;Review&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Reviews.html#get_reviews_review/3","title":"ExOAPI.Stripe.SDK.Reviews.get_reviews_review/3","type":"function"},{"doc":"description : &lt;p&gt;Approves a &lt;code&gt;Review&lt;/code&gt; object, closing it and removing it from the list of reviews.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Reviews.html#post_reviews_review_approve/3","title":"ExOAPI.Stripe.SDK.Reviews.post_reviews_review_approve/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Reviews.html#t:get_reviews_opts/0","title":"ExOAPI.Stripe.SDK.Reviews.get_reviews_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Reviews.html#t:get_reviews_review_opts/0","title":"ExOAPI.Stripe.SDK.Reviews.get_reviews_review_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SetupAttempts.html","title":"ExOAPI.Stripe.SDK.SetupAttempts","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of SetupAttempts associated with a provided SetupIntent.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SetupAttempts.html#get_setup_attempts/3","title":"ExOAPI.Stripe.SDK.SetupAttempts.get_setup_attempts/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SetupAttempts.html#t:get_setup_attempts_opts/0","title":"ExOAPI.Stripe.SDK.SetupAttempts.get_setup_attempts_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SetupIntents.html","title":"ExOAPI.Stripe.SDK.SetupIntents","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of SetupIntents.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SetupIntents.html#get_setup_intents/2","title":"ExOAPI.Stripe.SDK.SetupIntents.get_setup_intents/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of a SetupIntent that has previously been created. &lt;/p&gt; Client-side retrieval using a publishable key is allowed when the client_secret is provided in the query string. When retrieved with a publishable key, only a subset of properties will be returned. Please refer to the SetupIntent object reference for more details.","ref":"ExOAPI.Stripe.SDK.SetupIntents.html#get_setup_intents_intent/3","title":"ExOAPI.Stripe.SDK.SetupIntents.get_setup_intents_intent/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a SetupIntent object.&lt;/p&gt; After the SetupIntent is created, attach a payment method and confirm to collect any required permissions to charge the payment method later.","ref":"ExOAPI.Stripe.SDK.SetupIntents.html#post_setup_intents/2","title":"ExOAPI.Stripe.SDK.SetupIntents.post_setup_intents/2","type":"function"},{"doc":"description : &lt;p&gt;Updates a SetupIntent object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SetupIntents.html#post_setup_intents_intent/3","title":"ExOAPI.Stripe.SDK.SetupIntents.post_setup_intents_intent/3","type":"function"},{"doc":"description : &lt;p&gt;A SetupIntent object can be canceled when it is in one of these statuses: &lt;code&gt;requires_payment_method&lt;/code&gt;, &lt;code&gt;requires_confirmation&lt;/code&gt;, or &lt;code&gt;requires_action&lt;/code&gt;. &lt;/p&gt; Once canceled, setup is abandoned and any operations on the SetupIntent will fail with an error.","ref":"ExOAPI.Stripe.SDK.SetupIntents.html#post_setup_intents_intent_cancel/3","title":"ExOAPI.Stripe.SDK.SetupIntents.post_setup_intents_intent_cancel/3","type":"function"},{"doc":"description : &lt;p&gt;Confirm that your customer intends to set up the current or provided payment method. For example, you would confirm a SetupIntent when a customer hits the “Save” button on a payment method management page on your website.&lt;/p&gt; If the selected payment method does not require any additionalsteps from the customer, the SetupIntent will transition to the succeeded status. Otherwise, it will transition to the requires_action status andsuggest additional actions via next_action . If setup fails, the SetupIntent will transition to the requires_payment_method status.","ref":"ExOAPI.Stripe.SDK.SetupIntents.html#post_setup_intents_intent_confirm/3","title":"ExOAPI.Stripe.SDK.SetupIntents.post_setup_intents_intent_confirm/3","type":"function"},{"doc":"description : &lt;p&gt;Verifies microdeposits on a SetupIntent object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SetupIntents.html#post_setup_intents_intent_verify_microdeposits/3","title":"ExOAPI.Stripe.SDK.SetupIntents.post_setup_intents_intent_verify_microdeposits/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SetupIntents.html#t:get_setup_intents_intent_opts/0","title":"ExOAPI.Stripe.SDK.SetupIntents.get_setup_intents_intent_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SetupIntents.html#t:get_setup_intents_opts/0","title":"ExOAPI.Stripe.SDK.SetupIntents.get_setup_intents_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ShippingRates.html","title":"ExOAPI.Stripe.SDK.ShippingRates","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of your shipping rates.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ShippingRates.html#get_shipping_rates/2","title":"ExOAPI.Stripe.SDK.ShippingRates.get_shipping_rates/2","type":"function"},{"doc":"description : &lt;p&gt;Returns the shipping rate object with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ShippingRates.html#get_shipping_rates_shipping_rate_token/3","title":"ExOAPI.Stripe.SDK.ShippingRates.get_shipping_rates_shipping_rate_token/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new shipping rate object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ShippingRates.html#post_shipping_rates/2","title":"ExOAPI.Stripe.SDK.ShippingRates.post_shipping_rates/2","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing shipping rate object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.ShippingRates.html#post_shipping_rates_shipping_rate_token/3","title":"ExOAPI.Stripe.SDK.ShippingRates.post_shipping_rates_shipping_rate_token/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ShippingRates.html#t:get_shipping_rates_opts/0","title":"ExOAPI.Stripe.SDK.ShippingRates.get_shipping_rates_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.ShippingRates.html#t:get_shipping_rates_shipping_rate_token_opts/0","title":"ExOAPI.Stripe.SDK.ShippingRates.get_shipping_rates_shipping_rate_token_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Sigma.html","title":"ExOAPI.Stripe.SDK.Sigma","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of scheduled query runs.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Sigma.html#get_sigma_scheduled_query_runs/2","title":"ExOAPI.Stripe.SDK.Sigma.get_sigma_scheduled_query_runs/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an scheduled query run.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Sigma.html#get_sigma_scheduled_query_runs_scheduled_query_run/3","title":"ExOAPI.Stripe.SDK.Sigma.get_sigma_scheduled_query_runs_scheduled_query_run/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Sigma.html#t:get_sigma_scheduled_query_runs_opts/0","title":"ExOAPI.Stripe.SDK.Sigma.get_sigma_scheduled_query_runs_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Sigma.html#t:get_sigma_scheduled_query_runs_scheduled_query_run_opts/0","title":"ExOAPI.Stripe.SDK.Sigma.get_sigma_scheduled_query_runs_scheduled_query_run_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Skus.html","title":"ExOAPI.Stripe.SDK.Skus","type":"module"},{"doc":"description : &lt;p&gt;Delete a SKU. Deleting a SKU is only possible until it has been used in an order.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Skus.html#delete_skus_id/3","title":"ExOAPI.Stripe.SDK.Skus.delete_skus_id/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of your SKUs. The SKUs are returned sorted by creation date, with the most recently created SKUs appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Skus.html#get_skus/2","title":"ExOAPI.Stripe.SDK.Skus.get_skus/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing SKU. Supply the unique SKU identifier from either a SKU creation request or from the product, and Stripe will return the corresponding SKU information.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Skus.html#get_skus_id/3","title":"ExOAPI.Stripe.SDK.Skus.get_skus_id/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new SKU associated with a product.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Skus.html#post_skus/2","title":"ExOAPI.Stripe.SDK.Skus.post_skus/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specific SKU by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt; Note that a SKU’s attributes are not editable. Instead, you would need to deactivate the existing SKU and create a new one with the new attribute values.","ref":"ExOAPI.Stripe.SDK.Skus.html#post_skus_id/3","title":"ExOAPI.Stripe.SDK.Skus.post_skus_id/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Skus.html#t:get_skus_id_opts/0","title":"ExOAPI.Stripe.SDK.Skus.get_skus_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Skus.html#t:get_skus_opts/0","title":"ExOAPI.Stripe.SDK.Skus.get_skus_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Sources.html","title":"ExOAPI.Stripe.SDK.Sources","type":"module"},{"doc":"description : &lt;p&gt;Retrieves an existing source object. Supply the unique source ID from a source creation request and Stripe will return the corresponding up-to-date source object information.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Sources.html#get_sources_source/3","title":"ExOAPI.Stripe.SDK.Sources.get_sources_source/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a new Source MandateNotification.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Sources.html#get_sources_source_mandate_notifications_mandate_notification/4","title":"ExOAPI.Stripe.SDK.Sources.get_sources_source_mandate_notifications_mandate_notification/4","type":"function"},{"doc":"description : &lt;p&gt;List source transactions for a given source.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Sources.html#get_sources_source_source_transactions/3","title":"ExOAPI.Stripe.SDK.Sources.get_sources_source_source_transactions/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieve an existing source transaction object. Supply the unique source ID from a source creation request and the source transaction ID and Stripe will return the corresponding up-to-date source object information.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Sources.html#get_sources_source_source_transactions_source_transaction/4","title":"ExOAPI.Stripe.SDK.Sources.get_sources_source_source_transactions_source_transaction/4","type":"function"},{"doc":"description : &lt;p&gt;Creates a new source object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Sources.html#post_sources/2","title":"ExOAPI.Stripe.SDK.Sources.post_sources/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified source by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt; This request accepts the metadata and owner as arguments. It is also possible to update type specific information for selected payment methods. Please refer to our payment method guides for more detail.","ref":"ExOAPI.Stripe.SDK.Sources.html#post_sources_source/3","title":"ExOAPI.Stripe.SDK.Sources.post_sources_source/3","type":"function"},{"doc":"description : &lt;p&gt;Verify a given source.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Sources.html#post_sources_source_verify/3","title":"ExOAPI.Stripe.SDK.Sources.post_sources_source_verify/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Sources.html#t:get_sources_source_mandate_notifications_mandate_notification_opts/0","title":"ExOAPI.Stripe.SDK.Sources.get_sources_source_mandate_notifications_mandate_notification_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Sources.html#t:get_sources_source_opts/0","title":"ExOAPI.Stripe.SDK.Sources.get_sources_source_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Sources.html#t:get_sources_source_source_transactions_opts/0","title":"ExOAPI.Stripe.SDK.Sources.get_sources_source_source_transactions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Sources.html#t:get_sources_source_source_transactions_source_transaction_opts/0","title":"ExOAPI.Stripe.SDK.Sources.get_sources_source_source_transactions_source_transaction_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Stripe3dSecure.html","title":"ExOAPI.Stripe.SDK.Stripe3dSecure","type":"module"},{"doc":"description : &lt;p&gt;Retrieves a 3D Secure object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Stripe3dSecure.html#get3d_secure_three_d_secure/3","title":"ExOAPI.Stripe.SDK.Stripe3dSecure.get3d_secure_three_d_secure/3","type":"function"},{"doc":"description : &lt;p&gt;Initiate 3D Secure authentication.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Stripe3dSecure.html#post3d_secure/2","title":"ExOAPI.Stripe.SDK.Stripe3dSecure.post3d_secure/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Stripe3dSecure.html#t:get3d_secure_three_d_secure_opts/0","title":"ExOAPI.Stripe.SDK.Stripe3dSecure.get3d_secure_three_d_secure_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html","title":"ExOAPI.Stripe.SDK.SubscriptionItems","type":"module"},{"doc":"description : &lt;p&gt;Deletes an item from the subscription. Removing a subscription item from a subscription will not cancel the subscription.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html#delete_subscription_items_item/3","title":"ExOAPI.Stripe.SDK.SubscriptionItems.delete_subscription_items_item/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of your subscription items for a given subscription.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html#get_subscription_items/3","title":"ExOAPI.Stripe.SDK.SubscriptionItems.get_subscription_items/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the subscription item with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html#get_subscription_items_item/3","title":"ExOAPI.Stripe.SDK.SubscriptionItems.get_subscription_items_item/3","type":"function"},{"doc":"description : &lt;p&gt;For the specified subscription item, returns a list of summary objects. Each object in the list provides usage information that’s been summarized from multiple usage records and over a subscription billing period (e.g., 15 usage records in the month of September).&lt;/p&gt; The list is sorted in reverse-chronological order (newest first). The first list item represents the most current usage period that hasn’t ended yet. Since new usage records can still be added, the returned summary information for the subscription item’s ID should be seen as unstable until the subscription billing period ends.","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html#get_subscription_items_subscription_item_usage_record_summaries/3","title":"ExOAPI.Stripe.SDK.SubscriptionItems.get_subscription_items_subscription_item_usage_record_summaries/3","type":"function"},{"doc":"description : &lt;p&gt;Adds a new item to an existing subscription. No existing items will be changed or replaced.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html#post_subscription_items/2","title":"ExOAPI.Stripe.SDK.SubscriptionItems.post_subscription_items/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the plan or quantity of an item on a current subscription.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html#post_subscription_items_item/3","title":"ExOAPI.Stripe.SDK.SubscriptionItems.post_subscription_items_item/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a usage record for a specified subscription item and date, and fills it with a quantity.&lt;/p&gt; Usage records provide quantity information that Stripe uses to track how much a customer is using your service. With usage information and the pricing model set up by the metered billing plan, Stripe helps you send accurate invoices to your customers. The default calculation for usage is to add up all the quantity values of the usage records within a billing period. You can change this default behavior with the billing plan’s aggregate_usage parameter . When there is more than one usage record with the same timestamp, Stripe adds the quantity values together. In most cases, this is the desired resolution, however, you can change this behavior with the action parameter. The default pricing model for metered billing is per-unit pricing . For finer granularity, you can configure metered billing to have a tiered pricing model.","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html#post_subscription_items_subscription_item_usage_records/3","title":"ExOAPI.Stripe.SDK.SubscriptionItems.post_subscription_items_subscription_item_usage_records/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html#t:get_subscription_items_item_opts/0","title":"ExOAPI.Stripe.SDK.SubscriptionItems.get_subscription_items_item_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html#t:get_subscription_items_opts/0","title":"ExOAPI.Stripe.SDK.SubscriptionItems.get_subscription_items_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SubscriptionItems.html#t:get_subscription_items_subscription_item_usage_record_summaries_opts/0","title":"ExOAPI.Stripe.SDK.SubscriptionItems.get_subscription_items_subscription_item_usage_record_summaries_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SubscriptionSchedules.html","title":"ExOAPI.Stripe.SDK.SubscriptionSchedules","type":"module"},{"doc":"description : &lt;p&gt;Retrieves the list of your subscription schedules.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionSchedules.html#get_subscription_schedules/2","title":"ExOAPI.Stripe.SDK.SubscriptionSchedules.get_subscription_schedules/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing subscription schedule. You only need to supply the unique subscription schedule identifier that was returned upon subscription schedule creation.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionSchedules.html#get_subscription_schedules_schedule/3","title":"ExOAPI.Stripe.SDK.SubscriptionSchedules.get_subscription_schedules_schedule/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new subscription schedule object. Each customer can have up to 500 active or scheduled subscriptions.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionSchedules.html#post_subscription_schedules/2","title":"ExOAPI.Stripe.SDK.SubscriptionSchedules.post_subscription_schedules/2","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing subscription schedule.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionSchedules.html#post_subscription_schedules_schedule/3","title":"ExOAPI.Stripe.SDK.SubscriptionSchedules.post_subscription_schedules_schedule/3","type":"function"},{"doc":"description : &lt;p&gt;Cancels a subscription schedule and its associated subscription immediately (if the subscription schedule has an active subscription). A subscription schedule can only be canceled if its status is &lt;code&gt;not_started&lt;/code&gt; or &lt;code&gt;active&lt;/code&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionSchedules.html#post_subscription_schedules_schedule_cancel/3","title":"ExOAPI.Stripe.SDK.SubscriptionSchedules.post_subscription_schedules_schedule_cancel/3","type":"function"},{"doc":"description : &lt;p&gt;Releases the subscription schedule immediately, which will stop scheduling of its phases, but leave any existing subscription in place. A schedule can only be released if its status is &lt;code&gt;not_started&lt;/code&gt; or &lt;code&gt;active&lt;/code&gt;. If the subscription schedule is currently associated with a subscription, releasing it will remove its &lt;code&gt;subscription&lt;/code&gt; property and set the subscription’s ID to the &lt;code&gt;released_subscription&lt;/code&gt; property.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.SubscriptionSchedules.html#post_subscription_schedules_schedule_release/3","title":"ExOAPI.Stripe.SDK.SubscriptionSchedules.post_subscription_schedules_schedule_release/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SubscriptionSchedules.html#t:get_subscription_schedules_opts/0","title":"ExOAPI.Stripe.SDK.SubscriptionSchedules.get_subscription_schedules_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.SubscriptionSchedules.html#t:get_subscription_schedules_schedule_opts/0","title":"ExOAPI.Stripe.SDK.SubscriptionSchedules.get_subscription_schedules_schedule_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Subscriptions.html","title":"ExOAPI.Stripe.SDK.Subscriptions","type":"module"},{"doc":"description : &lt;p&gt;Cancels a customer’s subscription immediately. The customer will not be charged again for the subscription.&lt;/p&gt; Note, however, that any pending invoice items that you’ve created will still be charged for at the end of the period, unless manually deleted . If you’ve set the subscription to cancel at the end of the period, any pending prorations will also be left in place and collected at the end of the period. But if the subscription is set to cancel immediately, pending prorations will be removed. By default, upon subscription cancellation, Stripe will stop automatic collection of all finalized invoices for the customer. This is intended to prevent unexpected payment attempts after the customer has canceled a subscription. However, you can resume automatic collection of the invoices manually after subscription cancellation to have us proceed. Or, you could check for unpaid invoices before allowing the customer to cancel the subscription at all.","ref":"ExOAPI.Stripe.SDK.Subscriptions.html#delete_subscriptions_subscription_exposed_id/3","title":"ExOAPI.Stripe.SDK.Subscriptions.delete_subscriptions_subscription_exposed_id/3","type":"function"},{"doc":"description : &lt;p&gt;Removes the currently applied discount on a subscription.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Subscriptions.html#delete_subscriptions_subscription_exposed_id_discount/3","title":"ExOAPI.Stripe.SDK.Subscriptions.delete_subscriptions_subscription_exposed_id_discount/3","type":"function"},{"doc":"description : &lt;p&gt;By default, returns a list of subscriptions that have not been canceled. In order to list canceled subscriptions, specify &lt;code&gt;status=canceled&lt;/code&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Subscriptions.html#get_subscriptions/2","title":"ExOAPI.Stripe.SDK.Subscriptions.get_subscriptions/2","type":"function"},{"doc":"description : &lt;p&gt;Search for subscriptions you’ve previously created using Stripe’s &lt;a href=&quot;/docs/search#search-query-language&quot;&gt;Search Query Language&lt;/a&gt;. Don’t use search in read-after-write flows where strict consistency is necessary. Under normal operating conditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up to an hour behind during outages. Search functionality is not available to merchants in India.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Subscriptions.html#get_subscriptions_search/3","title":"ExOAPI.Stripe.SDK.Subscriptions.get_subscriptions_search/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the subscription with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Subscriptions.html#get_subscriptions_subscription_exposed_id/3","title":"ExOAPI.Stripe.SDK.Subscriptions.get_subscriptions_subscription_exposed_id/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new subscription on an existing customer. Each customer can have up to 500 active or scheduled subscriptions.&lt;/p&gt; When you create a subscription with collection_method=charge_automatically , the first invoice is finalized as part of the request.The payment_behavior parameter determines the exact behavior of the initial payment. To start subscriptions where the first invoice always begins in a draft status, use subscription schedules instead.Schedules provide the flexibility to model more complex billing configurations that change over time.","ref":"ExOAPI.Stripe.SDK.Subscriptions.html#post_subscriptions/2","title":"ExOAPI.Stripe.SDK.Subscriptions.post_subscriptions/2","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing subscription on a customer to match the specified parameters. When changing plans or quantities, we will optionally prorate the price we charge next month to make up for any price changes. To preview how the proration will be calculated, use the &lt;a href=&quot;#upcoming_invoice&quot;&gt;upcoming invoice&lt;/a&gt; endpoint.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Subscriptions.html#post_subscriptions_subscription_exposed_id/3","title":"ExOAPI.Stripe.SDK.Subscriptions.post_subscriptions_subscription_exposed_id/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Subscriptions.html#t:get_subscriptions_opts/0","title":"ExOAPI.Stripe.SDK.Subscriptions.get_subscriptions_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Subscriptions.html#t:get_subscriptions_search_opts/0","title":"ExOAPI.Stripe.SDK.Subscriptions.get_subscriptions_search_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Subscriptions.html#t:get_subscriptions_subscription_exposed_id_opts/0","title":"ExOAPI.Stripe.SDK.Subscriptions.get_subscriptions_subscription_exposed_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.TaxCodes.html","title":"ExOAPI.Stripe.SDK.TaxCodes","type":"module"},{"doc":"description : &lt;p&gt;A list of &lt;a href=&quot; https://stripe.com/docs/tax/tax-codes&quot; &gt;all tax codes available&lt;/a&gt; to add to Products in order to allow specific tax calculations.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TaxCodes.html#get_tax_codes/2","title":"ExOAPI.Stripe.SDK.TaxCodes.get_tax_codes/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing tax code. Supply the unique tax code ID and Stripe will return the corresponding tax code information.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TaxCodes.html#get_tax_codes_id/3","title":"ExOAPI.Stripe.SDK.TaxCodes.get_tax_codes_id/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.TaxCodes.html#t:get_tax_codes_id_opts/0","title":"ExOAPI.Stripe.SDK.TaxCodes.get_tax_codes_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.TaxCodes.html#t:get_tax_codes_opts/0","title":"ExOAPI.Stripe.SDK.TaxCodes.get_tax_codes_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.TaxRates.html","title":"ExOAPI.Stripe.SDK.TaxRates","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of your tax rates. Tax rates are returned sorted by creation date, with the most recently created tax rates appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TaxRates.html#get_tax_rates/2","title":"ExOAPI.Stripe.SDK.TaxRates.get_tax_rates/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a tax rate with the given ID&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TaxRates.html#get_tax_rates_tax_rate/3","title":"ExOAPI.Stripe.SDK.TaxRates.get_tax_rates_tax_rate/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new tax rate.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TaxRates.html#post_tax_rates/2","title":"ExOAPI.Stripe.SDK.TaxRates.post_tax_rates/2","type":"function"},{"doc":"description : &lt;p&gt;Updates an existing tax rate.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TaxRates.html#post_tax_rates_tax_rate/3","title":"ExOAPI.Stripe.SDK.TaxRates.post_tax_rates_tax_rate/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.TaxRates.html#t:get_tax_rates_opts/0","title":"ExOAPI.Stripe.SDK.TaxRates.get_tax_rates_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.TaxRates.html#t:get_tax_rates_tax_rate_opts/0","title":"ExOAPI.Stripe.SDK.TaxRates.get_tax_rates_tax_rate_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Terminal.html","title":"ExOAPI.Stripe.SDK.Terminal","type":"module"},{"doc":"description : &lt;p&gt;Deletes a &lt;code&gt;Configuration&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#delete_terminal_configurations_configuration/3","title":"ExOAPI.Stripe.SDK.Terminal.delete_terminal_configurations_configuration/3","type":"function"},{"doc":"description : &lt;p&gt;Deletes a &lt;code&gt;Location&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#delete_terminal_locations_location/3","title":"ExOAPI.Stripe.SDK.Terminal.delete_terminal_locations_location/3","type":"function"},{"doc":"description : &lt;p&gt;Deletes a &lt;code&gt;Reader&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#delete_terminal_readers_reader/3","title":"ExOAPI.Stripe.SDK.Terminal.delete_terminal_readers_reader/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of &lt;code&gt;Configuration&lt;/code&gt; objects.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#get_terminal_configurations/2","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_configurations/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a &lt;code&gt;Configuration&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#get_terminal_configurations_configuration/3","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_configurations_configuration/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of &lt;code&gt;Location&lt;/code&gt; objects.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#get_terminal_locations/2","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_locations/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a &lt;code&gt;Location&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#get_terminal_locations_location/3","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_locations_location/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of &lt;code&gt;Reader&lt;/code&gt; objects.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#get_terminal_readers/2","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_readers/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a &lt;code&gt;Reader&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#get_terminal_readers_reader/3","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_readers_reader/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new &lt;code&gt;Configuration&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_configurations/2","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_configurations/2","type":"function"},{"doc":"description : &lt;p&gt;Updates a new &lt;code&gt;Configuration&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_configurations_configuration/3","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_configurations_configuration/3","type":"function"},{"doc":"description : &lt;p&gt;To connect to a reader the Stripe Terminal SDK needs to retrieve a short-lived connection token from Stripe, proxied through your server. On your backend, add an endpoint that creates and returns a connection token.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_connection_tokens/2","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_connection_tokens/2","type":"function"},{"doc":"description : &lt;p&gt;Creates a new &lt;code&gt;Location&lt;/code&gt; object. For further details, including which address fields are required in each country, see the &lt;a href=&quot;/docs/terminal/fleet/locations&quot;&gt;Manage locations&lt;/a&gt; guide.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_locations/2","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_locations/2","type":"function"},{"doc":"description : &lt;p&gt;Updates a &lt;code&gt;Location&lt;/code&gt; object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_locations_location/3","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_locations_location/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new &lt;code&gt;Reader&lt;/code&gt; object.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_readers/2","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_readers/2","type":"function"},{"doc":"description : &lt;p&gt;Updates a &lt;code&gt;Reader&lt;/code&gt; object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_readers_reader/3","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_readers_reader/3","type":"function"},{"doc":"description : &lt;p&gt;Cancels the current reader action.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_readers_reader_cancel_action/3","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_readers_reader_cancel_action/3","type":"function"},{"doc":"description : &lt;p&gt;Initiates a payment flow on a Reader.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_readers_reader_process_payment_intent/3","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_readers_reader_process_payment_intent/3","type":"function"},{"doc":"description : &lt;p&gt;Initiates a setup intent flow on a Reader.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_readers_reader_process_setup_intent/3","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_readers_reader_process_setup_intent/3","type":"function"},{"doc":"description : &lt;p&gt;Sets reader display to show cart details.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Terminal.html#post_terminal_readers_reader_set_reader_display/3","title":"ExOAPI.Stripe.SDK.Terminal.post_terminal_readers_reader_set_reader_display/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Terminal.html#t:get_terminal_configurations_configuration_opts/0","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_configurations_configuration_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Terminal.html#t:get_terminal_configurations_opts/0","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_configurations_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Terminal.html#t:get_terminal_locations_location_opts/0","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_locations_location_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Terminal.html#t:get_terminal_locations_opts/0","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_locations_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Terminal.html#t:get_terminal_readers_opts/0","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_readers_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Terminal.html#t:get_terminal_readers_reader_opts/0","title":"ExOAPI.Stripe.SDK.Terminal.get_terminal_readers_reader_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.TestHelpers.html","title":"ExOAPI.Stripe.SDK.TestHelpers","type":"module"},{"doc":"description : &lt;p&gt;Deletes a test clock.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TestHelpers.html#delete_test_helpers_test_clocks_test_clock/3","title":"ExOAPI.Stripe.SDK.TestHelpers.delete_test_helpers_test_clocks_test_clock/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of your test clocks.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TestHelpers.html#get_test_helpers_test_clocks/2","title":"ExOAPI.Stripe.SDK.TestHelpers.get_test_helpers_test_clocks/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves a test clock.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TestHelpers.html#get_test_helpers_test_clocks_test_clock/3","title":"ExOAPI.Stripe.SDK.TestHelpers.get_test_helpers_test_clocks_test_clock/3","type":"function"},{"doc":"description : &lt;p&gt;Presents a payment method on a simulated reader. Can be used to simulate accepting a payment, saving a card or refunding a transaction.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TestHelpers.html#post_test_helpers_terminal_readers_reader_present_payment_method/3","title":"ExOAPI.Stripe.SDK.TestHelpers.post_test_helpers_terminal_readers_reader_present_payment_method/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a new test clock that can be attached to new customers and quotes.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TestHelpers.html#post_test_helpers_test_clocks/2","title":"ExOAPI.Stripe.SDK.TestHelpers.post_test_helpers_test_clocks/2","type":"function"},{"doc":"description : &lt;p&gt;Starts advancing a test clock to a specified time in the future. Advancement is done when status changes to &lt;code&gt;Ready&lt;/code&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.TestHelpers.html#post_test_helpers_test_clocks_test_clock_advance/3","title":"ExOAPI.Stripe.SDK.TestHelpers.post_test_helpers_test_clocks_test_clock_advance/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.TestHelpers.html#t:get_test_helpers_test_clocks_opts/0","title":"ExOAPI.Stripe.SDK.TestHelpers.get_test_helpers_test_clocks_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.TestHelpers.html#t:get_test_helpers_test_clocks_test_clock_opts/0","title":"ExOAPI.Stripe.SDK.TestHelpers.get_test_helpers_test_clocks_test_clock_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Tokens.html","title":"ExOAPI.Stripe.SDK.Tokens","type":"module"},{"doc":"description : &lt;p&gt;Retrieves the token with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Tokens.html#get_tokens_token/3","title":"ExOAPI.Stripe.SDK.Tokens.get_tokens_token/3","type":"function"},{"doc":"description : &lt;p&gt;Creates a single-use token that represents a bank account’s details. This token can be used with any API method in place of a bank account dictionary. This token can be used only once, by attaching it to a &lt;a href=&quot;#accounts&quot;&gt;Custom account&lt;/a&gt;.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Tokens.html#post_tokens/2","title":"ExOAPI.Stripe.SDK.Tokens.post_tokens/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Tokens.html#t:get_tokens_token_opts/0","title":"ExOAPI.Stripe.SDK.Tokens.get_tokens_token_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Topups.html","title":"ExOAPI.Stripe.SDK.Topups","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of top-ups.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Topups.html#get_topups/2","title":"ExOAPI.Stripe.SDK.Topups.get_topups/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of a top-up that has previously been created. Supply the unique top-up ID that was returned from your previous request, and Stripe will return the corresponding top-up information.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Topups.html#get_topups_topup/3","title":"ExOAPI.Stripe.SDK.Topups.get_topups_topup/3","type":"function"},{"doc":"description : &lt;p&gt;Top up the balance of an account&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Topups.html#post_topups/2","title":"ExOAPI.Stripe.SDK.Topups.post_topups/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the metadata of a top-up. Other top-up details are not editable by design.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Topups.html#post_topups_topup/3","title":"ExOAPI.Stripe.SDK.Topups.post_topups_topup/3","type":"function"},{"doc":"description : &lt;p&gt;Cancels a top-up. Only pending top-ups can be canceled.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Topups.html#post_topups_topup_cancel/3","title":"ExOAPI.Stripe.SDK.Topups.post_topups_topup_cancel/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Topups.html#t:get_topups_opts/0","title":"ExOAPI.Stripe.SDK.Topups.get_topups_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Topups.html#t:get_topups_topup_opts/0","title":"ExOAPI.Stripe.SDK.Topups.get_topups_topup_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Transfers.html","title":"ExOAPI.Stripe.SDK.Transfers","type":"module"},{"doc":"description : &lt;p&gt;Returns a list of existing transfers sent to connected accounts. The transfers are returned in sorted order, with the most recently created transfers appearing first.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Transfers.html#get_transfers/2","title":"ExOAPI.Stripe.SDK.Transfers.get_transfers/2","type":"function"},{"doc":"description : &lt;p&gt;You can see a list of the reversals belonging to a specific transfer. Note that the 10 most recent reversals are always available by default on the transfer object. If you need more than those 10, you can use this API method and the &lt;code&gt;limit&lt;/code&gt; and &lt;code&gt;starting_after&lt;/code&gt; parameters to page through additional reversals.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Transfers.html#get_transfers_id_reversals/3","title":"ExOAPI.Stripe.SDK.Transfers.get_transfers_id_reversals/3","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the details of an existing transfer. Supply the unique transfer ID from either a transfer creation request or the transfer list, and Stripe will return the corresponding transfer information.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Transfers.html#get_transfers_transfer/3","title":"ExOAPI.Stripe.SDK.Transfers.get_transfers_transfer/3","type":"function"},{"doc":"description : &lt;p&gt;By default, you can see the 10 most recent reversals stored directly on the transfer object, but you can also retrieve details about a specific reversal stored on the transfer.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Transfers.html#get_transfers_transfer_reversals_id/4","title":"ExOAPI.Stripe.SDK.Transfers.get_transfers_transfer_reversals_id/4","type":"function"},{"doc":"description : &lt;p&gt;To send funds from your Stripe account to a connected account, you create a new transfer object. Your &lt;a href=&quot;#balance&quot;&gt;Stripe balance&lt;/a&gt; must be able to cover the transfer amount, or you’ll receive an “Insufficient Funds” error.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.Transfers.html#post_transfers/2","title":"ExOAPI.Stripe.SDK.Transfers.post_transfers/2","type":"function"},{"doc":"description : &lt;p&gt;When you create a new reversal, you must specify a transfer to create it on.&lt;/p&gt; When reversing transfers, you can optionally reverse part of the transfer. You can do so as many times as you wish until the entire transfer has been reversed. Once entirely reversed, a transfer can’t be reversed again. This method will return an error when called on an already-reversed transfer, or when trying to reverse more money than is left on a transfer.","ref":"ExOAPI.Stripe.SDK.Transfers.html#post_transfers_id_reversals/3","title":"ExOAPI.Stripe.SDK.Transfers.post_transfers_id_reversals/3","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified transfer by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt; This request accepts only metadata as an argument.","ref":"ExOAPI.Stripe.SDK.Transfers.html#post_transfers_transfer/3","title":"ExOAPI.Stripe.SDK.Transfers.post_transfers_transfer/3","type":"function"},{"doc":"description : &lt;p&gt;Updates the specified reversal by setting the values of the parameters passed. Any parameters not provided will be left unchanged.&lt;/p&gt; This request only accepts metadata and description as arguments.","ref":"ExOAPI.Stripe.SDK.Transfers.html#post_transfers_transfer_reversals_id/4","title":"ExOAPI.Stripe.SDK.Transfers.post_transfers_transfer_reversals_id/4","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Transfers.html#t:get_transfers_id_reversals_opts/0","title":"ExOAPI.Stripe.SDK.Transfers.get_transfers_id_reversals_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Transfers.html#t:get_transfers_opts/0","title":"ExOAPI.Stripe.SDK.Transfers.get_transfers_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Transfers.html#t:get_transfers_transfer_opts/0","title":"ExOAPI.Stripe.SDK.Transfers.get_transfers_transfer_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.Transfers.html#t:get_transfers_transfer_reversals_id_opts/0","title":"ExOAPI.Stripe.SDK.Transfers.get_transfers_transfer_reversals_id_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.WebhookEndpoints.html","title":"ExOAPI.Stripe.SDK.WebhookEndpoints","type":"module"},{"doc":"description : &lt;p&gt;You can also delete webhook endpoints via the &lt;a href=&quot; https://dashboard.stripe.com/account/webhooks&quot; &gt;webhook endpoint management&lt;/a&gt; page of the Stripe dashboard.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.WebhookEndpoints.html#delete_webhook_endpoints_webhook_endpoint/3","title":"ExOAPI.Stripe.SDK.WebhookEndpoints.delete_webhook_endpoints_webhook_endpoint/3","type":"function"},{"doc":"description : &lt;p&gt;Returns a list of your webhook endpoints.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.WebhookEndpoints.html#get_webhook_endpoints/2","title":"ExOAPI.Stripe.SDK.WebhookEndpoints.get_webhook_endpoints/2","type":"function"},{"doc":"description : &lt;p&gt;Retrieves the webhook endpoint with the given ID.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.WebhookEndpoints.html#get_webhook_endpoints_webhook_endpoint/3","title":"ExOAPI.Stripe.SDK.WebhookEndpoints.get_webhook_endpoints_webhook_endpoint/3","type":"function"},{"doc":"description : &lt;p&gt;A webhook endpoint must have a &lt;code&gt;url&lt;/code&gt; and a list of &lt;code&gt;enabled_events&lt;/code&gt;. You may optionally specify the Boolean &lt;code&gt;connect&lt;/code&gt; parameter. If set to true, then a Connect webhook endpoint that notifies the specified &lt;code&gt;url&lt;/code&gt; about events from all connected accounts is created; otherwise an account webhook endpoint that notifies the specified &lt;code&gt;url&lt;/code&gt; only about events from your account is created. You can also create webhook endpoints in the &lt;a href=&quot; https://dashboard.stripe.com/account/webhooks&quot; &gt;webhooks settings&lt;/a&gt; section of the Dashboard.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.WebhookEndpoints.html#post_webhook_endpoints/2","title":"ExOAPI.Stripe.SDK.WebhookEndpoints.post_webhook_endpoints/2","type":"function"},{"doc":"description : &lt;p&gt;Updates the webhook endpoint. You may edit the &lt;code&gt;url&lt;/code&gt;, the list of &lt;code&gt;enabled_events&lt;/code&gt;, and the status of your endpoint.&lt;/p&gt;","ref":"ExOAPI.Stripe.SDK.WebhookEndpoints.html#post_webhook_endpoints_webhook_endpoint/3","title":"ExOAPI.Stripe.SDK.WebhookEndpoints.post_webhook_endpoints_webhook_endpoint/3","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.SDK.WebhookEndpoints.html#t:get_webhook_endpoints_opts/0","title":"ExOAPI.Stripe.SDK.WebhookEndpoints.get_webhook_endpoints_opts/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.SDK.WebhookEndpoints.html#t:get_webhook_endpoints_webhook_endpoint_opts/0","title":"ExOAPI.Stripe.SDK.WebhookEndpoints.get_webhook_endpoints_webhook_endpoint_opts/0","type":"type"},{"doc":"description : This is an object representing a Stripe account. You can retrieve it to see properties on the account like its current e-mail address or if the account is enabled yet to make live charges. Some properties, marked below, are available only to platforms that want to create and manage Express or Custom accounts . :business_profile :: ExOAPI.Stripe.Schemas.AccountBusinessProfile Business information about the account. :business_type :: :string The business type. :capabilities :: ExOAPI.Stripe.Schemas.AccountCapabilities :charges_enabled :: :boolean Whether the account can create live charges. :company :: ExOAPI.Stripe.Schemas.LegalEntityCompany :controller :: ExOAPI.Stripe.Schemas.AccountUnificationAccountController :country :: :string The account's country. :created :: :integer Time at which the account was connected. Measured in seconds since the Unix epoch. :default_currency :: :string Three-letter ISO currency code representing the default currency for the account. This must be a currency that Stripe supports in the account's country . :details_submitted :: :boolean Whether account details have been submitted. Standard accounts cannot receive payouts before this is true. :email :: :string An email address associated with the account. You can treat this as metadata: it is not used for authentication or messaging account holders. ::data :: ExOAPI.Stripe.Schemas.Card | ExOAPI.Stripe.Schemas.BankAccount :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :future_requirements :: ExOAPI.Stripe.Schemas.AccountFutureRequirements :id :: :string Unique identifier for the object. :individual :: ExOAPI.Stripe.Schemas.Person :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :payouts_enabled :: :boolean Whether Stripe can send payouts to this account. :requirements :: ExOAPI.Stripe.Schemas.AccountRequirements :settings :: ExOAPI.Stripe.Schemas.AccountSettings Options for customizing how the account functions within Stripe. :tos_acceptance :: ExOAPI.Stripe.Schemas.AccountTosAcceptance :type :: :string The Stripe account type. Can be standard , express , or custom .","ref":"ExOAPI.Stripe.Schemas.Account.html","title":"ExOAPI.Stripe.Schemas.Account","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Account.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Account.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Account.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Account.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Account.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Account.t/0","type":"type"},{"doc":":display_name :: :string The Bacs Direct Debit Display Name for this account. For payments made with Bacs Direct Debit, this will appear on the mandate, and as the statement descriptor.","ref":"ExOAPI.Stripe.Schemas.AccountBacsDebitPaymentsSettings.html","title":"ExOAPI.Stripe.Schemas.AccountBacsDebitPaymentsSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountBacsDebitPaymentsSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountBacsDebitPaymentsSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountBacsDebitPaymentsSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountBacsDebitPaymentsSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountBacsDebitPaymentsSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountBacsDebitPaymentsSettings.t/0","type":"type"},{"doc":":icon :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) An icon for the account. Must be square and at least 128px x 128px. :logo :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) A logo for the account that will be used in Checkout instead of the icon and without the account's name next to it if provided. Must be at least 128px x 128px. :primary_color :: :string A CSS hex color value representing the primary branding color for this account :secondary_color :: :string A CSS hex color value representing the secondary branding color for this account","ref":"ExOAPI.Stripe.Schemas.AccountBrandingSettings.html","title":"ExOAPI.Stripe.Schemas.AccountBrandingSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountBrandingSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountBrandingSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountBrandingSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountBrandingSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountBrandingSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountBrandingSettings.t/0","type":"type"},{"doc":":mcc :: :string The merchant category code for the account . MCCs are used to classify businesses based on the goods or services they provide. :name :: :string The customer-facing business name. :product_description :: :string Internal-only description of the product sold or service provided by the business. It's used by Stripe for risk and underwriting purposes. :support_address :: ExOAPI.Stripe.Schemas.Address A publicly available mailing address for sending support issues to. :support_email :: :string A publicly available email address for sending support issues to. :support_phone :: :string A publicly available phone number to call with support issues. :support_url :: :string A publicly available website for handling support issues. :url :: :string The business's publicly available website.","ref":"ExOAPI.Stripe.Schemas.AccountBusinessProfile.html","title":"ExOAPI.Stripe.Schemas.AccountBusinessProfile","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountBusinessProfile.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountBusinessProfile.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountBusinessProfile.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountBusinessProfile.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountBusinessProfile.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountBusinessProfile.t/0","type":"type"},{"doc":":acss_debit_payments :: :string The status of the Canadian pre-authorized debits payments capability of the account, or whether the account can directly process Canadian pre-authorized debits charges. :afterpay_clearpay_payments :: :string The status of the Afterpay Clearpay capability of the account, or whether the account can directly process Afterpay Clearpay charges. :au_becs_debit_payments :: :string The status of the BECS Direct Debit (AU) payments capability of the account, or whether the account can directly process BECS Direct Debit (AU) charges. :bacs_debit_payments :: :string The status of the Bacs Direct Debits payments capability of the account, or whether the account can directly process Bacs Direct Debits charges. :bancontact_payments :: :string The status of the Bancontact payments capability of the account, or whether the account can directly process Bancontact charges. :bank_transfer_payments :: :string The status of the customer_balance payments capability of the account, or whether the account can directly process customer_balance charges. :boleto_payments :: :string The status of the boleto payments capability of the account, or whether the account can directly process boleto charges. :card_issuing :: :string The status of the card issuing capability of the account, or whether you can use Issuing to distribute funds on cards :card_payments :: :string The status of the card payments capability of the account, or whether the account can directly process credit and debit card charges. :cartes_bancaires_payments :: :string The status of the Cartes Bancaires payments capability of the account, or whether the account can directly process Cartes Bancaires card charges in EUR currency. :eps_payments :: :string The status of the EPS payments capability of the account, or whether the account can directly process EPS charges. :fpx_payments :: :string The status of the FPX payments capability of the account, or whether the account can directly process FPX charges. :giropay_payments :: :string The status of the giropay payments capability of the account, or whether the account can directly process giropay charges. :grabpay_payments :: :string The status of the GrabPay payments capability of the account, or whether the account can directly process GrabPay charges. :ideal_payments :: :string The status of the iDEAL payments capability of the account, or whether the account can directly process iDEAL charges. :jcb_payments :: :string The status of the JCB payments capability of the account, or whether the account (Japan only) can directly process JCB credit card charges in JPY currency. :klarna_payments :: :string The status of the Klarna payments capability of the account, or whether the account can directly process Klarna charges. :konbini_payments :: :string The status of the konbini payments capability of the account, or whether the account can directly process konbini charges. :legacy_payments :: :string The status of the legacy payments capability of the account. :oxxo_payments :: :string The status of the OXXO payments capability of the account, or whether the account can directly process OXXO charges. :p24_payments :: :string The status of the P24 payments capability of the account, or whether the account can directly process P24 charges. :paynow_payments :: :string The status of the paynow payments capability of the account, or whether the account can directly process paynow charges. :sepa_debit_payments :: :string The status of the SEPA Direct Debits payments capability of the account, or whether the account can directly process SEPA Direct Debits charges. :sofort_payments :: :string The status of the Sofort payments capability of the account, or whether the account can directly process Sofort charges. :tax_reporting_us_1099_k :: :string The status of the tax reporting 1099-K (US) capability of the account. :tax_reporting_us_1099_misc :: :string The status of the tax reporting 1099-MISC (US) capability of the account. :transfers :: :string The status of the transfers capability of the account, or whether your platform can transfer funds to the account. :us_bank_account_ach_payments :: :string The status of the US bank account ACH payments capability of the account, or whether the account can directly process US bank account charges.","ref":"ExOAPI.Stripe.Schemas.AccountCapabilities.html","title":"ExOAPI.Stripe.Schemas.AccountCapabilities","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCapabilities.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountCapabilities.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCapabilities.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountCapabilities.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCapabilities.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountCapabilities.t/0","type":"type"},{"doc":"::alternatives :: ExOAPI.Stripe.Schemas.AccountRequirementsAlternative :current_deadline :: :integer Date on which future_requirements merges with the main requirements hash and future_requirements becomes empty. After the transition, currently_due requirements may immediately become past_due , but the account may also be given a grace period depending on the capability's enablement state prior to transitioning. ::currently_due :: :string :disabled_reason :: :string This is typed as a string for consistency with requirements.disabled_reason , but it safe to assume future_requirements.disabled_reason is empty because fields in future_requirements will never disable the account. ::errors :: ExOAPI.Stripe.Schemas.AccountRequirementsError ::eventually_due :: :string ::past_due :: :string ::pending_verification :: :string","ref":"ExOAPI.Stripe.Schemas.AccountCapabilityFutureRequirements.html","title":"ExOAPI.Stripe.Schemas.AccountCapabilityFutureRequirements","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCapabilityFutureRequirements.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountCapabilityFutureRequirements.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCapabilityFutureRequirements.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountCapabilityFutureRequirements.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCapabilityFutureRequirements.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountCapabilityFutureRequirements.t/0","type":"type"},{"doc":"::alternatives :: ExOAPI.Stripe.Schemas.AccountRequirementsAlternative :current_deadline :: :integer Date by which the fields in currently_due must be collected to keep the capability enabled for the account. These fields may disable the capability sooner if the next threshold is reached before they are collected. ::currently_due :: :string :disabled_reason :: :string If the capability is disabled, this string describes why. Can be requirements.past_due , requirements.pending_verification , listed , platform_paused , rejected.fraud , rejected.listed , rejected.terms_of_service , rejected.other , under_review , or other . rejected.unsupported_business means that the account's business is not supported by the capability. For example, payment methods may restrict the businesses they support in their terms of service: Afterpay Clearpay's terms of service If you believe that the rejection is in error, please contact support at https://support.stripe.com/contact/ for assistance. ::errors :: ExOAPI.Stripe.Schemas.AccountRequirementsError ::eventually_due :: :string ::past_due :: :string ::pending_verification :: :string","ref":"ExOAPI.Stripe.Schemas.AccountCapabilityRequirements.html","title":"ExOAPI.Stripe.Schemas.AccountCapabilityRequirements","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCapabilityRequirements.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountCapabilityRequirements.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCapabilityRequirements.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountCapabilityRequirements.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCapabilityRequirements.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountCapabilityRequirements.t/0","type":"type"},{"doc":":tos_acceptance :: ExOAPI.Stripe.Schemas.CardIssuingAccountTermsOfService","ref":"ExOAPI.Stripe.Schemas.AccountCardIssuingSettings.html","title":"ExOAPI.Stripe.Schemas.AccountCardIssuingSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCardIssuingSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountCardIssuingSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCardIssuingSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountCardIssuingSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCardIssuingSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountCardIssuingSettings.t/0","type":"type"},{"doc":":decline_on :: ExOAPI.Stripe.Schemas.AccountDeclineChargeOn :statement_descriptor_prefix :: :string The default text that appears on credit card statements when a charge is made. This field prefixes any dynamic statement_descriptor specified on the charge. statement_descriptor_prefix is useful for maximizing descriptor space for the dynamic portion.","ref":"ExOAPI.Stripe.Schemas.AccountCardPaymentsSettings.html","title":"ExOAPI.Stripe.Schemas.AccountCardPaymentsSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCardPaymentsSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountCardPaymentsSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCardPaymentsSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountCardPaymentsSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountCardPaymentsSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountCardPaymentsSettings.t/0","type":"type"},{"doc":":display_name :: :string The display name for this account. This is used on the Stripe Dashboard to differentiate between accounts. :timezone :: :string The timezone used in the Stripe Dashboard for this account. A list of possible time zone values is maintained at the IANA Time Zone Database .","ref":"ExOAPI.Stripe.Schemas.AccountDashboardSettings.html","title":"ExOAPI.Stripe.Schemas.AccountDashboardSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountDashboardSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountDashboardSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountDashboardSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountDashboardSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountDashboardSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountDashboardSettings.t/0","type":"type"},{"doc":":avs_failure :: :boolean Whether Stripe automatically declines charges with an incorrect ZIP or postal code. This setting only applies when a ZIP or postal code is provided and they fail bank verification. :cvc_failure :: :boolean Whether Stripe automatically declines charges with an incorrect CVC. This setting only applies when a CVC is provided and it fails bank verification.","ref":"ExOAPI.Stripe.Schemas.AccountDeclineChargeOn.html","title":"ExOAPI.Stripe.Schemas.AccountDeclineChargeOn","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountDeclineChargeOn.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountDeclineChargeOn.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountDeclineChargeOn.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountDeclineChargeOn.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountDeclineChargeOn.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountDeclineChargeOn.t/0","type":"type"},{"doc":"::alternatives :: ExOAPI.Stripe.Schemas.AccountRequirementsAlternative :current_deadline :: :integer Date on which future_requirements merges with the main requirements hash and future_requirements becomes empty. After the transition, currently_due requirements may immediately become past_due , but the account may also be given a grace period depending on its enablement state prior to transitioning. ::currently_due :: :string :disabled_reason :: :string This is typed as a string for consistency with requirements.disabled_reason , but it safe to assume future_requirements.disabled_reason is empty because fields in future_requirements will never disable the account. ::errors :: ExOAPI.Stripe.Schemas.AccountRequirementsError ::eventually_due :: :string ::past_due :: :string ::pending_verification :: :string","ref":"ExOAPI.Stripe.Schemas.AccountFutureRequirements.html","title":"ExOAPI.Stripe.Schemas.AccountFutureRequirements","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountFutureRequirements.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountFutureRequirements.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountFutureRequirements.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountFutureRequirements.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountFutureRequirements.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountFutureRequirements.t/0","type":"type"},{"doc":"description : Account Links are the means by which a Connect platform grants a connected account permission to access Stripe-hosted applications, such as Connect Onboarding. Related guide: Connect Onboarding . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :expires_at :: :integer The timestamp at which this account link will expire. :object :: :string String representing the object's type. Objects of the same type share the same value. :url :: :string The URL for the account link.","ref":"ExOAPI.Stripe.Schemas.AccountLink.html","title":"ExOAPI.Stripe.Schemas.AccountLink","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountLink.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountLink.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountLink.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountLink.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountLink.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountLink.t/0","type":"type"},{"doc":":statement_descriptor :: :string The default text that appears on credit card statements when a charge is made. This field prefixes any dynamic statement_descriptor specified on the charge. :statement_descriptor_kana :: :string The Kana variation of the default text that appears on credit card statements when a charge is made (Japan only) :statement_descriptor_kanji :: :string The Kanji variation of the default text that appears on credit card statements when a charge is made (Japan only)","ref":"ExOAPI.Stripe.Schemas.AccountPaymentsSettings.html","title":"ExOAPI.Stripe.Schemas.AccountPaymentsSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountPaymentsSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountPaymentsSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountPaymentsSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountPaymentsSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountPaymentsSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountPaymentsSettings.t/0","type":"type"},{"doc":":debit_negative_balances :: :boolean A Boolean indicating if Stripe should try to reclaim negative balances from an attached bank account. See our Understanding Connect Account Balances documentation for details. Default value is false for Custom accounts, otherwise true . :schedule :: ExOAPI.Stripe.Schemas.TransferSchedule :statement_descriptor :: :string The text that appears on the bank account statement for payouts. If not set, this defaults to the platform's bank descriptor as set in the Dashboard.","ref":"ExOAPI.Stripe.Schemas.AccountPayoutSettings.html","title":"ExOAPI.Stripe.Schemas.AccountPayoutSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountPayoutSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountPayoutSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountPayoutSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountPayoutSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountPayoutSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountPayoutSettings.t/0","type":"type"},{"doc":"::alternatives :: ExOAPI.Stripe.Schemas.AccountRequirementsAlternative :current_deadline :: :integer Date by which the fields in currently_due must be collected to keep the account enabled. These fields may disable the account sooner if the next threshold is reached before they are collected. ::currently_due :: :string :disabled_reason :: :string If the account is disabled, this string describes why. Can be requirements.past_due , requirements.pending_verification , listed , platform_paused , rejected.fraud , rejected.listed , rejected.terms_of_service , rejected.other , under_review , or other . ::errors :: ExOAPI.Stripe.Schemas.AccountRequirementsError ::eventually_due :: :string ::past_due :: :string ::pending_verification :: :string","ref":"ExOAPI.Stripe.Schemas.AccountRequirements.html","title":"ExOAPI.Stripe.Schemas.AccountRequirements","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountRequirements.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountRequirements.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountRequirements.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountRequirements.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountRequirements.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountRequirements.t/0","type":"type"},{"doc":"::alternative_fields_due :: :string ::original_fields_due :: :string","ref":"ExOAPI.Stripe.Schemas.AccountRequirementsAlternative.html","title":"ExOAPI.Stripe.Schemas.AccountRequirementsAlternative","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountRequirementsAlternative.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountRequirementsAlternative.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountRequirementsAlternative.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountRequirementsAlternative.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountRequirementsAlternative.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountRequirementsAlternative.t/0","type":"type"},{"doc":":code :: :string The code for the type of error. :reason :: :string An informative message that indicates the error type and provides additional details about the error. :requirement :: :string The specific user onboarding requirement field (in the requirements hash) that needs to be resolved.","ref":"ExOAPI.Stripe.Schemas.AccountRequirementsError.html","title":"ExOAPI.Stripe.Schemas.AccountRequirementsError","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountRequirementsError.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountRequirementsError.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountRequirementsError.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountRequirementsError.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountRequirementsError.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountRequirementsError.t/0","type":"type"},{"doc":":creditor_id :: :string SEPA creditor identifier that identifies the company making the payment.","ref":"ExOAPI.Stripe.Schemas.AccountSepaDebitPaymentsSettings.html","title":"ExOAPI.Stripe.Schemas.AccountSepaDebitPaymentsSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountSepaDebitPaymentsSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountSepaDebitPaymentsSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountSepaDebitPaymentsSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountSepaDebitPaymentsSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountSepaDebitPaymentsSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountSepaDebitPaymentsSettings.t/0","type":"type"},{"doc":":bacs_debit_payments :: ExOAPI.Stripe.Schemas.AccountBacsDebitPaymentsSettings :branding :: ExOAPI.Stripe.Schemas.AccountBrandingSettings :card_issuing :: ExOAPI.Stripe.Schemas.AccountCardIssuingSettings :card_payments :: ExOAPI.Stripe.Schemas.AccountCardPaymentsSettings :dashboard :: ExOAPI.Stripe.Schemas.AccountDashboardSettings :payments :: ExOAPI.Stripe.Schemas.AccountPaymentsSettings :payouts :: ExOAPI.Stripe.Schemas.AccountPayoutSettings :sepa_debit_payments :: ExOAPI.Stripe.Schemas.AccountSepaDebitPaymentsSettings","ref":"ExOAPI.Stripe.Schemas.AccountSettings.html","title":"ExOAPI.Stripe.Schemas.AccountSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountSettings.t/0","type":"type"},{"doc":":date :: :integer The Unix timestamp marking when the account representative accepted their service agreement :ip :: :string The IP address from which the account representative accepted their service agreement :service_agreement :: :string The user's service agreement type :user_agent :: :string The user agent of the browser from which the account representative accepted their service agreement","ref":"ExOAPI.Stripe.Schemas.AccountTosAcceptance.html","title":"ExOAPI.Stripe.Schemas.AccountTosAcceptance","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountTosAcceptance.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountTosAcceptance.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountTosAcceptance.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountTosAcceptance.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountTosAcceptance.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountTosAcceptance.t/0","type":"type"},{"doc":":is_controller :: :boolean true if the Connect application retrieving the resource controls the account and can therefore exercise platform controls . Otherwise, this field is null. :type :: :string The controller type. Can be application , if a Connect application controls the account, or account , if the account controls itself.","ref":"ExOAPI.Stripe.Schemas.AccountUnificationAccountController.html","title":"ExOAPI.Stripe.Schemas.AccountUnificationAccountController","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountUnificationAccountController.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AccountUnificationAccountController.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountUnificationAccountController.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AccountUnificationAccountController.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AccountUnificationAccountController.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AccountUnificationAccountController.t/0","type":"type"},{"doc":":city :: :string City, district, suburb, town, or village. :country :: :string Two-letter country code ( ISO 3166-1 alpha-2 ). :line1 :: :string Address line 1 (e.g., street, PO Box, or company name). :line2 :: :string Address line 2 (e.g., apartment, suite, unit, or building). :postal_code :: :string ZIP or postal code. :state :: :string State, county, province, or region.","ref":"ExOAPI.Stripe.Schemas.Address.html","title":"ExOAPI.Stripe.Schemas.Address","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Address.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Address.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Address.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Address.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Address.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Address.t/0","type":"type"},{"doc":":created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The ID of the customer associated with this Alipay Account. :fingerprint :: :string Uniquely identifies the account and will be the same across all Alipay account objects that are linked to the same Alipay account. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :payment_amount :: :integer If the Alipay account object is not reusable, the exact amount that you can create a charge for. :payment_currency :: :string If the Alipay account object is not reusable, the exact currency that you can create a charge for. :reusable :: :boolean True if you can create multiple payments using this account. If the account is reusable, then you can freely choose the amount of each payment. :used :: :boolean Whether this Alipay account object has ever been used for a payment. :username :: :string The username for the Alipay account.","ref":"ExOAPI.Stripe.Schemas.AlipayAccount.html","title":"ExOAPI.Stripe.Schemas.AlipayAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AlipayAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AlipayAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AlipayAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AlipayAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AlipayAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AlipayAccount.t/0","type":"type"},{"doc":":charge :: ExOAPI.Stripe.Schemas.Charge For card errors, the ID of the failed charge. :code :: :string For some errors that could be handled programmatically, a short string indicating the error code reported. :decline_code :: :string For card errors resulting from a card issuer decline, a short string indicating the card issuer's reason for the decline if they provide one. :doc_url :: :string A URL to more information about the error code reported. :message :: :string A human-readable message providing more details about the error. For card errors, these messages can be shown to your users. :param :: :string If the error is parameter-specific, the parameter related to the error. For example, you can use this to display a message near the correct form field. :payment_intent :: ExOAPI.Stripe.Schemas.PaymentIntent :payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod :payment_method_type :: :string If the error is specific to the type of payment method, the payment method type that had a problem. This field is only populated for invoice-related errors. :setup_intent :: ExOAPI.Stripe.Schemas.SetupIntent :source :: ExOAPI.Stripe.Schemas.Source | ExOAPI.Stripe.Schemas.Card | ExOAPI.Stripe.Schemas.BankAccount The source object for errors returned on a request involving a source. :type :: :string The type of error returned. One of api_error , card_error , idempotency_error , or invalid_request_error","ref":"ExOAPI.Stripe.Schemas.ApiErrors.html","title":"ExOAPI.Stripe.Schemas.ApiErrors","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ApiErrors.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ApiErrors.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ApiErrors.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ApiErrors.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ApiErrors.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ApiErrors.t/0","type":"type"},{"doc":":created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :domain_name :: :string :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.ApplePayDomain.html","title":"ExOAPI.Stripe.Schemas.ApplePayDomain","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ApplePayDomain.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ApplePayDomain.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ApplePayDomain.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ApplePayDomain.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ApplePayDomain.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ApplePayDomain.t/0","type":"type"},{"doc":":id :: :string Unique identifier for the object. :name :: :string The name of the application. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.Application.html","title":"ExOAPI.Stripe.Schemas.Application","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Application.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Application.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Application.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Application.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Application.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Application.t/0","type":"type"},{"doc":":account :: ExOAPI.Stripe.Schemas.Account | :string ID of the Stripe account this fee was taken from. :amount :: :integer Amount earned, in %s. :amount_refunded :: :integer Amount in %s refunded (can be less than the amount attribute on the fee if a partial refund was issued) :application :: ExOAPI.Stripe.Schemas.Application | :string ID of the Connect application that earned the fee. :balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string Balance transaction that describes the impact of this collected application fee on your account balance (not including refunds). :charge :: ExOAPI.Stripe.Schemas.Charge | :string ID of the charge that the application fee was taken from. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :originating_transaction :: ExOAPI.Stripe.Schemas.Charge | :string ID of the corresponding charge on the platform account, if this fee was the result of a charge using the destination parameter. :refunded :: :boolean Whether the fee has been fully refunded. If the fee is only partially refunded, this attribute will still be false. ::data :: ExOAPI.Stripe.Schemas.FeeRefund :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed.","ref":"ExOAPI.Stripe.Schemas.ApplicationFee.html","title":"ExOAPI.Stripe.Schemas.ApplicationFee","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ApplicationFee.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ApplicationFee.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ApplicationFee.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ApplicationFee.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ApplicationFee.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ApplicationFee.t/0","type":"type"},{"doc":":enabled :: :boolean Whether Stripe automatically computes tax on this invoice. :status :: :string The status of the most recent automated tax calculation for this invoice.","ref":"ExOAPI.Stripe.Schemas.AutomaticTax.html","title":"ExOAPI.Stripe.Schemas.AutomaticTax","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AutomaticTax.html#changeset/2","title":"ExOAPI.Stripe.Schemas.AutomaticTax.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AutomaticTax.html#t:params/0","title":"ExOAPI.Stripe.Schemas.AutomaticTax.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.AutomaticTax.html#t:t/0","title":"ExOAPI.Stripe.Schemas.AutomaticTax.t/0","type":"type"},{"doc":"description : This is an object representing your Stripe balance. You can retrieve it to see the balance currently on your Stripe account. You can also retrieve the balance history, which contains a list of transactions that contributed to the balance (charges, payouts, and so forth). The available and pending amounts for each currency are broken down further by payment source types. Related guide: Understanding Connect Account Balances . ::available :: ExOAPI.Stripe.Schemas.BalanceAmount ::connect_reserved :: ExOAPI.Stripe.Schemas.BalanceAmount ::instant_available :: ExOAPI.Stripe.Schemas.BalanceAmount :issuing :: ExOAPI.Stripe.Schemas.BalanceDetail :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. ::pending :: ExOAPI.Stripe.Schemas.BalanceAmount","ref":"ExOAPI.Stripe.Schemas.Balance.html","title":"ExOAPI.Stripe.Schemas.Balance","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Balance.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Balance.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Balance.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Balance.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Balance.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Balance.t/0","type":"type"},{"doc":":amount :: :integer Balance amount. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :source_types :: ExOAPI.Stripe.Schemas.BalanceAmountBySourceType","ref":"ExOAPI.Stripe.Schemas.BalanceAmount.html","title":"ExOAPI.Stripe.Schemas.BalanceAmount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceAmount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.BalanceAmount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceAmount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.BalanceAmount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceAmount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.BalanceAmount.t/0","type":"type"},{"doc":":bank_account :: ExOAPI.Stripe.Schemas.BankAccount Amount for bank account. :card :: ExOAPI.Stripe.Schemas.Card Amount for card. :fpx :: :integer Amount for FPX.","ref":"ExOAPI.Stripe.Schemas.BalanceAmountBySourceType.html","title":"ExOAPI.Stripe.Schemas.BalanceAmountBySourceType","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceAmountBySourceType.html#changeset/2","title":"ExOAPI.Stripe.Schemas.BalanceAmountBySourceType.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceAmountBySourceType.html#t:params/0","title":"ExOAPI.Stripe.Schemas.BalanceAmountBySourceType.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceAmountBySourceType.html#t:t/0","title":"ExOAPI.Stripe.Schemas.BalanceAmountBySourceType.t/0","type":"type"},{"doc":"::available :: ExOAPI.Stripe.Schemas.BalanceAmount","ref":"ExOAPI.Stripe.Schemas.BalanceDetail.html","title":"ExOAPI.Stripe.Schemas.BalanceDetail","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceDetail.html#changeset/2","title":"ExOAPI.Stripe.Schemas.BalanceDetail.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceDetail.html#t:params/0","title":"ExOAPI.Stripe.Schemas.BalanceDetail.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceDetail.html#t:t/0","title":"ExOAPI.Stripe.Schemas.BalanceDetail.t/0","type":"type"},{"doc":"description : Balance transactions represent funds moving through your Stripe account. They're created for every type of transaction that comes into or flows out of your Stripe account balance. Related guide: Balance Transaction Types . :amount :: :integer Gross amount of the transaction, in %s. :available_on :: :integer The date the transaction's net funds will become available in the Stripe balance. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :exchange_rate :: ExOAPI.Stripe.Schemas.ExchangeRate The exchange rate used, if applicable, for this transaction. Specifically, if money was converted from currency A to currency B, then the amount in currency A, times exchange_rate , would be the amount in currency B. For example, suppose you charged a customer 10.00 EUR. Then the PaymentIntent's amount would be 1000 and currency would be eur . Suppose this was converted into 12.34 USD in your Stripe account. Then the BalanceTransaction's amount would be 1234 , currency would be usd , and exchange_rate would be 1.234 . :fee :: ExOAPI.Stripe.Schemas.Fee Fees (in %s) paid for this transaction. ::fee_details :: ExOAPI.Stripe.Schemas.Fee :id :: :string Unique identifier for the object. :net :: :integer Net amount of the transaction, in %s. :object :: :string String representing the object's type. Objects of the same type share the same value. :reporting_category :: :string Learn more about how reporting categories can help you understand balance transactions from an accounting perspective. :source :: ExOAPI.Stripe.Schemas.TransferReversal | ExOAPI.Stripe.Schemas.Transfer | ExOAPI.Stripe.Schemas.Topup | ExOAPI.Stripe.Schemas.TaxDeductedAtSource | ExOAPI.Stripe.Schemas.ReserveTransaction | ExOAPI.Stripe.Schemas.Refund | ExOAPI.Stripe.Schemas.PlatformTaxFee | ExOAPI.Stripe.Schemas.Payout | ExOAPI.Stripe.Schemas.Issuing_transaction | ExOAPI.Stripe.Schemas.Issuing_dispute | ExOAPI.Stripe.Schemas.Issuing_authorization | ExOAPI.Stripe.Schemas.FeeRefund | ExOAPI.Stripe.Schemas.Dispute | ExOAPI.Stripe.Schemas.ConnectCollectionTransfer | ExOAPI.Stripe.Schemas.Charge | ExOAPI.Stripe.Schemas.ApplicationFee | :string The Stripe object to which this transaction is related. :status :: :string If the transaction's net funds are available in the Stripe balance yet. Either available or pending . :type :: :string Transaction type: adjustment , advance , advance_funding , anticipation_repayment , application_fee , application_fee_refund , charge , connect_collection_transfer , contribution , issuing_authorization_hold , issuing_authorization_release , issuing_dispute , issuing_transaction , payment , payment_failure_refund , payment_refund , payout , payout_cancel , payout_failure , refund , refund_failure , reserve_transaction , reserved_funds , stripe_fee , stripe_fx_fee , tax_fee , topup , topup_reversal , transfer , transfer_cancel , transfer_failure , or transfer_refund . Learn more about balance transaction types and what they represent. If you are looking to classify transactions for accounting purposes, you might want to consider reporting_category instead.","ref":"ExOAPI.Stripe.Schemas.BalanceTransaction.html","title":"ExOAPI.Stripe.Schemas.BalanceTransaction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceTransaction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.BalanceTransaction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceTransaction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.BalanceTransaction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BalanceTransaction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.BalanceTransaction.t/0","type":"type"},{"doc":"description : These bank accounts are payment methods on Customer objects. On the other hand External Accounts are transfer destinations on Account objects for Custom accounts . They can be bank accounts or debit cards as well, and are documented in the links above. Related guide: Bank Debits and Transfers . :account :: ExOAPI.Stripe.Schemas.Account | :string The ID of the account that the bank account is associated with. :account_holder_name :: :string The name of the person or business that owns the bank account. :account_holder_type :: :string The type of entity that holds the account. This can be either individual or company . :account_type :: :string The bank account type. This can only be checking or savings in most countries. In Japan, this can only be futsu or toza . ::available_payout_methods :: :string :bank_name :: :string Name of the bank associated with the routing number (e.g., WELLS FARGO ). :country :: :string Two-letter ISO code representing the country the bank account is located in. :currency :: :string Three-letter ISO code for the currency paid out to the bank account. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The ID of the customer that the bank account is associated with. :default_for_currency :: :boolean Whether this bank account is the default external account for its currency. :fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :id :: :string Unique identifier for the object. :last4 :: :string The last four digits of the bank account number. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :routing_number :: :string The routing transit number for the bank account. :status :: :string For bank accounts, possible values are new , validated , verified , verification_failed , or errored . A bank account that hasn't had any activity or validation performed is new . If Stripe can determine that the bank account exists, its status will be validated . Note that there often isn’t enough information to know (e.g., for smaller credit unions), and the validation is not always run. If customer bank account verification has succeeded, the bank account status will be verified . If the verification failed for any reason, such as microdeposit failure, the status will be verification_failed . If a transfer sent to this bank account fails, we'll set the status to errored and will not continue to send transfers until the bank details are updated. For external accounts, possible values are new and errored . Validations aren't run against external accounts because they're only used for payouts. This means the other statuses don't apply. If a transfer fails, the status is set to errored and transfers are stopped until account details are updated.","ref":"ExOAPI.Stripe.Schemas.BankAccount.html","title":"ExOAPI.Stripe.Schemas.BankAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BankAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.BankAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BankAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.BankAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BankAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.BankAccount.t/0","type":"type"},{"doc":":address :: ExOAPI.Stripe.Schemas.Address Billing address. :email :: :string Email address. :name :: :string Full name. :phone :: :string Billing phone number (including extension).","ref":"ExOAPI.Stripe.Schemas.BillingDetails.html","title":"ExOAPI.Stripe.Schemas.BillingDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BillingDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.BillingDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BillingDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.BillingDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BillingDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.BillingDetails.t/0","type":"type"},{"doc":"description : A portal configuration describes the functionality and behavior of a portal session. :active :: :boolean Whether the configuration is active and can be used to create portal sessions. :application :: ExOAPI.Stripe.Schemas.Application ID of the Connect Application that created the configuration. :business_profile :: ExOAPI.Stripe.Schemas.PortalBusinessProfile :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :default_return_url :: :string The default URL to redirect customers to when they click on the portal's link to return to your website. This can be overriden when creating the session. :features :: ExOAPI.Stripe.Schemas.PortalFeatures :id :: :string Unique identifier for the object. :is_default :: :boolean Whether the configuration is the default. If true , this configuration can be managed in the Dashboard and portal sessions will use this configuration unless it is overriden when creating the session. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :updated :: :integer Time at which the object was last updated. Measured in seconds since the Unix epoch.","ref":"ExOAPI.Stripe.Schemas.BillingPortal_configuration.html","title":"ExOAPI.Stripe.Schemas.BillingPortal_configuration","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BillingPortal_configuration.html#changeset/2","title":"ExOAPI.Stripe.Schemas.BillingPortal_configuration.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BillingPortal_configuration.html#t:params/0","title":"ExOAPI.Stripe.Schemas.BillingPortal_configuration.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BillingPortal_configuration.html#t:t/0","title":"ExOAPI.Stripe.Schemas.BillingPortal_configuration.t/0","type":"type"},{"doc":"description : The Billing customer portal is a Stripe-hosted UI for subscription and billing management. A portal configuration describes the functionality and features that you want to provide to your customers through the portal. A portal session describes the instantiation of the customer portal for a particular customer. By visiting the session's URL, the customer can manage their subscriptions and billing details. For security reasons, sessions are short-lived and will expire if the customer does not visit the URL. Create sessions on-demand when customers intend to manage their subscriptions and billing details. Learn more in the integration guide . :configuration :: ExOAPI.Stripe.Schemas.BillingPortal_configuration | :string The configuration used by this session, describing the features available. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :customer :: ExOAPI.Stripe.Schemas.Customer The ID of the customer for this session. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :locale :: :string The IETF language tag of the locale Customer Portal is displayed in. If blank or auto, the customer’s preferred_locales or browser’s locale is used. :object :: :string String representing the object's type. Objects of the same type share the same value. :on_behalf_of :: :string The account for which the session was created on behalf of. When specified, only subscriptions and invoices with this on_behalf_of account appear in the portal. For more information, see the docs . Use the Accounts API to modify the on_behalf_of account's branding settings, which the portal displays. :return_url :: :string The URL to redirect customers to when they click on the portal's link to return to your website. :url :: :string The short-lived URL of the session that gives customers access to the customer portal.","ref":"ExOAPI.Stripe.Schemas.BillingPortal_session.html","title":"ExOAPI.Stripe.Schemas.BillingPortal_session","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BillingPortal_session.html#changeset/2","title":"ExOAPI.Stripe.Schemas.BillingPortal_session.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BillingPortal_session.html#t:params/0","title":"ExOAPI.Stripe.Schemas.BillingPortal_session.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BillingPortal_session.html#t:t/0","title":"ExOAPI.Stripe.Schemas.BillingPortal_session.t/0","type":"type"},{"doc":":active :: :boolean True when this bitcoin receiver has received a non-zero amount of bitcoin. :amount :: :integer The amount of currency that you are collecting as payment. :amount_received :: :integer The amount of currency to which bitcoin_amount_received has been converted. :bitcoin_amount :: :integer The amount of bitcoin that the customer should send to fill the receiver. The bitcoin_amount is denominated in Satoshi: there are 10^8 Satoshi in one bitcoin. :bitcoin_amount_received :: :integer The amount of bitcoin that has been sent by the customer to this receiver. :bitcoin_uri :: :string This URI can be displayed to the customer as a clickable link (to activate their bitcoin client) or as a QR code (for mobile wallets). :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO code for the currency to which the bitcoin will be converted. :customer :: ExOAPI.Stripe.Schemas.Customer The customer ID of the bitcoin receiver. :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :email :: :string The customer's email address, set by the API call that creates the receiver. :filled :: :boolean This flag is initially false and updates to true when the customer sends the bitcoin_amount to this receiver. :id :: :string Unique identifier for the object. :inbound_address :: :string A bitcoin address that is specific to this receiver. The customer can send bitcoin to this address to fill the receiver. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :payment :: :string The ID of the payment created from the receiver, if any. Hidden when viewing the receiver with a publishable key. :refund_address :: :string The refund address of this bitcoin receiver. ::data :: ExOAPI.Stripe.Schemas.BitcoinTransaction :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :uncaptured_funds :: :boolean This receiver contains uncaptured funds that can be used for a payment or refunded. :used_for_payment :: :boolean Indicate if this source is used for payment.","ref":"ExOAPI.Stripe.Schemas.BitcoinReceiver.html","title":"ExOAPI.Stripe.Schemas.BitcoinReceiver","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BitcoinReceiver.html#changeset/2","title":"ExOAPI.Stripe.Schemas.BitcoinReceiver.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BitcoinReceiver.html#t:params/0","title":"ExOAPI.Stripe.Schemas.BitcoinReceiver.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BitcoinReceiver.html#t:t/0","title":"ExOAPI.Stripe.Schemas.BitcoinReceiver.t/0","type":"type"},{"doc":":amount :: :integer The amount of currency that the transaction was converted to in real-time. :bitcoin_amount :: :integer The amount of bitcoin contained in the transaction. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO code for the currency to which this transaction was converted. :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value. :receiver :: :string The receiver to which this transaction was sent.","ref":"ExOAPI.Stripe.Schemas.BitcoinTransaction.html","title":"ExOAPI.Stripe.Schemas.BitcoinTransaction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BitcoinTransaction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.BitcoinTransaction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BitcoinTransaction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.BitcoinTransaction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.BitcoinTransaction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.BitcoinTransaction.t/0","type":"type"},{"doc":"description : This is an object representing a capability for a Stripe account. Related guide: Account capabilities . :account :: ExOAPI.Stripe.Schemas.Account | :string The account for which the capability enables functionality. :future_requirements :: ExOAPI.Stripe.Schemas.AccountCapabilityFutureRequirements :id :: :string The identifier for the capability. :object :: :string String representing the object's type. Objects of the same type share the same value. :requested :: :boolean Whether the capability has been requested. :requested_at :: :integer Time at which the capability was requested. Measured in seconds since the Unix epoch. :requirements :: ExOAPI.Stripe.Schemas.AccountCapabilityRequirements :status :: :string The status of the capability. Can be active , inactive , pending , or unrequested .","ref":"ExOAPI.Stripe.Schemas.Capability.html","title":"ExOAPI.Stripe.Schemas.Capability","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Capability.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Capability.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Capability.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Capability.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Capability.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Capability.t/0","type":"type"},{"doc":"description : You can store multiple cards on a customer in order to charge the customer later. You can also store multiple debit cards on a recipient in order to transfer to those cards later. Related guide: Card Payments with Sources . :account :: ExOAPI.Stripe.Schemas.Account | :string The account this card belongs to. This attribute will not be in the card object if the card belongs to a customer or recipient instead. :address_city :: :string City/District/Suburb/Town/Village. :address_country :: :string Billing address country, if provided when creating card. :address_line1 :: :string Address line 1 (Street address/PO Box/Company name). :address_line1_check :: :string If address_line1 was provided, results of the check: pass , fail , unavailable , or unchecked . :address_line2 :: :string Address line 2 (Apartment/Suite/Unit/Building). :address_state :: :string State/County/Province/Region. :address_zip :: :string ZIP or postal code. :address_zip_check :: :string If address_zip was provided, results of the check: pass , fail , unavailable , or unchecked . ::available_payout_methods :: :string :brand :: :string Card brand. Can be American Express , Diners Club , Discover , JCB , MasterCard , UnionPay , Visa , or Unknown . :country :: :string Two-letter ISO code representing the country of the card. You could use this attribute to get a sense of the international breakdown of cards you've collected. :currency :: :string Three-letter ISO code for currency . Only applicable on accounts (not customers or recipients). The card can be used as a transfer destination for funds in this currency. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The customer that this card belongs to. This attribute will not be in the card object if the card belongs to an account or recipient instead. :cvc_check :: :string If a CVC was provided, results of the check: pass , fail , unavailable , or unchecked . A result of unchecked indicates that CVC was provided but hasn't been checked yet. Checks are typically performed when attaching a card to a Customer object, or when creating a charge. For more details, see Check if a card is valid without a charge . :default_for_currency :: :boolean Whether this card is the default external account for its currency. :dynamic_last4 :: :string (For tokenized numbers only.) The last four digits of the device account number. :exp_month :: :integer Two-digit number representing the card's expiration month. :exp_year :: :integer Four-digit number representing the card's expiration year. :fingerprint :: :string Uniquely identifies this particular card number. You can use this attribute to check whether two customers who’ve signed up with you are using the same card number, for example. For payment methods that tokenize card information (Apple Pay, Google Pay), the tokenized number might be provided instead of the underlying card number. Starting May 1, 2021, card fingerprint in India for Connect will change to allow two fingerprints for the same card --- one for India and one for the rest of the world. :funding :: :string Card funding type. Can be credit , debit , prepaid , or unknown . :id :: :string Unique identifier for the object. :last4 :: :string The last four digits of the card. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :name :: :string Cardholder name. :object :: :string String representing the object's type. Objects of the same type share the same value. :recipient :: ExOAPI.Stripe.Schemas.Recipient | :string The recipient that this card belongs to. This attribute will not be in the card object if the card belongs to a customer or account instead. :status :: :string For external accounts, possible values are new and errored . If a transfer fails, the status is set to errored and transfers are stopped until account details are updated. :tokenization_method :: :string If the card number is tokenized, this is the method that was used. Can be android_pay (includes Google Pay), apple_pay , masterpass , visa_checkout , or null.","ref":"ExOAPI.Stripe.Schemas.Card.html","title":"ExOAPI.Stripe.Schemas.Card","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Card.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Card.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Card.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Card.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Card.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Card.t/0","type":"type"},{"doc":":card_present :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresent :type :: :string The type of payment method transaction-specific details from the transaction that generated this card payment method. Always card_present .","ref":"ExOAPI.Stripe.Schemas.CardGeneratedFromPaymentMethodDetails.html","title":"ExOAPI.Stripe.Schemas.CardGeneratedFromPaymentMethodDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CardGeneratedFromPaymentMethodDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CardGeneratedFromPaymentMethodDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CardGeneratedFromPaymentMethodDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CardGeneratedFromPaymentMethodDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CardGeneratedFromPaymentMethodDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CardGeneratedFromPaymentMethodDetails.t/0","type":"type"},{"doc":":date :: :integer The Unix timestamp marking when the account representative accepted the service agreement. :ip :: :string The IP address from which the account representative accepted the service agreement. :user_agent :: :string The user agent of the browser from which the account representative accepted the service agreement.","ref":"ExOAPI.Stripe.Schemas.CardIssuingAccountTermsOfService.html","title":"ExOAPI.Stripe.Schemas.CardIssuingAccountTermsOfService","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CardIssuingAccountTermsOfService.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CardIssuingAccountTermsOfService.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CardIssuingAccountTermsOfService.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CardIssuingAccountTermsOfService.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CardIssuingAccountTermsOfService.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CardIssuingAccountTermsOfService.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CardMandatePaymentMethodDetails.html","title":"ExOAPI.Stripe.Schemas.CardMandatePaymentMethodDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CardMandatePaymentMethodDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CardMandatePaymentMethodDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CardMandatePaymentMethodDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CardMandatePaymentMethodDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CardMandatePaymentMethodDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CardMandatePaymentMethodDetails.t/0","type":"type"},{"doc":"description : To charge a credit or a debit card, you create a Charge object. You can retrieve and refund individual charges as well as list all charges. Charges are identified by a unique, random ID. Related guide: Accept a payment with the Charges API . :receipt_url :: :string This is the URL to view the receipt for this charge. The receipt is kept up-to-date to the latest state of the charge, including any refunds. If the charge is for an Invoice, the receipt will be stylized as an Invoice receipt. :payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod ID of the payment method used in this charge. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :calculated_statement_descriptor :: :string The full statement descriptor that is passed to card networks, and that is displayed on your customers' credit card and bank statements. Allows you to see what the statement descriptor looks like after the static and dynamic portions are combined. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :paid :: :boolean true if the charge succeeded, or was successfully authorized for later capture. :application_fee :: ExOAPI.Stripe.Schemas.ApplicationFee | :string The application fee (if any) for the charge. See the Connect documentation for details. :failure_message :: :string Message to user further explaining reason for charge failure if available. :review :: ExOAPI.Stripe.Schemas.Review | :string ID of the review associated with this charge if one exists. :payment_intent :: ExOAPI.Stripe.Schemas.PaymentIntent | :string ID of the PaymentIntent associated with this charge, if one exists. ::data :: ExOAPI.Stripe.Schemas.Refund :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :on_behalf_of :: ExOAPI.Stripe.Schemas.Account | :string The account (if any) the charge was made on behalf of without triggering an automatic transfer. See the Connect documentation for details. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string ID of the customer this charge is for if one exists. :fraud_details :: ExOAPI.Stripe.Schemas.ChargeFraudDetails Information on fraud assessments for the charge. :amount :: :integer Amount intended to be collected by this payment. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). The minimum amount is $0.50 US or equivalent in charge currency . The amount value supports up to eight digits (e.g., a value of 99999999 for a USD charge of $999,999.99). :outcome :: ExOAPI.Stripe.Schemas.ChargeOutcome Details about whether the payment was accepted, and why. See understanding declines for details. :invoice :: ExOAPI.Stripe.Schemas.Invoice | :string ID of the invoice this charge is for if one exists. :payment_method_details :: ExOAPI.Stripe.Schemas.PaymentMethodDetails Details about the payment method at the time of the transaction. :statement_descriptor :: :string For card charges, use statement_descriptor_suffix instead. Otherwise, you can use this value as the complete description of a charge on your customers’ statements. Must contain at least one letter, maximum 22 characters. :balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string ID of the balance transaction that describes the impact of this charge on your account balance (not including refunds or disputes). :application :: ExOAPI.Stripe.Schemas.Application | :string ID of the Connect application that created the charge. :receipt_email :: :string This is the email address that the receipt for this charge was sent to. :failure_balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string ID of the balance transaction that describes the reversal of the balance on your account due to payment failure. :receipt_number :: :string This is the transaction number that appears on email receipts sent for this charge. This attribute will be null until a receipt has been sent. :failure_code :: :string Error code explaining reason for charge failure if available (see the errors section for a list of codes). :object :: :string String representing the object's type. Objects of the same type share the same value. :amount_captured :: :integer Amount in %s captured (can be less than the amount attribute on the charge if a partial capture was made). :order :: ExOAPI.Stripe.Schemas.Order | :string ID of the order this charge is for if one exists. :billing_details :: ExOAPI.Stripe.Schemas.BillingDetails :captured :: :boolean If the charge was created without capturing, this Boolean represents whether it is still uncaptured or has since been captured. :amount_refunded :: :integer Amount in %s refunded (can be less than the amount attribute on the charge if a partial refund was issued). :refunded :: :boolean Whether the charge has been fully refunded. If the charge is only partially refunded, this attribute will still be false. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :transfer :: ExOAPI.Stripe.Schemas.Transfer | :string ID of the transfer to the destination account (only applicable if the charge was created using the destination parameter). :source_transfer :: ExOAPI.Stripe.Schemas.Transfer | :string The transfer ID which created this charge. Only present if the charge came from another Stripe account. See the Connect documentation for details. :status :: :string The status of the payment is either succeeded , pending , or failed . :transfer_group :: :string A string that identifies this transaction as part of a group. See the Connect documentation for details. :disputed :: :boolean Whether the charge has been disputed. :application_fee_amount :: :integer The amount of the application fee (if any) requested for the charge. See the Connect documentation for details. :statement_descriptor_suffix :: :string Provides information about the charge that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor. :transfer_data :: ExOAPI.Stripe.Schemas.ChargeTransferData An optional dictionary including the account to automatically transfer to as part of a destination charge. See the Connect documentation for details. :id :: :string Unique identifier for the object. :shipping :: ExOAPI.Stripe.Schemas.Shipping Shipping information for the charge.","ref":"ExOAPI.Stripe.Schemas.Charge.html","title":"ExOAPI.Stripe.Schemas.Charge","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Charge.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Charge.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Charge.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Charge.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Charge.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Charge.t/0","type":"type"},{"doc":":stripe_report :: :string Assessments from Stripe. If set, the value is fraudulent . :user_report :: :string Assessments reported by you. If set, possible values of are safe and fraudulent .","ref":"ExOAPI.Stripe.Schemas.ChargeFraudDetails.html","title":"ExOAPI.Stripe.Schemas.ChargeFraudDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ChargeFraudDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ChargeFraudDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ChargeFraudDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ChargeFraudDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ChargeFraudDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ChargeFraudDetails.t/0","type":"type"},{"doc":":network_status :: :string Possible values are approved_by_network , declined_by_network , not_sent_to_network , and reversed_after_approval . The value reversed_after_approval indicates the payment was blocked by Stripe after bank authorization, and may temporarily appear as &quot;pending&quot; on a cardholder's statement. :reason :: :string An enumerated value providing a more detailed explanation of the outcome's type . Charges blocked by Radar's default block rule have the value highest_risk_level . Charges placed in review by Radar's default review rule have the value elevated_risk_level . Charges authorized, blocked, or placed in review by custom rules have the value rule . See understanding declines for more details. :risk_level :: :string Stripe Radar's evaluation of the riskiness of the payment. Possible values for evaluated payments are normal , elevated , highest . For non-card payments, and card-based payments predating the public assignment of risk levels, this field will have the value not_assessed . In the event of an error in the evaluation, this field will have the value unknown . This field is only available with Radar. :risk_score :: :integer Stripe Radar's evaluation of the riskiness of the payment. Possible values for evaluated payments are between 0 and 100. For non-card payments, card-based payments predating the public assignment of risk scores, or in the event of an error during evaluation, this field will not be present. This field is only available with Radar for Fraud Teams. :rule :: ExOAPI.Stripe.Schemas.Rule | :string The ID of the Radar rule that matched the payment, if applicable. :seller_message :: :string A human-readable description of the outcome type and reason, designed for you (the recipient of the payment), not your customer. :type :: :string Possible values are authorized , manual_review , issuer_declined , blocked , and invalid . See understanding declines and Radar reviews for details.","ref":"ExOAPI.Stripe.Schemas.ChargeOutcome.html","title":"ExOAPI.Stripe.Schemas.ChargeOutcome","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ChargeOutcome.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ChargeOutcome.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ChargeOutcome.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ChargeOutcome.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ChargeOutcome.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ChargeOutcome.t/0","type":"type"},{"doc":":amount :: :integer The amount transferred to the destination account, if specified. By default, the entire charge amount is transferred to the destination account. :destination :: ExOAPI.Stripe.Schemas.Account | :string ID of an existing, connected Stripe account to transfer funds to if transfer_data was specified in the charge request.","ref":"ExOAPI.Stripe.Schemas.ChargeTransferData.html","title":"ExOAPI.Stripe.Schemas.ChargeTransferData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ChargeTransferData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ChargeTransferData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ChargeTransferData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ChargeTransferData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ChargeTransferData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ChargeTransferData.t/0","type":"type"},{"doc":":custom_mandate_url :: :string A URL for custom mandate text ::default_for :: :string :interval_description :: :string Description of the interval. Only required if the 'payment_schedule' parameter is 'interval' or 'combined'. :payment_schedule :: :string Payment schedule for the mandate. :transaction_type :: :string Transaction type of the mandate.","ref":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitMandateOptions.html","title":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitMandateOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitMandateOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitMandateOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitMandateOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitMandateOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitMandateOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitMandateOptions.t/0","type":"type"},{"doc":":currency :: :string Currency supported by the bank account. Returned when the Session is in setup mode. :mandate_options :: ExOAPI.Stripe.Schemas.CheckoutAcssDebitMandateOptions :verification_method :: :string Bank account verification method.","ref":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitPaymentMethodOptions.html","title":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitPaymentMethodOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitPaymentMethodOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitPaymentMethodOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitPaymentMethodOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitPaymentMethodOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitPaymentMethodOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CheckoutAcssDebitPaymentMethodOptions.t/0","type":"type"},{"doc":":expires_after_days :: :integer The number of calendar days before a Boleto voucher expires. For example, if you create a Boleto voucher on Monday and you set expires_after_days to 2, the Boleto voucher will expire on Wednesday at 23:59 America/Sao_Paulo time.","ref":"ExOAPI.Stripe.Schemas.CheckoutBoletoPaymentMethodOptions.html","title":"ExOAPI.Stripe.Schemas.CheckoutBoletoPaymentMethodOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutBoletoPaymentMethodOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CheckoutBoletoPaymentMethodOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutBoletoPaymentMethodOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CheckoutBoletoPaymentMethodOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutBoletoPaymentMethodOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CheckoutBoletoPaymentMethodOptions.t/0","type":"type"},{"doc":":expires_after_days :: :integer The number of calendar days (between 1 and 60) after which Konbini payment instructions will expire. For example, if a PaymentIntent is confirmed with Konbini and expires_after_days set to 2 on Monday JST, the instructions will expire on Wednesday 23:59:59 JST.","ref":"ExOAPI.Stripe.Schemas.CheckoutKonbiniPaymentMethodOptions.html","title":"ExOAPI.Stripe.Schemas.CheckoutKonbiniPaymentMethodOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutKonbiniPaymentMethodOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CheckoutKonbiniPaymentMethodOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutKonbiniPaymentMethodOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CheckoutKonbiniPaymentMethodOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutKonbiniPaymentMethodOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CheckoutKonbiniPaymentMethodOptions.t/0","type":"type"},{"doc":":expires_after_days :: :integer The number of calendar days before an OXXO invoice expires. For example, if you create an OXXO invoice on Monday and you set expires_after_days to 2, the OXXO invoice will expire on Wednesday at 23:59 America/Mexico_City time.","ref":"ExOAPI.Stripe.Schemas.CheckoutOxxoPaymentMethodOptions.html","title":"ExOAPI.Stripe.Schemas.CheckoutOxxoPaymentMethodOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutOxxoPaymentMethodOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CheckoutOxxoPaymentMethodOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutOxxoPaymentMethodOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CheckoutOxxoPaymentMethodOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutOxxoPaymentMethodOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CheckoutOxxoPaymentMethodOptions.t/0","type":"type"},{"doc":":acss_debit :: ExOAPI.Stripe.Schemas.CheckoutAcssDebitPaymentMethodOptions :boleto :: ExOAPI.Stripe.Schemas.CheckoutBoletoPaymentMethodOptions :konbini :: ExOAPI.Stripe.Schemas.CheckoutKonbiniPaymentMethodOptions :oxxo :: ExOAPI.Stripe.Schemas.CheckoutOxxoPaymentMethodOptions :us_bank_account :: ExOAPI.Stripe.Schemas.CheckoutUsBankAccountPaymentMethodOptions","ref":"ExOAPI.Stripe.Schemas.CheckoutSessionPaymentMethodOptions.html","title":"ExOAPI.Stripe.Schemas.CheckoutSessionPaymentMethodOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutSessionPaymentMethodOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CheckoutSessionPaymentMethodOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutSessionPaymentMethodOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CheckoutSessionPaymentMethodOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutSessionPaymentMethodOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CheckoutSessionPaymentMethodOptions.t/0","type":"type"},{"doc":":verification_method :: :string Bank account verification method.","ref":"ExOAPI.Stripe.Schemas.CheckoutUsBankAccountPaymentMethodOptions.html","title":"ExOAPI.Stripe.Schemas.CheckoutUsBankAccountPaymentMethodOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutUsBankAccountPaymentMethodOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CheckoutUsBankAccountPaymentMethodOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutUsBankAccountPaymentMethodOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CheckoutUsBankAccountPaymentMethodOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CheckoutUsBankAccountPaymentMethodOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CheckoutUsBankAccountPaymentMethodOptions.t/0","type":"type"},{"doc":"description : A Checkout Session represents your customer's session as they pay for one-time purchases or subscriptions through Checkout or Payment Links . We recommend creating a new Session each time your customer attempts to pay. Once payment is successful, the Checkout Session will contain a reference to the Customer , and either the successful PaymentIntent or an active Subscription . You can create a Checkout Session on your server and pass its ID to the client to begin Checkout. Related guide: Checkout Server Quickstart . :payment_status :: :string The payment status of the Checkout Session, one of paid , unpaid , or no_payment_required . You can use this value to decide when to fulfill your customer's order. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :payment_method_options :: ExOAPI.Stripe.Schemas.CheckoutSessionPaymentMethodOptions Payment-method-specific configuration for the PaymentIntent or SetupIntent of this CheckoutSession. ::data :: ExOAPI.Stripe.Schemas.Item :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :customer_creation :: :string Configure whether a Checkout Session creates a Customer when the Checkout Session completes. :payment_link :: ExOAPI.Stripe.Schemas.PaymentLink | :string The ID of the Payment Link that created this Session. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. ::payment_method_types :: :string :locale :: :string The IETF language tag of the locale Checkout is displayed in. If blank or auto , the browser's locale is used. :shipping_address_collection :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingAddressCollection When set, provides configuration for Checkout to collect a shipping address from a customer. :consent_collection :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsentCollection When set, provides configuration for the Checkout Session to gather active consent from customers. :payment_intent :: ExOAPI.Stripe.Schemas.PaymentIntent | :string The ID of the PaymentIntent for Checkout Sessions in payment mode. :customer_email :: :string If provided, this value will be used when the Customer object is created. If not provided, customers will be asked to enter their email address. Use this parameter to prefill customer data if you already have an email on file. To access information about the customer once the payment flow is complete, use the customer attribute. :customer_details :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionCustomerDetails The customer details including the customer's tax exempt status and the customer's tax IDs. Only present on Sessions in payment or subscription mode. :phone_number_collection :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionPhoneNumberCollection :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The ID of the customer for this Session. For Checkout Sessions in payment or subscription mode, Checkout will create a new customer object based on information provided during the payment flow unless an existing customer was provided when the Session was created. :submit_type :: :string Describes the type of transaction being performed by Checkout in order to customize relevant text on the page, such as the submit button. submit_type can only be specified on Checkout Sessions in payment mode, but not Checkout Sessions in subscription or setup mode. :mode :: :string The mode of the Checkout Session. :success_url :: :string The URL the customer will be directed to after the payment or subscription creation is successful. :recovered_from :: :string The ID of the original expired Checkout Session that triggered the recovery flow. :object :: :string String representing the object's type. Objects of the same type share the same value. :total_details :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetails Tax and discount details for the computed total amount. :expires_at :: :integer The timestamp at which the Checkout Session will expire. :automatic_tax :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAutomaticTax :setup_intent :: ExOAPI.Stripe.Schemas.SetupIntent | :string The ID of the SetupIntent for Checkout Sessions in setup mode. :client_reference_id :: :string A unique string to reference the Checkout Session. This can be a customer ID, a cart ID, or similar, and can be used to reconcile the Session with your internal systems. :after_expiration :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpiration When set, provides configuration for actions to take if this Checkout Session expires. :tax_id_collection :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxIdCollection :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :amount_subtotal :: :integer Total of all items before discounts or taxes are applied. :amount_total :: :integer Total of all items after discounts and taxes are applied. :url :: :string The URL to the Checkout Session. Redirect customers to this URL to take them to Checkout. If you’re using Custom Domains , the URL will use your subdomain. Otherwise, it’ll use checkout.stripe.com. :subscription :: ExOAPI.Stripe.Schemas.Subscription | :string The ID of the subscription for Checkout Sessions in subscription mode. :allow_promotion_codes :: :boolean Enables user redeemable promotion codes. :shipping_rate :: ExOAPI.Stripe.Schemas.ShippingRate | :string The ID of the ShippingRate for Checkout Sessions in payment mode. :billing_address_collection :: :string Describes whether Checkout should collect the customer's billing address. :cancel_url :: :string The URL the customer will be directed to if they decide to cancel payment and return to your website. :status :: :string The status of the Checkout Session, one of open , complete , or expired . :consent :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsent Results of consent_collection for this session. :id :: :string Unique identifier for the object. Used to pass to redirectToCheckout in Stripe.js. ::shipping_options :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingOption :shipping :: ExOAPI.Stripe.Schemas.Shipping Shipping information for this Checkout Session.","ref":"ExOAPI.Stripe.Schemas.Checkout_session.html","title":"ExOAPI.Stripe.Schemas.Checkout_session","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Checkout_session.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Checkout_session.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Checkout_session.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Checkout_session.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Checkout_session.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Checkout_session.t/0","type":"type"},{"doc":":amount :: :integer Amount transferred, in %s. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :destination :: ExOAPI.Stripe.Schemas.Account | :string ID of the account that funds are being collected for. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.ConnectCollectionTransfer.html","title":"ExOAPI.Stripe.Schemas.ConnectCollectionTransfer","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ConnectCollectionTransfer.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ConnectCollectionTransfer.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ConnectCollectionTransfer.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ConnectCollectionTransfer.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ConnectCollectionTransfer.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ConnectCollectionTransfer.t/0","type":"type"},{"doc":"description : Stripe needs to collect certain pieces of information about each account created. These requirements can differ depending on the account's country. The Country Specs API makes these rules available to your integration. You can also view the information from this API call as an online guide . :default_currency :: :string The default currency for this country. This applies to both payment methods and bank accounts. :id :: :string Unique identifier for the object. Represented as the ISO country code for this country. :object :: :string String representing the object's type. Objects of the same type share the same value. :supported_bank_account_currencies :: :map Currencies that can be accepted in the specific country (for transfers). ::supported_payment_currencies :: :string ::supported_payment_methods :: :string ::supported_transfer_countries :: :string :verification_fields :: ExOAPI.Stripe.Schemas.CountrySpecVerificationFields","ref":"ExOAPI.Stripe.Schemas.CountrySpec.html","title":"ExOAPI.Stripe.Schemas.CountrySpec","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CountrySpec.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CountrySpec.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CountrySpec.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CountrySpec.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CountrySpec.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CountrySpec.t/0","type":"type"},{"doc":"::additional :: :string ::minimum :: :string","ref":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFieldDetails.html","title":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFieldDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFieldDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFieldDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFieldDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFieldDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFieldDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFieldDetails.t/0","type":"type"},{"doc":":company :: ExOAPI.Stripe.Schemas.CountrySpecVerificationFieldDetails :individual :: ExOAPI.Stripe.Schemas.CountrySpecVerificationFieldDetails","ref":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFields.html","title":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFields","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFields.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFields.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFields.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFields.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFields.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CountrySpecVerificationFields.t/0","type":"type"},{"doc":"description : A coupon contains information about a percent-off or amount-off discount you might want to apply to a customer. Coupons may be applied to invoices or orders . Coupons do not work with conventional one-off charges . :amount_off :: :integer Amount (in the currency specified) that will be taken off the subtotal of any invoices for this customer. :applies_to :: ExOAPI.Stripe.Schemas.CouponAppliesTo :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string If amount_off has been set, the three-letter ISO code for the currency of the amount to take off. :duration :: :string One of forever , once , and repeating . Describes how long a customer who applies this coupon will get the discount. :duration_in_months :: :integer If duration is repeating , the number of months the coupon applies. Null if coupon duration is forever or once . :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :max_redemptions :: :integer Maximum number of times this coupon can be redeemed, in total, across all customers, before it is no longer valid. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :name :: :string Name of the coupon displayed to customers on for instance invoices or receipts. :object :: :string String representing the object's type. Objects of the same type share the same value. :percent_off :: :number Percent that will be taken off the subtotal of any invoices for this customer for the duration of the coupon. For example, a coupon with percent_off of 50 will make a %s100 invoice %s50 instead. :redeem_by :: :integer Date after which the coupon can no longer be redeemed. :times_redeemed :: :integer Number of times this coupon has been applied to a customer. :valid :: :boolean Taking account of the above properties, whether this coupon can still be applied to a customer.","ref":"ExOAPI.Stripe.Schemas.Coupon.html","title":"ExOAPI.Stripe.Schemas.Coupon","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Coupon.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Coupon.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Coupon.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Coupon.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Coupon.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Coupon.t/0","type":"type"},{"doc":"::products :: :string","ref":"ExOAPI.Stripe.Schemas.CouponAppliesTo.html","title":"ExOAPI.Stripe.Schemas.CouponAppliesTo","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CouponAppliesTo.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CouponAppliesTo.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CouponAppliesTo.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CouponAppliesTo.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CouponAppliesTo.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CouponAppliesTo.t/0","type":"type"},{"doc":"description : Issue a credit note to adjust an invoice's amount after the invoice is finalized. Related guide: Credit Notes . :amount :: :integer The integer amount in %s representing the total amount of the credit note, including tax. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string ID of the customer. :customer_balance_transaction :: ExOAPI.Stripe.Schemas.CustomerBalanceTransaction | :string Customer balance transaction related to this credit note. :discount_amount :: :integer The integer amount in %s representing the total amount of discount that was credited. ::discount_amounts :: ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount :id :: :string Unique identifier for the object. :invoice :: ExOAPI.Stripe.Schemas.Invoice | :string ID of the invoice. ::data :: ExOAPI.Stripe.Schemas.CreditNoteLineItem :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :memo :: :string Customer-facing text that appears on the credit note PDF. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :number :: :string A unique number that identifies this particular credit note and appears on the PDF of the credit note and its associated invoice. :object :: :string String representing the object's type. Objects of the same type share the same value. :out_of_band_amount :: :integer Amount that was credited outside of Stripe. :pdf :: :string The link to download the PDF of the credit note. :reason :: :string Reason for issuing this credit note, one of duplicate , fraudulent , order_change , or product_unsatisfactory :refund :: ExOAPI.Stripe.Schemas.Refund | :string Refund related to this credit note. :status :: :string Status of this credit note, one of issued or void . Learn more about voiding credit notes . :subtotal :: :integer The integer amount in %s representing the amount of the credit note, excluding tax and invoice level discounts. ::tax_amounts :: ExOAPI.Stripe.Schemas.CreditNoteTaxAmount :total :: :integer The integer amount in %s representing the total amount of the credit note, including tax and all discount. :type :: :string Type of this credit note, one of pre_payment or post_payment . A pre_payment credit note means it was issued when the invoice was open. A post_payment credit note means it was issued when the invoice was paid. :voided_at :: :integer The time that the credit note was voided.","ref":"ExOAPI.Stripe.Schemas.CreditNote.html","title":"ExOAPI.Stripe.Schemas.CreditNote","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CreditNote.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CreditNote.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CreditNote.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CreditNote.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CreditNote.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CreditNote.t/0","type":"type"},{"doc":":amount :: :integer The integer amount in %s representing the gross amount being credited for this line item, excluding (exclusive) tax and discounts. :description :: :string Description of the item being credited. :discount_amount :: :integer The integer amount in %s representing the discount being credited for this line item. ::discount_amounts :: ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount :id :: :string Unique identifier for the object. :invoice_line_item :: :string ID of the invoice line item being credited :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :quantity :: :integer The number of units of product being credited. ::tax_amounts :: ExOAPI.Stripe.Schemas.CreditNoteTaxAmount ::tax_rates :: ExOAPI.Stripe.Schemas.TaxRate :type :: :string The type of the credit note line item, one of invoice_line_item or custom_line_item . When the type is invoice_line_item there is an additional invoice_line_item property on the resource the value of which is the id of the credited line item on the invoice. :unit_amount :: :integer The cost of each unit of product being credited. :unit_amount_decimal :: :string Same as unit_amount , but contains a decimal value with at most 12 decimal places.","ref":"ExOAPI.Stripe.Schemas.CreditNoteLineItem.html","title":"ExOAPI.Stripe.Schemas.CreditNoteLineItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CreditNoteLineItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CreditNoteLineItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CreditNoteLineItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CreditNoteLineItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CreditNoteLineItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CreditNoteLineItem.t/0","type":"type"},{"doc":":amount :: :integer The amount, in %s, of the tax. :inclusive :: :boolean Whether this tax amount is inclusive or exclusive. :tax_rate :: ExOAPI.Stripe.Schemas.TaxRate | :string The tax rate that was applied to get this tax amount.","ref":"ExOAPI.Stripe.Schemas.CreditNoteTaxAmount.html","title":"ExOAPI.Stripe.Schemas.CreditNoteTaxAmount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CreditNoteTaxAmount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CreditNoteTaxAmount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CreditNoteTaxAmount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CreditNoteTaxAmount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CreditNoteTaxAmount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CreditNoteTaxAmount.t/0","type":"type"},{"doc":"description : This object represents a customer of your business. It lets you create recurring charges and track payments that belong to the same customer. Related guide: Save a card during payment . :address :: ExOAPI.Stripe.Schemas.Address The customer's address. :balance :: ExOAPI.Stripe.Schemas.Balance Current balance, if any, being stored on the customer. If negative, the customer has credit to apply to their next invoice. If positive, the customer has an amount owed that will be added to their next invoice. The balance does not refer to any unpaid invoices; it solely takes into account amounts that have yet to be successfully applied to any invoice. This balance is only taken into account as invoices are finalized. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO code for the currency the customer can be charged in for recurring billing purposes. :default_source :: ExOAPI.Stripe.Schemas.Source | ExOAPI.Stripe.Schemas.Card | ExOAPI.Stripe.Schemas.BitcoinReceiver | ExOAPI.Stripe.Schemas.BankAccount | ExOAPI.Stripe.Schemas.AlipayAccount | :string ID of the default payment source for the customer. If you are using payment methods created via the PaymentMethods API, see the invoice_settings.default_payment_method field instead. :delinquent :: :boolean When the customer's latest invoice is billed by charging automatically, delinquent is true if the invoice's latest charge failed. When the customer's latest invoice is billed by sending an invoice, delinquent is true if the invoice isn't paid by its due date. If an invoice is marked uncollectible by dunning , delinquent doesn't get reset to false . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :discount :: ExOAPI.Stripe.Schemas.Discount Describes the current discount active on the customer, if there is one. :email :: :string The customer's email address. :id :: :string Unique identifier for the object. :invoice_prefix :: :string The prefix for the customer used to generate unique invoice numbers. :invoice_settings :: ExOAPI.Stripe.Schemas.InvoiceSettingCustomerSetting :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :name :: :string The customer's full name or business name. :next_invoice_sequence :: :integer The suffix of the customer's next invoice number, e.g., 0001. :object :: :string String representing the object's type. Objects of the same type share the same value. :phone :: :string The customer's phone number. ::preferred_locales :: :string :shipping :: ExOAPI.Stripe.Schemas.Shipping Mailing and shipping address for the customer. Appears on invoices emailed to this customer. ::data :: ExOAPI.Stripe.Schemas.Source | ExOAPI.Stripe.Schemas.Card | ExOAPI.Stripe.Schemas.BitcoinReceiver | ExOAPI.Stripe.Schemas.BankAccount | ExOAPI.Stripe.Schemas.AlipayAccount :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. ::data :: ExOAPI.Stripe.Schemas.Subscription :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :tax :: ExOAPI.Stripe.Schemas.CustomerTax :tax_exempt :: :string Describes the customer's tax exemption status. One of none , exempt , or reverse . When set to reverse , invoice and receipt PDFs include the text &quot;Reverse charge&quot; . ::data :: ExOAPI.Stripe.Schemas.TaxId :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :test_clock :: ExOAPI.Stripe.Schemas.TestHelpers_testClock | :string ID of the test clock this customer belongs to.","ref":"ExOAPI.Stripe.Schemas.Customer.html","title":"ExOAPI.Stripe.Schemas.Customer","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Customer.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Customer.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Customer.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Customer.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Customer.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Customer.t/0","type":"type"},{"doc":":accepted_at :: :integer The time at which the customer accepted the Mandate. :offline :: list(:map) :online :: ExOAPI.Stripe.Schemas.OnlineAcceptance :type :: :string The type of customer acceptance information included with the Mandate. One of online or offline .","ref":"ExOAPI.Stripe.Schemas.CustomerAcceptance.html","title":"ExOAPI.Stripe.Schemas.CustomerAcceptance","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerAcceptance.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CustomerAcceptance.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerAcceptance.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CustomerAcceptance.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerAcceptance.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CustomerAcceptance.t/0","type":"type"},{"doc":"description : Each customer has a balance value, which denotes a debit or credit that's automatically applied to their next invoice upon finalization. You may modify the value directly by using the update customer API , or by creating a Customer Balance Transaction, which increments or decrements the customer's balance by the specified amount . Related guide: Customer Balance to learn more. :amount :: :integer The amount of the transaction. A negative value is a credit for the customer's balance, and a positive value is a debit to the customer's balance . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :credit_note :: ExOAPI.Stripe.Schemas.CreditNote | :string The ID of the credit note (if any) related to the transaction. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :customer :: ExOAPI.Stripe.Schemas.Customer | :string The ID of the customer the transaction belongs to. :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :ending_balance :: :integer The customer's balance after the transaction was applied. A negative value decreases the amount due on the customer's next invoice. A positive value increases the amount due on the customer's next invoice. :id :: :string Unique identifier for the object. :invoice :: ExOAPI.Stripe.Schemas.Invoice | :string The ID of the invoice (if any) related to the transaction. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :type :: :string Transaction type: adjustment , applied_to_invoice , credit_note , initial , invoice_too_large , invoice_too_small , unspent_receiver_credit , or unapplied_from_invoice . See the Customer Balance page to learn more about transaction types.","ref":"ExOAPI.Stripe.Schemas.CustomerBalanceTransaction.html","title":"ExOAPI.Stripe.Schemas.CustomerBalanceTransaction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerBalanceTransaction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CustomerBalanceTransaction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerBalanceTransaction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CustomerBalanceTransaction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerBalanceTransaction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CustomerBalanceTransaction.t/0","type":"type"},{"doc":":automatic_tax :: ExOAPI.Stripe.Schemas.AutomaticTax Surfaces if automatic tax computation is possible given the current customer location information. :ip_address :: :string A recent IP address of the customer used for tax reporting and tax location inference. :location :: ExOAPI.Stripe.Schemas.CustomerTaxLocation The customer's location as identified by Stripe Tax.","ref":"ExOAPI.Stripe.Schemas.CustomerTax.html","title":"ExOAPI.Stripe.Schemas.CustomerTax","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerTax.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CustomerTax.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerTax.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CustomerTax.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerTax.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CustomerTax.t/0","type":"type"},{"doc":":country :: :string The customer's country as identified by Stripe Tax. :source :: ExOAPI.Stripe.Schemas.Source The data source used to infer the customer's location. :state :: :string The customer's state, county, province, or region as identified by Stripe Tax.","ref":"ExOAPI.Stripe.Schemas.CustomerTaxLocation.html","title":"ExOAPI.Stripe.Schemas.CustomerTaxLocation","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerTaxLocation.html#changeset/2","title":"ExOAPI.Stripe.Schemas.CustomerTaxLocation.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerTaxLocation.html#t:params/0","title":"ExOAPI.Stripe.Schemas.CustomerTaxLocation.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.CustomerTaxLocation.html#t:t/0","title":"ExOAPI.Stripe.Schemas.CustomerTaxLocation.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedAccount.html","title":"ExOAPI.Stripe.Schemas.DeletedAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedAccount.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedAlipayAccount.html","title":"ExOAPI.Stripe.Schemas.DeletedAlipayAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedAlipayAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedAlipayAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedAlipayAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedAlipayAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedAlipayAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedAlipayAccount.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedApplePayDomain.html","title":"ExOAPI.Stripe.Schemas.DeletedApplePayDomain","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedApplePayDomain.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedApplePayDomain.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedApplePayDomain.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedApplePayDomain.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedApplePayDomain.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedApplePayDomain.t/0","type":"type"},{"doc":":currency :: :string Three-letter ISO code for the currency paid out to the bank account. :deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedBankAccount.html","title":"ExOAPI.Stripe.Schemas.DeletedBankAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedBankAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedBankAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedBankAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedBankAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedBankAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedBankAccount.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedBitcoinReceiver.html","title":"ExOAPI.Stripe.Schemas.DeletedBitcoinReceiver","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedBitcoinReceiver.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedBitcoinReceiver.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedBitcoinReceiver.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedBitcoinReceiver.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedBitcoinReceiver.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedBitcoinReceiver.t/0","type":"type"},{"doc":":currency :: :string Three-letter ISO code for the currency paid out to the bank account. :deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedCard.html","title":"ExOAPI.Stripe.Schemas.DeletedCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedCard.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedCoupon.html","title":"ExOAPI.Stripe.Schemas.DeletedCoupon","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedCoupon.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedCoupon.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedCoupon.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedCoupon.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedCoupon.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedCoupon.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedCustomer.html","title":"ExOAPI.Stripe.Schemas.DeletedCustomer","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedCustomer.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedCustomer.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedCustomer.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedCustomer.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedCustomer.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedCustomer.t/0","type":"type"},{"doc":":checkout_session :: :string The Checkout session that this coupon is applied to, if it is applied to a particular session in payment mode. Will not be present for subscription mode. :coupon :: ExOAPI.Stripe.Schemas.Coupon :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The ID of the customer associated with this discount. :deleted :: :boolean Always true for a deleted object :id :: :string The ID of the discount object. Discounts cannot be fetched by ID. Use expand[]=discounts in API calls to expand discount IDs in an array. :invoice :: ExOAPI.Stripe.Schemas.Invoice The invoice that the discount's coupon was applied to, if it was applied directly to a particular invoice. :invoice_item :: :string The invoice item id (or invoice line item id for invoice line items of type='subscription') that the discount's coupon was applied to, if it was applied directly to a particular invoice item or invoice line item. :object :: :string String representing the object's type. Objects of the same type share the same value. :promotion_code :: ExOAPI.Stripe.Schemas.PromotionCode | :string The promotion code applied to create this discount. :start :: :integer Date that the coupon was applied. :subscription :: ExOAPI.Stripe.Schemas.Subscription The subscription that this coupon is applied to, if it is applied to a particular subscription.","ref":"ExOAPI.Stripe.Schemas.DeletedDiscount.html","title":"ExOAPI.Stripe.Schemas.DeletedDiscount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedDiscount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedDiscount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedDiscount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedDiscount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedDiscount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedDiscount.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedInvoice.html","title":"ExOAPI.Stripe.Schemas.DeletedInvoice","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedInvoice.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedInvoice.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedInvoice.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedInvoice.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedInvoice.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedInvoice.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedInvoiceitem.html","title":"ExOAPI.Stripe.Schemas.DeletedInvoiceitem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedInvoiceitem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedInvoiceitem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedInvoiceitem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedInvoiceitem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedInvoiceitem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedInvoiceitem.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedPerson.html","title":"ExOAPI.Stripe.Schemas.DeletedPerson","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedPerson.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedPerson.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedPerson.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedPerson.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedPerson.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedPerson.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedPlan.html","title":"ExOAPI.Stripe.Schemas.DeletedPlan","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedPlan.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedPlan.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedPlan.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedPlan.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedPlan.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedPlan.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedPrice.html","title":"ExOAPI.Stripe.Schemas.DeletedPrice","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedPrice.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedPrice.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedPrice.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedPrice.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedPrice.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedPrice.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedProduct.html","title":"ExOAPI.Stripe.Schemas.DeletedProduct","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedProduct.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedProduct.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedProduct.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedProduct.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedProduct.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedProduct.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedRadar_valueList.html","title":"ExOAPI.Stripe.Schemas.DeletedRadar_valueList","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedRadar_valueList.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedRadar_valueList.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedRadar_valueList.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedRadar_valueList.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedRadar_valueList.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedRadar_valueList.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedRadar_valueListItem.html","title":"ExOAPI.Stripe.Schemas.DeletedRadar_valueListItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedRadar_valueListItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedRadar_valueListItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedRadar_valueListItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedRadar_valueListItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedRadar_valueListItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedRadar_valueListItem.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedRecipient.html","title":"ExOAPI.Stripe.Schemas.DeletedRecipient","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedRecipient.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedRecipient.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedRecipient.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedRecipient.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedRecipient.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedRecipient.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedSku.html","title":"ExOAPI.Stripe.Schemas.DeletedSku","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedSku.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedSku.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedSku.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedSku.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedSku.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedSku.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedSubscriptionItem.html","title":"ExOAPI.Stripe.Schemas.DeletedSubscriptionItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedSubscriptionItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedSubscriptionItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedSubscriptionItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedSubscriptionItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedSubscriptionItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedSubscriptionItem.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedTaxId.html","title":"ExOAPI.Stripe.Schemas.DeletedTaxId","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTaxId.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedTaxId.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTaxId.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedTaxId.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTaxId.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedTaxId.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_configuration.html","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_configuration","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_configuration.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_configuration.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_configuration.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_configuration.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_configuration.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_configuration.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_location.html","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_location","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_location.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_location.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_location.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_location.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_location.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_location.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_reader.html","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_reader","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_reader.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_reader.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_reader.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_reader.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTerminal_reader.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedTerminal_reader.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedTestHelpers_testClock.html","title":"ExOAPI.Stripe.Schemas.DeletedTestHelpers_testClock","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTestHelpers_testClock.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedTestHelpers_testClock.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTestHelpers_testClock.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedTestHelpers_testClock.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedTestHelpers_testClock.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedTestHelpers_testClock.t/0","type":"type"},{"doc":":deleted :: :boolean Always true for a deleted object :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.DeletedWebhookEndpoint.html","title":"ExOAPI.Stripe.Schemas.DeletedWebhookEndpoint","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedWebhookEndpoint.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeletedWebhookEndpoint.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedWebhookEndpoint.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeletedWebhookEndpoint.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeletedWebhookEndpoint.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeletedWebhookEndpoint.t/0","type":"type"},{"doc":":date :: :string If type is &quot;exact&quot; , date will be the expected delivery date in the format YYYY-MM-DD. :earliest :: :string If type is &quot;range&quot; , earliest will be be the earliest delivery date in the format YYYY-MM-DD. :latest :: :string If type is &quot;range&quot; , latest will be the latest delivery date in the format YYYY-MM-DD. :type :: :string The type of estimate. Must be either &quot;range&quot; or &quot;exact&quot; .","ref":"ExOAPI.Stripe.Schemas.DeliveryEstimate.html","title":"ExOAPI.Stripe.Schemas.DeliveryEstimate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeliveryEstimate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DeliveryEstimate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeliveryEstimate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DeliveryEstimate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DeliveryEstimate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DeliveryEstimate.t/0","type":"type"},{"doc":"description : A discount represents the actual application of a coupon to a particular customer. It contains information about when the discount began and when it will end. Related guide: Applying Discounts to Subscriptions . :checkout_session :: :string The Checkout session that this coupon is applied to, if it is applied to a particular session in payment mode. Will not be present for subscription mode. :coupon :: ExOAPI.Stripe.Schemas.Coupon :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The ID of the customer associated with this discount. :end :: :integer If the coupon has a duration of repeating , the date that this discount will end. If the coupon has a duration of once or forever , this attribute will be null. :id :: :string The ID of the discount object. Discounts cannot be fetched by ID. Use expand[]=discounts in API calls to expand discount IDs in an array. :invoice :: ExOAPI.Stripe.Schemas.Invoice The invoice that the discount's coupon was applied to, if it was applied directly to a particular invoice. :invoice_item :: :string The invoice item id (or invoice line item id for invoice line items of type='subscription') that the discount's coupon was applied to, if it was applied directly to a particular invoice item or invoice line item. :object :: :string String representing the object's type. Objects of the same type share the same value. :promotion_code :: ExOAPI.Stripe.Schemas.PromotionCode | :string The promotion code applied to create this discount. :start :: :integer Date that the coupon was applied. :subscription :: ExOAPI.Stripe.Schemas.Subscription The subscription that this coupon is applied to, if it is applied to a particular subscription.","ref":"ExOAPI.Stripe.Schemas.Discount.html","title":"ExOAPI.Stripe.Schemas.Discount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Discount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Discount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Discount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Discount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Discount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Discount.t/0","type":"type"},{"doc":":amount :: :integer The amount, in %s, of the discount. :discount :: ExOAPI.Stripe.Schemas.DeletedDiscount | ExOAPI.Stripe.Schemas.Discount | :string The discount that was applied to get this discount amount.","ref":"ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount.html","title":"ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount.t/0","type":"type"},{"doc":"description : A dispute occurs when a customer questions your charge with their card issuer. When this happens, you're given the opportunity to respond to the dispute with evidence that shows that the charge is legitimate. You can find more information about the dispute process in our Disputes and Fraud documentation. Related guide: Disputes and Fraud . :amount :: :integer Disputed amount. Usually the amount of the charge, but can differ (usually because of currency fluctuation or because only part of the order is disputed). ::balance_transactions :: ExOAPI.Stripe.Schemas.BalanceTransaction :charge :: ExOAPI.Stripe.Schemas.Charge | :string ID of the charge that was disputed. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :evidence :: ExOAPI.Stripe.Schemas.DisputeEvidence :evidence_details :: ExOAPI.Stripe.Schemas.DisputeEvidenceDetails :id :: :string Unique identifier for the object. :is_charge_refundable :: :boolean If true, it is still possible to refund the disputed payment. Once the payment has been fully refunded, no further funds will be withdrawn from your Stripe account as a result of this dispute. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :payment_intent :: ExOAPI.Stripe.Schemas.PaymentIntent | :string ID of the PaymentIntent that was disputed. :reason :: :string Reason given by cardholder for dispute. Possible values are bank_cannot_process , check_returned , credit_not_processed , customer_initiated , debit_not_authorized , duplicate , fraudulent , general , incorrect_account_details , insufficient_funds , product_not_received , product_unacceptable , subscription_canceled , or unrecognized . Read more about dispute reasons . :status :: :string Current status of dispute. Possible values are warning_needs_response , warning_under_review , warning_closed , needs_response , under_review , charge_refunded , won , or lost .","ref":"ExOAPI.Stripe.Schemas.Dispute.html","title":"ExOAPI.Stripe.Schemas.Dispute","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Dispute.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Dispute.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Dispute.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Dispute.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Dispute.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Dispute.t/0","type":"type"},{"doc":":access_activity_log :: :string Any server or activity logs showing proof that the customer accessed or downloaded the purchased digital product. This information should include IP addresses, corresponding timestamps, and any detailed recorded activity. :billing_address :: :string The billing address provided by the customer. :cancellation_policy :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Your subscription cancellation policy, as shown to the customer. :cancellation_policy_disclosure :: :string An explanation of how and when the customer was shown your refund policy prior to purchase. :cancellation_rebuttal :: :string A justification for why the customer's subscription was not canceled. :customer_communication :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Any communication with the customer that you feel is relevant to your case. Examples include emails proving that the customer received the product or service, or demonstrating their use of or satisfaction with the product or service. :customer_email_address :: :string The email address of the customer. :customer_name :: :string The name of the customer. :customer_purchase_ip :: :string The IP address that the customer used when making the purchase. :customer_signature :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) A relevant document or contract showing the customer's signature. :duplicate_charge_documentation :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Documentation for the prior charge that can uniquely identify the charge, such as a receipt, shipping label, work order, etc. This document should be paired with a similar document from the disputed payment that proves the two payments are separate. :duplicate_charge_explanation :: :string An explanation of the difference between the disputed charge versus the prior charge that appears to be a duplicate. :duplicate_charge_id :: :string The Stripe ID for the prior charge which appears to be a duplicate of the disputed charge. :product_description :: :string A description of the product or service that was sold. :receipt :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Any receipt or message sent to the customer notifying them of the charge. :refund_policy :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Your refund policy, as shown to the customer. :refund_policy_disclosure :: :string Documentation demonstrating that the customer was shown your refund policy prior to purchase. :refund_refusal_explanation :: :string A justification for why the customer is not entitled to a refund. :service_date :: :string The date on which the customer received or began receiving the purchased service, in a clear human-readable format. :service_documentation :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Documentation showing proof that a service was provided to the customer. This could include a copy of a signed contract, work order, or other form of written agreement. :shipping_address :: :string The address to which a physical product was shipped. You should try to include as complete address information as possible. :shipping_carrier :: :string The delivery service that shipped a physical product, such as Fedex, UPS, USPS, etc. If multiple carriers were used for this purchase, please separate them with commas. :shipping_date :: :string The date on which a physical product began its route to the shipping address, in a clear human-readable format. :shipping_documentation :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Documentation showing proof that a product was shipped to the customer at the same address the customer provided to you. This could include a copy of the shipment receipt, shipping label, etc. It should show the customer's full shipping address, if possible. :shipping_tracking_number :: :string The tracking number for a physical product, obtained from the delivery service. If multiple tracking numbers were generated for this purchase, please separate them with commas. :uncategorized_file :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Any additional evidence or statements. :uncategorized_text :: :string Any additional evidence or statements.","ref":"ExOAPI.Stripe.Schemas.DisputeEvidence.html","title":"ExOAPI.Stripe.Schemas.DisputeEvidence","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DisputeEvidence.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DisputeEvidence.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DisputeEvidence.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DisputeEvidence.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DisputeEvidence.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DisputeEvidence.t/0","type":"type"},{"doc":":due_by :: :integer Date by which evidence must be submitted in order to successfully challenge dispute. Will be null if the customer's bank or credit card company doesn't allow a response for this particular dispute. :has_evidence :: :boolean Whether evidence has been staged for this dispute. :past_due :: :boolean Whether the last evidence submission was submitted past the due date. Defaults to false if no evidence submissions have occurred. If true , then delivery of the latest evidence is not guaranteed. :submission_count :: :integer The number of times evidence has been submitted. Typically, you may only submit evidence once.","ref":"ExOAPI.Stripe.Schemas.DisputeEvidenceDetails.html","title":"ExOAPI.Stripe.Schemas.DisputeEvidenceDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DisputeEvidenceDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.DisputeEvidenceDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DisputeEvidenceDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.DisputeEvidenceDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.DisputeEvidenceDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.DisputeEvidenceDetails.t/0","type":"type"},{"doc":":email_sent_at :: :integer The timestamp when the email was sent. :email_sent_to :: :string The recipient's email address.","ref":"ExOAPI.Stripe.Schemas.EmailSent.html","title":"ExOAPI.Stripe.Schemas.EmailSent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.EmailSent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.EmailSent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.EmailSent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.EmailSent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.EmailSent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.EmailSent.t/0","type":"type"},{"doc":":created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :expires :: :integer Time at which the key will expire. Measured in seconds since the Unix epoch. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :secret :: :string The key's secret. You can use this value to make authorized requests to the Stripe API.","ref":"ExOAPI.Stripe.Schemas.EphemeralKey.html","title":"ExOAPI.Stripe.Schemas.EphemeralKey","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.EphemeralKey.html#changeset/2","title":"ExOAPI.Stripe.Schemas.EphemeralKey.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.EphemeralKey.html#t:params/0","title":"ExOAPI.Stripe.Schemas.EphemeralKey.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.EphemeralKey.html#t:t/0","title":"ExOAPI.Stripe.Schemas.EphemeralKey.t/0","type":"type"},{"doc":"description : An error response from the Stripe API :error :: ExOAPI.Stripe.Schemas.ApiErrors","ref":"ExOAPI.Stripe.Schemas.Error.html","title":"ExOAPI.Stripe.Schemas.Error","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Error.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Error.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Error.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Error.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Error.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Error.t/0","type":"type"},{"doc":"description : Events are our way of letting you know when something interesting happens in your account. When an interesting event occurs, we create a new Event object. For example, when a charge succeeds, we create a charge.succeeded event; and when an invoice payment attempt fails, we create an invoice.payment_failed event. Note that many API requests may cause multiple events to be created. For example, if you create a new subscription for a customer, you will receive both a customer.subscription.created event and a charge.succeeded event. Events occur when the state of another API resource changes. The state of that resource at the time of the change is embedded in the event's data field. For example, a charge.succeeded event will contain a charge, and an invoice.payment_failed event will contain an invoice. As with other API resources, you can use endpoints to retrieve an individual event or a list of events from the API. We also have a separate webhooks system for sending the Event objects directly to an endpoint on your server. Webhooks are managed in your account settings , and our Using Webhooks guide will help you get set up. When using Connect , you can also receive notifications of events that occur in connected accounts. For these events, there will be an additional account attribute in the received Event object. NOTE: Right now, access to events through the Retrieve Event API is guaranteed only for 30 days. :account :: ExOAPI.Stripe.Schemas.Account The connected account that originated the event. :api_version :: :string The Stripe API version used to render data . Note: This property is populated only for events on or after October 31, 2014 . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :data :: ExOAPI.Stripe.Schemas.NotificationEventData :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :pending_webhooks :: :integer Number of webhooks that have yet to be successfully delivered (i.e., to return a 20x response) to the URLs you've specified. :request :: ExOAPI.Stripe.Schemas.NotificationEventRequest Information on the API request that instigated the event. :type :: :string Description of the event (e.g., invoice.created or charge.refunded ).","ref":"ExOAPI.Stripe.Schemas.Event.html","title":"ExOAPI.Stripe.Schemas.Event","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Event.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Event.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Event.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Event.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Event.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Event.t/0","type":"type"},{"doc":"description : Exchange Rate objects allow you to determine the rates that Stripe is currently using to convert from one currency to another. Since this number is variable throughout the day, there are various reasons why you might want to know the current rate (for example, to dynamically price an item for a user with a default payment in a foreign currency). If you want a guarantee that the charge is made with a certain exchange rate you expect is current, you can pass in exchange_rate to charges endpoints. If the value is no longer up to date, the charge won't go through. Please refer to our Exchange Rates API guide for more details. :id :: :string Unique identifier for the object. Represented as the three-letter ISO currency code in lowercase. :object :: :string String representing the object's type. Objects of the same type share the same value. :rates :: :map Hash where the keys are supported currencies and the values are the exchange rate at which the base id currency converts to the key currency.","ref":"ExOAPI.Stripe.Schemas.ExchangeRate.html","title":"ExOAPI.Stripe.Schemas.ExchangeRate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ExchangeRate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ExchangeRate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ExchangeRate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ExchangeRate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ExchangeRate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ExchangeRate.t/0","type":"type"},{"doc":":amount :: :integer Amount of the fee, in cents. :application :: ExOAPI.Stripe.Schemas.Application ID of the Connect application that earned the fee. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :type :: :string Type of the fee, one of: application_fee , stripe_fee or tax .","ref":"ExOAPI.Stripe.Schemas.Fee.html","title":"ExOAPI.Stripe.Schemas.Fee","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Fee.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Fee.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Fee.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Fee.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Fee.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Fee.t/0","type":"type"},{"doc":"description : Application Fee Refund objects allow you to refund an application fee that has previously been created but not yet refunded. Funds will be refunded to the Stripe account from which the fee was originally collected. Related guide: Refunding Application Fees . :amount :: :integer Amount, in %s. :balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string Balance transaction that describes the impact on your account balance. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :fee :: ExOAPI.Stripe.Schemas.ApplicationFee | :string ID of the application fee that was refunded. :id :: :string Unique identifier for the object. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.FeeRefund.html","title":"ExOAPI.Stripe.Schemas.FeeRefund","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FeeRefund.html#changeset/2","title":"ExOAPI.Stripe.Schemas.FeeRefund.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FeeRefund.html#t:params/0","title":"ExOAPI.Stripe.Schemas.FeeRefund.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FeeRefund.html#t:t/0","title":"ExOAPI.Stripe.Schemas.FeeRefund.t/0","type":"type"},{"doc":"description : This is an object representing a file hosted on Stripe's servers. The file may have been uploaded by yourself using the create file request (for example, when uploading dispute evidence) or it may have been created by Stripe (for example, the results of a Sigma scheduled query ). Related guide: File Upload Guide . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :expires_at :: :integer The time at which the file expires and is no longer available in epoch seconds. :filename :: :string A filename for the file, suitable for saving to a filesystem. :id :: :string Unique identifier for the object. ::data :: ExOAPI.Stripe.Schemas.FileLink :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :object :: :string String representing the object's type. Objects of the same type share the same value. :purpose :: :string The purpose of the uploaded file. :size :: :integer The size in bytes of the file object. :title :: :string A user friendly title for the document. :type :: :string The type of the file returned (e.g., csv , pdf , jpg , or png ). :url :: :string The URL from which the file can be downloaded using your live secret API key.","ref":"ExOAPI.Stripe.Schemas.File.html","title":"ExOAPI.Stripe.Schemas.File","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.File.html#changeset/2","title":"ExOAPI.Stripe.Schemas.File.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.File.html#t:params/0","title":"ExOAPI.Stripe.Schemas.File.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.File.html#t:t/0","title":"ExOAPI.Stripe.Schemas.File.t/0","type":"type"},{"doc":"description : To share the contents of a File object with non-Stripe users, you can create a FileLink . FileLink s contain a URL that can be used to retrieve the contents of the file without authentication. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :expired :: :boolean Whether this link is already expired. :expires_at :: :integer Time at which the link expires. :file :: ExOAPI.Stripe.Schemas.File | :string The file object this link points to. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :url :: :string The publicly accessible URL to download the file.","ref":"ExOAPI.Stripe.Schemas.FileLink.html","title":"ExOAPI.Stripe.Schemas.FileLink","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FileLink.html#changeset/2","title":"ExOAPI.Stripe.Schemas.FileLink.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FileLink.html#t:params/0","title":"ExOAPI.Stripe.Schemas.FileLink.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FileLink.html#t:t/0","title":"ExOAPI.Stripe.Schemas.FileLink.t/0","type":"type"},{"doc":"::columns :: :string :connected_account :: :string Connected account ID by which to filter the report run. :currency :: :string Currency of objects to be included in the report run. :interval_end :: :integer Ending timestamp of data to be included in the report run (exclusive). :interval_start :: :integer Starting timestamp of data to be included in the report run. :payout :: ExOAPI.Stripe.Schemas.Payout Payout ID by which to filter the report run. :reporting_category :: :string Category of balance transactions to be included in the report run. :timezone :: :string Defaults to Etc/UTC . The output timezone for all timestamps in the report. A list of possible time zone values is maintained at the IANA Time Zone Database . Has no effect on interval_start or interval_end .","ref":"ExOAPI.Stripe.Schemas.FinancialReportingFinanceReportRunRunParameters.html","title":"ExOAPI.Stripe.Schemas.FinancialReportingFinanceReportRunRunParameters","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FinancialReportingFinanceReportRunRunParameters.html#changeset/2","title":"ExOAPI.Stripe.Schemas.FinancialReportingFinanceReportRunRunParameters.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FinancialReportingFinanceReportRunRunParameters.html#t:params/0","title":"ExOAPI.Stripe.Schemas.FinancialReportingFinanceReportRunRunParameters.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FinancialReportingFinanceReportRunRunParameters.html#t:t/0","title":"ExOAPI.Stripe.Schemas.FinancialReportingFinanceReportRunRunParameters.t/0","type":"type"},{"doc":"description : Each customer has a balance that is automatically applied to future invoices and payments using the customer_balance payment method. Customers can fund this balance by initiating a bank transfer to any account in the financial_addresses field. Related guide: Customer Balance - Funding Instructions to learn more :bank_transfer :: ExOAPI.Stripe.Schemas.FundingInstructionsBankTransfer :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :funding_type :: :string The funding_type of the returned instructions :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.FundingInstructions.html","title":"ExOAPI.Stripe.Schemas.FundingInstructions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.FundingInstructions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.FundingInstructions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.FundingInstructions.t/0","type":"type"},{"doc":":country :: :string The country of the bank account to fund ::financial_addresses :: ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferFinancialAddress :type :: :string The bank_transfer type","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransfer.html","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransfer","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransfer.html#changeset/2","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransfer.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransfer.html#t:params/0","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransfer.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransfer.html#t:t/0","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransfer.t/0","type":"type"},{"doc":"description : FinancialAddresses contain identifying information that resolves to a FinancialAccount. ::supported_networks :: :string :type :: :string The type of financial address :zengin :: list(:map)","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferFinancialAddress.html","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferFinancialAddress","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferFinancialAddress.html#changeset/2","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferFinancialAddress.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferFinancialAddress.html#t:params/0","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferFinancialAddress.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferFinancialAddress.html#t:t/0","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferFinancialAddress.t/0","type":"type"},{"doc":"description : Zengin Records contain Japan bank account details per the Zengin format.","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferZenginRecord.html","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferZenginRecord","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferZenginRecord.html#changeset/2","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferZenginRecord.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferZenginRecord.html#t:params/0","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferZenginRecord.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferZenginRecord.html#t:t/0","title":"ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferZenginRecord.t/0","type":"type"},{"doc":"description : Point in Time :day :: :integer Numerical day between 1 and 31. :month :: :integer Numerical month between 1 and 12. :year :: :integer The four-digit year.","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportDateOfBirth.html","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportDateOfBirth","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportDateOfBirth.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportDateOfBirth.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportDateOfBirth.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportDateOfBirth.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportDateOfBirth.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportDateOfBirth.t/0","type":"type"},{"doc":"description : Point in Time :day :: :integer Numerical day between 1 and 31. :month :: :integer Numerical month between 1 and 12. :year :: :integer The four-digit year.","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportExpirationDate.html","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportExpirationDate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportExpirationDate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportExpirationDate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportExpirationDate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportExpirationDate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportExpirationDate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportExpirationDate.t/0","type":"type"},{"doc":"description : Point in Time :day :: :integer Numerical day between 1 and 31. :month :: :integer Numerical month between 1 and 12. :year :: :integer The four-digit year.","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportIssuedDate.html","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportIssuedDate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportIssuedDate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportIssuedDate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportIssuedDate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportIssuedDate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportIssuedDate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoDataDocumentReportIssuedDate.t/0","type":"type"},{"doc":"description : Point in Time :day :: :integer Numerical day between 1 and 31. :month :: :integer Numerical month between 1 and 12. :year :: :integer The four-digit year.","ref":"ExOAPI.Stripe.Schemas.GelatoDataIdNumberReportDate.html","title":"ExOAPI.Stripe.Schemas.GelatoDataIdNumberReportDate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataIdNumberReportDate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoDataIdNumberReportDate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataIdNumberReportDate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoDataIdNumberReportDate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataIdNumberReportDate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoDataIdNumberReportDate.t/0","type":"type"},{"doc":"description : Point in Time :day :: :integer Numerical day between 1 and 31. :month :: :integer Numerical month between 1 and 12. :year :: :integer The four-digit year.","ref":"ExOAPI.Stripe.Schemas.GelatoDataVerifiedOutputsDate.html","title":"ExOAPI.Stripe.Schemas.GelatoDataVerifiedOutputsDate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataVerifiedOutputsDate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoDataVerifiedOutputsDate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataVerifiedOutputsDate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoDataVerifiedOutputsDate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDataVerifiedOutputsDate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoDataVerifiedOutputsDate.t/0","type":"type"},{"doc":"description : Result from a document check :address :: ExOAPI.Stripe.Schemas.Address Address as it appears in the document. :dob :: ExOAPI.Stripe.Schemas.GelatoDataDocumentReportDateOfBirth Date of birth as it appears in the document. :error :: ExOAPI.Stripe.Schemas.GelatoDocumentReportError Details on the verification error. Present when status is unverified . :expiration_date :: ExOAPI.Stripe.Schemas.GelatoDataDocumentReportExpirationDate Expiration date of the document. ::files :: :string :first_name :: :string First name as it appears in the document. :issued_date :: ExOAPI.Stripe.Schemas.GelatoDataDocumentReportIssuedDate Issued date of the document. :issuing_country :: :string Issuing country of the document. :last_name :: :string Last name as it appears in the document. :number :: :string Document ID number. :status :: :string Status of this document check. :type :: :string Type of the document.","ref":"ExOAPI.Stripe.Schemas.GelatoDocumentReport.html","title":"ExOAPI.Stripe.Schemas.GelatoDocumentReport","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDocumentReport.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoDocumentReport.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDocumentReport.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoDocumentReport.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDocumentReport.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoDocumentReport.t/0","type":"type"},{"doc":":code :: :string A short machine-readable string giving the reason for the verification failure. :reason :: :string A human-readable message giving the reason for the failure. These messages can be shown to your users.","ref":"ExOAPI.Stripe.Schemas.GelatoDocumentReportError.html","title":"ExOAPI.Stripe.Schemas.GelatoDocumentReportError","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDocumentReportError.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoDocumentReportError.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDocumentReportError.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoDocumentReportError.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoDocumentReportError.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoDocumentReportError.t/0","type":"type"},{"doc":"description : Result from an id_number check :dob :: ExOAPI.Stripe.Schemas.GelatoDataIdNumberReportDate Date of birth. :error :: ExOAPI.Stripe.Schemas.GelatoIdNumberReportError Details on the verification error. Present when status is unverified . :first_name :: :string First name. :id_number :: :string ID number. :id_number_type :: :string Type of ID number. :last_name :: :string Last name. :status :: :string Status of this id_number check.","ref":"ExOAPI.Stripe.Schemas.GelatoIdNumberReport.html","title":"ExOAPI.Stripe.Schemas.GelatoIdNumberReport","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoIdNumberReport.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoIdNumberReport.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoIdNumberReport.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoIdNumberReport.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoIdNumberReport.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoIdNumberReport.t/0","type":"type"},{"doc":":code :: :string A short machine-readable string giving the reason for the verification failure. :reason :: :string A human-readable message giving the reason for the failure. These messages can be shown to your users.","ref":"ExOAPI.Stripe.Schemas.GelatoIdNumberReportError.html","title":"ExOAPI.Stripe.Schemas.GelatoIdNumberReportError","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoIdNumberReportError.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoIdNumberReportError.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoIdNumberReportError.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoIdNumberReportError.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoIdNumberReportError.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoIdNumberReportError.t/0","type":"type"},{"doc":"::allowed_types :: :string :require_id_number :: :boolean Collect an ID number and perform an ID number check with the document’s extracted name and date of birth. :require_live_capture :: :boolean Disable image uploads, identity document images have to be captured using the device’s camera. :require_matching_selfie :: :boolean Capture a face image and perform a selfie check comparing a photo ID and a picture of your user’s face. Learn more .","ref":"ExOAPI.Stripe.Schemas.GelatoReportDocumentOptions.html","title":"ExOAPI.Stripe.Schemas.GelatoReportDocumentOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoReportDocumentOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoReportDocumentOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoReportDocumentOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoReportDocumentOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoReportDocumentOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoReportDocumentOptions.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoReportIdNumberOptions.html","title":"ExOAPI.Stripe.Schemas.GelatoReportIdNumberOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoReportIdNumberOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoReportIdNumberOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoReportIdNumberOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoReportIdNumberOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoReportIdNumberOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoReportIdNumberOptions.t/0","type":"type"},{"doc":"description : Result from a selfie check :document :: :string ID of the File holding the image of the identity document used in this check. :error :: ExOAPI.Stripe.Schemas.GelatoSelfieReportError Details on the verification error. Present when status is unverified . :selfie :: :string ID of the File holding the image of the selfie used in this check. :status :: :string Status of this selfie check.","ref":"ExOAPI.Stripe.Schemas.GelatoSelfieReport.html","title":"ExOAPI.Stripe.Schemas.GelatoSelfieReport","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSelfieReport.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoSelfieReport.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSelfieReport.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoSelfieReport.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSelfieReport.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoSelfieReport.t/0","type":"type"},{"doc":":code :: :string A short machine-readable string giving the reason for the verification failure. :reason :: :string A human-readable message giving the reason for the failure. These messages can be shown to your users.","ref":"ExOAPI.Stripe.Schemas.GelatoSelfieReportError.html","title":"ExOAPI.Stripe.Schemas.GelatoSelfieReportError","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSelfieReportError.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoSelfieReportError.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSelfieReportError.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoSelfieReportError.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSelfieReportError.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoSelfieReportError.t/0","type":"type"},{"doc":"::allowed_types :: :string :require_id_number :: :boolean Collect an ID number and perform an ID number check with the document’s extracted name and date of birth. :require_live_capture :: :boolean Disable image uploads, identity document images have to be captured using the device’s camera. :require_matching_selfie :: :boolean Capture a face image and perform a selfie check comparing a photo ID and a picture of your user’s face. Learn more .","ref":"ExOAPI.Stripe.Schemas.GelatoSessionDocumentOptions.html","title":"ExOAPI.Stripe.Schemas.GelatoSessionDocumentOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSessionDocumentOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoSessionDocumentOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSessionDocumentOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoSessionDocumentOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSessionDocumentOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoSessionDocumentOptions.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSessionIdNumberOptions.html","title":"ExOAPI.Stripe.Schemas.GelatoSessionIdNumberOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSessionIdNumberOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoSessionIdNumberOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSessionIdNumberOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoSessionIdNumberOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSessionIdNumberOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoSessionIdNumberOptions.t/0","type":"type"},{"doc":"description : Shows last VerificationSession error :code :: :string A short machine-readable string giving the reason for the verification or user-session failure. :reason :: :string A message that explains the reason for verification or user-session failure.","ref":"ExOAPI.Stripe.Schemas.GelatoSessionLastError.html","title":"ExOAPI.Stripe.Schemas.GelatoSessionLastError","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSessionLastError.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoSessionLastError.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSessionLastError.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoSessionLastError.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoSessionLastError.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoSessionLastError.t/0","type":"type"},{"doc":":document :: ExOAPI.Stripe.Schemas.GelatoReportDocumentOptions :id_number :: list(:map)","ref":"ExOAPI.Stripe.Schemas.GelatoVerificationReportOptions.html","title":"ExOAPI.Stripe.Schemas.GelatoVerificationReportOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoVerificationReportOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoVerificationReportOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoVerificationReportOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoVerificationReportOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoVerificationReportOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoVerificationReportOptions.t/0","type":"type"},{"doc":":document :: ExOAPI.Stripe.Schemas.GelatoSessionDocumentOptions :id_number :: list(:map)","ref":"ExOAPI.Stripe.Schemas.GelatoVerificationSessionOptions.html","title":"ExOAPI.Stripe.Schemas.GelatoVerificationSessionOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoVerificationSessionOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoVerificationSessionOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoVerificationSessionOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoVerificationSessionOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoVerificationSessionOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoVerificationSessionOptions.t/0","type":"type"},{"doc":":address :: ExOAPI.Stripe.Schemas.Address The user's verified address. :dob :: ExOAPI.Stripe.Schemas.GelatoDataVerifiedOutputsDate The user’s verified date of birth. :first_name :: :string The user's verified first name. :id_number :: :string The user's verified id number. :id_number_type :: :string The user's verified id number type. :last_name :: :string The user's verified last name.","ref":"ExOAPI.Stripe.Schemas.GelatoVerifiedOutputs.html","title":"ExOAPI.Stripe.Schemas.GelatoVerifiedOutputs","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoVerifiedOutputs.html#changeset/2","title":"ExOAPI.Stripe.Schemas.GelatoVerifiedOutputs.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoVerifiedOutputs.html#t:params/0","title":"ExOAPI.Stripe.Schemas.GelatoVerifiedOutputs.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.GelatoVerifiedOutputs.html#t:t/0","title":"ExOAPI.Stripe.Schemas.GelatoVerifiedOutputs.t/0","type":"type"},{"doc":"description : A VerificationReport is the result of an attempt to collect and verify data from a user. The collection of verification checks performed is determined from the type and options parameters used. You can find the result of each verification check performed in the appropriate sub-resource: document , id_number , selfie . Each VerificationReport contains a copy of any data collected by the user as well as reference IDs which can be used to access collected images through the FileUpload API. To configure and create VerificationReports, use the VerificationSession API. Related guides: Accessing verification results . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :document :: ExOAPI.Stripe.Schemas.GelatoDocumentReport :id :: :string Unique identifier for the object. :id_number :: ExOAPI.Stripe.Schemas.GelatoIdNumberReport :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :options :: ExOAPI.Stripe.Schemas.GelatoVerificationReportOptions :selfie :: ExOAPI.Stripe.Schemas.GelatoSelfieReport :type :: :string Type of report. :verification_session :: :string ID of the VerificationSession that created this report.","ref":"ExOAPI.Stripe.Schemas.Identity_verificationReport.html","title":"ExOAPI.Stripe.Schemas.Identity_verificationReport","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Identity_verificationReport.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Identity_verificationReport.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Identity_verificationReport.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Identity_verificationReport.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Identity_verificationReport.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Identity_verificationReport.t/0","type":"type"},{"doc":"description : A VerificationSession guides you through the process of collecting and verifying the identities of your users. It contains details about the type of verification, such as what verification check to perform. Only create one VerificationSession for each verification in your system. A VerificationSession transitions through multiple statuses throughout its lifetime as it progresses through the verification flow. The VerificationSession contains the user’s verified data after verification checks are complete. Related guide: The Verification Sessions API :client_secret :: :string The short-lived client secret used by Stripe.js to show a verification modal inside your app. This client secret expires after 24 hours and can only be used once. Don’t store it, log it, embed it in a URL, or expose it to anyone other than the user. Make sure that you have TLS enabled on any page that includes the client secret. Refer to our docs on passing the client secret to the frontend to learn more. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :id :: :string Unique identifier for the object. :last_error :: ExOAPI.Stripe.Schemas.GelatoSessionLastError If present, this property tells you the last error encountered when processing the verification. :last_verification_report :: ExOAPI.Stripe.Schemas.Identity_verificationReport | :string ID of the most recent VerificationReport. Learn more about accessing detailed verification results. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :options :: ExOAPI.Stripe.Schemas.GelatoVerificationSessionOptions :redaction :: ExOAPI.Stripe.Schemas.VerificationSessionRedaction Redaction status of this VerificationSession. If the VerificationSession is not redacted, this field will be null. :status :: :string Status of this VerificationSession. Learn more about the lifecycle of sessions . :type :: :string The type of verification check to be performed. :url :: :string The short-lived URL that you use to redirect a user to Stripe to submit their identity information. This URL expires after 48 hours and can only be used once. Don’t store it, log it, send it in emails or expose it to anyone other than the user. Refer to our docs on verifying identity documents to learn how to redirect users to Stripe. :verified_outputs :: ExOAPI.Stripe.Schemas.GelatoVerifiedOutputs The user’s verified data.","ref":"ExOAPI.Stripe.Schemas.Identity_verificationSession.html","title":"ExOAPI.Stripe.Schemas.Identity_verificationSession","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Identity_verificationSession.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Identity_verificationSession.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Identity_verificationSession.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Identity_verificationSession.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Identity_verificationSession.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Identity_verificationSession.t/0","type":"type"},{"doc":"description : Invoices are statements of amounts owed by a customer, and are either generated one-off, or generated periodically from a subscription. They contain invoice items , and proration adjustments that may be caused by subscription upgrades/downgrades (if necessary). If your invoice is configured to be billed through automatic charges, Stripe automatically finalizes your invoice and attempts payment. Note that finalizing the invoice, when automatic , does not happen immediately as the invoice is created. Stripe waits until one hour after the last webhook was successfully sent (or the last webhook timed out after failing). If you (and the platforms you may have connected to) have no webhooks configured, Stripe waits one hour after creation to finalize the invoice. If your invoice is configured to be billed by sending an email, then based on your email settings , Stripe will email the invoice to your customer and await payment. These emails can contain a link to a hosted page to pay the invoice. Stripe applies any customer credit on the account before determining the amount due for the invoice (i.e., the amount that will be actually charged). If the amount due for the invoice is less than Stripe's minimum allowed charge per currency , the invoice is automatically marked paid, and we add the amount due to the customer's credit balance which is applied to the next invoice. More details on the customer's credit balance are here . Related guide: Send Invoices to Customers . :customer_tax_exempt :: :string The customer's tax exempt status. Until the invoice is finalized, this field will equal customer.tax_exempt . Once the invoice is finalized, this field will no longer be updated. :auto_advance :: :boolean Controls whether Stripe will perform automatic collection of the invoice. When false , the invoice's state will not automatically advance without an explicit action. :customer_phone :: :string The customer's phone number. Until the invoice is finalized, this field will equal customer.phone . Once the invoice is finalized, this field will no longer be updated. :invoice_pdf :: :string The link to download the PDF for the invoice. If the invoice has not been finalized yet, this will be null. :starting_balance :: :integer Starting customer balance before the invoice is finalized. If the invoice has not been finalized yet, this will be the current customer balance. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. ::customer_tax_ids :: ExOAPI.Stripe.Schemas.InvoicesResourceInvoiceTaxId :collection_method :: :string Either charge_automatically , or send_invoice . When charging automatically, Stripe will attempt to pay this invoice using the default source attached to the customer. When sending an invoice, Stripe will email this invoice to the customer with payment instructions. :default_payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod | :string ID of the default payment method for the invoice. It must belong to the customer associated with the invoice. If not set, defaults to the subscription's default payment method, if any, or to the default payment method in the customer's invoice settings. :amount_due :: :integer Final amount due at this time for this invoice. If the invoice's total is smaller than the minimum charge amount, for example, or if there is account credit that can be applied to the invoice, the amount_due may be 0. If there is a positive starting_balance for the invoice (the customer owes money), the amount_due will also take that into account. The charge that gets generated for the invoice will be for the amount specified in amount_due . :last_finalization_error :: ExOAPI.Stripe.Schemas.ApiErrors The error encountered during the previous attempt to finalize the invoice. This field is cleared when the invoice is successfully finalized. :attempt_count :: :integer Number of payment attempts made for this invoice, from the perspective of the payment retry schedule. Any payment attempt counts as the first attempt, and subsequently only automatic retries increment the attempt count. In other words, manual payment attempts after the first attempt do not affect the retry schedule. :customer_name :: :string The customer's name. Until the invoice is finalized, this field will equal customer.name . Once the invoice is finalized, this field will no longer be updated. ::custom_fields :: ExOAPI.Stripe.Schemas.InvoiceSettingCustomField :subtotal :: :integer Total of all subscriptions, invoice items, and prorations on the invoice before any invoice level discount or tax is applied. Item discounts are already incorporated :account_country :: :string The country of the business associated with this invoice, most often the business creating the invoice. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. Referenced as 'memo' in the Dashboard. :paid :: :boolean Whether payment was successfully collected for this invoice. An invoice can be paid (most commonly) with a charge or with credit from the customer's account balance. :pre_payment_credit_notes_amount :: :integer Total amount of all pre-payment credit notes issued for this invoice. :subscription_proration_date :: :integer Only set for upcoming invoices that preview prorations. The time used to calculate prorations. :footer :: :string Footer displayed on the invoice. :customer_shipping :: ExOAPI.Stripe.Schemas.Shipping The customer's shipping information. Until the invoice is finalized, this field will equal customer.shipping . Once the invoice is finalized, this field will no longer be updated. :total :: :integer Total after discounts and taxes. :payment_intent :: ExOAPI.Stripe.Schemas.PaymentIntent | :string The PaymentIntent associated with this invoice. The PaymentIntent is generated when the invoice is finalized, and can then be used to pay the invoice. Note that voiding an invoice will cancel the PaymentIntent. :paid_out_of_band :: :boolean Returns true if the invoice was manually marked paid, returns false if the invoice hasn't been paid yet or was paid on Stripe. :threshold_reason :: ExOAPI.Stripe.Schemas.InvoiceThresholdReason :discount :: ExOAPI.Stripe.Schemas.Discount Describes the current discount applied to this invoice, if there is one. Not populated if there are multiple discounts. :customer_email :: :string The customer's email. Until the invoice is finalized, this field will equal customer.email . Once the invoice is finalized, this field will no longer be updated. :on_behalf_of :: ExOAPI.Stripe.Schemas.Account | :string The account (if any) for which the funds of the invoice payment are intended. If set, the invoice will be presented with the branding and support information of the specified account. See the Invoices with Connect documentation for details. :charge :: ExOAPI.Stripe.Schemas.Charge | :string ID of the latest charge generated for this invoice, if any. :account_name :: :string The public name of the business associated with this invoice, most often the business creating the invoice. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The ID of the customer who will be billed. :amount_paid :: :integer The amount, in %s, that was paid. ::account_tax_ids :: ExOAPI.Stripe.Schemas.DeletedTaxId | ExOAPI.Stripe.Schemas.TaxId | :string :hosted_invoice_url :: :string The URL for the hosted invoice page, which allows customers to view and pay an invoice. If the invoice has not been finalized yet, this will be null. :statement_descriptor :: :string Extra information about an invoice for the customer's credit card statement. :payment_settings :: ExOAPI.Stripe.Schemas.InvoicesPaymentSettings :due_date :: :integer The date on which payment for this invoice is due. This value will be null for invoices where collection_method=charge_automatically . :default_source :: ExOAPI.Stripe.Schemas.Source | ExOAPI.Stripe.Schemas.Card | ExOAPI.Stripe.Schemas.BitcoinReceiver | ExOAPI.Stripe.Schemas.BankAccount | ExOAPI.Stripe.Schemas.AlipayAccount | :string ID of the default payment source for the invoice. It must belong to the customer associated with the invoice and be in a chargeable state. If not set, defaults to the subscription's default source, if any, or to the customer's default source. :receipt_number :: :string This is the transaction number that appears on email receipts sent for this invoice. :billing_reason :: :string Indicates the reason why the invoice was created. subscription_cycle indicates an invoice created by a subscription advancing into a new period. subscription_create indicates an invoice created due to creating a subscription. subscription_update indicates an invoice created due to updating a subscription. subscription is set for all old invoices to indicate either a change to a subscription or a period advancement. manual is set for all invoices unrelated to a subscription (for example: created via the invoice editor). The upcoming value is reserved for simulated invoices per the upcoming invoice endpoint. subscription_threshold indicates an invoice created due to a billing threshold being reached. :object :: :string String representing the object's type. Objects of the same type share the same value. :status_transitions :: ExOAPI.Stripe.Schemas.InvoicesStatusTransitions :post_payment_credit_notes_amount :: :integer Total amount of all post-payment credit notes issued for this invoice. :test_clock :: ExOAPI.Stripe.Schemas.TestHelpers_testClock | :string ID of the test clock this invoice belongs to. :automatic_tax :: ExOAPI.Stripe.Schemas.AutomaticTax :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . ::total_discount_amounts :: ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. ::discounts :: ExOAPI.Stripe.Schemas.DeletedDiscount | ExOAPI.Stripe.Schemas.Discount | :string :quote :: ExOAPI.Stripe.Schemas.Quote | :string The quote this invoice was generated from. :amount_remaining :: :integer The amount remaining, in %s, that is due. :period_end :: :integer End of the usage period during which invoice items were added to this invoice. :next_payment_attempt :: :integer The time at which payment will next be attempted. This value will be null for invoices where collection_method=send_invoice . :subscription :: ExOAPI.Stripe.Schemas.Subscription | :string The subscription that this invoice was prepared for, if any. :webhooks_delivered_at :: :integer Invoices are automatically paid or sent 1 hour after webhooks are delivered, or until all webhook delivery attempts have been exhausted . This field tracks the time when webhooks for this invoice were successfully delivered. If the invoice had no webhooks to deliver, this will be set while the invoice is being created. ::total_tax_amounts :: ExOAPI.Stripe.Schemas.InvoiceTaxAmount :status :: :string The status of the invoice, one of draft , open , paid , uncollectible , or void . Learn more :ending_balance :: :integer Ending customer balance after the invoice is finalized. Invoices are finalized approximately an hour after successful webhook delivery or when payment collection is attempted for the invoice. If the invoice has not been finalized yet, this will be null. :customer_address :: ExOAPI.Stripe.Schemas.Address The customer's address. Until the invoice is finalized, this field will equal customer.address . Once the invoice is finalized, this field will no longer be updated. :number :: :string A unique, identifying string that appears on emails sent to the customer for this invoice. This starts with the customer's unique invoice_prefix if it is specified. :application_fee_amount :: :integer The fee in %s that will be applied to the invoice and transferred to the application owner's Stripe account when the invoice is paid. :tax :: :integer The amount of tax on this invoice. This is the sum of all the tax amounts on this invoice. :period_start :: :integer Start of the usage period during which invoice items were added to this invoice. :transfer_data :: ExOAPI.Stripe.Schemas.InvoiceTransferData The account (if any) the payment will be attributed to for tax reporting, and where funds from the payment will be transferred to for the invoice. :attempted :: :boolean Whether an attempt has been made to pay the invoice. An invoice is not attempted until 1 hour after the invoice.created webhook, for example, so you might not want to display that invoice as unpaid to your users. :id :: :string Unique identifier for the object. ::default_tax_rates :: ExOAPI.Stripe.Schemas.TaxRate ::data :: ExOAPI.Stripe.Schemas.LineItem :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed.","ref":"ExOAPI.Stripe.Schemas.Invoice.html","title":"ExOAPI.Stripe.Schemas.Invoice","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Invoice.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Invoice.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Invoice.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Invoice.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Invoice.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Invoice.t/0","type":"type"},{"doc":"::line_item_ids :: :string :usage_gte :: :integer The quantity threshold boundary that applied to the given line item.","ref":"ExOAPI.Stripe.Schemas.InvoiceItemThresholdReason.html","title":"ExOAPI.Stripe.Schemas.InvoiceItemThresholdReason","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceItemThresholdReason.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoiceItemThresholdReason.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceItemThresholdReason.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoiceItemThresholdReason.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceItemThresholdReason.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoiceItemThresholdReason.t/0","type":"type"},{"doc":":end :: :integer The end of the period, which must be greater than or equal to the start. :start :: :integer The start of the period.","ref":"ExOAPI.Stripe.Schemas.InvoiceLineItemPeriod.html","title":"ExOAPI.Stripe.Schemas.InvoiceLineItemPeriod","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceLineItemPeriod.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoiceLineItemPeriod.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceLineItemPeriod.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoiceLineItemPeriod.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceLineItemPeriod.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoiceLineItemPeriod.t/0","type":"type"},{"doc":":amount :: :integer Amount to be charged for future payments. :amount_type :: :string One of fixed or maximum . If fixed , the amount param refers to the exact amount to be charged in future payments. If maximum , the amount charged can be up to the value passed for the amount param. :description :: :string A description of the mandate or subscription that is meant to be displayed to the customer.","ref":"ExOAPI.Stripe.Schemas.InvoiceMandateOptionsCard.html","title":"ExOAPI.Stripe.Schemas.InvoiceMandateOptionsCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceMandateOptionsCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoiceMandateOptionsCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceMandateOptionsCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoiceMandateOptionsCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceMandateOptionsCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoiceMandateOptionsCard.t/0","type":"type"},{"doc":":mandate_options :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebitMandateOptions :verification_method :: :string Bank account verification method.","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebit.html","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebit.t/0","type":"type"},{"doc":":transaction_type :: :string Transaction type of the mandate.","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebitMandateOptions.html","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebitMandateOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebitMandateOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebitMandateOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebitMandateOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebitMandateOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebitMandateOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebitMandateOptions.t/0","type":"type"},{"doc":":preferred_language :: :string Preferred language of the Bancontact authorization page that the customer is redirected to.","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsBancontact.html","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsBancontact","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsBancontact.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsBancontact.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsBancontact.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsBancontact.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsBancontact.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsBancontact.t/0","type":"type"},{"doc":":request_three_d_secure :: :string We strongly recommend that you rely on our SCA Engine to automatically prompt your customers for authentication based on risk level and other requirements . However, if you wish to request 3D Secure based on logic from your own fraud engine, provide this option. Read our guide on manually requesting 3D Secure for more information on how this configuration interacts with Radar and our SCA Engine.","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCard.html","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCard.t/0","type":"type"},{"doc":":bank_transfer :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalanceBankTransfer :funding_type :: :string The funding method type to be used when there are not enough funds in the customer balance. Permitted values include: bank_transfer .","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalance.html","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalance","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalance.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalance.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalance.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalance.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalance.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalance.t/0","type":"type"},{"doc":":type :: :string The bank transfer type that can be used for funding. Permitted values include: us_bank_account , eu_bank_account , id_bank_account , gb_bank_account , jp_bank_account , mx_bank_account , eu_bank_transfer , gb_bank_transfer , id_bank_transfer , jp_bank_transfer , mx_bank_transfer , or us_bank_transfer .","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalanceBankTransfer.html","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalanceBankTransfer","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalanceBankTransfer.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalanceBankTransfer.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalanceBankTransfer.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalanceBankTransfer.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalanceBankTransfer.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalanceBankTransfer.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsKonbini.html","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsKonbini","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsKonbini.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsKonbini.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsKonbini.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsKonbini.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsKonbini.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsKonbini.t/0","type":"type"},{"doc":":verification_method :: :string Bank account verification method.","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsUsBankAccount.html","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsUsBankAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsUsBankAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsUsBankAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsUsBankAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsUsBankAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsUsBankAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsUsBankAccount.t/0","type":"type"},{"doc":":name :: :string The name of the custom field. :value :: :string The value of the custom field.","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomField.html","title":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomField","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomField.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomField.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomField.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomField.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomField.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomField.t/0","type":"type"},{"doc":"::custom_fields :: ExOAPI.Stripe.Schemas.InvoiceSettingCustomField :default_payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod | :string ID of a payment method that's attached to the customer, to be used as the customer's default payment method for subscriptions and invoices. :footer :: :string Default footer to be displayed on invoices for this customer.","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomerSetting.html","title":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomerSetting","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomerSetting.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomerSetting.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomerSetting.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomerSetting.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomerSetting.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoiceSettingCustomerSetting.t/0","type":"type"},{"doc":":days_until_due :: :integer Number of days within which a customer must pay invoices generated by this quote. This value will be null for quotes where collection_method=charge_automatically .","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingQuoteSetting.html","title":"ExOAPI.Stripe.Schemas.InvoiceSettingQuoteSetting","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingQuoteSetting.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoiceSettingQuoteSetting.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingQuoteSetting.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoiceSettingQuoteSetting.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingQuoteSetting.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoiceSettingQuoteSetting.t/0","type":"type"},{"doc":":days_until_due :: :integer Number of days within which a customer must pay invoices generated by this subscription schedule. This value will be null for subscription schedules where billing=charge_automatically .","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingSubscriptionScheduleSetting.html","title":"ExOAPI.Stripe.Schemas.InvoiceSettingSubscriptionScheduleSetting","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingSubscriptionScheduleSetting.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoiceSettingSubscriptionScheduleSetting.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingSubscriptionScheduleSetting.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoiceSettingSubscriptionScheduleSetting.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceSettingSubscriptionScheduleSetting.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoiceSettingSubscriptionScheduleSetting.t/0","type":"type"},{"doc":":amount :: :integer The amount, in %s, of the tax. :inclusive :: :boolean Whether this tax amount is inclusive or exclusive. :tax_rate :: ExOAPI.Stripe.Schemas.TaxRate | :string The tax rate that was applied to get this tax amount.","ref":"ExOAPI.Stripe.Schemas.InvoiceTaxAmount.html","title":"ExOAPI.Stripe.Schemas.InvoiceTaxAmount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceTaxAmount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoiceTaxAmount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceTaxAmount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoiceTaxAmount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceTaxAmount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoiceTaxAmount.t/0","type":"type"},{"doc":":amount_gte :: :integer The total invoice amount threshold boundary if it triggered the threshold invoice. ::item_reasons :: ExOAPI.Stripe.Schemas.InvoiceItemThresholdReason","ref":"ExOAPI.Stripe.Schemas.InvoiceThresholdReason.html","title":"ExOAPI.Stripe.Schemas.InvoiceThresholdReason","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceThresholdReason.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoiceThresholdReason.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceThresholdReason.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoiceThresholdReason.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceThresholdReason.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoiceThresholdReason.t/0","type":"type"},{"doc":":amount :: :integer The amount in %s that will be transferred to the destination account when the invoice is paid. By default, the entire amount is transferred to the destination. :destination :: ExOAPI.Stripe.Schemas.Account | :string The account where funds from the payment will be transferred to upon payment success.","ref":"ExOAPI.Stripe.Schemas.InvoiceTransferData.html","title":"ExOAPI.Stripe.Schemas.InvoiceTransferData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceTransferData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoiceTransferData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceTransferData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoiceTransferData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoiceTransferData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoiceTransferData.t/0","type":"type"},{"doc":"description : Sometimes you want to add a charge or credit to a customer, but actually charge or credit the customer's card only at the end of a regular billing cycle. This is useful for combining several charges (to minimize per-transaction fees), or for having Stripe tabulate your usage-based billing totals. Related guide: Subscription Invoices . :amount :: :integer Amount (in the currency specified) of the invoice item. This should always be equal to unit_amount * quantity . :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The ID of the customer who will be billed when this invoice item is billed. :date :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :discountable :: :boolean If true, discounts will apply to this invoice item. Always false for prorations. ::discounts :: ExOAPI.Stripe.Schemas.Discount | :string :id :: :string Unique identifier for the object. :invoice :: ExOAPI.Stripe.Schemas.Invoice | :string The ID of the invoice this invoice item belongs to. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :period :: ExOAPI.Stripe.Schemas.InvoiceLineItemPeriod :price :: ExOAPI.Stripe.Schemas.Price The price of the invoice item. :proration :: :boolean Whether the invoice item was created automatically as a proration adjustment when the customer switched plans. :quantity :: :integer Quantity of units for the invoice item. If the invoice item is a proration, the quantity of the subscription that the proration was computed for. :subscription :: ExOAPI.Stripe.Schemas.Subscription | :string The subscription that this invoice item has been created for, if any. :subscription_item :: ExOAPI.Stripe.Schemas.SubscriptionItem The subscription item that this invoice item has been created for, if any. ::tax_rates :: ExOAPI.Stripe.Schemas.TaxRate :test_clock :: ExOAPI.Stripe.Schemas.TestHelpers_testClock | :string ID of the test clock this invoice item belongs to. :unit_amount :: :integer Unit amount (in the currency specified) of the invoice item. :unit_amount_decimal :: :string Same as unit_amount , but contains a decimal value with at most 12 decimal places.","ref":"ExOAPI.Stripe.Schemas.Invoiceitem.html","title":"ExOAPI.Stripe.Schemas.Invoiceitem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Invoiceitem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Invoiceitem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Invoiceitem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Invoiceitem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Invoiceitem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Invoiceitem.t/0","type":"type"},{"doc":":invoice :: ExOAPI.Stripe.Schemas.Invoice Invoice containing the credited invoice line items ::invoice_line_items :: :string","ref":"ExOAPI.Stripe.Schemas.InvoicesLineItemsCreditedItems.html","title":"ExOAPI.Stripe.Schemas.InvoicesLineItemsCreditedItems","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesLineItemsCreditedItems.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicesLineItemsCreditedItems.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesLineItemsCreditedItems.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicesLineItemsCreditedItems.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesLineItemsCreditedItems.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicesLineItemsCreditedItems.t/0","type":"type"},{"doc":":credited_items :: ExOAPI.Stripe.Schemas.InvoicesLineItemsCreditedItems For a credit proration line_item , the original debit line_items to which the credit proration applies.","ref":"ExOAPI.Stripe.Schemas.InvoicesLineItemsProrationDetails.html","title":"ExOAPI.Stripe.Schemas.InvoicesLineItemsProrationDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesLineItemsProrationDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicesLineItemsProrationDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesLineItemsProrationDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicesLineItemsProrationDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesLineItemsProrationDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicesLineItemsProrationDetails.t/0","type":"type"},{"doc":":acss_debit :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebit If paying by acss_debit , this sub-hash contains details about the Canadian pre-authorized debit payment method options to pass to the invoice’s PaymentIntent. :bancontact :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsBancontact If paying by bancontact , this sub-hash contains details about the Bancontact payment method options to pass to the invoice’s PaymentIntent. :card :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCard If paying by card , this sub-hash contains details about the Card payment method options to pass to the invoice’s PaymentIntent. :customer_balance :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalance If paying by customer_balance , this sub-hash contains details about the Bank transfer payment method options to pass to the invoice’s PaymentIntent. :konbini :: :map If paying by konbini , this sub-hash contains details about the Konbini payment method options to pass to the invoice’s PaymentIntent. :us_bank_account :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsUsBankAccount If paying by us_bank_account , this sub-hash contains details about the ACH direct debit payment method options to pass to the invoice’s PaymentIntent.","ref":"ExOAPI.Stripe.Schemas.InvoicesPaymentMethodOptions.html","title":"ExOAPI.Stripe.Schemas.InvoicesPaymentMethodOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesPaymentMethodOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicesPaymentMethodOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesPaymentMethodOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicesPaymentMethodOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesPaymentMethodOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicesPaymentMethodOptions.t/0","type":"type"},{"doc":":payment_method_options :: ExOAPI.Stripe.Schemas.InvoicesPaymentMethodOptions Payment-method-specific configuration to provide to the invoice’s PaymentIntent. ::payment_method_types :: :string","ref":"ExOAPI.Stripe.Schemas.InvoicesPaymentSettings.html","title":"ExOAPI.Stripe.Schemas.InvoicesPaymentSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesPaymentSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicesPaymentSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesPaymentSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicesPaymentSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesPaymentSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicesPaymentSettings.t/0","type":"type"},{"doc":":type :: :string The type of the tax ID, one of eu_vat , br_cnpj , br_cpf , gb_vat , nz_gst , au_abn , au_arn , in_gst , no_vat , za_vat , ch_vat , mx_rfc , sg_uen , ru_inn , ru_kpp , ca_bn , hk_br , es_cif , tw_vat , th_vat , jp_cn , jp_rn , li_uid , my_itn , us_ein , kr_brn , ca_qst , ca_gst_hst , ca_pst_bc , ca_pst_mb , ca_pst_sk , my_sst , sg_gst , ae_trn , cl_tin , sa_vat , id_npwp , my_frp , il_vat , ge_vat , ua_vat , is_vat , bg_uic , hu_tin , si_tin , or unknown :value :: :string The value of the tax ID.","ref":"ExOAPI.Stripe.Schemas.InvoicesResourceInvoiceTaxId.html","title":"ExOAPI.Stripe.Schemas.InvoicesResourceInvoiceTaxId","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesResourceInvoiceTaxId.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicesResourceInvoiceTaxId.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesResourceInvoiceTaxId.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicesResourceInvoiceTaxId.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesResourceInvoiceTaxId.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicesResourceInvoiceTaxId.t/0","type":"type"},{"doc":":finalized_at :: :integer The time that the invoice draft was finalized. :marked_uncollectible_at :: :integer The time that the invoice was marked uncollectible. :paid_at :: :integer The time that the invoice was paid. :voided_at :: :integer The time that the invoice was voided.","ref":"ExOAPI.Stripe.Schemas.InvoicesStatusTransitions.html","title":"ExOAPI.Stripe.Schemas.InvoicesStatusTransitions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesStatusTransitions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.InvoicesStatusTransitions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesStatusTransitions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.InvoicesStatusTransitions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.InvoicesStatusTransitions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.InvoicesStatusTransitions.t/0","type":"type"},{"doc":"description : This resource has been renamed to Early Fraud Warning and will be removed in a future API version. :actionable :: :boolean An IFR is actionable if it has not received a dispute and has not been fully refunded. You may wish to proactively refund a charge that receives an IFR, in order to avoid receiving a dispute later. :charge :: ExOAPI.Stripe.Schemas.Charge | :string ID of the charge this issuer fraud record is for, optionally expanded. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :fraud_type :: :string The type of fraud labelled by the issuer. One of card_never_received , fraudulent_card_application , made_with_counterfeit_card , made_with_lost_card , made_with_stolen_card , misc , unauthorized_use_of_card . :has_liability_shift :: :boolean If true, the associated charge is subject to liability shift . :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :post_date :: :integer The timestamp at which the card issuer posted the issuer fraud record.","ref":"ExOAPI.Stripe.Schemas.IssuerFraudRecord.html","title":"ExOAPI.Stripe.Schemas.IssuerFraudRecord","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuerFraudRecord.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuerFraudRecord.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuerFraudRecord.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuerFraudRecord.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuerFraudRecord.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuerFraudRecord.t/0","type":"type"},{"doc":":atm_fee :: :integer The fee charged by the ATM for the cash withdrawal.","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails.html","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails.t/0","type":"type"},{"doc":":category :: :string A categorization of the seller's type of business. See our merchant categories guide for a list of possible values. :category_code :: :string The merchant category code for the seller’s business :city :: :string City where the seller is located :country :: :string Country where the seller is located :name :: :string Name of the seller :network_id :: :string Identifier assigned to the seller by the card brand :postal_code :: :string Postal code where the seller is located :state :: :string State where the seller is located","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationMerchantData.html","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationMerchantData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationMerchantData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationMerchantData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationMerchantData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationMerchantData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationMerchantData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationMerchantData.t/0","type":"type"},{"doc":":amount :: :integer The additional amount Stripe will hold if the authorization is approved, in the card's currency and in the smallest currency unit . :amount_details :: ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails Detailed breakdown of amount components. These amounts are denominated in currency and in the smallest currency unit . :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :is_amount_controllable :: :boolean If set true , you may provide amount to control how much to hold for the authorization. :merchant_amount :: :integer The amount the merchant is requesting to be authorized in the merchant_currency . The amount is in the smallest currency unit . :merchant_currency :: :string The local currency the merchant is requesting to authorize.","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationPendingRequest.html","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationPendingRequest","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationPendingRequest.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationPendingRequest.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationPendingRequest.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationPendingRequest.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationPendingRequest.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationPendingRequest.t/0","type":"type"},{"doc":":amount :: :integer The pending_request.amount at the time of the request, presented in your card's currency and in the smallest currency unit . Stripe held this amount from your account to fund the authorization if the request was approved. :amount_details :: ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails Detailed breakdown of amount components. These amounts are denominated in currency and in the smallest currency unit . :approved :: :boolean Whether this request was approved. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :merchant_amount :: :integer The pending_request.merchant_amount at the time of the request, presented in the merchant_currency and in the smallest currency unit . :merchant_currency :: :string The currency that was collected by the merchant and presented to the cardholder for the authorization. Three-letter ISO currency code , in lowercase. Must be a supported currency . :reason :: :string The reason for the approval or decline.","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationRequest.html","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationRequest","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationRequest.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationRequest.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationRequest.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationRequest.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationRequest.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationRequest.t/0","type":"type"},{"doc":":address_line1_check :: :string Whether the cardholder provided an address first line and if it matched the cardholder’s billing.address.line1 . :address_postal_code_check :: :string Whether the cardholder provided a postal code and if it matched the cardholder’s billing.address.postal_code . :cvc_check :: :string Whether the cardholder provided a CVC and if it matched Stripe’s record. :expiry_check :: :string Whether the cardholder provided an expiry date and if it matched Stripe’s record.","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationVerificationData.html","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationVerificationData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationVerificationData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationVerificationData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationVerificationData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationVerificationData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingAuthorizationVerificationData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingAuthorizationVerificationData.t/0","type":"type"},{"doc":":eligible :: :boolean Apple Pay Eligibility :ineligible_reason :: :string Reason the card is ineligible for Apple Pay","ref":"ExOAPI.Stripe.Schemas.IssuingCardApplePay.html","title":"ExOAPI.Stripe.Schemas.IssuingCardApplePay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardApplePay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardApplePay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardApplePay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardApplePay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardApplePay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardApplePay.t/0","type":"type"},{"doc":"::allowed_categories :: :string ::blocked_categories :: :string ::spending_limits :: ExOAPI.Stripe.Schemas.IssuingCardSpendingLimit :spending_limits_currency :: :string Currency of the amounts within spending_limits . Always the same as the currency of the card.","ref":"ExOAPI.Stripe.Schemas.IssuingCardAuthorizationControls.html","title":"ExOAPI.Stripe.Schemas.IssuingCardAuthorizationControls","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardAuthorizationControls.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardAuthorizationControls.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardAuthorizationControls.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardAuthorizationControls.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardAuthorizationControls.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardAuthorizationControls.t/0","type":"type"},{"doc":":eligible :: :boolean Google Pay Eligibility :ineligible_reason :: :string Reason the card is ineligible for Google Pay","ref":"ExOAPI.Stripe.Schemas.IssuingCardGooglePay.html","title":"ExOAPI.Stripe.Schemas.IssuingCardGooglePay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardGooglePay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardGooglePay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardGooglePay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardGooglePay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardGooglePay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardGooglePay.t/0","type":"type"},{"doc":":address :: ExOAPI.Stripe.Schemas.Address :carrier :: :string The delivery company that shipped a card. :eta :: :integer A unix timestamp representing a best estimate of when the card will be delivered. :name :: :string Recipient name. :service :: :string Shipment service, such as standard or express . :status :: :string The delivery status of the card. :tracking_number :: :string A tracking number for a card shipment. :tracking_url :: :string A link to the shipping carrier's site where you can view detailed information about a card shipment. :type :: :string Packaging options.","ref":"ExOAPI.Stripe.Schemas.IssuingCardShipping.html","title":"ExOAPI.Stripe.Schemas.IssuingCardShipping","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardShipping.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardShipping.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardShipping.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardShipping.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardShipping.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardShipping.t/0","type":"type"},{"doc":":amount :: :integer Maximum amount allowed to spend per interval. ::categories :: :string :interval :: :string Interval (or event) to which the amount applies.","ref":"ExOAPI.Stripe.Schemas.IssuingCardSpendingLimit.html","title":"ExOAPI.Stripe.Schemas.IssuingCardSpendingLimit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardSpendingLimit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardSpendingLimit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardSpendingLimit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardSpendingLimit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardSpendingLimit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardSpendingLimit.t/0","type":"type"},{"doc":":apple_pay :: ExOAPI.Stripe.Schemas.IssuingCardApplePay :google_pay :: ExOAPI.Stripe.Schemas.IssuingCardGooglePay :primary_account_identifier :: :string Unique identifier for a card used with digital wallets","ref":"ExOAPI.Stripe.Schemas.IssuingCardWallets.html","title":"ExOAPI.Stripe.Schemas.IssuingCardWallets","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardWallets.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardWallets.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardWallets.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardWallets.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardWallets.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardWallets.t/0","type":"type"},{"doc":":address :: ExOAPI.Stripe.Schemas.Address","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderAddress.html","title":"ExOAPI.Stripe.Schemas.IssuingCardholderAddress","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderAddress.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardholderAddress.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderAddress.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderAddress.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderAddress.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderAddress.t/0","type":"type"},{"doc":"::allowed_categories :: :string ::blocked_categories :: :string ::spending_limits :: ExOAPI.Stripe.Schemas.IssuingCardholderSpendingLimit :spending_limits_currency :: :string Currency of the amounts within spending_limits .","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderAuthorizationControls.html","title":"ExOAPI.Stripe.Schemas.IssuingCardholderAuthorizationControls","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderAuthorizationControls.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardholderAuthorizationControls.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderAuthorizationControls.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderAuthorizationControls.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderAuthorizationControls.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderAuthorizationControls.t/0","type":"type"},{"doc":":tax_id_provided :: :boolean Whether the company's business ID number was provided.","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderCompany.html","title":"ExOAPI.Stripe.Schemas.IssuingCardholderCompany","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderCompany.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardholderCompany.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderCompany.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderCompany.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderCompany.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderCompany.t/0","type":"type"},{"doc":":back :: ExOAPI.Stripe.Schemas.File | :string The back of a document returned by a file upload with a purpose value of identity_document . :front :: ExOAPI.Stripe.Schemas.File | :string The front of a document returned by a file upload with a purpose value of identity_document .","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIdDocument.html","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIdDocument","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIdDocument.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIdDocument.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIdDocument.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIdDocument.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIdDocument.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIdDocument.t/0","type":"type"},{"doc":":dob :: ExOAPI.Stripe.Schemas.IssuingCardholderIndividualDob The date of birth of this cardholder. :first_name :: :string The first name of this cardholder. :last_name :: :string The last name of this cardholder. :verification :: ExOAPI.Stripe.Schemas.IssuingCardholderVerification Government-issued ID document for this cardholder.","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividual.html","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividual","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividual.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividual.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividual.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividual.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividual.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividual.t/0","type":"type"},{"doc":":day :: :integer The day of birth, between 1 and 31. :month :: :integer The month of birth, between 1 and 12. :year :: :integer The four-digit year of birth.","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividualDob.html","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividualDob","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividualDob.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividualDob.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividualDob.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividualDob.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividualDob.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderIndividualDob.t/0","type":"type"},{"doc":":disabled_reason :: :string If disabled_reason is present, all cards will decline authorizations with cardholder_verification_required reason. ::past_due :: :string","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderRequirements.html","title":"ExOAPI.Stripe.Schemas.IssuingCardholderRequirements","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderRequirements.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardholderRequirements.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderRequirements.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderRequirements.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderRequirements.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderRequirements.t/0","type":"type"},{"doc":":amount :: :integer Maximum amount allowed to spend per interval. ::categories :: :string :interval :: :string Interval (or event) to which the amount applies.","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderSpendingLimit.html","title":"ExOAPI.Stripe.Schemas.IssuingCardholderSpendingLimit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderSpendingLimit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardholderSpendingLimit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderSpendingLimit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderSpendingLimit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderSpendingLimit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderSpendingLimit.t/0","type":"type"},{"doc":":document :: ExOAPI.Stripe.Schemas.IssuingCardholderIdDocument An identifying document, either a passport or local ID card.","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderVerification.html","title":"ExOAPI.Stripe.Schemas.IssuingCardholderVerification","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderVerification.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingCardholderVerification.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderVerification.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderVerification.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingCardholderVerification.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingCardholderVerification.t/0","type":"type"},{"doc":":additional_documentation :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Additional documentation supporting the dispute. :canceled_at :: :integer Date when order was canceled. :cancellation_policy_provided :: :boolean Whether the cardholder was provided with a cancellation policy. :cancellation_reason :: :string Reason for canceling the order. :expected_at :: :integer Date when the cardholder expected to receive the product. :explanation :: :string Explanation of why the cardholder is disputing this transaction. :product_description :: :string Description of the merchandise or service that was purchased. :product_type :: :string Whether the product was a merchandise or service. :return_status :: :string Result of cardholder's attempt to return the product. :returned_at :: :integer Date when the product was returned or attempted to be returned.","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeCanceledEvidence.html","title":"ExOAPI.Stripe.Schemas.IssuingDisputeCanceledEvidence","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeCanceledEvidence.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingDisputeCanceledEvidence.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeCanceledEvidence.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeCanceledEvidence.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeCanceledEvidence.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeCanceledEvidence.t/0","type":"type"},{"doc":":additional_documentation :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Additional documentation supporting the dispute. :card_statement :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Copy of the card statement showing that the product had already been paid for. :cash_receipt :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Copy of the receipt showing that the product had been paid for in cash. :check_image :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Image of the front and back of the check that was used to pay for the product. :explanation :: :string Explanation of why the cardholder is disputing this transaction. :original_transaction :: :string Transaction (e.g., ipi_...) that the disputed transaction is a duplicate of. Of the two or more transactions that are copies of each other, this is original undisputed one.","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeDuplicateEvidence.html","title":"ExOAPI.Stripe.Schemas.IssuingDisputeDuplicateEvidence","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeDuplicateEvidence.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingDisputeDuplicateEvidence.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeDuplicateEvidence.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeDuplicateEvidence.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeDuplicateEvidence.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeDuplicateEvidence.t/0","type":"type"},{"doc":":canceled :: ExOAPI.Stripe.Schemas.IssuingDisputeCanceledEvidence :duplicate :: ExOAPI.Stripe.Schemas.IssuingDisputeDuplicateEvidence :fraudulent :: ExOAPI.Stripe.Schemas.IssuingDisputeFraudulentEvidence :merchandise_not_as_described :: ExOAPI.Stripe.Schemas.IssuingDisputeMerchandiseNotAsDescribedEvidence :not_received :: ExOAPI.Stripe.Schemas.IssuingDisputeNotReceivedEvidence :other :: ExOAPI.Stripe.Schemas.IssuingDisputeOtherEvidence :reason :: :string The reason for filing the dispute. Its value will match the field containing the evidence. :service_not_as_described :: ExOAPI.Stripe.Schemas.IssuingDisputeServiceNotAsDescribedEvidence","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeEvidence.html","title":"ExOAPI.Stripe.Schemas.IssuingDisputeEvidence","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeEvidence.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingDisputeEvidence.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeEvidence.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeEvidence.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeEvidence.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeEvidence.t/0","type":"type"},{"doc":":additional_documentation :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Additional documentation supporting the dispute. :explanation :: :string Explanation of why the cardholder is disputing this transaction.","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeFraudulentEvidence.html","title":"ExOAPI.Stripe.Schemas.IssuingDisputeFraudulentEvidence","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeFraudulentEvidence.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingDisputeFraudulentEvidence.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeFraudulentEvidence.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeFraudulentEvidence.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeFraudulentEvidence.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeFraudulentEvidence.t/0","type":"type"},{"doc":":additional_documentation :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Additional documentation supporting the dispute. :explanation :: :string Explanation of why the cardholder is disputing this transaction. :received_at :: :integer Date when the product was received. :return_description :: :string Description of the cardholder's attempt to return the product. :return_status :: :string Result of cardholder's attempt to return the product. :returned_at :: :integer Date when the product was returned or attempted to be returned.","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeMerchandiseNotAsDescribedEvidence.html","title":"ExOAPI.Stripe.Schemas.IssuingDisputeMerchandiseNotAsDescribedEvidence","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeMerchandiseNotAsDescribedEvidence.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingDisputeMerchandiseNotAsDescribedEvidence.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeMerchandiseNotAsDescribedEvidence.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeMerchandiseNotAsDescribedEvidence.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeMerchandiseNotAsDescribedEvidence.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeMerchandiseNotAsDescribedEvidence.t/0","type":"type"},{"doc":":additional_documentation :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Additional documentation supporting the dispute. :expected_at :: :integer Date when the cardholder expected to receive the product. :explanation :: :string Explanation of why the cardholder is disputing this transaction. :product_description :: :string Description of the merchandise or service that was purchased. :product_type :: :string Whether the product was a merchandise or service.","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeNotReceivedEvidence.html","title":"ExOAPI.Stripe.Schemas.IssuingDisputeNotReceivedEvidence","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeNotReceivedEvidence.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingDisputeNotReceivedEvidence.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeNotReceivedEvidence.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeNotReceivedEvidence.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeNotReceivedEvidence.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeNotReceivedEvidence.t/0","type":"type"},{"doc":":additional_documentation :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Additional documentation supporting the dispute. :explanation :: :string Explanation of why the cardholder is disputing this transaction. :product_description :: :string Description of the merchandise or service that was purchased. :product_type :: :string Whether the product was a merchandise or service.","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeOtherEvidence.html","title":"ExOAPI.Stripe.Schemas.IssuingDisputeOtherEvidence","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeOtherEvidence.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingDisputeOtherEvidence.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeOtherEvidence.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeOtherEvidence.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeOtherEvidence.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeOtherEvidence.t/0","type":"type"},{"doc":":additional_documentation :: ExOAPI.Stripe.Schemas.File | :string (ID of a file upload ) Additional documentation supporting the dispute. :canceled_at :: :integer Date when order was canceled. :cancellation_reason :: :string Reason for canceling the order. :explanation :: :string Explanation of why the cardholder is disputing this transaction. :received_at :: :integer Date when the product was received.","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeServiceNotAsDescribedEvidence.html","title":"ExOAPI.Stripe.Schemas.IssuingDisputeServiceNotAsDescribedEvidence","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeServiceNotAsDescribedEvidence.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingDisputeServiceNotAsDescribedEvidence.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeServiceNotAsDescribedEvidence.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeServiceNotAsDescribedEvidence.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingDisputeServiceNotAsDescribedEvidence.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingDisputeServiceNotAsDescribedEvidence.t/0","type":"type"},{"doc":":atm_fee :: :integer The fee charged by the ATM for the cash withdrawal.","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionAmountDetails.html","title":"ExOAPI.Stripe.Schemas.IssuingTransactionAmountDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionAmountDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingTransactionAmountDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionAmountDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionAmountDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionAmountDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionAmountDetails.t/0","type":"type"},{"doc":":departure_at :: :integer The time that the flight departed. :passenger_name :: :string The name of the passenger. :refundable :: :boolean Whether the ticket is refundable. ::segments :: ExOAPI.Stripe.Schemas.IssuingTransactionFlightDataLeg :travel_agency :: :string The travel agency that issued the ticket.","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightData.html","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightData.t/0","type":"type"},{"doc":":arrival_airport_code :: :string The three-letter IATA airport code of the flight's destination. :carrier :: :string The airline carrier code. :departure_airport_code :: :string The three-letter IATA airport code that the flight departed from. :flight_number :: :string The flight number. :service_class :: :string The flight's service class. :stopover_allowed :: :boolean Whether a stopover is allowed on this flight.","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightDataLeg.html","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightDataLeg","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightDataLeg.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightDataLeg.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightDataLeg.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightDataLeg.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightDataLeg.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFlightDataLeg.t/0","type":"type"},{"doc":":type :: :string The type of fuel that was purchased. One of diesel , unleaded_plus , unleaded_regular , unleaded_super , or other . :unit :: :string The units for volume_decimal . One of us_gallon or liter . :unit_cost_decimal :: :string The cost in cents per each unit of fuel, represented as a decimal string with at most 12 decimal places. :volume_decimal :: :string The volume of the fuel that was pumped, represented as a decimal string with at most 12 decimal places.","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFuelData.html","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFuelData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFuelData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFuelData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFuelData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFuelData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionFuelData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionFuelData.t/0","type":"type"},{"doc":":check_in_at :: :integer The time of checking into the lodging. :nights :: :integer The number of nights stayed at the lodging.","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionLodgingData.html","title":"ExOAPI.Stripe.Schemas.IssuingTransactionLodgingData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionLodgingData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingTransactionLodgingData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionLodgingData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionLodgingData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionLodgingData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionLodgingData.t/0","type":"type"},{"doc":":flight :: ExOAPI.Stripe.Schemas.IssuingTransactionFlightData Information about the flight that was purchased with this transaction. :fuel :: ExOAPI.Stripe.Schemas.IssuingTransactionFuelData Information about fuel that was purchased with this transaction. :lodging :: ExOAPI.Stripe.Schemas.IssuingTransactionLodgingData Information about lodging that was purchased with this transaction. ::receipt :: ExOAPI.Stripe.Schemas.IssuingTransactionReceiptData :reference :: :string A merchant-specific order number.","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionPurchaseDetails.html","title":"ExOAPI.Stripe.Schemas.IssuingTransactionPurchaseDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionPurchaseDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingTransactionPurchaseDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionPurchaseDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionPurchaseDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionPurchaseDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionPurchaseDetails.t/0","type":"type"},{"doc":":description :: :string The description of the item. The maximum length of this field is 26 characters. :quantity :: :number The quantity of the item. :total :: :integer The total for this line item in cents. :unit_cost :: :integer The unit cost of the item in cents.","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionReceiptData.html","title":"ExOAPI.Stripe.Schemas.IssuingTransactionReceiptData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionReceiptData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.IssuingTransactionReceiptData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionReceiptData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionReceiptData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.IssuingTransactionReceiptData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.IssuingTransactionReceiptData.t/0","type":"type"},{"doc":"description : When an issued card is used to make a purchase, an Issuing Authorization object is created. Authorizations must be approved for the purchase to be completed successfully. Related guide: Issued Card Authorizations . :amount :: :integer The total amount that was authorized or rejected. This amount is in the card's currency and in the smallest currency unit . :amount_details :: ExOAPI.Stripe.Schemas.IssuingAuthorizationAmountDetails Detailed breakdown of amount components. These amounts are denominated in currency and in the smallest currency unit . :approved :: :boolean Whether the authorization has been approved. :authorization_method :: :string How the card details were provided. ::balance_transactions :: ExOAPI.Stripe.Schemas.BalanceTransaction :card :: ExOAPI.Stripe.Schemas.Issuing_card :cardholder :: ExOAPI.Stripe.Schemas.Issuing_cardholder | :string The cardholder to whom this authorization belongs. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :merchant_amount :: :integer The total amount that was authorized or rejected. This amount is in the merchant_currency and in the smallest currency unit . :merchant_currency :: :string The currency that was presented to the cardholder for the authorization. Three-letter ISO currency code , in lowercase. Must be a supported currency . :merchant_data :: ExOAPI.Stripe.Schemas.IssuingAuthorizationMerchantData :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :pending_request :: ExOAPI.Stripe.Schemas.IssuingAuthorizationPendingRequest The pending authorization request. This field will only be non-null during an issuing_authorization.request webhook. ::request_history :: ExOAPI.Stripe.Schemas.IssuingAuthorizationRequest :status :: :string The current status of the authorization in its lifecycle. ::transactions :: ExOAPI.Stripe.Schemas.Issuing_transaction :verification_data :: ExOAPI.Stripe.Schemas.IssuingAuthorizationVerificationData :wallet :: :string The digital wallet used for this authorization. One of apple_pay , google_pay , or samsung_pay .","ref":"ExOAPI.Stripe.Schemas.Issuing_authorization.html","title":"ExOAPI.Stripe.Schemas.Issuing_authorization","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_authorization.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Issuing_authorization.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_authorization.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Issuing_authorization.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_authorization.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Issuing_authorization.t/0","type":"type"},{"doc":"description : You can create physical or virtual cards that are issued to cardholders. :brand :: :string The brand of the card. :cancellation_reason :: :string The reason why the card was canceled. :cardholder :: ExOAPI.Stripe.Schemas.Issuing_cardholder :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :cvc :: :string The card's CVC. For security reasons, this is only available for virtual cards, and will be omitted unless you explicitly request it with the expand parameter . Additionally, it's only available via the &quot;Retrieve a card&quot; endpoint , not via &quot;List all cards&quot; or any other endpoint. :exp_month :: :integer The expiration month of the card. :exp_year :: :integer The expiration year of the card. :id :: :string Unique identifier for the object. :last4 :: :string The last 4 digits of the card number. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :number :: :string The full unredacted card number. For security reasons, this is only available for virtual cards, and will be omitted unless you explicitly request it with the expand parameter . Additionally, it's only available via the &quot;Retrieve a card&quot; endpoint , not via &quot;List all cards&quot; or any other endpoint. :object :: :string String representing the object's type. Objects of the same type share the same value. :replaced_by :: ExOAPI.Stripe.Schemas.Issuing_card | :string The latest card that replaces this card, if any. :replacement_for :: ExOAPI.Stripe.Schemas.Issuing_card | :string The card this card replaces, if any. :replacement_reason :: :string The reason why the previous card needed to be replaced. :shipping :: ExOAPI.Stripe.Schemas.IssuingCardShipping Where and how the card will be shipped. :spending_controls :: ExOAPI.Stripe.Schemas.IssuingCardAuthorizationControls :status :: :string Whether authorizations can be approved on this card. :type :: :string The type of the card. :wallets :: ExOAPI.Stripe.Schemas.IssuingCardWallets Information relating to digital wallets (like Apple Pay and Google Pay).","ref":"ExOAPI.Stripe.Schemas.Issuing_card.html","title":"ExOAPI.Stripe.Schemas.Issuing_card","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_card.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Issuing_card.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_card.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Issuing_card.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_card.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Issuing_card.t/0","type":"type"},{"doc":"description : An Issuing Cardholder object represents an individual or business entity who is issued cards. Related guide: How to create a Cardholder :billing :: ExOAPI.Stripe.Schemas.IssuingCardholderAddress :company :: ExOAPI.Stripe.Schemas.IssuingCardholderCompany Additional information about a company cardholder. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :email :: :string The cardholder's email address. :id :: :string Unique identifier for the object. :individual :: ExOAPI.Stripe.Schemas.IssuingCardholderIndividual Additional information about an individual cardholder. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :name :: :string The cardholder's name. This will be printed on cards issued to them. :object :: :string String representing the object's type. Objects of the same type share the same value. :phone_number :: :string The cardholder's phone number. This is required for all cardholders who will be creating EU cards. See the 3D Secure documentation for more details. :requirements :: ExOAPI.Stripe.Schemas.IssuingCardholderRequirements :spending_controls :: ExOAPI.Stripe.Schemas.IssuingCardholderAuthorizationControls Rules that control spending across this cardholder's cards. Refer to our documentation for more details. :status :: :string Specifies whether to permit authorizations on this cardholder's cards. :type :: :string One of individual or company .","ref":"ExOAPI.Stripe.Schemas.Issuing_cardholder.html","title":"ExOAPI.Stripe.Schemas.Issuing_cardholder","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_cardholder.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Issuing_cardholder.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_cardholder.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Issuing_cardholder.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_cardholder.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Issuing_cardholder.t/0","type":"type"},{"doc":"description : As a card issuer , you can dispute transactions that the cardholder does not recognize, suspects to be fraudulent, or has other issues with. Related guide: Disputing Transactions :amount :: :integer Disputed amount. Usually the amount of the transaction , but can differ (usually because of currency fluctuation). ::balance_transactions :: ExOAPI.Stripe.Schemas.BalanceTransaction :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string The currency the transaction was made in. :evidence :: ExOAPI.Stripe.Schemas.IssuingDisputeEvidence :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :status :: :string Current status of the dispute. :transaction :: ExOAPI.Stripe.Schemas.Issuing_transaction | :string The transaction being disputed.","ref":"ExOAPI.Stripe.Schemas.Issuing_dispute.html","title":"ExOAPI.Stripe.Schemas.Issuing_dispute","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_dispute.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Issuing_dispute.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_dispute.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Issuing_dispute.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_dispute.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Issuing_dispute.t/0","type":"type"},{"doc":"description : When a non-stripe BIN is used, any use of an issued card must be settled directly with the card network. The net amount owed is represented by an Issuing Settlement object. :bin :: :string The Bank Identification Number reflecting this settlement record. :clearing_date :: :integer The date that the transactions are cleared and posted to user's accounts. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :id :: :string Unique identifier for the object. :interchange_fees :: :integer The total interchange received as reimbursement for the transactions. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :net_total :: :integer The total net amount required to settle with the network. :network :: :string The card network for this settlement report. One of [&quot;visa&quot;] :network_fees :: :integer The total amount of fees owed to the network. :network_settlement_identifier :: :string The Settlement Identification Number assigned by the network. :object :: :string String representing the object's type. Objects of the same type share the same value. :settlement_service :: :string One of international or uk_national_net . :transaction_count :: :integer The total number of transactions reflected in this settlement. :transaction_volume :: :integer The total transaction amount reflected in this settlement.","ref":"ExOAPI.Stripe.Schemas.Issuing_settlement.html","title":"ExOAPI.Stripe.Schemas.Issuing_settlement","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_settlement.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Issuing_settlement.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_settlement.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Issuing_settlement.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_settlement.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Issuing_settlement.t/0","type":"type"},{"doc":"description : Any use of an issued card that results in funds entering or leaving your Stripe account, such as a completed purchase or refund, is represented by an Issuing Transaction object. Related guide: Issued Card Transactions . :amount :: :integer The transaction amount, which will be reflected in your balance. This amount is in your currency and in the smallest currency unit . :amount_details :: ExOAPI.Stripe.Schemas.IssuingTransactionAmountDetails Detailed breakdown of amount components. These amounts are denominated in currency and in the smallest currency unit . :authorization :: ExOAPI.Stripe.Schemas.Issuing_authorization | :string The Authorization object that led to this transaction. :balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string ID of the balance transaction associated with this transaction. :card :: ExOAPI.Stripe.Schemas.Issuing_card | :string The card used to make this transaction. :cardholder :: ExOAPI.Stripe.Schemas.Issuing_cardholder | :string The cardholder to whom this transaction belongs. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :dispute :: ExOAPI.Stripe.Schemas.Issuing_dispute | :string If you've disputed the transaction, the ID of the dispute. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :merchant_amount :: :integer The amount that the merchant will receive, denominated in merchant_currency and in the smallest currency unit . It will be different from amount if the merchant is taking payment in a different currency. :merchant_currency :: :string The currency with which the merchant is taking payment. :merchant_data :: ExOAPI.Stripe.Schemas.IssuingAuthorizationMerchantData :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :purchase_details :: ExOAPI.Stripe.Schemas.IssuingTransactionPurchaseDetails Additional purchase information that is optionally provided by the merchant. :type :: :string The nature of the transaction. :wallet :: :string The digital wallet used for this transaction. One of apple_pay , google_pay , or samsung_pay .","ref":"ExOAPI.Stripe.Schemas.Issuing_transaction.html","title":"ExOAPI.Stripe.Schemas.Issuing_transaction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_transaction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Issuing_transaction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_transaction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Issuing_transaction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Issuing_transaction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Issuing_transaction.t/0","type":"type"},{"doc":"description : A line item. :amount_subtotal :: :integer Total before any discounts or taxes are applied. :amount_total :: :integer Total after discounts and taxes. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. Defaults to product name. ::discounts :: ExOAPI.Stripe.Schemas.LineItemsDiscountAmount :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value. :price :: ExOAPI.Stripe.Schemas.Price The price used to generate the line item. :quantity :: :integer The quantity of products being purchased. ::taxes :: ExOAPI.Stripe.Schemas.LineItemsTaxAmount","ref":"ExOAPI.Stripe.Schemas.Item.html","title":"ExOAPI.Stripe.Schemas.Item","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Item.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Item.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Item.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Item.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Item.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Item.t/0","type":"type"},{"doc":":address :: ExOAPI.Stripe.Schemas.Address :address_kana :: ExOAPI.Stripe.Schemas.LegalEntityJapanAddress The Kana variation of the company's primary address (Japan only). :address_kanji :: ExOAPI.Stripe.Schemas.LegalEntityJapanAddress The Kanji variation of the company's primary address (Japan only). :directors_provided :: :boolean Whether the company's directors have been provided. This Boolean will be true if you've manually indicated that all directors are provided via the directors_provided parameter . :executives_provided :: :boolean Whether the company's executives have been provided. This Boolean will be true if you've manually indicated that all executives are provided via the executives_provided parameter , or if Stripe determined that sufficient executives were provided. :name :: :string The company's legal name. :name_kana :: :string The Kana variation of the company's legal name (Japan only). :name_kanji :: :string The Kanji variation of the company's legal name (Japan only). :owners_provided :: :boolean Whether the company's owners have been provided. This Boolean will be true if you've manually indicated that all owners are provided via the owners_provided parameter , or if Stripe determined that sufficient owners were provided. Stripe determines ownership requirements using both the number of owners provided and their total percent ownership (calculated by adding the percent_ownership of each owner together). :ownership_declaration :: ExOAPI.Stripe.Schemas.LegalEntityUboDeclaration This hash is used to attest that the beneficial owner information provided to Stripe is both current and correct. :phone :: :string The company's phone number (used for verification). :structure :: :string The category identifying the legal structure of the company or legal entity. See Business structure for more details. :tax_id_provided :: :boolean Whether the company's business ID number was provided. :tax_id_registrar :: :string The jurisdiction in which the tax_id is registered (Germany-based companies only). :vat_id_provided :: :boolean Whether the company's business VAT number was provided. :verification :: ExOAPI.Stripe.Schemas.LegalEntityCompanyVerification Information on the verification state of the company.","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompany.html","title":"ExOAPI.Stripe.Schemas.LegalEntityCompany","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompany.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LegalEntityCompany.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompany.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LegalEntityCompany.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompany.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LegalEntityCompany.t/0","type":"type"},{"doc":":document :: ExOAPI.Stripe.Schemas.LegalEntityCompanyVerificationDocument","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerification.html","title":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerification","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerification.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerification.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerification.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerification.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerification.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerification.t/0","type":"type"},{"doc":":back :: ExOAPI.Stripe.Schemas.File | :string The back of a document returned by a file upload with a purpose value of additional_verification . :details :: :string A user-displayable string describing the verification state of this document. :details_code :: :string One of document_corrupt , document_expired , document_failed_copy , document_failed_greyscale , document_failed_other , document_failed_test_mode , document_fraudulent , document_incomplete , document_invalid , document_manipulated , document_not_readable , document_not_uploaded , document_type_not_supported , or document_too_large . A machine-readable code specifying the verification state for this document. :front :: ExOAPI.Stripe.Schemas.File | :string The front of a document returned by a file upload with a purpose value of additional_verification .","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerificationDocument.html","title":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerificationDocument","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerificationDocument.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerificationDocument.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerificationDocument.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerificationDocument.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerificationDocument.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LegalEntityCompanyVerificationDocument.t/0","type":"type"},{"doc":":day :: :integer The day of birth, between 1 and 31. :month :: :integer The month of birth, between 1 and 12. :year :: :integer The four-digit year of birth.","ref":"ExOAPI.Stripe.Schemas.LegalEntityDob.html","title":"ExOAPI.Stripe.Schemas.LegalEntityDob","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityDob.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LegalEntityDob.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityDob.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LegalEntityDob.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityDob.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LegalEntityDob.t/0","type":"type"},{"doc":":city :: :string City/Ward. :country :: :string Two-letter country code ( ISO 3166-1 alpha-2 ). :line1 :: :string Block/Building number. :line2 :: :string Building details. :postal_code :: :string ZIP or postal code. :state :: :string Prefecture. :town :: :string Town/cho-me.","ref":"ExOAPI.Stripe.Schemas.LegalEntityJapanAddress.html","title":"ExOAPI.Stripe.Schemas.LegalEntityJapanAddress","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityJapanAddress.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LegalEntityJapanAddress.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityJapanAddress.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LegalEntityJapanAddress.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityJapanAddress.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LegalEntityJapanAddress.t/0","type":"type"},{"doc":":additional_document :: ExOAPI.Stripe.Schemas.LegalEntityPersonVerificationDocument A document showing address, either a passport, local ID card, or utility bill from a well-known utility company. :details :: :string A user-displayable string describing the verification state for the person. For example, this may say &quot;Provided identity information could not be verified&quot;. :details_code :: :string One of document_address_mismatch , document_dob_mismatch , document_duplicate_type , document_id_number_mismatch , document_name_mismatch , document_nationality_mismatch , failed_keyed_identity , or failed_other . A machine-readable code specifying the verification state for the person. :document :: ExOAPI.Stripe.Schemas.LegalEntityPersonVerificationDocument :status :: :string The state of verification for the person. Possible values are unverified , pending , or verified .","ref":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerification.html","title":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerification","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerification.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerification.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerification.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerification.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerification.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerification.t/0","type":"type"},{"doc":":back :: ExOAPI.Stripe.Schemas.File | :string The back of an ID returned by a file upload with a purpose value of identity_document . :details :: :string A user-displayable string describing the verification state of this document. For example, if a document is uploaded and the picture is too fuzzy, this may say &quot;Identity document is too unclear to read&quot;. :details_code :: :string One of document_corrupt , document_country_not_supported , document_expired , document_failed_copy , document_failed_other , document_failed_test_mode , document_fraudulent , document_failed_greyscale , document_incomplete , document_invalid , document_manipulated , document_missing_back , document_missing_front , document_not_readable , document_not_uploaded , document_photo_mismatch , document_too_large , or document_type_not_supported . A machine-readable code specifying the verification state for this document. :front :: ExOAPI.Stripe.Schemas.File | :string The front of an ID returned by a file upload with a purpose value of identity_document .","ref":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerificationDocument.html","title":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerificationDocument","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerificationDocument.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerificationDocument.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerificationDocument.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerificationDocument.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerificationDocument.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LegalEntityPersonVerificationDocument.t/0","type":"type"},{"doc":":date :: :integer The Unix timestamp marking when the beneficial owner attestation was made. :ip :: :string The IP address from which the beneficial owner attestation was made. :user_agent :: :string The user-agent string from the browser where the beneficial owner attestation was made.","ref":"ExOAPI.Stripe.Schemas.LegalEntityUboDeclaration.html","title":"ExOAPI.Stripe.Schemas.LegalEntityUboDeclaration","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityUboDeclaration.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LegalEntityUboDeclaration.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityUboDeclaration.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LegalEntityUboDeclaration.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LegalEntityUboDeclaration.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LegalEntityUboDeclaration.t/0","type":"type"},{"doc":":amount :: :integer The amount, in %s. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. ::discount_amounts :: ExOAPI.Stripe.Schemas.DiscountsResourceDiscountAmount :discountable :: :boolean If true, discounts will apply to this line item. Always false for prorations. ::discounts :: ExOAPI.Stripe.Schemas.Discount | :string :id :: :string Unique identifier for the object. :invoice_item :: :string The ID of the invoice item associated with this line item if any. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Note that for line items with type=subscription this will reflect the metadata of the subscription that caused the line item to be created. :object :: :string String representing the object's type. Objects of the same type share the same value. :period :: ExOAPI.Stripe.Schemas.InvoiceLineItemPeriod :price :: ExOAPI.Stripe.Schemas.Price The price of the line item. :proration :: :boolean Whether this is a proration. :proration_details :: ExOAPI.Stripe.Schemas.InvoicesLineItemsProrationDetails Additional details for proration line items :quantity :: :integer The quantity of the subscription, if the line item is a subscription or a proration. :subscription :: ExOAPI.Stripe.Schemas.Subscription The subscription that the invoice item pertains to, if any. :subscription_item :: ExOAPI.Stripe.Schemas.SubscriptionItem The subscription item that generated this invoice item. Left empty if the line item is not an explicit result of a subscription. ::tax_amounts :: ExOAPI.Stripe.Schemas.InvoiceTaxAmount ::tax_rates :: ExOAPI.Stripe.Schemas.TaxRate :type :: :string A string identifying the type of the source of this line item, either an invoiceitem or a subscription .","ref":"ExOAPI.Stripe.Schemas.LineItem.html","title":"ExOAPI.Stripe.Schemas.LineItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LineItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LineItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LineItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LineItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LineItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LineItem.t/0","type":"type"},{"doc":":amount :: :integer The amount discounted. :discount :: ExOAPI.Stripe.Schemas.Discount","ref":"ExOAPI.Stripe.Schemas.LineItemsDiscountAmount.html","title":"ExOAPI.Stripe.Schemas.LineItemsDiscountAmount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LineItemsDiscountAmount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LineItemsDiscountAmount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LineItemsDiscountAmount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LineItemsDiscountAmount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LineItemsDiscountAmount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LineItemsDiscountAmount.t/0","type":"type"},{"doc":":amount :: :integer Amount of tax applied for this rate. :rate :: ExOAPI.Stripe.Schemas.TaxRate","ref":"ExOAPI.Stripe.Schemas.LineItemsTaxAmount.html","title":"ExOAPI.Stripe.Schemas.LineItemsTaxAmount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LineItemsTaxAmount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LineItemsTaxAmount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LineItemsTaxAmount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LineItemsTaxAmount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LineItemsTaxAmount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LineItemsTaxAmount.t/0","type":"type"},{"doc":":created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :object :: :string String representing the object's type. Objects of the same type share the same value. :url :: :string The URL for the login link.","ref":"ExOAPI.Stripe.Schemas.LoginLink.html","title":"ExOAPI.Stripe.Schemas.LoginLink","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LoginLink.html#changeset/2","title":"ExOAPI.Stripe.Schemas.LoginLink.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LoginLink.html#t:params/0","title":"ExOAPI.Stripe.Schemas.LoginLink.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.LoginLink.html#t:t/0","title":"ExOAPI.Stripe.Schemas.LoginLink.t/0","type":"type"},{"doc":"description : A Mandate is a record of the permission a customer has given you to debit their payment method. :customer_acceptance :: ExOAPI.Stripe.Schemas.CustomerAcceptance :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :multi_use :: list(:map) :object :: :string String representing the object's type. Objects of the same type share the same value. :payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod | :string ID of the payment method associated with this mandate. :payment_method_details :: ExOAPI.Stripe.Schemas.MandatePaymentMethodDetails :single_use :: ExOAPI.Stripe.Schemas.MandateSingleUse :status :: :string The status of the mandate, which indicates whether it can be used to initiate a payment. :type :: :string The type of the mandate.","ref":"ExOAPI.Stripe.Schemas.Mandate.html","title":"ExOAPI.Stripe.Schemas.Mandate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Mandate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Mandate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Mandate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Mandate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Mandate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Mandate.t/0","type":"type"},{"doc":"::default_for :: :string :interval_description :: :string Description of the interval. Only required if the 'payment_schedule' parameter is 'interval' or 'combined'. :payment_schedule :: :string Payment schedule for the mandate. :transaction_type :: :string Transaction type of the mandate.","ref":"ExOAPI.Stripe.Schemas.MandateAcssDebit.html","title":"ExOAPI.Stripe.Schemas.MandateAcssDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateAcssDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.MandateAcssDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateAcssDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.MandateAcssDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateAcssDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.MandateAcssDebit.t/0","type":"type"},{"doc":":url :: :string The URL of the mandate. This URL generally contains sensitive information about the customer and should be shared with them exclusively.","ref":"ExOAPI.Stripe.Schemas.MandateAuBecsDebit.html","title":"ExOAPI.Stripe.Schemas.MandateAuBecsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateAuBecsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.MandateAuBecsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateAuBecsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.MandateAuBecsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateAuBecsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.MandateAuBecsDebit.t/0","type":"type"},{"doc":":network_status :: :string The status of the mandate on the Bacs network. Can be one of pending , revoked , refused , or accepted . :reference :: :string The unique reference identifying the mandate on the Bacs network. :url :: :string The URL that will contain the mandate that the customer has signed.","ref":"ExOAPI.Stripe.Schemas.MandateBacsDebit.html","title":"ExOAPI.Stripe.Schemas.MandateBacsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateBacsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.MandateBacsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateBacsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.MandateBacsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateBacsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.MandateBacsDebit.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateMultiUse.html","title":"ExOAPI.Stripe.Schemas.MandateMultiUse","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateMultiUse.html#changeset/2","title":"ExOAPI.Stripe.Schemas.MandateMultiUse.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateMultiUse.html#t:params/0","title":"ExOAPI.Stripe.Schemas.MandateMultiUse.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateMultiUse.html#t:t/0","title":"ExOAPI.Stripe.Schemas.MandateMultiUse.t/0","type":"type"},{"doc":":acss_debit :: ExOAPI.Stripe.Schemas.MandateAcssDebit :au_becs_debit :: ExOAPI.Stripe.Schemas.MandateAuBecsDebit :bacs_debit :: ExOAPI.Stripe.Schemas.MandateBacsDebit :card :: list(:map) :sepa_debit :: ExOAPI.Stripe.Schemas.MandateSepaDebit :type :: :string The type of the payment method associated with this mandate. An additional hash is included on payment_method_details with a name matching this value. It contains mandate information specific to the payment method. :us_bank_account :: list(:map)","ref":"ExOAPI.Stripe.Schemas.MandatePaymentMethodDetails.html","title":"ExOAPI.Stripe.Schemas.MandatePaymentMethodDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandatePaymentMethodDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.MandatePaymentMethodDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandatePaymentMethodDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.MandatePaymentMethodDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandatePaymentMethodDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.MandatePaymentMethodDetails.t/0","type":"type"},{"doc":":reference :: :string The unique reference of the mandate. :url :: :string The URL of the mandate. This URL generally contains sensitive information about the customer and should be shared with them exclusively.","ref":"ExOAPI.Stripe.Schemas.MandateSepaDebit.html","title":"ExOAPI.Stripe.Schemas.MandateSepaDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateSepaDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.MandateSepaDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateSepaDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.MandateSepaDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateSepaDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.MandateSepaDebit.t/0","type":"type"},{"doc":":amount :: :integer On a single use mandate, the amount of the payment. :currency :: :string On a single use mandate, the currency of the payment.","ref":"ExOAPI.Stripe.Schemas.MandateSingleUse.html","title":"ExOAPI.Stripe.Schemas.MandateSingleUse","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateSingleUse.html#changeset/2","title":"ExOAPI.Stripe.Schemas.MandateSingleUse.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateSingleUse.html#t:params/0","title":"ExOAPI.Stripe.Schemas.MandateSingleUse.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateSingleUse.html#t:t/0","title":"ExOAPI.Stripe.Schemas.MandateSingleUse.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateUsBankAccount.html","title":"ExOAPI.Stripe.Schemas.MandateUsBankAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateUsBankAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.MandateUsBankAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateUsBankAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.MandateUsBankAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.MandateUsBankAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.MandateUsBankAccount.t/0","type":"type"},{"doc":"::available :: :string :preferred :: :string The preferred network for the card.","ref":"ExOAPI.Stripe.Schemas.Networks.html","title":"ExOAPI.Stripe.Schemas.Networks","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Networks.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Networks.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Networks.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Networks.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Networks.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Networks.t/0","type":"type"},{"doc":":object :: :map Object containing the API resource relevant to the event. For example, an invoice.created event will have a full invoice object as the value of the object key. :previous_attributes :: :map Object containing the names of the attributes that have changed, and their previous values (sent along only with *.updated events).","ref":"ExOAPI.Stripe.Schemas.NotificationEventData.html","title":"ExOAPI.Stripe.Schemas.NotificationEventData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.NotificationEventData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.NotificationEventData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.NotificationEventData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.NotificationEventData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.NotificationEventData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.NotificationEventData.t/0","type":"type"},{"doc":":id :: :string ID of the API request that caused the event. If null, the event was automatic (e.g., Stripe's automatic subscription handling). Request logs are available in the dashboard , but currently not in the API. :idempotency_key :: :string The idempotency key transmitted during the request, if any. Note: This property is populated only for events on or after May 23, 2017 .","ref":"ExOAPI.Stripe.Schemas.NotificationEventRequest.html","title":"ExOAPI.Stripe.Schemas.NotificationEventRequest","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.NotificationEventRequest.html#changeset/2","title":"ExOAPI.Stripe.Schemas.NotificationEventRequest.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.NotificationEventRequest.html#t:params/0","title":"ExOAPI.Stripe.Schemas.NotificationEventRequest.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.NotificationEventRequest.html#t:t/0","title":"ExOAPI.Stripe.Schemas.NotificationEventRequest.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OfflineAcceptance.html","title":"ExOAPI.Stripe.Schemas.OfflineAcceptance","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OfflineAcceptance.html#changeset/2","title":"ExOAPI.Stripe.Schemas.OfflineAcceptance.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OfflineAcceptance.html#t:params/0","title":"ExOAPI.Stripe.Schemas.OfflineAcceptance.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OfflineAcceptance.html#t:t/0","title":"ExOAPI.Stripe.Schemas.OfflineAcceptance.t/0","type":"type"},{"doc":":ip_address :: :string The IP address from which the Mandate was accepted by the customer. :user_agent :: :string The user agent of the browser from which the Mandate was accepted by the customer.","ref":"ExOAPI.Stripe.Schemas.OnlineAcceptance.html","title":"ExOAPI.Stripe.Schemas.OnlineAcceptance","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OnlineAcceptance.html#changeset/2","title":"ExOAPI.Stripe.Schemas.OnlineAcceptance.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OnlineAcceptance.html#t:params/0","title":"ExOAPI.Stripe.Schemas.OnlineAcceptance.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OnlineAcceptance.html#t:t/0","title":"ExOAPI.Stripe.Schemas.OnlineAcceptance.t/0","type":"type"},{"doc":"description : Order objects are created to handle end customers' purchases of previously defined products . You can create, retrieve, and pay individual orders, as well as list all orders. Orders are identified by a unique, random ID. Related guide: Tax, Shipping, and Inventory . :amount :: :integer A positive integer in the smallest currency unit (that is, 100 cents for $1.00, or 1 for ¥1, Japanese Yen being a zero-decimal currency) representing the total amount for the order. :amount_returned :: :integer The total amount that was returned to the customer. :application :: ExOAPI.Stripe.Schemas.Application ID of the Connect Application that created the order. :application_fee :: ExOAPI.Stripe.Schemas.ApplicationFee A fee in cents that will be applied to the order and transferred to the application owner’s Stripe account. The request must be made with an OAuth key or the Stripe-Account header in order to take an application fee. For more information, see the application fees documentation. :charge :: ExOAPI.Stripe.Schemas.Charge | :string The ID of the payment used to pay for the order. Present if the order status is paid , fulfilled , or refunded . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The customer used for the order. :email :: :string The email address of the customer placing the order. :external_coupon_code :: :string External coupon code to load for this order. :id :: :string Unique identifier for the object. ::items :: ExOAPI.Stripe.Schemas.OrderItem :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. ::data :: ExOAPI.Stripe.Schemas.OrderReturn :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :selected_shipping_method :: :string The shipping method that is currently selected for this order, if any. If present, it is equal to one of the id s of shipping methods in the shipping_methods array. At order creation time, if there are multiple shipping methods, Stripe will automatically selected the first method. :shipping :: ExOAPI.Stripe.Schemas.Shipping The shipping address for the order. Present if the order is for goods to be shipped. ::shipping_methods :: ExOAPI.Stripe.Schemas.ShippingMethod :status :: :string Current order status. One of created , paid , canceled , fulfilled , or returned . More details in the Orders Guide . :status_transitions :: ExOAPI.Stripe.Schemas.StatusTransitions The timestamps at which the order status was updated. :updated :: :integer Time at which the object was last updated. Measured in seconds since the Unix epoch. :upstream_id :: :string The user's order ID if it is different from the Stripe order ID.","ref":"ExOAPI.Stripe.Schemas.Order.html","title":"ExOAPI.Stripe.Schemas.Order","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Order.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Order.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Order.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Order.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Order.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Order.t/0","type":"type"},{"doc":"description : A representation of the constituent items of any given order. Can be used to represent SKUs , shipping costs, or taxes owed on the order. Related guide: Orders . :amount :: :integer A positive integer in the smallest currency unit (that is, 100 cents for $1.00, or 1 for ¥1, Japanese Yen being a zero-decimal currency) representing the total amount for the line item. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string Description of the line item, meant to be displayable to the user (e.g., &quot;Express shipping&quot; ). :object :: :string String representing the object's type. Objects of the same type share the same value. :parent :: ExOAPI.Stripe.Schemas.Sku | :string The ID of the associated object for this line item. Expandable if not null (e.g., expandable to a SKU). :quantity :: :integer A positive integer representing the number of instances of parent that are included in this order item. Applicable/present only if type is sku . :type :: :string The type of line item. One of sku , tax , shipping , or discount .","ref":"ExOAPI.Stripe.Schemas.OrderItem.html","title":"ExOAPI.Stripe.Schemas.OrderItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OrderItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.OrderItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OrderItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.OrderItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OrderItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.OrderItem.t/0","type":"type"},{"doc":"description : A return represents the full or partial return of a number of order items . Returns always belong to an order, and may optionally contain a refund. Related guide: Handling Returns . :amount :: :integer A positive integer in the smallest currency unit (that is, 100 cents for $1.00, or 1 for ¥1, Japanese Yen being a zero-decimal currency) representing the total amount for the returned line item. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :id :: :string Unique identifier for the object. ::items :: ExOAPI.Stripe.Schemas.OrderItem :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :order :: ExOAPI.Stripe.Schemas.Order | :string The order that this return includes items from. :refund :: ExOAPI.Stripe.Schemas.Refund | :string The ID of the refund issued for this return.","ref":"ExOAPI.Stripe.Schemas.OrderReturn.html","title":"ExOAPI.Stripe.Schemas.OrderReturn","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OrderReturn.html#changeset/2","title":"ExOAPI.Stripe.Schemas.OrderReturn.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OrderReturn.html#t:params/0","title":"ExOAPI.Stripe.Schemas.OrderReturn.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.OrderReturn.html#t:t/0","title":"ExOAPI.Stripe.Schemas.OrderReturn.t/0","type":"type"},{"doc":":height :: :number Height, in inches. :length :: :number Length, in inches. :weight :: :number Weight, in ounces. :width :: :number Width, in inches.","ref":"ExOAPI.Stripe.Schemas.PackageDimensions.html","title":"ExOAPI.Stripe.Schemas.PackageDimensions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PackageDimensions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PackageDimensions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PackageDimensions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PackageDimensions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PackageDimensions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PackageDimensions.t/0","type":"type"},{"doc":":enabled :: :boolean Automatically calculates compatible payment methods","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsAutomaticPaymentMethodsPaymentIntent.html","title":"ExOAPI.Stripe.Schemas.PaymentFlowsAutomaticPaymentMethodsPaymentIntent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsAutomaticPaymentMethodsPaymentIntent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentFlowsAutomaticPaymentMethodsPaymentIntent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsAutomaticPaymentMethodsPaymentIntent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentFlowsAutomaticPaymentMethodsPaymentIntent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsAutomaticPaymentMethodsPaymentIntent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentFlowsAutomaticPaymentMethodsPaymentIntent.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipay.html","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipay.t/0","type":"type"},{"doc":":buyer_id :: :string Uniquely identifies this particular Alipay account. You can use this attribute to check whether two Alipay accounts are the same. :fingerprint :: :string Uniquely identifies this particular Alipay account. You can use this attribute to check whether two Alipay accounts are the same. :transaction_id :: :string Transaction ID of this particular Alipay transaction.","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipayDetails.html","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipayDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipayDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipayDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipayDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipayDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipayDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipayDetails.t/0","type":"type"},{"doc":":day :: :integer The day of birth, between 1 and 31. :month :: :integer The month of birth, between 1 and 12. :year :: :integer The four-digit year of birth.","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsKlarnaDob.html","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsKlarnaDob","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsKlarnaDob.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsKlarnaDob.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsKlarnaDob.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsKlarnaDob.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsKlarnaDob.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsKlarnaDob.t/0","type":"type"},{"doc":"description : A PaymentIntent guides you through the process of collecting a payment from your customer. We recommend that you create exactly one PaymentIntent for each order or customer session in your system. You can reference the PaymentIntent later to see the history of payment attempts for a particular session. A PaymentIntent transitions through multiple statuses throughout its lifetime as it interfaces with Stripe.js to perform authentication flows and ultimately creates at most one successful charge. Related guide: Payment Intents API . :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA . :payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod | :string ID of the payment method used in this PaymentIntent. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :processing :: ExOAPI.Stripe.Schemas.PaymentIntentProcessing If present, this property tells you about the processing state of the payment. :capture_method :: :string Controls when the funds will be captured from the customer's account. :payment_method_options :: ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptions Payment-method-specific configuration for this PaymentIntent. ::data :: ExOAPI.Stripe.Schemas.Charge :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :amount_received :: :integer Amount that was collected by this PaymentIntent. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. For more information, see the documentation . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. ::payment_method_types :: :string :amount_capturable :: :integer Amount that can be captured from this PaymentIntent. :review :: ExOAPI.Stripe.Schemas.Review | :string ID of the review associated with this PaymentIntent, if any. :confirmation_method :: :string :next_action :: ExOAPI.Stripe.Schemas.PaymentIntentNextAction If present, this property tells you what actions you need to take in order for your customer to fulfill a payment using the provided source. :on_behalf_of :: ExOAPI.Stripe.Schemas.Account | :string The account (if any) for which the funds of the PaymentIntent are intended. See the PaymentIntents use case for connected accounts for details. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string ID of the Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent. If present in combination with setup_future_usage , this PaymentIntent's payment method will be attached to the Customer after the PaymentIntent has been confirmed and any required actions from the user are complete. :amount :: :integer Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). The minimum amount is $0.50 US or equivalent in charge currency . The amount value supports up to eight digits (e.g., a value of 99999999 for a USD charge of $999,999.99). :invoice :: ExOAPI.Stripe.Schemas.Invoice | :string ID of the invoice that created this PaymentIntent, if it exists. :automatic_payment_methods :: ExOAPI.Stripe.Schemas.PaymentFlowsAutomaticPaymentMethodsPaymentIntent Settings to configure compatible payment methods from the Stripe Dashboard :statement_descriptor :: :string For non-card charges, you can use this value as the complete description that appears on your customers’ statements. Must contain at least one letter, maximum 22 characters. :application :: ExOAPI.Stripe.Schemas.Application | :string ID of the Connect application that created the PaymentIntent. :client_secret :: :string The client secret of this PaymentIntent. Used for client-side retrieval using a publishable key. The client secret can be used to complete a payment from your frontend. It should not be stored, logged, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret. Refer to our docs to accept a payment and learn about how client_secret should be handled. :receipt_email :: :string Email address that the receipt for the resulting payment will be sent to. If receipt_email is specified for a payment in live mode, a receipt will be sent regardless of your email settings . :object :: :string String representing the object's type. Objects of the same type share the same value. :last_payment_error :: ExOAPI.Stripe.Schemas.ApiErrors The payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason. :canceled_at :: :integer Populated when status is canceled , this is the time at which the PaymentIntent was canceled. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :cancellation_reason :: :string Reason for cancellation of this PaymentIntent, either user-provided ( duplicate , fraudulent , requested_by_customer , or abandoned ) or generated by Stripe internally ( failed_invoice , void_invoice , or automatic ). :status :: :string Status of this PaymentIntent, one of requires_payment_method , requires_confirmation , requires_action , processing , requires_capture , canceled , or succeeded . Read more about each PaymentIntent status . :transfer_group :: :string A string that identifies the resulting payment as part of a group. See the PaymentIntents use case for connected accounts for details. :application_fee_amount :: :integer The amount of the application fee (if any) that will be requested to be applied to the payment and transferred to the application owner's Stripe account. The amount of the application fee collected will be capped at the total payment amount. For more information, see the PaymentIntents use case for connected accounts . :statement_descriptor_suffix :: :string Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor. :transfer_data :: ExOAPI.Stripe.Schemas.TransferData The data with which to automatically create a Transfer when the payment is finalized. See the PaymentIntents use case for connected accounts for details. :id :: :string Unique identifier for the object. :shipping :: ExOAPI.Stripe.Schemas.Shipping Shipping information for this PaymentIntent.","ref":"ExOAPI.Stripe.Schemas.PaymentIntent.html","title":"ExOAPI.Stripe.Schemas.PaymentIntent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntent.t/0","type":"type"},{"doc":":customer_notification :: ExOAPI.Stripe.Schemas.PaymentIntentProcessingCustomerNotification","ref":"ExOAPI.Stripe.Schemas.PaymentIntentCardProcessing.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentCardProcessing","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentCardProcessing.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentCardProcessing.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentCardProcessing.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentCardProcessing.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentCardProcessing.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentCardProcessing.t/0","type":"type"},{"doc":":alipay_handle_redirect :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionAlipayHandleRedirect :boleto_display_details :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionBoleto :card_await_notification :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionCardAwaitNotification :display_bank_transfer_instructions :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayBankTransferInstructions :konbini_display_details :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbini :oxxo_display_details :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayOxxoDetails :paynow_display_qr_code :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionPaynowDisplayQrCode :redirect_to_url :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionRedirectToUrl :type :: :string Type of the next action to perform, one of redirect_to_url , use_stripe_sdk , alipay_handle_redirect , oxxo_display_details , or verify_with_microdeposits . :use_stripe_sdk :: :map When confirming a PaymentIntent with Stripe.js, Stripe.js depends on the contents of this dictionary to invoke authentication flows. The shape of the contents is subject to change and is only intended to be used by Stripe.js. :verify_with_microdeposits :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionVerifyWithMicrodeposits :wechat_pay_display_qr_code :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayDisplayQrCode :wechat_pay_redirect_to_android_app :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToAndroidApp :wechat_pay_redirect_to_ios_app :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToIosApp","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextAction.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextAction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextAction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextAction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextAction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextAction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextAction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextAction.t/0","type":"type"},{"doc":":native_data :: :string The native data to be used with Alipay SDK you must redirect your customer to in order to authenticate the payment in an Android App. :native_url :: :string The native URL you must redirect your customer to in order to authenticate the payment in an iOS App. :return_url :: :string If the customer does not exit their browser while authenticating, they will be redirected to this specified URL after completion. :url :: :string The URL you must redirect your customer to in order to authenticate the payment.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionAlipayHandleRedirect.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionAlipayHandleRedirect","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionAlipayHandleRedirect.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionAlipayHandleRedirect.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionAlipayHandleRedirect.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionAlipayHandleRedirect.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionAlipayHandleRedirect.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionAlipayHandleRedirect.t/0","type":"type"},{"doc":":expires_at :: :integer The timestamp after which the boleto expires. :hosted_voucher_url :: :string The URL to the hosted boleto voucher page, which allows customers to view the boleto voucher. :number :: :string The boleto number. :pdf :: :string The URL to the downloadable boleto voucher PDF.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionBoleto.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionBoleto","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionBoleto.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionBoleto.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionBoleto.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionBoleto.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionBoleto.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionBoleto.t/0","type":"type"},{"doc":":charge_attempt_at :: :integer The time that payment will be attempted. If customer approval is required, they need to provide approval before this time. :customer_approval_required :: :boolean For payments greater than INR 5000, the customer must provide explicit approval of the payment with their bank. For payments of lower amount, no customer action is required.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionCardAwaitNotification.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionCardAwaitNotification","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionCardAwaitNotification.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionCardAwaitNotification.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionCardAwaitNotification.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionCardAwaitNotification.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionCardAwaitNotification.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionCardAwaitNotification.t/0","type":"type"},{"doc":":amount_remaining :: :integer The remaining amount that needs to be transferred to complete the payment. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . ::financial_addresses :: ExOAPI.Stripe.Schemas.FundingInstructionsBankTransferFinancialAddress :reference :: :string A string identifying this payment. Instruct your customer to include this code in the reference or memo field of their bank transfer. :type :: :string Type of bank transfer","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayBankTransferInstructions.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayBankTransferInstructions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayBankTransferInstructions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayBankTransferInstructions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayBankTransferInstructions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayBankTransferInstructions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayBankTransferInstructions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayBankTransferInstructions.t/0","type":"type"},{"doc":":expires_after :: :integer The timestamp after which the OXXO voucher expires. :hosted_voucher_url :: :string The URL for the hosted OXXO voucher page, which allows customers to view and print an OXXO voucher. :number :: :string OXXO reference number.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayOxxoDetails.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayOxxoDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayOxxoDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayOxxoDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayOxxoDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayOxxoDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayOxxoDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionDisplayOxxoDetails.t/0","type":"type"},{"doc":":expires_at :: :integer The timestamp at which the pending Konbini payment expires. :hosted_voucher_url :: :string The URL for the Konbini payment instructions page, which allows customers to view and print a Konbini voucher. :stores :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniStores","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbini.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbini","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbini.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbini.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbini.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbini.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbini.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbini.t/0","type":"type"},{"doc":":confirmation_number :: :string The confirmation number. :payment_code :: :string The payment code.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniFamilymart.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniFamilymart","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniFamilymart.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniFamilymart.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniFamilymart.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniFamilymart.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniFamilymart.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniFamilymart.t/0","type":"type"},{"doc":":confirmation_number :: :string The confirmation number. :payment_code :: :string The payment code.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniLawson.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniLawson","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniLawson.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniLawson.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniLawson.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniLawson.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniLawson.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniLawson.t/0","type":"type"},{"doc":":confirmation_number :: :string The confirmation number. :payment_code :: :string The payment code.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniMinistop.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniMinistop","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniMinistop.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniMinistop.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniMinistop.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniMinistop.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniMinistop.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniMinistop.t/0","type":"type"},{"doc":":confirmation_number :: :string The confirmation number. :payment_code :: :string The payment code.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniSeicomart.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniSeicomart","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniSeicomart.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniSeicomart.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniSeicomart.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniSeicomart.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniSeicomart.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniSeicomart.t/0","type":"type"},{"doc":":familymart :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniFamilymart FamilyMart instruction details. :lawson :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniLawson Lawson instruction details. :ministop :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniMinistop Ministop instruction details. :seicomart :: ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniSeicomart Seicomart instruction details.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniStores.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniStores","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniStores.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniStores.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniStores.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniStores.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniStores.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionKonbiniStores.t/0","type":"type"},{"doc":":data :: :string The raw data string used to generate QR code, it should be used together with QR code library. :image_url_png :: :string The image_url_png string used to render QR code :image_url_svg :: :string The image_url_svg string used to render QR code","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionPaynowDisplayQrCode.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionPaynowDisplayQrCode","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionPaynowDisplayQrCode.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionPaynowDisplayQrCode.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionPaynowDisplayQrCode.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionPaynowDisplayQrCode.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionPaynowDisplayQrCode.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionPaynowDisplayQrCode.t/0","type":"type"},{"doc":":return_url :: :string If the customer does not exit their browser while authenticating, they will be redirected to this specified URL after completion. :url :: :string The URL you must redirect your customer to in order to authenticate the payment.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionRedirectToUrl.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionRedirectToUrl","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionRedirectToUrl.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionRedirectToUrl.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionRedirectToUrl.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionRedirectToUrl.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionRedirectToUrl.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionRedirectToUrl.t/0","type":"type"},{"doc":":arrival_date :: :integer The timestamp when the microdeposits are expected to land. :hosted_verification_url :: :string The URL for the hosted verification page, which allows customers to verify their bank account. :microdeposit_type :: :string The type of the microdeposit sent to the customer. Used to distinguish between different verification methods.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionVerifyWithMicrodeposits.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionVerifyWithMicrodeposits","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionVerifyWithMicrodeposits.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionVerifyWithMicrodeposits.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionVerifyWithMicrodeposits.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionVerifyWithMicrodeposits.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionVerifyWithMicrodeposits.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionVerifyWithMicrodeposits.t/0","type":"type"},{"doc":":data :: :string The data being used to generate QR code :image_data_url :: :string The base64 image data for a pre-generated QR code :image_url_png :: :string The image_url_png string used to render QR code :image_url_svg :: :string The image_url_svg string used to render QR code","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayDisplayQrCode.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayDisplayQrCode","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayDisplayQrCode.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayDisplayQrCode.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayDisplayQrCode.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayDisplayQrCode.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayDisplayQrCode.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayDisplayQrCode.t/0","type":"type"},{"doc":":app_id :: :string app_id is the APP ID registered on WeChat open platform :nonce_str :: :string nonce_str is a random string :package :: :string package is static value :partner_id :: :string an unique merchant ID assigned by WeChat Pay :prepay_id :: :string an unique trading ID assigned by WeChat Pay :sign :: :string A signature :timestamp :: :string Specifies the current time in epoch format","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToAndroidApp.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToAndroidApp","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToAndroidApp.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToAndroidApp.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToAndroidApp.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToAndroidApp.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToAndroidApp.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToAndroidApp.t/0","type":"type"},{"doc":":native_url :: :string An universal link that redirect to WeChat Pay app","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToIosApp.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToIosApp","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToIosApp.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToIosApp.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToIosApp.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToIosApp.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToIosApp.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentNextActionWechatPayRedirectToIosApp.t/0","type":"type"},{"doc":":acss_debit :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAcssDebit :afterpay_clearpay :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsAfterpayClearpay :alipay :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsAlipay :au_becs_debit :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAuBecsDebit :bacs_debit :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsBacsDebit :bancontact :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsBancontact :boleto :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsBoleto :card :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsCard :card_present :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardPresent :customer_balance :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalance :eps :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsEps :fpx :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsFpx :giropay :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsGiropay :grabpay :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsGrabpay :ideal :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsIdeal :interac_present :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | :map :klarna :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsKlarna :konbini :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsKonbini :oxxo :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsOxxo :p24 :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsP24 :paynow :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsPaynow :sepa_debit :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsSepaDebit :sofort :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsSofort :us_bank_account :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsUsBankAccount :wechat_pay :: ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.PaymentMethodOptionsWechatPay","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptions.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptions.t/0","type":"type"},{"doc":":mandate_options :: ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsAcssDebit :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA . :verification_method :: :string Bank account verification method.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAcssDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAcssDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAcssDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAcssDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAcssDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAcssDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAcssDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAcssDebit.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAuBecsDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAuBecsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAuBecsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAuBecsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAuBecsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAuBecsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAuBecsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsAuBecsDebit.t/0","type":"type"},{"doc":":capture_method :: :string Controls when the funds will be captured from the customer's account. :installments :: ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardInstallments Installment details for this payment (Mexico only). For more information, see the installments integration guide . :mandate_options :: ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardMandateOptions Configuration options for setting up an eMandate for cards issued in India. :network :: :string Selected network to process this payment intent on. Depends on the available networks of the card attached to the payment intent. Can be only set confirm-time. :request_three_d_secure :: :string We strongly recommend that you rely on our SCA Engine to automatically prompt your customers for authentication based on risk level and other requirements . However, if you wish to request 3D Secure based on logic from your own fraud engine, provide this option. Permitted values include: automatic or any . If not provided, defaults to automatic . Read our guide on manually requesting 3D Secure for more information on how this configuration interacts with Radar and our SCA Engine. :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsCard.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsCard.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsEps.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsEps","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsEps.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsEps.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsEps.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsEps.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsEps.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsEps.t/0","type":"type"},{"doc":":custom_mandate_url :: :string A URL for custom mandate text :interval_description :: :string Description of the interval. Only required if the 'payment_schedule' parameter is 'interval' or 'combined'. :payment_schedule :: :string Payment schedule for the mandate. :transaction_type :: :string Transaction type of the mandate.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsAcssDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsAcssDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsAcssDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsAcssDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsAcssDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsAcssDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsAcssDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsAcssDebit.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsSepaDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsSepaDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsSepaDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsSepaDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsSepaDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsSepaDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsSepaDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsMandateOptionsSepaDebit.t/0","type":"type"},{"doc":":mandate_options :: list(:map) :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsSepaDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsSepaDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsSepaDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsSepaDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsSepaDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsSepaDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsSepaDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsSepaDebit.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA . :verification_method :: :string Bank account verification method.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsUsBankAccount.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsUsBankAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsUsBankAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsUsBankAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsUsBankAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsUsBankAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsUsBankAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentPaymentMethodOptionsUsBankAccount.t/0","type":"type"},{"doc":":card :: ExOAPI.Stripe.Schemas.PaymentIntentCardProcessing :type :: :string Type of the payment method for which payment is in processing state, one of card .","ref":"ExOAPI.Stripe.Schemas.PaymentIntentProcessing.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentProcessing","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentProcessing.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentProcessing.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentProcessing.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentProcessing.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentProcessing.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentProcessing.t/0","type":"type"},{"doc":":approval_requested :: :boolean Whether customer approval has been requested for this payment. For payments greater than INR 5000 or mandate amount, the customer must provide explicit approval of the payment with their bank. :completes_at :: :integer If customer approval is required, they need to provide approval before this time.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentProcessingCustomerNotification.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentProcessingCustomerNotification","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentProcessingCustomerNotification.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentProcessingCustomerNotification.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentProcessingCustomerNotification.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentProcessingCustomerNotification.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentProcessingCustomerNotification.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentProcessingCustomerNotification.t/0","type":"type"},{"doc":":capture_method :: :string Controls when the funds will be captured from the customer's account. :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA . :verification_method :: :string Bank account verification method.","ref":"ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient.html","title":"ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentIntentTypeSpecificPaymentMethodOptionsClient.t/0","type":"type"},{"doc":"description : A payment link is a shareable URL that will take your customers to a hosted payment page. A payment link can be shared and used multiple times. When a customer opens a payment link it will open a new checkout session to render the payment page. You can use checkout session events to track payments through payment links. Related guide: Payment Links API :active :: :boolean Whether the payment link's url is active. If false , customers visiting the URL will be shown a page saying that the link has been deactivated. :after_completion :: ExOAPI.Stripe.Schemas.PaymentLinksResourceAfterCompletion :allow_promotion_codes :: :boolean Whether user redeemable promotion codes are enabled. :application_fee_amount :: :integer The amount of the application fee (if any) that will be requested to be applied to the payment and transferred to the application owner's Stripe account. :application_fee_percent :: :number This represents the percentage of the subscription invoice subtotal that will be transferred to the application owner's Stripe account. :automatic_tax :: ExOAPI.Stripe.Schemas.PaymentLinksResourceAutomaticTax :billing_address_collection :: :string Configuration for collecting the customer's billing address. :id :: :string Unique identifier for the object. ::data :: ExOAPI.Stripe.Schemas.Item :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :on_behalf_of :: ExOAPI.Stripe.Schemas.Account | :string The account on behalf of which to charge. See the Connect documentation for details. ::payment_method_types :: :string :phone_number_collection :: ExOAPI.Stripe.Schemas.PaymentLinksResourcePhoneNumberCollection :shipping_address_collection :: ExOAPI.Stripe.Schemas.PaymentLinksResourceShippingAddressCollection Configuration for collecting the customer's shipping address. :subscription_data :: ExOAPI.Stripe.Schemas.PaymentLinksResourceSubscriptionData When creating a subscription, the specified configuration data will be used. There must be at least one line item with a recurring price to use subscription_data . :transfer_data :: ExOAPI.Stripe.Schemas.PaymentLinksResourceTransferData The account (if any) the payments will be attributed to for tax reporting, and where funds from each payment will be transferred to. :url :: :string The public URL that can be shared with customers.","ref":"ExOAPI.Stripe.Schemas.PaymentLink.html","title":"ExOAPI.Stripe.Schemas.PaymentLink","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLink.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentLink.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLink.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentLink.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLink.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentLink.t/0","type":"type"},{"doc":":hosted_confirmation :: ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorConfirmationPage :redirect :: ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorRedirect :type :: :string The specified behavior after the purchase is complete.","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAfterCompletion.html","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAfterCompletion","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAfterCompletion.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAfterCompletion.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAfterCompletion.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAfterCompletion.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAfterCompletion.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAfterCompletion.t/0","type":"type"},{"doc":":enabled :: :boolean If true , tax will be calculated automatically using the customer's location.","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAutomaticTax.html","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAutomaticTax","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAutomaticTax.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAutomaticTax.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAutomaticTax.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAutomaticTax.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAutomaticTax.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceAutomaticTax.t/0","type":"type"},{"doc":":custom_message :: :string The custom message that is displayed to the customer after the purchase is complete.","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorConfirmationPage.html","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorConfirmationPage","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorConfirmationPage.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorConfirmationPage.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorConfirmationPage.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorConfirmationPage.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorConfirmationPage.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorConfirmationPage.t/0","type":"type"},{"doc":":url :: :string The URL the customer will be redirected to after the purchase is complete.","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorRedirect.html","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorRedirect","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorRedirect.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorRedirect.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorRedirect.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorRedirect.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorRedirect.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceCompletionBehaviorRedirect.t/0","type":"type"},{"doc":":enabled :: :boolean If true , a phone number will be collected during checkout.","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourcePhoneNumberCollection.html","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourcePhoneNumberCollection","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourcePhoneNumberCollection.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourcePhoneNumberCollection.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourcePhoneNumberCollection.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourcePhoneNumberCollection.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourcePhoneNumberCollection.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourcePhoneNumberCollection.t/0","type":"type"},{"doc":"::allowed_countries :: :string","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceShippingAddressCollection.html","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceShippingAddressCollection","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceShippingAddressCollection.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceShippingAddressCollection.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceShippingAddressCollection.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceShippingAddressCollection.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceShippingAddressCollection.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceShippingAddressCollection.t/0","type":"type"},{"doc":":trial_period_days :: :integer Integer representing the number of trial period days before the customer is charged for the first time.","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceSubscriptionData.html","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceSubscriptionData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceSubscriptionData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceSubscriptionData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceSubscriptionData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceSubscriptionData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceSubscriptionData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceSubscriptionData.t/0","type":"type"},{"doc":":amount :: :integer The amount in %s that will be transferred to the destination account. By default, the entire amount is transferred to the destination. :destination :: ExOAPI.Stripe.Schemas.Account | :string The connected account receiving the transfer.","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceTransferData.html","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceTransferData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceTransferData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceTransferData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceTransferData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceTransferData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentLinksResourceTransferData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentLinksResourceTransferData.t/0","type":"type"},{"doc":"description : PaymentMethod objects represent your customer's payment instruments. You can use them with PaymentIntents to collect payments or save them to Customer objects to store instrument details for future payments. Related guides: Payment Methods and More Payment Scenarios . :fpx :: ExOAPI.Stripe.Schemas.PaymentMethodFpx :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :acss_debit :: ExOAPI.Stripe.Schemas.PaymentMethodAcssDebit :bacs_debit :: ExOAPI.Stripe.Schemas.PaymentMethodBacsDebit :alipay :: list(:map) :giropay :: list(:map) :ideal :: ExOAPI.Stripe.Schemas.PaymentMethodIdeal :card :: ExOAPI.Stripe.Schemas.PaymentMethodCard :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :oxxo :: list(:map) :interac_present :: list(:map) :customer :: ExOAPI.Stripe.Schemas.Customer | :string The ID of the Customer to which this PaymentMethod is saved. This will not be set when the PaymentMethod has not been saved to a Customer. :us_bank_account :: ExOAPI.Stripe.Schemas.PaymentMethodUsBankAccount :boleto :: ExOAPI.Stripe.Schemas.PaymentMethodBoleto :object :: :string String representing the object's type. Objects of the same type share the same value. :konbini :: list(:map) :billing_details :: ExOAPI.Stripe.Schemas.BillingDetails :wechat_pay :: list(:map) :sofort :: ExOAPI.Stripe.Schemas.PaymentMethodSofort :p24 :: ExOAPI.Stripe.Schemas.PaymentMethodP24 :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :afterpay_clearpay :: list(:map) :type :: :string The type of the PaymentMethod. An additional hash is included on the PaymentMethod with a name matching this value. It contains additional information specific to the PaymentMethod type. :grabpay :: list(:map) :bancontact :: list(:map) :au_becs_debit :: ExOAPI.Stripe.Schemas.PaymentMethodAuBecsDebit :customer_balance :: list(:map) :card_present :: list(:map) :sepa_debit :: ExOAPI.Stripe.Schemas.PaymentMethodSepaDebit :klarna :: ExOAPI.Stripe.Schemas.PaymentMethodKlarna :paynow :: list(:map) :id :: :string Unique identifier for the object. :eps :: ExOAPI.Stripe.Schemas.PaymentMethodEps","ref":"ExOAPI.Stripe.Schemas.PaymentMethod.html","title":"ExOAPI.Stripe.Schemas.PaymentMethod","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethod.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethod.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethod.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethod.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethod.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethod.t/0","type":"type"},{"doc":":bank_name :: :string Name of the bank associated with the bank account. :fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :institution_number :: :string Institution number of the bank account. :last4 :: :string Last four digits of the bank account number. :transit_number :: :string Transit number of the bank account.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAcssDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodAcssDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAcssDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodAcssDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAcssDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodAcssDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAcssDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodAcssDebit.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAfterpayClearpay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodAfterpayClearpay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAfterpayClearpay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodAfterpayClearpay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAfterpayClearpay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodAfterpayClearpay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAfterpayClearpay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodAfterpayClearpay.t/0","type":"type"},{"doc":":bsb_number :: :string Six-digit number identifying bank and branch associated with this bank account. :fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :last4 :: :string Last four digits of the bank account number.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAuBecsDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodAuBecsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAuBecsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodAuBecsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAuBecsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodAuBecsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodAuBecsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodAuBecsDebit.t/0","type":"type"},{"doc":":fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :last4 :: :string Last four digits of the bank account number. :sort_code :: :string Sort code of the bank account. (e.g., 10-20-30 )","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBacsDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodBacsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBacsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodBacsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBacsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodBacsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBacsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodBacsDebit.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBancontact.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodBancontact","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBancontact.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodBancontact.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBancontact.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodBancontact.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBancontact.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodBancontact.t/0","type":"type"},{"doc":":tax_id :: ExOAPI.Stripe.Schemas.TaxId Uniquely identifies the customer tax id (CNPJ or CPF)","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBoleto.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodBoleto","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBoleto.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodBoleto.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBoleto.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodBoleto.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodBoleto.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodBoleto.t/0","type":"type"},{"doc":":brand :: :string Card brand. Can be amex , diners , discover , jcb , mastercard , unionpay , visa , or unknown . :checks :: ExOAPI.Stripe.Schemas.PaymentMethodCardChecks Checks on Card address and CVC if provided. :country :: :string Two-letter ISO code representing the country of the card. You could use this attribute to get a sense of the international breakdown of cards you've collected. :exp_month :: :integer Two-digit number representing the card's expiration month. :exp_year :: :integer Four-digit number representing the card's expiration year. :fingerprint :: :string Uniquely identifies this particular card number. You can use this attribute to check whether two customers who’ve signed up with you are using the same card number, for example. For payment methods that tokenize card information (Apple Pay, Google Pay), the tokenized number might be provided instead of the underlying card number. Starting May 1, 2021, card fingerprint in India for Connect will change to allow two fingerprints for the same card --- one for India and one for the rest of the world. :funding :: :string Card funding type. Can be credit , debit , prepaid , or unknown . :generated_from :: ExOAPI.Stripe.Schemas.PaymentMethodCardGeneratedCard Details of the original PaymentMethod that created this object. :last4 :: :string The last four digits of the card. :networks :: ExOAPI.Stripe.Schemas.Networks Contains information about card networks that can be used to process the payment. :three_d_secure_usage :: ExOAPI.Stripe.Schemas.ThreeDSecureUsage Contains details on how this Card maybe be used for 3D Secure authentication. :wallet :: ExOAPI.Stripe.Schemas.PaymentMethodCardWallet If this Card is part of a card wallet, this contains the details of the card wallet.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCard.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCard.t/0","type":"type"},{"doc":":address_line1_check :: :string If a address line1 was provided, results of the check, one of pass , fail , unavailable , or unchecked . :address_postal_code_check :: :string If a address postal code was provided, results of the check, one of pass , fail , unavailable , or unchecked . :cvc_check :: :string If a CVC was provided, results of the check, one of pass , fail , unavailable , or unchecked .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardChecks.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardChecks","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardChecks.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardChecks.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardChecks.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardChecks.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardChecks.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardChecks.t/0","type":"type"},{"doc":":charge :: ExOAPI.Stripe.Schemas.Charge The charge that created this object. :payment_method_details :: ExOAPI.Stripe.Schemas.CardGeneratedFromPaymentMethodDetails Transaction-specific details of the payment method used in the payment. :setup_attempt :: ExOAPI.Stripe.Schemas.SetupAttempt | :string The ID of the SetupAttempt that generated this PaymentMethod, if any.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardGeneratedCard.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardGeneratedCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardGeneratedCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardGeneratedCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardGeneratedCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardGeneratedCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardGeneratedCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardGeneratedCard.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardPresent.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardPresent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardPresent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardPresent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardPresent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardPresent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardPresent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardPresent.t/0","type":"type"},{"doc":":amex_express_checkout :: list(:map) :apple_pay :: list(:map) :dynamic_last4 :: :string (For tokenized numbers only.) The last four digits of the device account number. :google_pay :: list(:map) :masterpass :: ExOAPI.Stripe.Schemas.PaymentMethodCardWalletMasterpass :samsung_pay :: list(:map) :type :: :string The type of the card wallet, one of amex_express_checkout , apple_pay , google_pay , masterpass , samsung_pay , or visa_checkout . An additional hash is included on the Wallet subhash with a name matching this value. It contains additional information specific to the card wallet type. :visa_checkout :: ExOAPI.Stripe.Schemas.PaymentMethodCardWalletVisaCheckout","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWallet.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWallet","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWallet.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWallet.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWallet.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWallet.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWallet.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWallet.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletAmexExpressCheckout.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletAmexExpressCheckout","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletAmexExpressCheckout.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletAmexExpressCheckout.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletAmexExpressCheckout.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletAmexExpressCheckout.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletAmexExpressCheckout.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletAmexExpressCheckout.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletApplePay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletApplePay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletApplePay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletApplePay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletApplePay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletApplePay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletApplePay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletApplePay.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletGooglePay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletGooglePay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletGooglePay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletGooglePay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletGooglePay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletGooglePay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletGooglePay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletGooglePay.t/0","type":"type"},{"doc":":billing_address :: ExOAPI.Stripe.Schemas.Address Owner's verified billing address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :email :: :string Owner's verified email. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :name :: :string Owner's verified full name. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :shipping_address :: ExOAPI.Stripe.Schemas.Address Owner's verified shipping address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletMasterpass.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletMasterpass","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletMasterpass.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletMasterpass.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletMasterpass.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletMasterpass.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletMasterpass.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletMasterpass.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletSamsungPay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletSamsungPay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletSamsungPay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletSamsungPay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletSamsungPay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletSamsungPay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletSamsungPay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletSamsungPay.t/0","type":"type"},{"doc":":billing_address :: ExOAPI.Stripe.Schemas.Address Owner's verified billing address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :email :: :string Owner's verified email. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :name :: :string Owner's verified full name. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :shipping_address :: ExOAPI.Stripe.Schemas.Address Owner's verified shipping address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletVisaCheckout.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletVisaCheckout","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletVisaCheckout.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletVisaCheckout.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletVisaCheckout.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletVisaCheckout.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletVisaCheckout.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCardWalletVisaCheckout.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCustomerBalance.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodCustomerBalance","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCustomerBalance.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodCustomerBalance.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCustomerBalance.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCustomerBalance.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodCustomerBalance.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodCustomerBalance.t/0","type":"type"},{"doc":":ach_credit_transfer :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchCreditTransfer :ach_debit :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchDebit :acss_debit :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsAcssDebit :afterpay_clearpay :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsAfterpayClearpay :alipay :: ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsAlipayDetails :au_becs_debit :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsAuBecsDebit :bacs_debit :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsBacsDebit :bancontact :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsBancontact :boleto :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsBoleto :card :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCard :card_present :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresent :customer_balance :: list(:map) :eps :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsEps :fpx :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsFpx :giropay :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsGiropay :grabpay :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsGrabpay :ideal :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsIdeal :interac_present :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresent :klarna :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsKlarna :konbini :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbini :multibanco :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsMultibanco :oxxo :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsOxxo :p24 :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsP24 :paynow :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsPaynow :sepa_debit :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsSepaDebit :sofort :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsSofort :stripe_account :: list(:map) :type :: :string The type of transaction-specific details of the payment method used in the payment, one of ach_credit_transfer , ach_debit , acss_debit , alipay , au_becs_debit , bancontact , card , card_present , eps , giropay , ideal , klarna , multibanco , p24 , sepa_debit , sofort , stripe_account , or wechat . An additional hash is included on payment_method_details with a name matching this value. It contains information specific to the payment method. :us_bank_account :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsUsBankAccount :wechat :: list(:map) :wechat_pay :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechatPay","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetails.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetails.t/0","type":"type"},{"doc":":account_number :: :string Account number to transfer funds to. :bank_name :: :string Name of the bank associated with the routing number. :routing_number :: :string Routing transit number for the bank account to transfer funds to. :swift_code :: :string SWIFT code of the bank associated with the routing number.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchCreditTransfer.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchCreditTransfer","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchCreditTransfer.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchCreditTransfer.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchCreditTransfer.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchCreditTransfer.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchCreditTransfer.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchCreditTransfer.t/0","type":"type"},{"doc":":account_holder_type :: :string Type of entity that holds the account. This can be either individual or company . :bank_name :: :string Name of the bank associated with the bank account. :country :: :string Two-letter ISO code representing the country the bank account is located in. :fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :last4 :: :string Last four digits of the bank account number. :routing_number :: :string Routing transit number of the bank account.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAchDebit.t/0","type":"type"},{"doc":":bank_name :: :string Name of the bank associated with the bank account. :fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :institution_number :: :string Institution number of the bank account :last4 :: :string Last four digits of the bank account number. :mandate :: ExOAPI.Stripe.Schemas.Mandate ID of the mandate used to make this payment. :transit_number :: :string Transit number of the bank account.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAcssDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAcssDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAcssDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAcssDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAcssDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAcssDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAcssDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAcssDebit.t/0","type":"type"},{"doc":":reference :: :string Order identifier shown to the merchant in Afterpay’s online portal.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAfterpayClearpay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAfterpayClearpay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAfterpayClearpay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAfterpayClearpay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAfterpayClearpay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAfterpayClearpay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAfterpayClearpay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAfterpayClearpay.t/0","type":"type"},{"doc":":bsb_number :: :string Bank-State-Branch number of the bank account. :fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :last4 :: :string Last four digits of the bank account number. :mandate :: ExOAPI.Stripe.Schemas.Mandate ID of the mandate used to make this payment.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAuBecsDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAuBecsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAuBecsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAuBecsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAuBecsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAuBecsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAuBecsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsAuBecsDebit.t/0","type":"type"},{"doc":":fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :last4 :: :string Last four digits of the bank account number. :mandate :: ExOAPI.Stripe.Schemas.Mandate ID of the mandate used to make this payment. :sort_code :: :string Sort code of the bank account. (e.g., 10-20-30 )","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBacsDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBacsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBacsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBacsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBacsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBacsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBacsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBacsDebit.t/0","type":"type"},{"doc":":bank_code :: :string Bank code of bank associated with the bank account. :bank_name :: :string Name of the bank associated with the bank account. :bic :: :string Bank Identifier Code of the bank associated with the bank account. :generated_sepa_debit :: ExOAPI.Stripe.Schemas.PaymentMethod | :string The ID of the SEPA Direct Debit PaymentMethod which was generated by this Charge. :generated_sepa_debit_mandate :: ExOAPI.Stripe.Schemas.Mandate | :string The mandate for the SEPA Direct Debit PaymentMethod which was generated by this Charge. :iban_last4 :: :string Last four characters of the IBAN. :preferred_language :: :string Preferred language of the Bancontact authorization page that the customer is redirected to. Can be one of en , de , fr , or nl :verified_name :: :string Owner's verified full name. Values are verified or provided by Bancontact directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBancontact.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBancontact","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBancontact.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBancontact.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBancontact.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBancontact.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBancontact.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBancontact.t/0","type":"type"},{"doc":":tax_id :: ExOAPI.Stripe.Schemas.TaxId The tax ID of the customer (CPF for individuals consumers or CNPJ for businesses consumers)","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBoleto.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBoleto","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBoleto.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBoleto.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBoleto.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBoleto.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBoleto.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsBoleto.t/0","type":"type"},{"doc":":brand :: :string Card brand. Can be amex , diners , discover , jcb , mastercard , unionpay , visa , or unknown . :checks :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardChecks Check results by Card networks on Card address and CVC at time of payment. :country :: :string Two-letter ISO code representing the country of the card. You could use this attribute to get a sense of the international breakdown of cards you've collected. :exp_month :: :integer Two-digit number representing the card's expiration month. :exp_year :: :integer Four-digit number representing the card's expiration year. :fingerprint :: :string Uniquely identifies this particular card number. You can use this attribute to check whether two customers who’ve signed up with you are using the same card number, for example. For payment methods that tokenize card information (Apple Pay, Google Pay), the tokenized number might be provided instead of the underlying card number. Starting May 1, 2021, card fingerprint in India for Connect will change to allow two fingerprints for the same card --- one for India and one for the rest of the world. :funding :: :string Card funding type. Can be credit , debit , prepaid , or unknown . :installments :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallments Installment details for this payment (Mexico only). For more information, see the installments integration guide . :last4 :: :string The last four digits of the card. :mandate :: ExOAPI.Stripe.Schemas.Mandate ID of the mandate used to make this payment or created by it. :network :: :string Identifies which network this charge was processed on. Can be amex , cartes_bancaires , diners , discover , interac , jcb , mastercard , unionpay , visa , or unknown . :three_d_secure :: ExOAPI.Stripe.Schemas.ThreeDSecureDetails Populated if this transaction used 3D Secure authentication. :wallet :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWallet If this Card is part of a card wallet, this contains the details of the card wallet.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCard.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCard.t/0","type":"type"},{"doc":":address_line1_check :: :string If a address line1 was provided, results of the check, one of pass , fail , unavailable , or unchecked . :address_postal_code_check :: :string If a address postal code was provided, results of the check, one of pass , fail , unavailable , or unchecked . :cvc_check :: :string If a CVC was provided, results of the check, one of pass , fail , unavailable , or unchecked .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardChecks.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardChecks","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardChecks.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardChecks.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardChecks.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardChecks.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardChecks.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardChecks.t/0","type":"type"},{"doc":":plan :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan Installment plan selected for the payment.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallments.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallments","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallments.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallments.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallments.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallments.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallments.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallments.t/0","type":"type"},{"doc":":count :: :integer For fixed_count installment plans, this is the number of installment payments your customer will make to their credit card. :interval :: :string For fixed_count installment plans, this is the interval between installment payments your customer will make to their credit card. One of month . :type :: :string Type of installment plan, one of fixed_count .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan.t/0","type":"type"},{"doc":":amount_authorized :: :integer The authorized amount :brand :: :string Card brand. Can be amex , diners , discover , jcb , mastercard , unionpay , visa , or unknown . :capture_before :: :integer When using manual capture, a future timestamp after which the charge will be automatically refunded if uncaptured. :cardholder_name :: :string The cardholder name as read from the card, in ISO 7813 format. May include alphanumeric characters, special characters and first/last name separator ( / ). In some cases, the cardholder name may not be available depending on how the issuer has configured the card. Cardholder name is typically not available on swipe or contactless payments, such as those made with Apple Pay and Google Pay. :country :: :string Two-letter ISO code representing the country of the card. You could use this attribute to get a sense of the international breakdown of cards you've collected. :emv_auth_data :: :string Authorization response cryptogram. :exp_month :: :integer Two-digit number representing the card's expiration month. :exp_year :: :integer Four-digit number representing the card's expiration year. :fingerprint :: :string Uniquely identifies this particular card number. You can use this attribute to check whether two customers who’ve signed up with you are using the same card number, for example. For payment methods that tokenize card information (Apple Pay, Google Pay), the tokenized number might be provided instead of the underlying card number. Starting May 1, 2021, card fingerprint in India for Connect will change to allow two fingerprints for the same card --- one for India and one for the rest of the world. :funding :: :string Card funding type. Can be credit , debit , prepaid , or unknown . :generated_card :: :string ID of a card PaymentMethod generated from the card_present PaymentMethod that may be attached to a Customer for future transactions. Only present if it was possible to generate a card PaymentMethod. :incremental_authorization_supported :: :boolean Whether this PaymentIntent is eligible for incremental authorizations. Request support using [request_incremental_authorization_support] /docs/api/payment_intents/create#create_payment_intent-payment_method_options-card_present-request_incremental_authorization_support. :last4 :: :string The last four digits of the card. :network :: :string Identifies which network this charge was processed on. Can be amex , cartes_bancaires , diners , discover , interac , jcb , mastercard , unionpay , visa , or unknown . :overcapture_supported :: :boolean Defines whether the authorized amount can be over-captured or not :read_method :: :string How card details were read in this transaction. :receipt :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresentReceipt A collection of fields required to be displayed on receipts. Only required for EMV transactions.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresent.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresent.t/0","type":"type"},{"doc":":account_type :: :string The type of account being debited or credited :application_cryptogram :: :string EMV tag 9F26, cryptogram generated by the integrated circuit chip. :application_preferred_name :: :string Mnenomic of the Application Identifier. :authorization_code :: :string Identifier for this transaction. :authorization_response_code :: :string EMV tag 8A. A code returned by the card issuer. :cardholder_verification_method :: :string How the cardholder verified ownership of the card. :dedicated_file_name :: :string EMV tag 84. Similar to the application identifier stored on the integrated circuit chip. :terminal_verification_results :: :string The outcome of a series of EMV functions performed by the card reader. :transaction_status_information :: :string An indication of various EMV functions performed during the transaction.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresentReceipt.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresentReceipt","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresentReceipt.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresentReceipt.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresentReceipt.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresentReceipt.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresentReceipt.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardPresentReceipt.t/0","type":"type"},{"doc":":amex_express_checkout :: list(:map) :apple_pay :: list(:map) :dynamic_last4 :: :string (For tokenized numbers only.) The last four digits of the device account number. :google_pay :: list(:map) :masterpass :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletMasterpass :samsung_pay :: list(:map) :type :: :string The type of the card wallet, one of amex_express_checkout , apple_pay , google_pay , masterpass , samsung_pay , or visa_checkout . An additional hash is included on the Wallet subhash with a name matching this value. It contains additional information specific to the card wallet type. :visa_checkout :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletVisaCheckout","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWallet.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWallet","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWallet.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWallet.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWallet.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWallet.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWallet.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWallet.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletAmexExpressCheckout.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletAmexExpressCheckout","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletAmexExpressCheckout.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletAmexExpressCheckout.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletAmexExpressCheckout.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletAmexExpressCheckout.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletAmexExpressCheckout.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletAmexExpressCheckout.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletApplePay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletApplePay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletApplePay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletApplePay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletApplePay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletApplePay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletApplePay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletApplePay.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletGooglePay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletGooglePay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletGooglePay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletGooglePay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletGooglePay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletGooglePay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletGooglePay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletGooglePay.t/0","type":"type"},{"doc":":billing_address :: ExOAPI.Stripe.Schemas.Address Owner's verified billing address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :email :: :string Owner's verified email. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :name :: :string Owner's verified full name. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :shipping_address :: ExOAPI.Stripe.Schemas.Address Owner's verified shipping address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletMasterpass.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletMasterpass","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletMasterpass.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletMasterpass.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletMasterpass.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletMasterpass.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletMasterpass.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletMasterpass.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletSamsungPay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletSamsungPay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletSamsungPay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletSamsungPay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletSamsungPay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletSamsungPay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletSamsungPay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletSamsungPay.t/0","type":"type"},{"doc":":billing_address :: ExOAPI.Stripe.Schemas.Address Owner's verified billing address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :email :: :string Owner's verified email. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :name :: :string Owner's verified full name. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. :shipping_address :: ExOAPI.Stripe.Schemas.Address Owner's verified shipping address. Values are verified or provided by the wallet directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletVisaCheckout.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletVisaCheckout","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletVisaCheckout.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletVisaCheckout.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletVisaCheckout.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletVisaCheckout.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletVisaCheckout.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardWalletVisaCheckout.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCustomerBalance.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCustomerBalance","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCustomerBalance.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCustomerBalance.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCustomerBalance.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCustomerBalance.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCustomerBalance.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsCustomerBalance.t/0","type":"type"},{"doc":":bank :: :string The customer's bank. Should be one of arzte_und_apotheker_bank , austrian_anadi_bank_ag , bank_austria , bankhaus_carl_spangler , bankhaus_schelhammer_und_schattera_ag , bawag_psk_ag , bks_bank_ag , brull_kallmus_bank_ag , btv_vier_lander_bank , capital_bank_grawe_gruppe_ag , dolomitenbank , easybank_ag , erste_bank_und_sparkassen , hypo_alpeadriabank_international_ag , hypo_noe_lb_fur_niederosterreich_u_wien , hypo_oberosterreich_salzburg_steiermark , hypo_tirol_bank_ag , hypo_vorarlberg_bank_ag , hypo_bank_burgenland_aktiengesellschaft , marchfelder_bank , oberbank_ag , raiffeisen_bankengruppe_osterreich , schoellerbank_ag , sparda_bank_wien , volksbank_gruppe , volkskreditbank_ag , or vr_bank_braunau . :verified_name :: :string Owner's verified full name. Values are verified or provided by EPS directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. EPS rarely provides this information so the attribute is usually empty.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsEps.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsEps","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsEps.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsEps.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsEps.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsEps.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsEps.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsEps.t/0","type":"type"},{"doc":":bank :: :string The customer's bank. Can be one of affin_bank , agrobank , alliance_bank , ambank , bank_islam , bank_muamalat , bank_rakyat , bsn , cimb , hong_leong_bank , hsbc , kfh , maybank2u , ocbc , public_bank , rhb , standard_chartered , uob , deutsche_bank , maybank2e , or pb_enterprise . :transaction_id :: :string Unique transaction id generated by FPX for every request from the merchant","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsFpx.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsFpx","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsFpx.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsFpx.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsFpx.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsFpx.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsFpx.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsFpx.t/0","type":"type"},{"doc":":bank_code :: :string Bank code of bank associated with the bank account. :bank_name :: :string Name of the bank associated with the bank account. :bic :: :string Bank Identifier Code of the bank associated with the bank account. :verified_name :: :string Owner's verified full name. Values are verified or provided by Giropay directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. Giropay rarely provides this information so the attribute is usually empty.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGiropay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGiropay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGiropay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGiropay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGiropay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGiropay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGiropay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGiropay.t/0","type":"type"},{"doc":":transaction_id :: :string Unique transaction id generated by GrabPay","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGrabpay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGrabpay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGrabpay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGrabpay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGrabpay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGrabpay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGrabpay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsGrabpay.t/0","type":"type"},{"doc":":bank :: :string The customer's bank. Can be one of abn_amro , asn_bank , bunq , handelsbanken , ing , knab , moneyou , rabobank , regiobank , revolut , sns_bank , triodos_bank , or van_lanschot . :bic :: :string The Bank Identifier Code of the customer's bank. :generated_sepa_debit :: ExOAPI.Stripe.Schemas.PaymentMethod | :string The ID of the SEPA Direct Debit PaymentMethod which was generated by this Charge. :generated_sepa_debit_mandate :: ExOAPI.Stripe.Schemas.Mandate | :string The mandate for the SEPA Direct Debit PaymentMethod which was generated by this Charge. :iban_last4 :: :string Last four characters of the IBAN. :verified_name :: :string Owner's verified full name. Values are verified or provided by iDEAL directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsIdeal.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsIdeal","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsIdeal.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsIdeal.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsIdeal.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsIdeal.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsIdeal.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsIdeal.t/0","type":"type"},{"doc":":brand :: :string Card brand. Can be interac , mastercard or visa . :cardholder_name :: :string The cardholder name as read from the card, in ISO 7813 format. May include alphanumeric characters, special characters and first/last name separator ( / ). In some cases, the cardholder name may not be available depending on how the issuer has configured the card. Cardholder name is typically not available on swipe or contactless payments, such as those made with Apple Pay and Google Pay. :country :: :string Two-letter ISO code representing the country of the card. You could use this attribute to get a sense of the international breakdown of cards you've collected. :emv_auth_data :: :string Authorization response cryptogram. :exp_month :: :integer Two-digit number representing the card's expiration month. :exp_year :: :integer Four-digit number representing the card's expiration year. :fingerprint :: :string Uniquely identifies this particular card number. You can use this attribute to check whether two customers who’ve signed up with you are using the same card number, for example. For payment methods that tokenize card information (Apple Pay, Google Pay), the tokenized number might be provided instead of the underlying card number. Starting May 1, 2021, card fingerprint in India for Connect will change to allow two fingerprints for the same card --- one for India and one for the rest of the world. :funding :: :string Card funding type. Can be credit , debit , prepaid , or unknown . :generated_card :: :string ID of a card PaymentMethod generated from the card_present PaymentMethod that may be attached to a Customer for future transactions. Only present if it was possible to generate a card PaymentMethod. :last4 :: :string The last four digits of the card. :network :: :string Identifies which network this charge was processed on. Can be amex , cartes_bancaires , diners , discover , interac , jcb , mastercard , unionpay , visa , or unknown . ::preferred_locales :: :string :read_method :: :string How card details were read in this transaction. :receipt :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresentReceipt A collection of fields required to be displayed on receipts. Only required for EMV transactions.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresent.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresent.t/0","type":"type"},{"doc":":account_type :: :string The type of account being debited or credited :application_cryptogram :: :string EMV tag 9F26, cryptogram generated by the integrated circuit chip. :application_preferred_name :: :string Mnenomic of the Application Identifier. :authorization_code :: :string Identifier for this transaction. :authorization_response_code :: :string EMV tag 8A. A code returned by the card issuer. :cardholder_verification_method :: :string How the cardholder verified ownership of the card. :dedicated_file_name :: :string EMV tag 84. Similar to the application identifier stored on the integrated circuit chip. :terminal_verification_results :: :string The outcome of a series of EMV functions performed by the card reader. :transaction_status_information :: :string An indication of various EMV functions performed during the transaction.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresentReceipt.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresentReceipt","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresentReceipt.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresentReceipt.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresentReceipt.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresentReceipt.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresentReceipt.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsInteracPresentReceipt.t/0","type":"type"},{"doc":":payment_method_category :: :string The Klarna payment method used for this transaction. Can be one of pay_later , pay_now , pay_with_financing , or pay_in_installments :preferred_locale :: :string Preferred language of the Klarna authorization page that the customer is redirected to. Can be one of de-AT , en-AT , nl-BE , fr-BE , en-BE , de-DE , en-DE , da-DK , en-DK , es-ES , en-ES , fi-FI , sv-FI , en-FI , en-GB , en-IE , it-IT , en-IT , nl-NL , en-NL , nb-NO , en-NO , sv-SE , en-SE , en-US , es-US , fr-FR , or en-FR","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKlarna.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKlarna","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKlarna.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKlarna.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKlarna.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKlarna.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKlarna.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKlarna.t/0","type":"type"},{"doc":":store :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbiniStore If the payment succeeded, this contains the details of the convenience store where the payment was completed.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbini.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbini","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbini.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbini.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbini.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbini.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbini.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbini.t/0","type":"type"},{"doc":":chain :: :string The name of the convenience store chain where the payment was completed.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbiniStore.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbiniStore","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbiniStore.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbiniStore.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbiniStore.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbiniStore.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbiniStore.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsKonbiniStore.t/0","type":"type"},{"doc":":entity :: :string Entity number associated with this Multibanco payment. :reference :: :string Reference number associated with this Multibanco payment.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsMultibanco.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsMultibanco","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsMultibanco.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsMultibanco.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsMultibanco.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsMultibanco.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsMultibanco.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsMultibanco.t/0","type":"type"},{"doc":":number :: :string OXXO reference number","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsOxxo.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsOxxo","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsOxxo.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsOxxo.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsOxxo.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsOxxo.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsOxxo.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsOxxo.t/0","type":"type"},{"doc":":bank :: :string The customer's bank. Can be one of ing , citi_handlowy , tmobile_usbugi_bankowe , plus_bank , etransfer_pocztowy24 , banki_spbdzielcze , bank_nowy_bfg_sa , getin_bank , blik , noble_pay , ideabank , envelobank , santander_przelew24 , nest_przelew , mbank_mtransfer , inteligo , pbac_z_ipko , bnp_paribas , credit_agricole , toyota_bank , bank_pekao_sa , volkswagen_bank , bank_millennium , alior_bank , or boz . :reference :: :string Unique reference for this Przelewy24 payment. :verified_name :: :string Owner's verified full name. Values are verified or provided by Przelewy24 directly (if supported) at the time of authorization or settlement. They cannot be set or mutated. Przelewy24 rarely provides this information so the attribute is usually empty.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsP24.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsP24","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsP24.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsP24.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsP24.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsP24.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsP24.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsP24.t/0","type":"type"},{"doc":":reference :: :string Reference number associated with this PayNow payment","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsPaynow.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsPaynow","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsPaynow.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsPaynow.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsPaynow.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsPaynow.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsPaynow.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsPaynow.t/0","type":"type"},{"doc":":bank_code :: :string Bank code of bank associated with the bank account. :branch_code :: :string Branch code of bank associated with the bank account. :country :: :string Two-letter ISO code representing the country the bank account is located in. :fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :last4 :: :string Last four characters of the IBAN. :mandate :: ExOAPI.Stripe.Schemas.Mandate ID of the mandate used to make this payment.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSepaDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSepaDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSepaDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSepaDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSepaDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSepaDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSepaDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSepaDebit.t/0","type":"type"},{"doc":":bank_code :: :string Bank code of bank associated with the bank account. :bank_name :: :string Name of the bank associated with the bank account. :bic :: :string Bank Identifier Code of the bank associated with the bank account. :country :: :string Two-letter ISO code representing the country the bank account is located in. :generated_sepa_debit :: ExOAPI.Stripe.Schemas.PaymentMethod | :string The ID of the SEPA Direct Debit PaymentMethod which was generated by this Charge. :generated_sepa_debit_mandate :: ExOAPI.Stripe.Schemas.Mandate | :string The mandate for the SEPA Direct Debit PaymentMethod which was generated by this Charge. :iban_last4 :: :string Last four characters of the IBAN. :preferred_language :: :string Preferred language of the SOFORT authorization page that the customer is redirected to. Can be one of de , en , es , fr , it , nl , or pl :verified_name :: :string Owner's verified full name. Values are verified or provided by SOFORT directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSofort.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSofort","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSofort.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSofort.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSofort.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSofort.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSofort.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsSofort.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsStripeAccount.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsStripeAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsStripeAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsStripeAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsStripeAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsStripeAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsStripeAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsStripeAccount.t/0","type":"type"},{"doc":":account_holder_type :: :string Account holder type: individual or company. :account_type :: :string Account type: checkings or savings. Defaults to checking if omitted. :bank_name :: :string Name of the bank associated with the bank account. :fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :last4 :: :string Last four digits of the bank account number. :routing_number :: :string Routing number of the bank account.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsUsBankAccount.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsUsBankAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsUsBankAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsUsBankAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsUsBankAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsUsBankAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsUsBankAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsUsBankAccount.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechat.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechat","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechat.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechat.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechat.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechat.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechat.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechat.t/0","type":"type"},{"doc":":fingerprint :: :string Uniquely identifies this particular WeChat Pay account. You can use this attribute to check whether two WeChat accounts are the same. :transaction_id :: :string Transaction ID of this particular WeChat Pay transaction.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechatPay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechatPay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechatPay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechatPay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechatPay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechatPay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechatPay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodDetailsWechatPay.t/0","type":"type"},{"doc":":bank :: :string The customer's bank. Should be one of arzte_und_apotheker_bank , austrian_anadi_bank_ag , bank_austria , bankhaus_carl_spangler , bankhaus_schelhammer_und_schattera_ag , bawag_psk_ag , bks_bank_ag , brull_kallmus_bank_ag , btv_vier_lander_bank , capital_bank_grawe_gruppe_ag , dolomitenbank , easybank_ag , erste_bank_und_sparkassen , hypo_alpeadriabank_international_ag , hypo_noe_lb_fur_niederosterreich_u_wien , hypo_oberosterreich_salzburg_steiermark , hypo_tirol_bank_ag , hypo_vorarlberg_bank_ag , hypo_bank_burgenland_aktiengesellschaft , marchfelder_bank , oberbank_ag , raiffeisen_bankengruppe_osterreich , schoellerbank_ag , sparda_bank_wien , volksbank_gruppe , volkskreditbank_ag , or vr_bank_braunau .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodEps.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodEps","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodEps.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodEps.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodEps.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodEps.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodEps.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodEps.t/0","type":"type"},{"doc":":bank :: :string The customer's bank, if provided. Can be one of affin_bank , agrobank , alliance_bank , ambank , bank_islam , bank_muamalat , bank_rakyat , bsn , cimb , hong_leong_bank , hsbc , kfh , maybank2u , ocbc , public_bank , rhb , standard_chartered , uob , deutsche_bank , maybank2e , or pb_enterprise .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodFpx.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodFpx","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodFpx.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodFpx.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodFpx.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodFpx.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodFpx.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodFpx.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodGiropay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodGiropay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodGiropay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodGiropay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodGiropay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodGiropay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodGiropay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodGiropay.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodGrabpay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodGrabpay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodGrabpay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodGrabpay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodGrabpay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodGrabpay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodGrabpay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodGrabpay.t/0","type":"type"},{"doc":":bank :: :string The customer's bank, if provided. Can be one of abn_amro , asn_bank , bunq , handelsbanken , ing , knab , moneyou , rabobank , regiobank , revolut , sns_bank , triodos_bank , or van_lanschot . :bic :: :string The Bank Identifier Code of the customer's bank, if the bank was provided.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodIdeal.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodIdeal","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodIdeal.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodIdeal.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodIdeal.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodIdeal.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodIdeal.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodIdeal.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodInteracPresent.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodInteracPresent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodInteracPresent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodInteracPresent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodInteracPresent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodInteracPresent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodInteracPresent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodInteracPresent.t/0","type":"type"},{"doc":":dob :: ExOAPI.Stripe.Schemas.PaymentFlowsPrivatePaymentMethodsKlarnaDob The customer's date of birth, if provided.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodKlarna.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodKlarna","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodKlarna.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodKlarna.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodKlarna.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodKlarna.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodKlarna.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodKlarna.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodKonbini.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodKonbini","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodKonbini.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodKonbini.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodKonbini.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodKonbini.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodKonbini.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodKonbini.t/0","type":"type"},{"doc":":capture_method :: :string Controls when the funds will be captured from the customer's account. :reference :: :string Order identifier shown to the customer in Afterpay’s online portal. We recommend using a value that helps you answer any questions a customer might have about the payment. The identifier is limited to 128 characters and may contain only letters, digits, underscores, backslashes and dashes. :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAfterpayClearpay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAfterpayClearpay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAfterpayClearpay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAfterpayClearpay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAfterpayClearpay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAfterpayClearpay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAfterpayClearpay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAfterpayClearpay.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAlipay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAlipay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAlipay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAlipay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAlipay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAlipay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAlipay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsAlipay.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBacsDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBacsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBacsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBacsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBacsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBacsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBacsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBacsDebit.t/0","type":"type"},{"doc":":preferred_language :: :string Preferred language of the Bancontact authorization page that the customer is redirected to. :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBancontact.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBancontact","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBancontact.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBancontact.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBancontact.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBancontact.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBancontact.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBancontact.t/0","type":"type"},{"doc":":expires_after_days :: :integer The number of calendar days before a Boleto voucher expires. For example, if you create a Boleto voucher on Monday and you set expires_after_days to 2, the Boleto voucher will expire on Wednesday at 23:59 America/Sao_Paulo time. :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBoleto.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBoleto","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBoleto.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBoleto.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBoleto.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBoleto.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBoleto.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsBoleto.t/0","type":"type"},{"doc":"::available_plans :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan :enabled :: :boolean Whether Installments are enabled for this PaymentIntent. :plan :: ExOAPI.Stripe.Schemas.PaymentMethodDetailsCardInstallmentsPlan Installment plan selected for this PaymentIntent.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardInstallments.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardInstallments","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardInstallments.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardInstallments.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardInstallments.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardInstallments.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardInstallments.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardInstallments.t/0","type":"type"},{"doc":":amount :: :integer Amount to be charged for future payments. :amount_type :: :string One of fixed or maximum . If fixed , the amount param refers to the exact amount to be charged in future payments. If maximum , the amount charged can be up to the value passed for the amount param. :description :: :string A description of the mandate or subscription that is meant to be displayed to the customer. :end_date :: :integer End date of the mandate or subscription. If not provided, the mandate will be active until canceled. If provided, end date should be after start date. :interval :: :string Specifies payment frequency. One of day , week , month , year , or sporadic . :interval_count :: :integer The number of intervals between payments. For example, interval=month and interval_count=3 indicates one payment every three months. Maximum of one year interval allowed (1 year, 12 months, or 52 weeks). This parameter is optional when interval=sporadic . :reference :: :string Unique identifier for the mandate or subscription. :start_date :: :integer Start date of the mandate or subscription. Start date should not be lesser than yesterday. ::supported_types :: :string","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardMandateOptions.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardMandateOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardMandateOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardMandateOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardMandateOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardMandateOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardMandateOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardMandateOptions.t/0","type":"type"},{"doc":":request_extended_authorization :: :boolean Request ability to capture this payment beyond the standard authorization validity window :request_incremental_authorization_support :: :boolean Request ability to increment this PaymentIntent if the combination of MCC and card brand is eligible. Check incremental_authorization_supported in the Confirm response to verify support.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardPresent.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardPresent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardPresent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardPresent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardPresent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardPresent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardPresent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCardPresent.t/0","type":"type"},{"doc":":bank_transfer :: ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalanceBankTransfer :funding_type :: :string The funding method type to be used when there are not enough funds in the customer balance. Permitted values include: bank_transfer . :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalance.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalance","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalance.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalance.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalance.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalance.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalance.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalance.t/0","type":"type"},{"doc":"::requested_address_types :: :string :type :: :string The bank transfer type that this PaymentIntent is allowed to use for funding. Permitted values include: us_bank_account , eu_bank_account , id_bank_account , gb_bank_account , jp_bank_account , mx_bank_account , eu_bank_transfer , gb_bank_transfer , id_bank_transfer , jp_bank_transfer , mx_bank_transfer , or us_bank_transfer .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalanceBankTransfer.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalanceBankTransfer","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalanceBankTransfer.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalanceBankTransfer.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalanceBankTransfer.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalanceBankTransfer.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalanceBankTransfer.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsCustomerBalanceBankTransfer.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsFpx.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsFpx","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsFpx.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsFpx.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsFpx.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsFpx.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsFpx.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsFpx.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGiropay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGiropay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGiropay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGiropay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGiropay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGiropay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGiropay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGiropay.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGrabpay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGrabpay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGrabpay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGrabpay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGrabpay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGrabpay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGrabpay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsGrabpay.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsIdeal.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsIdeal","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsIdeal.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsIdeal.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsIdeal.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsIdeal.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsIdeal.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsIdeal.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsInteracPresent.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsInteracPresent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsInteracPresent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsInteracPresent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsInteracPresent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsInteracPresent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsInteracPresent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsInteracPresent.t/0","type":"type"},{"doc":":capture_method :: :string Controls when the funds will be captured from the customer's account. :preferred_locale :: :string Preferred locale of the Klarna checkout page that the customer is redirected to. :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKlarna.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKlarna","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKlarna.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKlarna.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKlarna.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKlarna.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKlarna.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKlarna.t/0","type":"type"},{"doc":":confirmation_number :: :string An optional 10 to 11 digit numeric-only string determining the confirmation code at applicable convenience stores. :expires_after_days :: :integer The number of calendar days (between 1 and 60) after which Konbini payment instructions will expire. For example, if a PaymentIntent is confirmed with Konbini and expires_after_days set to 2 on Monday JST, the instructions will expire on Wednesday 23:59:59 JST. :expires_at :: :integer The timestamp at which the Konbini payment instructions will expire. Only one of expires_after_days or expires_at may be set. :product_description :: :string A product descriptor of up to 22 characters, which will appear to customers at the convenience store. :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKonbini.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKonbini","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKonbini.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKonbini.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKonbini.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKonbini.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKonbini.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsKonbini.t/0","type":"type"},{"doc":":expires_after_days :: :integer The number of calendar days before an OXXO invoice expires. For example, if you create an OXXO invoice on Monday and you set expires_after_days to 2, the OXXO invoice will expire on Wednesday at 23:59 America/Mexico_City time. :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsOxxo.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsOxxo","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsOxxo.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsOxxo.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsOxxo.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsOxxo.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsOxxo.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsOxxo.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsP24.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsP24","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsP24.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsP24.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsP24.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsP24.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsP24.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsP24.t/0","type":"type"},{"doc":":setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsPaynow.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsPaynow","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsPaynow.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsPaynow.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsPaynow.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsPaynow.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsPaynow.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsPaynow.t/0","type":"type"},{"doc":":preferred_language :: :string Preferred language of the SOFORT authorization page that the customer is redirected to. :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsSofort.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsSofort","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsSofort.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsSofort.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsSofort.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsSofort.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsSofort.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsSofort.t/0","type":"type"},{"doc":":app_id :: :string The app ID registered with WeChat Pay. Only required when client is ios or android. :client :: :string The client type that the end customer will pay from :setup_future_usage :: :string Indicates that you intend to make future payments with this PaymentIntent's payment method. Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes. When processing card payments, Stripe also uses setup_future_usage to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA .","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsWechatPay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsWechatPay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsWechatPay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsWechatPay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsWechatPay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsWechatPay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsWechatPay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOptionsWechatPay.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOxxo.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodOxxo","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOxxo.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodOxxo.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOxxo.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOxxo.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodOxxo.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodOxxo.t/0","type":"type"},{"doc":":bank :: :string The customer's bank, if provided.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodP24.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodP24","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodP24.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodP24.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodP24.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodP24.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodP24.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodP24.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodPaynow.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodPaynow","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodPaynow.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodPaynow.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodPaynow.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodPaynow.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodPaynow.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodPaynow.t/0","type":"type"},{"doc":":bank_code :: :string Bank code of bank associated with the bank account. :branch_code :: :string Branch code of bank associated with the bank account. :country :: :string Two-letter ISO code representing the country the bank account is located in. :fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :generated_from :: ExOAPI.Stripe.Schemas.SepaDebitGeneratedFrom Information about the object that generated this PaymentMethod. :last4 :: :string Last four characters of the IBAN.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodSepaDebit.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodSepaDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodSepaDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodSepaDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodSepaDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodSepaDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodSepaDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodSepaDebit.t/0","type":"type"},{"doc":":country :: :string Two-letter ISO code representing the country the bank account is located in.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodSofort.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodSofort","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodSofort.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodSofort.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodSofort.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodSofort.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodSofort.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodSofort.t/0","type":"type"},{"doc":":account_holder_type :: :string Account holder type: individual or company. :account_type :: :string Account type: checkings or savings. Defaults to checking if omitted. :bank_name :: :string The name of the bank. :fingerprint :: :string Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. :last4 :: :string Last four digits of the bank account number. :routing_number :: :string Routing number of the bank account.","ref":"ExOAPI.Stripe.Schemas.PaymentMethodUsBankAccount.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodUsBankAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodUsBankAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodUsBankAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodUsBankAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodUsBankAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodUsBankAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodUsBankAccount.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodWechatPay.html","title":"ExOAPI.Stripe.Schemas.PaymentMethodWechatPay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodWechatPay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentMethodWechatPay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodWechatPay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodWechatPay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentMethodWechatPay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentMethodWechatPay.t/0","type":"type"},{"doc":":recovery :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpirationRecovery When set, configuration used to recover the Checkout Session on expiry.","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpiration.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpiration","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpiration.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpiration.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpiration.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpiration.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpiration.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpiration.t/0","type":"type"},{"doc":":allow_promotion_codes :: :boolean Enables user redeemable promotion codes on the recovered Checkout Sessions. Defaults to false :enabled :: :boolean If true , a recovery url will be generated to recover this Checkout Session if it expires before a transaction is completed. It will be attached to the Checkout Session object upon expiration. :expires_at :: :integer The timestamp at which the recovery URL will expire. :url :: :string URL that creates a new Checkout Session when clicked that is a copy of this expired Checkout Session","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpirationRecovery.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpirationRecovery","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpirationRecovery.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpirationRecovery.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpirationRecovery.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpirationRecovery.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpirationRecovery.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAfterExpirationRecovery.t/0","type":"type"},{"doc":":enabled :: :boolean Indicates whether automatic tax is enabled for the session :status :: :string The status of the most recent automated tax calculation for this session.","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAutomaticTax.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAutomaticTax","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAutomaticTax.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAutomaticTax.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAutomaticTax.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAutomaticTax.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAutomaticTax.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionAutomaticTax.t/0","type":"type"},{"doc":":promotions :: :string If opt_in , the customer consents to receiving promotional communications from the merchant about this Checkout Session.","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsent.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsent.t/0","type":"type"},{"doc":":promotions :: :string If set to auto , enables the collection of customer consent for promotional communications. The Checkout Session will determine whether to display an option to opt into promotional communication from the merchant depending on the customer's locale. Only available to US merchants.","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsentCollection.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsentCollection","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsentCollection.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsentCollection.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsentCollection.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsentCollection.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsentCollection.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionConsentCollection.t/0","type":"type"},{"doc":":address :: ExOAPI.Stripe.Schemas.Address The customer's address at the time of checkout. Note: This property is populated only for sessions on or after March 30, 2022. :email :: :string The email associated with the Customer, if one exists, on the Checkout Session at the time of checkout or at time of session expiry. Otherwise, if the customer has consented to promotional content, this value is the most recent valid email provided by the customer on the Checkout form. :name :: :string The customer's name at the time of checkout. Note: This property is populated only for sessions on or after March 30, 2022. :phone :: :string The customer's phone number at the time of checkout :tax_exempt :: :string The customer’s tax exempt status at time of checkout. ::tax_ids :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxId","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionCustomerDetails.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionCustomerDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionCustomerDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionCustomerDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionCustomerDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionCustomerDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionCustomerDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionCustomerDetails.t/0","type":"type"},{"doc":":enabled :: :boolean Indicates whether phone number collection is enabled for the session","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionPhoneNumberCollection.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionPhoneNumberCollection","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionPhoneNumberCollection.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionPhoneNumberCollection.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionPhoneNumberCollection.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionPhoneNumberCollection.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionPhoneNumberCollection.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionPhoneNumberCollection.t/0","type":"type"},{"doc":"::allowed_countries :: :string","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingAddressCollection.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingAddressCollection","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingAddressCollection.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingAddressCollection.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingAddressCollection.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingAddressCollection.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingAddressCollection.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingAddressCollection.t/0","type":"type"},{"doc":":shipping_amount :: :integer A non-negative integer in cents representing how much to charge. :shipping_rate :: ExOAPI.Stripe.Schemas.ShippingRate | :string The shipping rate.","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingOption.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingOption","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingOption.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingOption.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingOption.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingOption.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingOption.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionShippingOption.t/0","type":"type"},{"doc":":type :: :string The type of the tax ID, one of eu_vat , br_cnpj , br_cpf , gb_vat , nz_gst , au_abn , au_arn , in_gst , no_vat , za_vat , ch_vat , mx_rfc , sg_uen , ru_inn , ru_kpp , ca_bn , hk_br , es_cif , tw_vat , th_vat , jp_cn , jp_rn , li_uid , my_itn , us_ein , kr_brn , ca_qst , ca_gst_hst , ca_pst_bc , ca_pst_mb , ca_pst_sk , my_sst , sg_gst , ae_trn , cl_tin , sa_vat , id_npwp , my_frp , il_vat , ge_vat , ua_vat , is_vat , bg_uic , hu_tin , si_tin , or unknown :value :: :string The value of the tax ID.","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxId.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxId","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxId.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxId.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxId.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxId.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxId.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxId.t/0","type":"type"},{"doc":":enabled :: :boolean Indicates whether tax ID collection is enabled for the session","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxIdCollection.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxIdCollection","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxIdCollection.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxIdCollection.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxIdCollection.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxIdCollection.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxIdCollection.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTaxIdCollection.t/0","type":"type"},{"doc":":amount_discount :: :integer This is the sum of all the discounts. :amount_shipping :: :integer This is the sum of all the shipping amounts. :amount_tax :: :integer This is the sum of all the tax amounts. :breakdown :: ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetailsResourceBreakdown","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetails.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetails.t/0","type":"type"},{"doc":"::discounts :: ExOAPI.Stripe.Schemas.LineItemsDiscountAmount ::taxes :: ExOAPI.Stripe.Schemas.LineItemsTaxAmount","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetailsResourceBreakdown.html","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetailsResourceBreakdown","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetailsResourceBreakdown.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetailsResourceBreakdown.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetailsResourceBreakdown.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetailsResourceBreakdown.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetailsResourceBreakdown.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PaymentPagesCheckoutSessionTotalDetailsResourceBreakdown.t/0","type":"type"},{"doc":"description : A Payout object is created when you receive funds from Stripe, or when you initiate a payout to either a bank account or debit card of a connected Stripe account . You can retrieve individual payouts, as well as list all payouts. Payouts are made on varying schedules , depending on your country and industry. Related guide: Receiving Payouts . :amount :: :integer Amount (in %s) to be transferred to your bank account or debit card. :arrival_date :: :integer Date the payout is expected to arrive in the bank. This factors in delays like weekends or bank holidays. :automatic :: :boolean Returns true if the payout was created by an automated payout schedule , and false if it was requested manually . :balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string ID of the balance transaction that describes the impact of this payout on your account balance. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :destination :: ExOAPI.Stripe.Schemas.DeletedCard | ExOAPI.Stripe.Schemas.DeletedBankAccount | ExOAPI.Stripe.Schemas.Card | ExOAPI.Stripe.Schemas.BankAccount | :string ID of the bank account or card the payout was sent to. :failure_balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string If the payout failed or was canceled, this will be the ID of the balance transaction that reversed the initial balance transaction, and puts the funds from the failed payout back in your balance. :failure_code :: :string Error code explaining reason for payout failure if available. See Types of payout failures for a list of failure codes. :failure_message :: :string Message to user further explaining reason for payout failure if available. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :method :: :string The method used to send this payout, which can be standard or instant . instant is only supported for payouts to debit cards. (See Instant payouts for marketplaces for more information.) :object :: :string String representing the object's type. Objects of the same type share the same value. :original_payout :: ExOAPI.Stripe.Schemas.Payout | :string If the payout reverses another, this is the ID of the original payout. :reversed_by :: ExOAPI.Stripe.Schemas.Payout | :string If the payout was reversed, this is the ID of the payout that reverses this payout. :source_type :: :string The source balance this payout came from. One of card , fpx , or bank_account . :statement_descriptor :: :string Extra information about a payout to be displayed on the user's bank statement. :status :: :string Current status of the payout: paid , pending , in_transit , canceled or failed . A payout is pending until it is submitted to the bank, when it becomes in_transit . The status then changes to paid if the transaction goes through, or to failed or canceled (within 5 business days). Some failed payouts may initially show as paid but then change to failed . :type :: :string Can be bank_account or card .","ref":"ExOAPI.Stripe.Schemas.Payout.html","title":"ExOAPI.Stripe.Schemas.Payout","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Payout.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Payout.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Payout.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Payout.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Payout.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Payout.t/0","type":"type"},{"doc":":end :: :integer The end date of this usage period. All usage up to and including this point in time is included. :start :: :integer The start date of this usage period. All usage after this point in time is included.","ref":"ExOAPI.Stripe.Schemas.Period.html","title":"ExOAPI.Stripe.Schemas.Period","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Period.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Period.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Period.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Period.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Period.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Period.t/0","type":"type"},{"doc":"description : This is an object representing a person associated with a Stripe account. A platform cannot access a Standard or Express account's persons after the account starts onboarding, such as after generating an account link for the account. See the Standard onboarding or Express onboarding documentation for information about platform pre-filling and account onboarding steps. Related guide: Handling Identity Verification with the API . :account :: ExOAPI.Stripe.Schemas.Account The account the person is associated with. :address :: ExOAPI.Stripe.Schemas.Address :address_kana :: ExOAPI.Stripe.Schemas.LegalEntityJapanAddress :address_kanji :: ExOAPI.Stripe.Schemas.LegalEntityJapanAddress :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :dob :: ExOAPI.Stripe.Schemas.LegalEntityDob :email :: :string The person's email address. :first_name :: :string The person's first name. :first_name_kana :: :string The Kana variation of the person's first name (Japan only). :first_name_kanji :: :string The Kanji variation of the person's first name (Japan only). ::full_name_aliases :: :string :future_requirements :: ExOAPI.Stripe.Schemas.PersonFutureRequirements :gender :: :string The person's gender (International regulations require either &quot;male&quot; or &quot;female&quot;). :id :: :string Unique identifier for the object. :id_number_provided :: :boolean Whether the person's id_number was provided. :last_name :: :string The person's last name. :last_name_kana :: :string The Kana variation of the person's last name (Japan only). :last_name_kanji :: :string The Kanji variation of the person's last name (Japan only). :maiden_name :: :string The person's maiden name. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :nationality :: :string The country where the person is a national. :object :: :string String representing the object's type. Objects of the same type share the same value. :phone :: :string The person's phone number. :political_exposure :: :string Indicates if the person or any of their representatives, family members, or other closely related persons, declares that they hold or have held an important public job or function, in any jurisdiction. :relationship :: ExOAPI.Stripe.Schemas.PersonRelationship :requirements :: ExOAPI.Stripe.Schemas.PersonRequirements :ssn_last_4_provided :: :boolean Whether the last four digits of the person's Social Security number have been provided (U.S. only). :verification :: ExOAPI.Stripe.Schemas.LegalEntityPersonVerification","ref":"ExOAPI.Stripe.Schemas.Person.html","title":"ExOAPI.Stripe.Schemas.Person","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Person.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Person.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Person.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Person.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Person.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Person.t/0","type":"type"},{"doc":"::alternatives :: ExOAPI.Stripe.Schemas.AccountRequirementsAlternative ::currently_due :: :string ::errors :: ExOAPI.Stripe.Schemas.AccountRequirementsError ::eventually_due :: :string ::past_due :: :string ::pending_verification :: :string","ref":"ExOAPI.Stripe.Schemas.PersonFutureRequirements.html","title":"ExOAPI.Stripe.Schemas.PersonFutureRequirements","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PersonFutureRequirements.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PersonFutureRequirements.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PersonFutureRequirements.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PersonFutureRequirements.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PersonFutureRequirements.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PersonFutureRequirements.t/0","type":"type"},{"doc":":director :: :boolean Whether the person is a director of the account's legal entity. Directors are typically members of the governing board of the company, or responsible for ensuring the company meets its regulatory obligations. :executive :: :boolean Whether the person has significant responsibility to control, manage, or direct the organization. :owner :: :boolean Whether the person is an owner of the account’s legal entity. :percent_ownership :: :number The percent owned by the person of the account's legal entity. :representative :: :boolean Whether the person is authorized as the primary representative of the account. This is the person nominated by the business to provide information about themselves, and general information about the account. There can only be one representative at any given time. At the time the account is created, this person should be set to the person responsible for opening the account. :title :: :string The person's title (e.g., CEO, Support Engineer).","ref":"ExOAPI.Stripe.Schemas.PersonRelationship.html","title":"ExOAPI.Stripe.Schemas.PersonRelationship","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PersonRelationship.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PersonRelationship.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PersonRelationship.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PersonRelationship.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PersonRelationship.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PersonRelationship.t/0","type":"type"},{"doc":"::alternatives :: ExOAPI.Stripe.Schemas.AccountRequirementsAlternative ::currently_due :: :string ::errors :: ExOAPI.Stripe.Schemas.AccountRequirementsError ::eventually_due :: :string ::past_due :: :string ::pending_verification :: :string","ref":"ExOAPI.Stripe.Schemas.PersonRequirements.html","title":"ExOAPI.Stripe.Schemas.PersonRequirements","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PersonRequirements.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PersonRequirements.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PersonRequirements.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PersonRequirements.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PersonRequirements.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PersonRequirements.t/0","type":"type"},{"doc":"description : You can now model subscriptions more flexibly using the Prices API . It replaces the Plans API and is backwards compatible to simplify your migration. Plans define the base price, currency, and billing cycle for recurring purchases of products. Products help you track inventory or provisioning, and plans help you track pricing. Different physical goods or levels of service should be represented by products, and pricing options should be represented by plans. This approach lets you change prices without having to change your provisioning scheme. For example, you might have a single &quot;gold&quot; product that has plans for $10/month, $100/year, €9/month, and €90/year. Related guides: Set up a subscription and more about products and prices . :active :: :boolean Whether the plan can be used for new purchases. :aggregate_usage :: :string Specifies a usage aggregation strategy for plans of usage_type=metered . Allowed values are sum for summing up all usage during a period, last_during_period for using the last usage record reported within a period, last_ever for using the last usage record ever (across period bounds) or max which uses the usage record with the maximum reported usage during a period. Defaults to sum . :amount :: :integer The unit amount in %s to be charged, represented as a whole integer if possible. Only set if billing_scheme=per_unit . :amount_decimal :: :string The unit amount in %s to be charged, represented as a decimal string with at most 12 decimal places. Only set if billing_scheme=per_unit . :billing_scheme :: :string Describes how to compute the price per period. Either per_unit or tiered . per_unit indicates that the fixed amount (specified in amount ) will be charged per unit in quantity (for plans with usage_type=licensed ), or per unit of total usage (for plans with usage_type=metered ). tiered indicates that the unit pricing will be computed using a tiering strategy as defined using the tiers and tiers_mode attributes. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :id :: :string Unique identifier for the object. :interval :: :string The frequency at which a subscription is billed. One of day , week , month or year . :interval_count :: :integer The number of intervals (specified in the interval attribute) between subscription billings. For example, interval=month and interval_count=3 bills every 3 months. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :nickname :: :string A brief description of the plan, hidden from customers. :object :: :string String representing the object's type. Objects of the same type share the same value. :product :: ExOAPI.Stripe.Schemas.DeletedProduct | ExOAPI.Stripe.Schemas.Product | :string The product whose pricing this plan determines. ::tiers :: ExOAPI.Stripe.Schemas.PlanTier :tiers_mode :: :string Defines if the tiering price should be graduated or volume based. In volume -based tiering, the maximum quantity within a period determines the per unit price. In graduated tiering, pricing can change as the quantity grows. :transform_usage :: ExOAPI.Stripe.Schemas.TransformUsage Apply a transformation to the reported usage or set quantity before computing the amount billed. Cannot be combined with tiers . :trial_period_days :: :integer Default number of trial days when subscribing a customer to this plan using trial_from_plan=true . :usage_type :: :string Configures how the quantity per period should be determined. Can be either metered or licensed . licensed automatically bills the quantity set when adding it to a subscription. metered aggregates the total usage based on usage records. Defaults to licensed .","ref":"ExOAPI.Stripe.Schemas.Plan.html","title":"ExOAPI.Stripe.Schemas.Plan","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Plan.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Plan.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Plan.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Plan.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Plan.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Plan.t/0","type":"type"},{"doc":":flat_amount :: :integer Price for the entire tier. :flat_amount_decimal :: :string Same as flat_amount , but contains a decimal value with at most 12 decimal places. :unit_amount :: :integer Per unit price for units relevant to the tier. :unit_amount_decimal :: :string Same as unit_amount , but contains a decimal value with at most 12 decimal places. :up_to :: :integer Up to and including to this quantity will be contained in the tier.","ref":"ExOAPI.Stripe.Schemas.PlanTier.html","title":"ExOAPI.Stripe.Schemas.PlanTier","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PlanTier.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PlanTier.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PlanTier.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PlanTier.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PlanTier.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PlanTier.t/0","type":"type"},{"doc":":account :: ExOAPI.Stripe.Schemas.Account The Connected account that incurred this charge. :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value. :source_transaction :: ExOAPI.Stripe.Schemas.SourceTransaction The payment object that caused this tax to be inflicted. :type :: :string The type of tax (VAT).","ref":"ExOAPI.Stripe.Schemas.PlatformTaxFee.html","title":"ExOAPI.Stripe.Schemas.PlatformTaxFee","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PlatformTaxFee.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PlatformTaxFee.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PlatformTaxFee.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PlatformTaxFee.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PlatformTaxFee.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PlatformTaxFee.t/0","type":"type"},{"doc":":headline :: :string The messaging shown to customers in the portal. :privacy_policy_url :: :string A link to the business’s publicly available privacy policy. :terms_of_service_url :: :string A link to the business’s publicly available terms of service.","ref":"ExOAPI.Stripe.Schemas.PortalBusinessProfile.html","title":"ExOAPI.Stripe.Schemas.PortalBusinessProfile","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalBusinessProfile.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PortalBusinessProfile.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalBusinessProfile.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PortalBusinessProfile.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalBusinessProfile.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PortalBusinessProfile.t/0","type":"type"},{"doc":"::allowed_updates :: :string :enabled :: :boolean Whether the feature is enabled.","ref":"ExOAPI.Stripe.Schemas.PortalCustomerUpdate.html","title":"ExOAPI.Stripe.Schemas.PortalCustomerUpdate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalCustomerUpdate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PortalCustomerUpdate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalCustomerUpdate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PortalCustomerUpdate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalCustomerUpdate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PortalCustomerUpdate.t/0","type":"type"},{"doc":":customer_update :: ExOAPI.Stripe.Schemas.PortalCustomerUpdate :invoice_history :: ExOAPI.Stripe.Schemas.PortalInvoiceList :payment_method_update :: ExOAPI.Stripe.Schemas.PortalPaymentMethodUpdate :subscription_cancel :: ExOAPI.Stripe.Schemas.PortalSubscriptionCancel :subscription_pause :: ExOAPI.Stripe.Schemas.PortalSubscriptionPause :subscription_update :: ExOAPI.Stripe.Schemas.PortalSubscriptionUpdate","ref":"ExOAPI.Stripe.Schemas.PortalFeatures.html","title":"ExOAPI.Stripe.Schemas.PortalFeatures","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalFeatures.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PortalFeatures.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalFeatures.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PortalFeatures.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalFeatures.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PortalFeatures.t/0","type":"type"},{"doc":":enabled :: :boolean Whether the feature is enabled.","ref":"ExOAPI.Stripe.Schemas.PortalInvoiceList.html","title":"ExOAPI.Stripe.Schemas.PortalInvoiceList","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalInvoiceList.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PortalInvoiceList.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalInvoiceList.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PortalInvoiceList.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalInvoiceList.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PortalInvoiceList.t/0","type":"type"},{"doc":":enabled :: :boolean Whether the feature is enabled.","ref":"ExOAPI.Stripe.Schemas.PortalPaymentMethodUpdate.html","title":"ExOAPI.Stripe.Schemas.PortalPaymentMethodUpdate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalPaymentMethodUpdate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PortalPaymentMethodUpdate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalPaymentMethodUpdate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PortalPaymentMethodUpdate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalPaymentMethodUpdate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PortalPaymentMethodUpdate.t/0","type":"type"},{"doc":":cancellation_reason :: ExOAPI.Stripe.Schemas.PortalSubscriptionCancellationReason :enabled :: :boolean Whether the feature is enabled. :mode :: :string Whether to cancel subscriptions immediately or at the end of the billing period. :proration_behavior :: :string Whether to create prorations when canceling subscriptions. Possible values are none and create_prorations .","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancel.html","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancel","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancel.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancel.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancel.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancel.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancel.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancel.t/0","type":"type"},{"doc":":enabled :: :boolean Whether the feature is enabled. ::options :: :string","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancellationReason.html","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancellationReason","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancellationReason.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancellationReason.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancellationReason.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancellationReason.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancellationReason.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionCancellationReason.t/0","type":"type"},{"doc":":enabled :: :boolean Whether the feature is enabled.","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionPause.html","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionPause","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionPause.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionPause.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionPause.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionPause.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionPause.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionPause.t/0","type":"type"},{"doc":"::default_allowed_updates :: :string :enabled :: :boolean Whether the feature is enabled. ::products :: ExOAPI.Stripe.Schemas.PortalSubscriptionUpdateProduct :proration_behavior :: :string Determines how to handle prorations resulting from subscription updates. Valid values are none , create_prorations , and always_invoice .","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdate.html","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdate.t/0","type":"type"},{"doc":"::prices :: :string :product :: ExOAPI.Stripe.Schemas.Product The product ID.","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdateProduct.html","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdateProduct","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdateProduct.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdateProduct.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdateProduct.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdateProduct.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdateProduct.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PortalSubscriptionUpdateProduct.t/0","type":"type"},{"doc":"description : Prices define the unit cost, currency, and (optional) billing cycle for both recurring and one-time purchases of products. Products help you track inventory or provisioning, and prices help you track payment terms. Different physical goods or levels of service should be represented by products, and pricing options should be represented by prices. This approach lets you change prices without having to change your provisioning scheme. For example, you might have a single &quot;gold&quot; product that has prices for $10/month, $100/year, and €9 once. Related guides: Set up a subscription , create an invoice , and more about products and prices . :active :: :boolean Whether the price can be used for new purchases. :billing_scheme :: :string Describes how to compute the price per period. Either per_unit or tiered . per_unit indicates that the fixed amount (specified in unit_amount or unit_amount_decimal ) will be charged per unit in quantity (for prices with usage_type=licensed ), or per unit of total usage (for prices with usage_type=metered ). tiered indicates that the unit pricing will be computed using a tiering strategy as defined using the tiers and tiers_mode attributes. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :lookup_key :: :string A lookup key used to retrieve prices dynamically from a static string. This may be up to 200 characters. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :nickname :: :string A brief description of the price, hidden from customers. :object :: :string String representing the object's type. Objects of the same type share the same value. :product :: ExOAPI.Stripe.Schemas.DeletedProduct | ExOAPI.Stripe.Schemas.Product | :string The ID of the product this price is associated with. :recurring :: ExOAPI.Stripe.Schemas.Recurring The recurring components of a price such as interval and usage_type . :tax_behavior :: :string Specifies whether the price is considered inclusive of taxes or exclusive of taxes. One of inclusive , exclusive , or unspecified . Once specified as either inclusive or exclusive , it cannot be changed. ::tiers :: ExOAPI.Stripe.Schemas.PriceTier :tiers_mode :: :string Defines if the tiering price should be graduated or volume based. In volume -based tiering, the maximum quantity within a period determines the per unit price. In graduated tiering, pricing can change as the quantity grows. :transform_quantity :: ExOAPI.Stripe.Schemas.TransformQuantity Apply a transformation to the reported usage or set quantity before computing the amount billed. Cannot be combined with tiers . :type :: :string One of one_time or recurring depending on whether the price is for a one-time purchase or a recurring (subscription) purchase. :unit_amount :: :integer The unit amount in %s to be charged, represented as a whole integer if possible. Only set if billing_scheme=per_unit . :unit_amount_decimal :: :string The unit amount in %s to be charged, represented as a decimal string with at most 12 decimal places. Only set if billing_scheme=per_unit .","ref":"ExOAPI.Stripe.Schemas.Price.html","title":"ExOAPI.Stripe.Schemas.Price","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Price.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Price.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Price.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Price.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Price.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Price.t/0","type":"type"},{"doc":":flat_amount :: :integer Price for the entire tier. :flat_amount_decimal :: :string Same as flat_amount , but contains a decimal value with at most 12 decimal places. :unit_amount :: :integer Per unit price for units relevant to the tier. :unit_amount_decimal :: :string Same as unit_amount , but contains a decimal value with at most 12 decimal places. :up_to :: :integer Up to and including to this quantity will be contained in the tier.","ref":"ExOAPI.Stripe.Schemas.PriceTier.html","title":"ExOAPI.Stripe.Schemas.PriceTier","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PriceTier.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PriceTier.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PriceTier.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PriceTier.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PriceTier.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PriceTier.t/0","type":"type"},{"doc":"description : Products describe the specific goods or services you offer to your customers. For example, you might offer a Standard and Premium version of your goods or service; each version would be a separate Product. They can be used in conjunction with Prices to configure pricing in Payment Links, Checkout, and Subscriptions. Related guides: Set up a subscription , share a Payment Link , accept payments with Checkout , and more about Products and Prices :active :: :boolean Whether the product is currently available for purchase. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :description :: :string The product's description, meant to be displayable to the customer. Use this field to optionally store a long form explanation of the product being sold for your own rendering purposes. :id :: :string Unique identifier for the object. ::images :: :string :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :name :: :string The product's name, meant to be displayable to the customer. :object :: :string String representing the object's type. Objects of the same type share the same value. :package_dimensions :: ExOAPI.Stripe.Schemas.PackageDimensions The dimensions of this product for shipping purposes. :shippable :: :boolean Whether this product is shipped (i.e., physical goods). :statement_descriptor :: :string Extra information about a product which will appear on your customer's credit card statement. In the case that multiple products are billed at once, the first statement descriptor will be used. :tax_code :: ExOAPI.Stripe.Schemas.TaxCode | :string A tax code ID. :unit_label :: :string A label that represents units of this product in Stripe and on customers’ receipts and invoices. When set, this will be included in associated invoice line item descriptions. :updated :: :integer Time at which the object was last updated. Measured in seconds since the Unix epoch. :url :: :string A URL of a publicly-accessible webpage for this product.","ref":"ExOAPI.Stripe.Schemas.Product.html","title":"ExOAPI.Stripe.Schemas.Product","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Product.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Product.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Product.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Product.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Product.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Product.t/0","type":"type"},{"doc":"description : A Promotion Code represents a customer-redeemable code for a coupon. It can be used to create multiple codes for a single coupon. :active :: :boolean Whether the promotion code is currently active. A promotion code is only active if the coupon is also valid. :code :: :string The customer-facing code. Regardless of case, this code must be unique across all active promotion codes for each customer. :coupon :: ExOAPI.Stripe.Schemas.Coupon :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The customer that this promotion code can be used by. :expires_at :: :integer Date at which the promotion code can no longer be redeemed. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :max_redemptions :: :integer Maximum number of times this promotion code can be redeemed. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :restrictions :: ExOAPI.Stripe.Schemas.PromotionCodesResourceRestrictions :times_redeemed :: :integer Number of times this promotion code has been used.","ref":"ExOAPI.Stripe.Schemas.PromotionCode.html","title":"ExOAPI.Stripe.Schemas.PromotionCode","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PromotionCode.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PromotionCode.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PromotionCode.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PromotionCode.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PromotionCode.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PromotionCode.t/0","type":"type"},{"doc":":first_time_transaction :: :boolean A Boolean indicating if the Promotion Code should only be redeemed for Customers without any successful payments or invoices :minimum_amount :: :integer Minimum amount required to redeem this Promotion Code into a Coupon (e.g., a purchase must be $100 or more to work). :minimum_amount_currency :: :string Three-letter ISO code for minimum_amount","ref":"ExOAPI.Stripe.Schemas.PromotionCodesResourceRestrictions.html","title":"ExOAPI.Stripe.Schemas.PromotionCodesResourceRestrictions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PromotionCodesResourceRestrictions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.PromotionCodesResourceRestrictions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PromotionCodesResourceRestrictions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.PromotionCodesResourceRestrictions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.PromotionCodesResourceRestrictions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.PromotionCodesResourceRestrictions.t/0","type":"type"},{"doc":"description : A Quote is a way to model prices that you'd like to provide to a customer. Once accepted, it will automatically create an invoice, subscription or subscription schedule. :application_fee_percent :: :number A non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice subtotal that will be transferred to the application owner's Stripe account. Only applicable if there are line items with recurring prices on the quote. :computed :: ExOAPI.Stripe.Schemas.QuotesResourceComputed :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :collection_method :: :string Either charge_automatically , or send_invoice . When charging automatically, Stripe will attempt to pay invoices at the end of the subscription cycle or on finalization using the default payment method attached to the subscription or customer. When sending an invoice, Stripe will email your customer an invoice with payment instructions. Defaults to charge_automatically . ::data :: ExOAPI.Stripe.Schemas.Item :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :subscription_data :: ExOAPI.Stripe.Schemas.QuotesResourceSubscriptionData :description :: :string A description that will be displayed on the quote PDF. :footer :: :string A footer that will be displayed on the quote PDF. :header :: :string A header that will be displayed on the quote PDF. :subscription_schedule :: ExOAPI.Stripe.Schemas.SubscriptionSchedule | :string The subscription schedule that was created or updated from this quote. :on_behalf_of :: ExOAPI.Stripe.Schemas.Account | :string The account on behalf of which to charge. See the Connect documentation for details. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The customer which this quote belongs to. A customer is required before finalizing the quote. Once specified, it cannot be changed. :invoice :: ExOAPI.Stripe.Schemas.DeletedInvoice | ExOAPI.Stripe.Schemas.Invoice | :string The invoice that was created from this quote. :object :: :string String representing the object's type. Objects of the same type share the same value. :invoice_settings :: ExOAPI.Stripe.Schemas.InvoiceSettingQuoteSetting All invoices will be billed using the specified settings. :total_details :: ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails :expires_at :: :integer The date on which the quote will be canceled if in open or draft status. Measured in seconds since the Unix epoch. :status_transitions :: ExOAPI.Stripe.Schemas.QuotesResourceStatusTransitions :test_clock :: ExOAPI.Stripe.Schemas.TestHelpers_testClock | :string ID of the test clock this quote belongs to. :automatic_tax :: ExOAPI.Stripe.Schemas.QuotesResourceAutomaticTax :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. ::discounts :: ExOAPI.Stripe.Schemas.Discount | :string :amount_subtotal :: :integer Total before any discounts or taxes are applied. :amount_total :: :integer Total after discounts and taxes are applied. :subscription :: ExOAPI.Stripe.Schemas.Subscription | :string The subscription that was created or updated from this quote. :status :: :string The status of the quote. :from_quote :: ExOAPI.Stripe.Schemas.QuotesResourceFromQuote Details of the quote that was cloned. See the cloning documentation for more details. :number :: :string A unique number that identifies this particular quote. This number is assigned once the quote is finalized . :application_fee_amount :: :integer The amount of the application fee (if any) that will be requested to be applied to the payment and transferred to the application owner's Stripe account. Only applicable if there are no line items with recurring prices on the quote. :transfer_data :: ExOAPI.Stripe.Schemas.QuotesResourceTransferData The account (if any) the payments will be attributed to for tax reporting, and where funds from each payment will be transferred to for each of the invoices. :id :: :string Unique identifier for the object. ::default_tax_rates :: ExOAPI.Stripe.Schemas.TaxRate | :string","ref":"ExOAPI.Stripe.Schemas.Quote.html","title":"ExOAPI.Stripe.Schemas.Quote","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Quote.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Quote.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Quote.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Quote.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Quote.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Quote.t/0","type":"type"},{"doc":":enabled :: :boolean Automatically calculate taxes :status :: :string The status of the most recent automated tax calculation for this quote.","ref":"ExOAPI.Stripe.Schemas.QuotesResourceAutomaticTax.html","title":"ExOAPI.Stripe.Schemas.QuotesResourceAutomaticTax","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceAutomaticTax.html#changeset/2","title":"ExOAPI.Stripe.Schemas.QuotesResourceAutomaticTax.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceAutomaticTax.html#t:params/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceAutomaticTax.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceAutomaticTax.html#t:t/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceAutomaticTax.t/0","type":"type"},{"doc":":recurring :: ExOAPI.Stripe.Schemas.QuotesResourceRecurring The definitive totals and line items the customer will be charged on a recurring basis. Takes into account the line items with recurring prices and discounts with duration=forever coupons only. Defaults to null if no inputted line items with recurring prices. :upfront :: ExOAPI.Stripe.Schemas.QuotesResourceUpfront","ref":"ExOAPI.Stripe.Schemas.QuotesResourceComputed.html","title":"ExOAPI.Stripe.Schemas.QuotesResourceComputed","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceComputed.html#changeset/2","title":"ExOAPI.Stripe.Schemas.QuotesResourceComputed.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceComputed.html#t:params/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceComputed.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceComputed.html#t:t/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceComputed.t/0","type":"type"},{"doc":":is_revision :: :boolean Whether this quote is a revision of a different quote. :quote :: ExOAPI.Stripe.Schemas.Quote | :string The quote that was cloned.","ref":"ExOAPI.Stripe.Schemas.QuotesResourceFromQuote.html","title":"ExOAPI.Stripe.Schemas.QuotesResourceFromQuote","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceFromQuote.html#changeset/2","title":"ExOAPI.Stripe.Schemas.QuotesResourceFromQuote.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceFromQuote.html#t:params/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceFromQuote.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceFromQuote.html#t:t/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceFromQuote.t/0","type":"type"},{"doc":":amount_subtotal :: :integer Total before any discounts or taxes are applied. :amount_total :: :integer Total after discounts and taxes are applied. :interval :: :string The frequency at which a subscription is billed. One of day , week , month or year . :interval_count :: :integer The number of intervals (specified in the interval attribute) between subscription billings. For example, interval=month and interval_count=3 bills every 3 months. :total_details :: ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails","ref":"ExOAPI.Stripe.Schemas.QuotesResourceRecurring.html","title":"ExOAPI.Stripe.Schemas.QuotesResourceRecurring","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceRecurring.html#changeset/2","title":"ExOAPI.Stripe.Schemas.QuotesResourceRecurring.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceRecurring.html#t:params/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceRecurring.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceRecurring.html#t:t/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceRecurring.t/0","type":"type"},{"doc":":accepted_at :: :integer The time that the quote was accepted. Measured in seconds since Unix epoch. :canceled_at :: :integer The time that the quote was canceled. Measured in seconds since Unix epoch. :finalized_at :: :integer The time that the quote was finalized. Measured in seconds since Unix epoch.","ref":"ExOAPI.Stripe.Schemas.QuotesResourceStatusTransitions.html","title":"ExOAPI.Stripe.Schemas.QuotesResourceStatusTransitions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceStatusTransitions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.QuotesResourceStatusTransitions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceStatusTransitions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceStatusTransitions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceStatusTransitions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceStatusTransitions.t/0","type":"type"},{"doc":":effective_date :: :integer When creating a new subscription, the date of which the subscription schedule will start after the quote is accepted. This date is ignored if it is in the past when the quote is accepted. Measured in seconds since the Unix epoch. :trial_period_days :: :integer Integer representing the number of trial period days before the customer is charged for the first time.","ref":"ExOAPI.Stripe.Schemas.QuotesResourceSubscriptionData.html","title":"ExOAPI.Stripe.Schemas.QuotesResourceSubscriptionData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceSubscriptionData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.QuotesResourceSubscriptionData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceSubscriptionData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceSubscriptionData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceSubscriptionData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceSubscriptionData.t/0","type":"type"},{"doc":":amount_discount :: :integer This is the sum of all the discounts. :amount_shipping :: :integer This is the sum of all the shipping amounts. :amount_tax :: :integer This is the sum of all the tax amounts. :breakdown :: ExOAPI.Stripe.Schemas.QuotesResourceTotalDetailsResourceBreakdown","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails.html","title":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails.t/0","type":"type"},{"doc":"::discounts :: ExOAPI.Stripe.Schemas.LineItemsDiscountAmount ::taxes :: ExOAPI.Stripe.Schemas.LineItemsTaxAmount","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetailsResourceBreakdown.html","title":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetailsResourceBreakdown","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetailsResourceBreakdown.html#changeset/2","title":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetailsResourceBreakdown.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetailsResourceBreakdown.html#t:params/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetailsResourceBreakdown.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetailsResourceBreakdown.html#t:t/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceTotalDetailsResourceBreakdown.t/0","type":"type"},{"doc":":amount :: :integer The amount in %s that will be transferred to the destination account when the invoice is paid. By default, the entire amount is transferred to the destination. :amount_percent :: :number A non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice subtotal that will be transferred to the destination account. By default, the entire amount will be transferred to the destination. :destination :: ExOAPI.Stripe.Schemas.Account | :string The account where funds from the payment will be transferred to upon payment success.","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTransferData.html","title":"ExOAPI.Stripe.Schemas.QuotesResourceTransferData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTransferData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.QuotesResourceTransferData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTransferData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceTransferData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceTransferData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceTransferData.t/0","type":"type"},{"doc":":amount_subtotal :: :integer Total before any discounts or taxes are applied. :amount_total :: :integer Total after discounts and taxes are applied. ::data :: ExOAPI.Stripe.Schemas.Item :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :total_details :: ExOAPI.Stripe.Schemas.QuotesResourceTotalDetails","ref":"ExOAPI.Stripe.Schemas.QuotesResourceUpfront.html","title":"ExOAPI.Stripe.Schemas.QuotesResourceUpfront","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceUpfront.html#changeset/2","title":"ExOAPI.Stripe.Schemas.QuotesResourceUpfront.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceUpfront.html#t:params/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceUpfront.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.QuotesResourceUpfront.html#t:t/0","title":"ExOAPI.Stripe.Schemas.QuotesResourceUpfront.t/0","type":"type"},{"doc":":city :: :string The city where the payment originated. :country :: :string Two-letter ISO code representing the country where the payment originated. :latitude :: :number The geographic latitude where the payment originated. :longitude :: :number The geographic longitude where the payment originated. :region :: :string The state/county/province/region where the payment originated.","ref":"ExOAPI.Stripe.Schemas.RadarReviewResourceLocation.html","title":"ExOAPI.Stripe.Schemas.RadarReviewResourceLocation","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RadarReviewResourceLocation.html#changeset/2","title":"ExOAPI.Stripe.Schemas.RadarReviewResourceLocation.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RadarReviewResourceLocation.html#t:params/0","title":"ExOAPI.Stripe.Schemas.RadarReviewResourceLocation.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RadarReviewResourceLocation.html#t:t/0","title":"ExOAPI.Stripe.Schemas.RadarReviewResourceLocation.t/0","type":"type"},{"doc":":browser :: :string The browser used in this browser session (e.g., Chrome ). :device :: :string Information about the device used for the browser session (e.g., Samsung SM-G930T ). :platform :: :string The platform for the browser session (e.g., Macintosh ). :version :: :string The version for the browser session (e.g., 61.0.3163.100 ).","ref":"ExOAPI.Stripe.Schemas.RadarReviewResourceSession.html","title":"ExOAPI.Stripe.Schemas.RadarReviewResourceSession","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RadarReviewResourceSession.html#changeset/2","title":"ExOAPI.Stripe.Schemas.RadarReviewResourceSession.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RadarReviewResourceSession.html#t:params/0","title":"ExOAPI.Stripe.Schemas.RadarReviewResourceSession.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RadarReviewResourceSession.html#t:t/0","title":"ExOAPI.Stripe.Schemas.RadarReviewResourceSession.t/0","type":"type"},{"doc":"description : An early fraud warning indicates that the card issuer has notified us that a charge may be fraudulent. Related guide: Early Fraud Warnings . :actionable :: :boolean An EFW is actionable if it has not received a dispute and has not been fully refunded. You may wish to proactively refund a charge that receives an EFW, in order to avoid receiving a dispute later. :charge :: ExOAPI.Stripe.Schemas.Charge | :string ID of the charge this early fraud warning is for, optionally expanded. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :fraud_type :: :string The type of fraud labelled by the issuer. One of card_never_received , fraudulent_card_application , made_with_counterfeit_card , made_with_lost_card , made_with_stolen_card , misc , unauthorized_use_of_card . :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :payment_intent :: ExOAPI.Stripe.Schemas.PaymentIntent | :string ID of the Payment Intent this early fraud warning is for, optionally expanded.","ref":"ExOAPI.Stripe.Schemas.Radar_earlyFraudWarning.html","title":"ExOAPI.Stripe.Schemas.Radar_earlyFraudWarning","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Radar_earlyFraudWarning.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Radar_earlyFraudWarning.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Radar_earlyFraudWarning.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Radar_earlyFraudWarning.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Radar_earlyFraudWarning.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Radar_earlyFraudWarning.t/0","type":"type"},{"doc":"description : Value lists allow you to group values together which can then be referenced in rules. Related guide: Default Stripe Lists . :alias :: :string The name of the value list for use in rules. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :created_by :: :string The name or email address of the user who created this value list. :id :: :string Unique identifier for the object. :item_type :: :string The type of items in the value list. One of card_fingerprint , card_bin , email , ip_address , country , string , case_sensitive_string , or customer_id . ::data :: ExOAPI.Stripe.Schemas.Radar_valueListItem :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :name :: :string The name of the value list. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.Radar_valueList.html","title":"ExOAPI.Stripe.Schemas.Radar_valueList","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Radar_valueList.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Radar_valueList.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Radar_valueList.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Radar_valueList.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Radar_valueList.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Radar_valueList.t/0","type":"type"},{"doc":"description : Value list items allow you to add specific values to a given Radar value list, which can then be used in rules. Related guide: Managing List Items . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :created_by :: :string The name or email address of the user who added this item to the value list. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :value :: :string The value of the item. :value_list :: :string The identifier of the value list this item belongs to.","ref":"ExOAPI.Stripe.Schemas.Radar_valueListItem.html","title":"ExOAPI.Stripe.Schemas.Radar_valueListItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Radar_valueListItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Radar_valueListItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Radar_valueListItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Radar_valueListItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Radar_valueListItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Radar_valueListItem.t/0","type":"type"},{"doc":"description : With Recipient objects, you can transfer money from your Stripe account to a third-party bank account or debit card. The API allows you to create, delete, and update your recipients. You can retrieve individual recipients as well as a list of all your recipients. Recipient objects have been deprecated in favor of Connect , specifically Connect's much more powerful Account objects . Stripe accounts that don't already use recipients can no longer begin doing so. Please use Account objects instead. :active_account :: ExOAPI.Stripe.Schemas.BankAccount Hash describing the current account on the recipient, if there is one. ::data :: ExOAPI.Stripe.Schemas.Card :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :default_card :: ExOAPI.Stripe.Schemas.Card | :string The default card to use for creating transfers to this recipient. :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :email :: :string :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :migrated_to :: ExOAPI.Stripe.Schemas.Account | :string The ID of the Custom account this recipient was migrated to. If set, the recipient can no longer be updated, nor can transfers be made to it: use the Custom account instead. :name :: :string Full, legal name of the recipient. :object :: :string String representing the object's type. Objects of the same type share the same value. :rolled_back_from :: ExOAPI.Stripe.Schemas.Account | :string :type :: :string Type of the recipient, one of individual or corporation .","ref":"ExOAPI.Stripe.Schemas.Recipient.html","title":"ExOAPI.Stripe.Schemas.Recipient","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Recipient.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Recipient.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Recipient.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Recipient.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Recipient.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Recipient.t/0","type":"type"},{"doc":":aggregate_usage :: :string Specifies a usage aggregation strategy for prices of usage_type=metered . Allowed values are sum for summing up all usage during a period, last_during_period for using the last usage record reported within a period, last_ever for using the last usage record ever (across period bounds) or max which uses the usage record with the maximum reported usage during a period. Defaults to sum . :interval :: :string The frequency at which a subscription is billed. One of day , week , month or year . :interval_count :: :integer The number of intervals (specified in the interval attribute) between subscription billings. For example, interval=month and interval_count=3 bills every 3 months. :usage_type :: :string Configures how the quantity per period should be determined. Can be either metered or licensed . licensed automatically bills the quantity set when adding it to a subscription. metered aggregates the total usage based on usage records. Defaults to licensed .","ref":"ExOAPI.Stripe.Schemas.Recurring.html","title":"ExOAPI.Stripe.Schemas.Recurring","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Recurring.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Recurring.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Recurring.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Recurring.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Recurring.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Recurring.t/0","type":"type"},{"doc":"description : Refund objects allow you to refund a charge that has previously been created but not yet refunded. Funds will be refunded to the credit or debit card that was originally charged. Related guide: Refunds . :amount :: :integer Amount, in %s. :balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string Balance transaction that describes the impact on your account balance. :charge :: ExOAPI.Stripe.Schemas.Charge | :string ID of the charge that was refunded. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. (Available on non-card refunds only) :failure_balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string If the refund failed, this balance transaction describes the adjustment made on your account balance that reverses the initial balance transaction. :failure_reason :: :string If the refund failed, the reason for refund failure if known. Possible values are lost_or_stolen_card , expired_or_canceled_card , or unknown . :id :: :string Unique identifier for the object. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :next_action :: ExOAPI.Stripe.Schemas.RefundNextAction :object :: :string String representing the object's type. Objects of the same type share the same value. :payment_intent :: ExOAPI.Stripe.Schemas.PaymentIntent | :string ID of the PaymentIntent that was refunded. :reason :: :string Reason for the refund, either user-provided ( duplicate , fraudulent , or requested_by_customer ) or generated by Stripe internally ( expired_uncaptured_charge ). :receipt_number :: :string This is the transaction number that appears on email receipts sent for this refund. :source_transfer_reversal :: ExOAPI.Stripe.Schemas.TransferReversal | :string The transfer reversal that is associated with the refund. Only present if the charge came from another Stripe account. See the Connect documentation for details. :status :: :string Status of the refund. For credit card refunds, this can be pending , succeeded , or failed . For other types of refunds, it can be pending , succeeded , failed , or canceled . Refer to our refunds documentation for more details. :transfer_reversal :: ExOAPI.Stripe.Schemas.TransferReversal | :string If the accompanying transfer was reversed, the transfer reversal object. Only applicable if the charge was created using the destination parameter.","ref":"ExOAPI.Stripe.Schemas.Refund.html","title":"ExOAPI.Stripe.Schemas.Refund","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Refund.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Refund.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Refund.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Refund.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Refund.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Refund.t/0","type":"type"},{"doc":":display_details :: ExOAPI.Stripe.Schemas.RefundNextActionDisplayDetails Contains the refund details. :type :: :string Type of the next action to perform.","ref":"ExOAPI.Stripe.Schemas.RefundNextAction.html","title":"ExOAPI.Stripe.Schemas.RefundNextAction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RefundNextAction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.RefundNextAction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RefundNextAction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.RefundNextAction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RefundNextAction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.RefundNextAction.t/0","type":"type"},{"doc":":email_sent :: ExOAPI.Stripe.Schemas.EmailSent :expires_at :: :integer The expiry timestamp.","ref":"ExOAPI.Stripe.Schemas.RefundNextActionDisplayDetails.html","title":"ExOAPI.Stripe.Schemas.RefundNextActionDisplayDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RefundNextActionDisplayDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.RefundNextActionDisplayDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RefundNextActionDisplayDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.RefundNextActionDisplayDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.RefundNextActionDisplayDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.RefundNextActionDisplayDetails.t/0","type":"type"},{"doc":"description : The Report Run object represents an instance of a report type generated with specific run parameters. Once the object is created, Stripe begins processing the report. When the report has finished running, it will give you a reference to a file where you can retrieve your results. For an overview, see API Access to Reports . Note that certain report types can only be run based on your live-mode data (not test-mode data), and will error when queried without a live-mode API key . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :error :: ExOAPI.Stripe.Schemas.Error If something should go wrong during the run, a message about the failure (populated when status=failed ). :id :: :string Unique identifier for the object. :livemode :: :boolean true if the report is run on live mode data and false if it is run on test mode data. :object :: :string String representing the object's type. Objects of the same type share the same value. :parameters :: ExOAPI.Stripe.Schemas.FinancialReportingFinanceReportRunRunParameters :report_type :: :string The ID of the report type to run, such as &quot;balance.summary.1&quot; . :result :: ExOAPI.Stripe.Schemas.File The file object representing the result of the report run (populated when status=succeeded ). :status :: :string Status of this report run. This will be pending when the run is initially created. When the run finishes, this will be set to succeeded and the result field will be populated. Rarely, we may encounter an error, at which point this will be set to failed and the error field will be populated. :succeeded_at :: :integer Timestamp at which this run successfully finished (populated when status=succeeded ). Measured in seconds since the Unix epoch.","ref":"ExOAPI.Stripe.Schemas.Reporting_reportRun.html","title":"ExOAPI.Stripe.Schemas.Reporting_reportRun","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Reporting_reportRun.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Reporting_reportRun.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Reporting_reportRun.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Reporting_reportRun.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Reporting_reportRun.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Reporting_reportRun.t/0","type":"type"},{"doc":"description : The Report Type resource corresponds to a particular type of report, such as the &quot;Activity summary&quot; or &quot;Itemized payouts&quot; reports. These objects are identified by an ID belonging to a set of enumerated values. See API Access to Reports documentation for those Report Type IDs, along with required and optional parameters. Note that certain report types can only be run based on your live-mode data (not test-mode data), and will error when queried without a live-mode API key . :data_available_end :: :integer Most recent time for which this Report Type is available. Measured in seconds since the Unix epoch. :data_available_start :: :integer Earliest time for which this Report Type is available. Measured in seconds since the Unix epoch. ::default_columns :: :string :id :: :string The ID of the Report Type , such as balance.summary.1 . :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :name :: :string Human-readable name of the Report Type :object :: :string String representing the object's type. Objects of the same type share the same value. :updated :: :integer When this Report Type was latest updated. Measured in seconds since the Unix epoch. :version :: :integer Version of the Report Type. Different versions report with the same ID will have the same purpose, but may take different run parameters or have different result schemas.","ref":"ExOAPI.Stripe.Schemas.Reporting_reportType.html","title":"ExOAPI.Stripe.Schemas.Reporting_reportType","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Reporting_reportType.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Reporting_reportType.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Reporting_reportType.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Reporting_reportType.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Reporting_reportType.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Reporting_reportType.t/0","type":"type"},{"doc":":amount :: :integer :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.ReserveTransaction.html","title":"ExOAPI.Stripe.Schemas.ReserveTransaction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ReserveTransaction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ReserveTransaction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ReserveTransaction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ReserveTransaction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ReserveTransaction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ReserveTransaction.t/0","type":"type"},{"doc":"description : Reviews can be used to supplement automated fraud detection with human expertise. Learn more about Radar and reviewing payments here . :billing_zip :: :string The ZIP or postal code of the card used, if applicable. :charge :: ExOAPI.Stripe.Schemas.Charge | :string The charge associated with this review. :closed_reason :: :string The reason the review was closed, or null if it has not yet been closed. One of approved , refunded , refunded_as_fraud , disputed , or redacted . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :id :: :string Unique identifier for the object. :ip_address :: :string The IP address where the payment originated. :ip_address_location :: ExOAPI.Stripe.Schemas.RadarReviewResourceLocation Information related to the location of the payment. Note that this information is an approximation and attempts to locate the nearest population center - it should not be used to determine a specific address. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :open :: :boolean If true , the review needs action. :opened_reason :: :string The reason the review was opened. One of rule or manual . :payment_intent :: ExOAPI.Stripe.Schemas.PaymentIntent | :string The PaymentIntent ID associated with this review, if one exists. :reason :: :string The reason the review is currently open or closed. One of rule , manual , approved , refunded , refunded_as_fraud , disputed , or redacted . :session :: ExOAPI.Stripe.Schemas.RadarReviewResourceSession Information related to the browsing session of the user who initiated the payment.","ref":"ExOAPI.Stripe.Schemas.Review.html","title":"ExOAPI.Stripe.Schemas.Review","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Review.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Review.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Review.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Review.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Review.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Review.t/0","type":"type"},{"doc":":action :: :string The action taken on the payment. :id :: :string Unique identifier for the object. :predicate :: :string The predicate to evaluate the payment against.","ref":"ExOAPI.Stripe.Schemas.Rule.html","title":"ExOAPI.Stripe.Schemas.Rule","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Rule.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Rule.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Rule.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Rule.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Rule.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Rule.t/0","type":"type"},{"doc":"description : If you have scheduled a Sigma query , you'll receive a sigma.scheduled_query_run.created webhook each time the query runs. The webhook contains a ScheduledQueryRun object, which you can use to retrieve the query results. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :data_load_time :: :integer When the query was run, Sigma contained a snapshot of your Stripe data at this time. :error :: ExOAPI.Stripe.Schemas.SigmaScheduledQueryRunError :file :: ExOAPI.Stripe.Schemas.File The file object representing the results of the query. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :result_available_until :: :integer Time at which the result expires and is no longer available for download. :sql :: :string SQL for the query. :status :: :string The query's execution status, which will be completed for successful runs, and canceled , failed , or timed_out otherwise. :title :: :string Title of the query.","ref":"ExOAPI.Stripe.Schemas.ScheduledQueryRun.html","title":"ExOAPI.Stripe.Schemas.ScheduledQueryRun","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ScheduledQueryRun.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ScheduledQueryRun.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ScheduledQueryRun.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ScheduledQueryRun.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ScheduledQueryRun.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ScheduledQueryRun.t/0","type":"type"},{"doc":":enabled :: :boolean Whether Stripe automatically computes tax on invoices created during this phase.","ref":"ExOAPI.Stripe.Schemas.SchedulesPhaseAutomaticTax.html","title":"ExOAPI.Stripe.Schemas.SchedulesPhaseAutomaticTax","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SchedulesPhaseAutomaticTax.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SchedulesPhaseAutomaticTax.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SchedulesPhaseAutomaticTax.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SchedulesPhaseAutomaticTax.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SchedulesPhaseAutomaticTax.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SchedulesPhaseAutomaticTax.t/0","type":"type"},{"doc":":charge :: ExOAPI.Stripe.Schemas.Charge | :string The ID of the Charge that generated this PaymentMethod, if any. :setup_attempt :: ExOAPI.Stripe.Schemas.SetupAttempt | :string The ID of the SetupAttempt that generated this PaymentMethod, if any.","ref":"ExOAPI.Stripe.Schemas.SepaDebitGeneratedFrom.html","title":"ExOAPI.Stripe.Schemas.SepaDebitGeneratedFrom","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SepaDebitGeneratedFrom.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SepaDebitGeneratedFrom.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SepaDebitGeneratedFrom.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SepaDebitGeneratedFrom.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SepaDebitGeneratedFrom.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SepaDebitGeneratedFrom.t/0","type":"type"},{"doc":"description : A SetupAttempt describes one attempted confirmation of a SetupIntent, whether that confirmation was successful or unsuccessful. You can use SetupAttempts to inspect details of a specific attempt at setting up a payment method using a SetupIntent. :application :: ExOAPI.Stripe.Schemas.Application | :string The value of application on the SetupIntent at the time of this confirmation. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string The value of customer on the SetupIntent at the time of this confirmation. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :on_behalf_of :: ExOAPI.Stripe.Schemas.Account | :string The value of on_behalf_of on the SetupIntent at the time of this confirmation. :payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod | :string ID of the payment method used with this SetupAttempt. :payment_method_details :: ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetails :setup_error :: ExOAPI.Stripe.Schemas.ApiErrors The error encountered during this attempt to confirm the SetupIntent, if any. :setup_intent :: ExOAPI.Stripe.Schemas.SetupIntent | :string ID of the SetupIntent that this attempt belongs to. :status :: :string Status of this SetupAttempt, one of requires_confirmation , requires_action , processing , succeeded , failed , or abandoned . :usage :: :string The value of usage on the SetupIntent at the time of this confirmation, one of off_session or on_session .","ref":"ExOAPI.Stripe.Schemas.SetupAttempt.html","title":"ExOAPI.Stripe.Schemas.SetupAttempt","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttempt.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttempt.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttempt.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttempt.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttempt.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttempt.t/0","type":"type"},{"doc":":acss_debit :: list(:map) :au_becs_debit :: list(:map) :bacs_debit :: list(:map) :bancontact :: ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBancontact :boleto :: list(:map) :card :: ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCard :card_present :: ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCardPresent :ideal :: ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsIdeal :sepa_debit :: list(:map) :sofort :: ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSofort :type :: :string The type of the payment method used in the SetupIntent (e.g., card ). An additional hash is included on payment_method_details with a name matching this value. It contains confirmation-specific information for the payment method. :us_bank_account :: list(:map)","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetails.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetails.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAcssDebit.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAcssDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAcssDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAcssDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAcssDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAcssDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAcssDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAcssDebit.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAuBecsDebit.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAuBecsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAuBecsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAuBecsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAuBecsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAuBecsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAuBecsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsAuBecsDebit.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBacsDebit.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBacsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBacsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBacsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBacsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBacsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBacsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBacsDebit.t/0","type":"type"},{"doc":":bank_code :: :string Bank code of bank associated with the bank account. :bank_name :: :string Name of the bank associated with the bank account. :bic :: :string Bank Identifier Code of the bank associated with the bank account. :generated_sepa_debit :: ExOAPI.Stripe.Schemas.PaymentMethod | :string The ID of the SEPA Direct Debit PaymentMethod which was generated by this SetupAttempt. :generated_sepa_debit_mandate :: ExOAPI.Stripe.Schemas.Mandate | :string The mandate for the SEPA Direct Debit PaymentMethod which was generated by this SetupAttempt. :iban_last4 :: :string Last four characters of the IBAN. :preferred_language :: :string Preferred language of the Bancontact authorization page that the customer is redirected to. Can be one of en , de , fr , or nl :verified_name :: :string Owner's verified full name. Values are verified or provided by Bancontact directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBancontact.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBancontact","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBancontact.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBancontact.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBancontact.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBancontact.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBancontact.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBancontact.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBoleto.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBoleto","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBoleto.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBoleto.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBoleto.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBoleto.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBoleto.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsBoleto.t/0","type":"type"},{"doc":":three_d_secure :: ExOAPI.Stripe.Schemas.ThreeDSecureDetails Populated if this authorization used 3D Secure authentication.","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCard.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCard.t/0","type":"type"},{"doc":":generated_card :: ExOAPI.Stripe.Schemas.PaymentMethod | :string The ID of the Card PaymentMethod which was generated by this SetupAttempt.","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCardPresent.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCardPresent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCardPresent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCardPresent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCardPresent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCardPresent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCardPresent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsCardPresent.t/0","type":"type"},{"doc":":bank :: :string The customer's bank. Can be one of abn_amro , asn_bank , bunq , handelsbanken , ing , knab , moneyou , rabobank , regiobank , revolut , sns_bank , triodos_bank , or van_lanschot . :bic :: :string The Bank Identifier Code of the customer's bank. :generated_sepa_debit :: ExOAPI.Stripe.Schemas.PaymentMethod | :string The ID of the SEPA Direct Debit PaymentMethod which was generated by this SetupAttempt. :generated_sepa_debit_mandate :: ExOAPI.Stripe.Schemas.Mandate | :string The mandate for the SEPA Direct Debit PaymentMethod which was generated by this SetupAttempt. :iban_last4 :: :string Last four characters of the IBAN. :verified_name :: :string Owner's verified full name. Values are verified or provided by iDEAL directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsIdeal.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsIdeal","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsIdeal.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsIdeal.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsIdeal.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsIdeal.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsIdeal.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsIdeal.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSepaDebit.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSepaDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSepaDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSepaDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSepaDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSepaDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSepaDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSepaDebit.t/0","type":"type"},{"doc":":bank_code :: :string Bank code of bank associated with the bank account. :bank_name :: :string Name of the bank associated with the bank account. :bic :: :string Bank Identifier Code of the bank associated with the bank account. :generated_sepa_debit :: ExOAPI.Stripe.Schemas.PaymentMethod | :string The ID of the SEPA Direct Debit PaymentMethod which was generated by this SetupAttempt. :generated_sepa_debit_mandate :: ExOAPI.Stripe.Schemas.Mandate | :string The mandate for the SEPA Direct Debit PaymentMethod which was generated by this SetupAttempt. :iban_last4 :: :string Last four characters of the IBAN. :preferred_language :: :string Preferred language of the Sofort authorization page that the customer is redirected to. Can be one of en , de , fr , or nl :verified_name :: :string Owner's verified full name. Values are verified or provided by Sofort directly (if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSofort.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSofort","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSofort.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSofort.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSofort.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSofort.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSofort.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsSofort.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsUsBankAccount.html","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsUsBankAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsUsBankAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsUsBankAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsUsBankAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsUsBankAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsUsBankAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupAttemptPaymentMethodDetailsUsBankAccount.t/0","type":"type"},{"doc":"description : A SetupIntent guides you through the process of setting up and saving a customer's payment credentials for future payments. For example, you could use a SetupIntent to set up and save your customer's card without immediately collecting a payment. Later, you can use PaymentIntents to drive the payment flow. Create a SetupIntent as soon as you're ready to collect your customer's payment credentials. Do not maintain long-lived, unconfirmed SetupIntents as they may no longer be valid. The SetupIntent then transitions through multiple statuses as it guides you through the setup process. Successful SetupIntents result in payment credentials that are optimized for future payments. For example, cardholders in certain regions may need to be run through Strong Customer Authentication at the time of payment method collection in order to streamline later off-session payments . If the SetupIntent is used with a Customer , upon success, it will automatically attach the resulting payment method to that Customer. We recommend using SetupIntents or setup_future_usage on PaymentIntents to save payment methods in order to prevent saving invalid or unoptimized payment methods. By using SetupIntents, you ensure that your customers experience the minimum set of required friction, even as regulations change over time. Related guide: Setup Intents API . :application :: ExOAPI.Stripe.Schemas.Application | :string ID of the Connect application that created the SetupIntent. :cancellation_reason :: :string Reason for cancellation of this SetupIntent, one of abandoned , requested_by_customer , or duplicate . :client_secret :: :string The client secret of this SetupIntent. Used for client-side retrieval using a publishable key. The client secret can be used to complete payment setup from your frontend. It should not be stored, logged, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string ID of the Customer this SetupIntent belongs to, if one exists. If present, the SetupIntent's payment method will be attached to the Customer on successful setup. Payment methods attached to other Customers cannot be used with this SetupIntent. :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :id :: :string Unique identifier for the object. :last_setup_error :: ExOAPI.Stripe.Schemas.ApiErrors The error encountered in the previous SetupIntent confirmation. :latest_attempt :: ExOAPI.Stripe.Schemas.SetupAttempt | :string The most recent SetupAttempt for this SetupIntent. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :mandate :: ExOAPI.Stripe.Schemas.Mandate | :string ID of the multi use Mandate generated by the SetupIntent. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :next_action :: ExOAPI.Stripe.Schemas.SetupIntentNextAction If present, this property tells you what actions you need to take in order for your customer to continue payment setup. :object :: :string String representing the object's type. Objects of the same type share the same value. :on_behalf_of :: ExOAPI.Stripe.Schemas.Account | :string The account (if any) for which the setup is intended. :payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod | :string ID of the payment method used with this SetupIntent. :payment_method_options :: ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptions Payment-method-specific configuration for this SetupIntent. ::payment_method_types :: :string :single_use_mandate :: ExOAPI.Stripe.Schemas.Mandate | :string ID of the single_use Mandate generated by the SetupIntent. :status :: :string Status of this SetupIntent, one of requires_payment_method , requires_confirmation , requires_action , processing , canceled , or succeeded . :usage :: :string Indicates how the payment method is intended to be used in the future. Use on_session if you intend to only reuse the payment method when the customer is in your checkout flow. Use off_session if your customer may or may not be in your checkout flow. If not provided, this value defaults to off_session .","ref":"ExOAPI.Stripe.Schemas.SetupIntent.html","title":"ExOAPI.Stripe.Schemas.SetupIntent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntent.t/0","type":"type"},{"doc":":redirect_to_url :: ExOAPI.Stripe.Schemas.SetupIntentNextActionRedirectToUrl :type :: :string Type of the next action to perform, one of redirect_to_url , use_stripe_sdk , alipay_handle_redirect , oxxo_display_details , or verify_with_microdeposits . :use_stripe_sdk :: :map When confirming a SetupIntent with Stripe.js, Stripe.js depends on the contents of this dictionary to invoke authentication flows. The shape of the contents is subject to change and is only intended to be used by Stripe.js. :verify_with_microdeposits :: ExOAPI.Stripe.Schemas.SetupIntentNextActionVerifyWithMicrodeposits","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextAction.html","title":"ExOAPI.Stripe.Schemas.SetupIntentNextAction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextAction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentNextAction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextAction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentNextAction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextAction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentNextAction.t/0","type":"type"},{"doc":":return_url :: :string If the customer does not exit their browser while authenticating, they will be redirected to this specified URL after completion. :url :: :string The URL you must redirect your customer to in order to authenticate.","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextActionRedirectToUrl.html","title":"ExOAPI.Stripe.Schemas.SetupIntentNextActionRedirectToUrl","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextActionRedirectToUrl.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentNextActionRedirectToUrl.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextActionRedirectToUrl.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentNextActionRedirectToUrl.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextActionRedirectToUrl.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentNextActionRedirectToUrl.t/0","type":"type"},{"doc":":arrival_date :: :integer The timestamp when the microdeposits are expected to land. :hosted_verification_url :: :string The URL for the hosted verification page, which allows customers to verify their bank account. :microdeposit_type :: :string The type of the microdeposit sent to the customer. Used to distinguish between different verification methods.","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextActionVerifyWithMicrodeposits.html","title":"ExOAPI.Stripe.Schemas.SetupIntentNextActionVerifyWithMicrodeposits","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextActionVerifyWithMicrodeposits.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentNextActionVerifyWithMicrodeposits.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextActionVerifyWithMicrodeposits.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentNextActionVerifyWithMicrodeposits.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentNextActionVerifyWithMicrodeposits.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentNextActionVerifyWithMicrodeposits.t/0","type":"type"},{"doc":":acss_debit :: ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsAcssDebit :card :: ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCard :sepa_debit :: ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsSepaDebit :us_bank_account :: ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient | ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsUsBankAccount","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptions.html","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptions.t/0","type":"type"},{"doc":":currency :: :string Currency supported by the bank account :mandate_options :: ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsAcssDebit :verification_method :: :string Bank account verification method.","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsAcssDebit.html","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsAcssDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsAcssDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsAcssDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsAcssDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsAcssDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsAcssDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsAcssDebit.t/0","type":"type"},{"doc":":mandate_options :: ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCardMandateOptions Configuration options for setting up an eMandate for cards issued in India. :request_three_d_secure :: :string We strongly recommend that you rely on our SCA Engine to automatically prompt your customers for authentication based on risk level and other requirements . However, if you wish to request 3D Secure based on logic from your own fraud engine, provide this option. Permitted values include: automatic or any . If not provided, defaults to automatic . Read our guide on manually requesting 3D Secure for more information on how this configuration interacts with Radar and our SCA Engine.","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCard.html","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCard.t/0","type":"type"},{"doc":":amount :: :integer Amount to be charged for future payments. :amount_type :: :string One of fixed or maximum . If fixed , the amount param refers to the exact amount to be charged in future payments. If maximum , the amount charged can be up to the value passed for the amount param. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string A description of the mandate or subscription that is meant to be displayed to the customer. :end_date :: :integer End date of the mandate or subscription. If not provided, the mandate will be active until canceled. If provided, end date should be after start date. :interval :: :string Specifies payment frequency. One of day , week , month , year , or sporadic . :interval_count :: :integer The number of intervals between payments. For example, interval=month and interval_count=3 indicates one payment every three months. Maximum of one year interval allowed (1 year, 12 months, or 52 weeks). This parameter is optional when interval=sporadic . :reference :: :string Unique identifier for the mandate or subscription. :start_date :: :integer Start date of the mandate or subscription. Start date should not be lesser than yesterday. ::supported_types :: :string","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCardMandateOptions.html","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCardMandateOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCardMandateOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCardMandateOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCardMandateOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCardMandateOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCardMandateOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsCardMandateOptions.t/0","type":"type"},{"doc":":custom_mandate_url :: :string A URL for custom mandate text ::default_for :: :string :interval_description :: :string Description of the interval. Only required if the 'payment_schedule' parameter is 'interval' or 'combined'. :payment_schedule :: :string Payment schedule for the mandate. :transaction_type :: :string Transaction type of the mandate.","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsAcssDebit.html","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsAcssDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsAcssDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsAcssDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsAcssDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsAcssDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsAcssDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsAcssDebit.t/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsSepaDebit.html","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsSepaDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsSepaDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsSepaDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsSepaDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsSepaDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsSepaDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsMandateOptionsSepaDebit.t/0","type":"type"},{"doc":":mandate_options :: list(:map)","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsSepaDebit.html","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsSepaDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsSepaDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsSepaDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsSepaDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsSepaDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsSepaDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsSepaDebit.t/0","type":"type"},{"doc":":verification_method :: :string Bank account verification method.","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsUsBankAccount.html","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsUsBankAccount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsUsBankAccount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsUsBankAccount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsUsBankAccount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsUsBankAccount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsUsBankAccount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentPaymentMethodOptionsUsBankAccount.t/0","type":"type"},{"doc":":verification_method :: :string Bank account verification method.","ref":"ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient.html","title":"ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SetupIntentTypeSpecificPaymentMethodOptionsClient.t/0","type":"type"},{"doc":":address :: ExOAPI.Stripe.Schemas.Address :carrier :: :string The delivery service that shipped a physical product, such as Fedex, UPS, USPS, etc. :name :: :string Recipient name. :phone :: :string Recipient phone (including extension). :tracking_number :: :string The tracking number for a physical product, obtained from the delivery service. If multiple tracking numbers were generated for this purchase, please separate them with commas.","ref":"ExOAPI.Stripe.Schemas.Shipping.html","title":"ExOAPI.Stripe.Schemas.Shipping","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Shipping.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Shipping.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Shipping.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Shipping.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Shipping.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Shipping.t/0","type":"type"},{"doc":":amount :: :integer A positive integer in the smallest currency unit (that is, 100 cents for $1.00, or 1 for ¥1, Japanese Yen being a zero-decimal currency) representing the total amount for the line item. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :delivery_estimate :: ExOAPI.Stripe.Schemas.DeliveryEstimate The estimated delivery date for the given shipping method. Can be either a specific date or a range. :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :id :: :string Unique identifier for the object.","ref":"ExOAPI.Stripe.Schemas.ShippingMethod.html","title":"ExOAPI.Stripe.Schemas.ShippingMethod","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingMethod.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ShippingMethod.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingMethod.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ShippingMethod.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingMethod.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ShippingMethod.t/0","type":"type"},{"doc":"description : Shipping rates describe the price of shipping presented to your customers and can be applied to Checkout Sessions to collect shipping costs. :active :: :boolean Whether the shipping rate can be used for new purchases. Defaults to true . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :delivery_estimate :: ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimate The estimated range for how long shipping will take, meant to be displayable to the customer. This will appear on CheckoutSessions. :display_name :: :string The name of the shipping rate, meant to be displayable to the customer. This will appear on CheckoutSessions. :fixed_amount :: ExOAPI.Stripe.Schemas.ShippingRateFixedAmount :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :tax_behavior :: :string Specifies whether the rate is considered inclusive of taxes or exclusive of taxes. One of inclusive , exclusive , or unspecified . :tax_code :: ExOAPI.Stripe.Schemas.TaxCode | :string A tax code ID. The Shipping tax code is txcd_92010001 . :type :: :string The type of calculation to use on the shipping rate. Can only be fixed_amount for now.","ref":"ExOAPI.Stripe.Schemas.ShippingRate.html","title":"ExOAPI.Stripe.Schemas.ShippingRate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ShippingRate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ShippingRate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ShippingRate.t/0","type":"type"},{"doc":":maximum :: ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimateBound The upper bound of the estimated range. If empty, represents no upper bound i.e., infinite. :minimum :: ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimateBound The lower bound of the estimated range. If empty, represents no lower bound.","ref":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimate.html","title":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimate.t/0","type":"type"},{"doc":":unit :: :string A unit of time. :value :: :integer Must be greater than 0.","ref":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimateBound.html","title":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimateBound","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimateBound.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimateBound.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimateBound.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimateBound.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimateBound.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ShippingRateDeliveryEstimateBound.t/0","type":"type"},{"doc":":amount :: :integer A non-negative integer in cents representing how much to charge. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency .","ref":"ExOAPI.Stripe.Schemas.ShippingRateFixedAmount.html","title":"ExOAPI.Stripe.Schemas.ShippingRateFixedAmount","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRateFixedAmount.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ShippingRateFixedAmount.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRateFixedAmount.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ShippingRateFixedAmount.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ShippingRateFixedAmount.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ShippingRateFixedAmount.t/0","type":"type"},{"doc":":message :: :string Information about the run failure.","ref":"ExOAPI.Stripe.Schemas.SigmaScheduledQueryRunError.html","title":"ExOAPI.Stripe.Schemas.SigmaScheduledQueryRunError","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SigmaScheduledQueryRunError.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SigmaScheduledQueryRunError.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SigmaScheduledQueryRunError.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SigmaScheduledQueryRunError.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SigmaScheduledQueryRunError.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SigmaScheduledQueryRunError.t/0","type":"type"},{"doc":"description : Stores representations of stock keeping units . SKUs describe specific product variations, taking into account any combination of: attributes, currency, and cost. For example, a product may be a T-shirt, whereas a specific SKU represents the size: large , color: red version of that shirt. Can also be used to manage inventory. :active :: :boolean Whether the SKU is available for purchase. :attributes :: :map A dictionary of attributes and values for the attributes defined by the product. If, for example, a product's attributes are [&quot;size&quot;, &quot;gender&quot;] , a valid SKU has the following dictionary of attributes: {&quot;size&quot;: &quot;Medium&quot;, &quot;gender&quot;: &quot;Unisex&quot;} . :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :id :: :string Unique identifier for the object. :image :: :string The URL of an image for this SKU, meant to be displayable to the customer. :inventory :: ExOAPI.Stripe.Schemas.SkuInventory :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :package_dimensions :: ExOAPI.Stripe.Schemas.PackageDimensions The dimensions of this SKU for shipping purposes. :price :: ExOAPI.Stripe.Schemas.Price The cost of the item as a positive integer in the smallest currency unit (that is, 100 cents to charge $1.00, or 100 to charge ¥100, Japanese Yen being a zero-decimal currency). :product :: ExOAPI.Stripe.Schemas.Product | :string The ID of the product this SKU is associated with. The product must be currently active. :updated :: :integer Time at which the object was last updated. Measured in seconds since the Unix epoch.","ref":"ExOAPI.Stripe.Schemas.Sku.html","title":"ExOAPI.Stripe.Schemas.Sku","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Sku.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Sku.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Sku.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Sku.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Sku.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Sku.t/0","type":"type"},{"doc":":quantity :: :integer The count of inventory available. Will be present if and only if type is finite . :type :: :string Inventory type. Possible values are finite , bucket (not quantified), and infinite . :value :: :string An indicator of the inventory available. Possible values are in_stock , limited , and out_of_stock . Will be present if and only if type is bucket .","ref":"ExOAPI.Stripe.Schemas.SkuInventory.html","title":"ExOAPI.Stripe.Schemas.SkuInventory","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SkuInventory.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SkuInventory.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SkuInventory.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SkuInventory.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SkuInventory.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SkuInventory.t/0","type":"type"},{"doc":"description : Source objects allow you to accept a variety of payment methods. They represent a customer's payment instrument, and can be used with the Stripe API just like a Card object: once chargeable, they can be charged, or can be attached to customers. Related guides: Sources API and Sources &amp; Customers . :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :acss_debit :: ExOAPI.Stripe.Schemas.SourceTypeAcssDebit :ach_debit :: ExOAPI.Stripe.Schemas.SourceTypeAchDebit :alipay :: ExOAPI.Stripe.Schemas.SourceTypeAlipay :giropay :: ExOAPI.Stripe.Schemas.SourceTypeGiropay :redirect :: ExOAPI.Stripe.Schemas.SourceRedirectFlow :ideal :: ExOAPI.Stripe.Schemas.SourceTypeIdeal :code_verification :: ExOAPI.Stripe.Schemas.SourceCodeVerificationFlow :card :: ExOAPI.Stripe.Schemas.SourceTypeCard :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :multibanco :: ExOAPI.Stripe.Schemas.SourceTypeMultibanco :usage :: :string Either reusable or single_use . Whether this source should be reusable or not. Some source types may or may not be reusable by construction, while others may leave the option at creation. If an incompatible value is passed, an error will be returned. :receiver :: ExOAPI.Stripe.Schemas.SourceReceiverFlow :customer :: ExOAPI.Stripe.Schemas.Customer The ID of the customer to which this source is attached. This will not be present when the source has not been attached to a customer. :ach_credit_transfer :: ExOAPI.Stripe.Schemas.SourceTypeAchCreditTransfer :amount :: :integer A positive integer in the smallest currency unit (that is, 100 cents for $1.00, or 1 for ¥1, Japanese Yen being a zero-decimal currency) representing the total amount associated with the source. This is the amount for which the source will be chargeable once ready. Required for single_use sources. :statement_descriptor :: :string Extra information about a source. This will appear on your customer's statement every time you charge the source. :wechat :: ExOAPI.Stripe.Schemas.SourceTypeWechat :client_secret :: :string The client secret of the source. Used for client-side retrieval using a publishable key. :object :: :string String representing the object's type. Objects of the same type share the same value. :sofort :: ExOAPI.Stripe.Schemas.SourceTypeSofort :p24 :: ExOAPI.Stripe.Schemas.SourceTypeP24 :currency :: :string Three-letter ISO code for the currency associated with the source. This is the currency for which the source will be chargeable once ready. Required for single_use sources. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :type :: :string The type of the source. The type is a payment method, one of ach_credit_transfer , ach_debit , alipay , bancontact , card , card_present , eps , giropay , ideal , multibanco , klarna , p24 , sepa_debit , sofort , three_d_secure , or wechat . An additional hash is included on the source with a name matching this value. It contains additional information specific to the payment method used. :status :: :string The status of the source, one of canceled , chargeable , consumed , failed , or pending . Only chargeable sources can be used to create a charge. :bancontact :: ExOAPI.Stripe.Schemas.SourceTypeBancontact :three_d_secure :: ExOAPI.Stripe.Schemas.SourceTypeThreeDSecure :au_becs_debit :: ExOAPI.Stripe.Schemas.SourceTypeAuBecsDebit :card_present :: ExOAPI.Stripe.Schemas.SourceTypeCardPresent :flow :: :string The authentication flow of the source. flow is one of redirect , receiver , code_verification , none . :sepa_debit :: ExOAPI.Stripe.Schemas.SourceTypeSepaDebit :klarna :: ExOAPI.Stripe.Schemas.SourceTypeKlarna :source_order :: ExOAPI.Stripe.Schemas.SourceOrder :id :: :string Unique identifier for the object. :owner :: ExOAPI.Stripe.Schemas.SourceOwner Information about the owner of the payment instrument that may be used or required by particular source types. :eps :: ExOAPI.Stripe.Schemas.SourceTypeEps","ref":"ExOAPI.Stripe.Schemas.Source.html","title":"ExOAPI.Stripe.Schemas.Source","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Source.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Source.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Source.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Source.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Source.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Source.t/0","type":"type"},{"doc":":attempts_remaining :: :integer The number of attempts remaining to authenticate the source object with a verification code. :status :: :string The status of the code verification, either pending (awaiting verification, attempts_remaining should be greater than 0), succeeded (successful verification) or failed (failed verification, cannot be verified anymore as attempts_remaining should be 0).","ref":"ExOAPI.Stripe.Schemas.SourceCodeVerificationFlow.html","title":"ExOAPI.Stripe.Schemas.SourceCodeVerificationFlow","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceCodeVerificationFlow.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceCodeVerificationFlow.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceCodeVerificationFlow.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceCodeVerificationFlow.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceCodeVerificationFlow.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceCodeVerificationFlow.t/0","type":"type"},{"doc":"description : Source mandate notifications should be created when a notification related to a source mandate must be sent to the payer. They will trigger a webhook or deliver an email to the customer. :acss_debit :: ExOAPI.Stripe.Schemas.SourceMandateNotificationAcssDebitData :amount :: :integer A positive integer in the smallest currency unit (that is, 100 cents for $1.00, or 1 for ¥1, Japanese Yen being a zero-decimal currency) representing the amount associated with the mandate notification. The amount is expressed in the currency of the underlying source. Required if the notification type is debit_initiated . :bacs_debit :: ExOAPI.Stripe.Schemas.SourceMandateNotificationBacsDebitData :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :reason :: :string The reason of the mandate notification. Valid reasons are mandate_confirmed or debit_initiated . :sepa_debit :: ExOAPI.Stripe.Schemas.SourceMandateNotificationSepaDebitData :source :: ExOAPI.Stripe.Schemas.Source :status :: :string The status of the mandate notification. Valid statuses are pending or submitted . :type :: :string The type of source this mandate notification is attached to. Should be the source type identifier code for the payment method, such as three_d_secure .","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotification.html","title":"ExOAPI.Stripe.Schemas.SourceMandateNotification","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotification.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceMandateNotification.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotification.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceMandateNotification.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotification.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceMandateNotification.t/0","type":"type"},{"doc":":statement_descriptor :: :string The statement descriptor associate with the debit.","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationAcssDebitData.html","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationAcssDebitData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationAcssDebitData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationAcssDebitData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationAcssDebitData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationAcssDebitData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationAcssDebitData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationAcssDebitData.t/0","type":"type"},{"doc":":last4 :: :string Last 4 digits of the account number associated with the debit.","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationBacsDebitData.html","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationBacsDebitData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationBacsDebitData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationBacsDebitData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationBacsDebitData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationBacsDebitData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationBacsDebitData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationBacsDebitData.t/0","type":"type"},{"doc":":creditor_identifier :: :string SEPA creditor ID. :last4 :: :string Last 4 digits of the account number associated with the debit. :mandate_reference :: :string Mandate reference associated with the debit.","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationSepaDebitData.html","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationSepaDebitData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationSepaDebitData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationSepaDebitData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationSepaDebitData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationSepaDebitData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceMandateNotificationSepaDebitData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceMandateNotificationSepaDebitData.t/0","type":"type"},{"doc":":amount :: :integer A positive integer in the smallest currency unit (that is, 100 cents for $1.00, or 1 for ¥1, Japanese Yen being a zero-decimal currency) representing the total amount for the order. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :email :: :string The email address of the customer placing the order. ::items :: ExOAPI.Stripe.Schemas.SourceOrderItem :shipping :: ExOAPI.Stripe.Schemas.Shipping","ref":"ExOAPI.Stripe.Schemas.SourceOrder.html","title":"ExOAPI.Stripe.Schemas.SourceOrder","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceOrder.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceOrder.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceOrder.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceOrder.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceOrder.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceOrder.t/0","type":"type"},{"doc":":amount :: :integer The amount (price) for this order item. :currency :: :string This currency of this order item. Required when amount is present. :description :: :string Human-readable description for this order item. :parent :: :string The ID of the associated object for this line item. Expandable if not null (e.g., expandable to a SKU). :quantity :: :integer The quantity of this order item. When type is sku , this is the number of instances of the SKU to be ordered. :type :: :string The type of this order item. Must be sku , tax , or shipping .","ref":"ExOAPI.Stripe.Schemas.SourceOrderItem.html","title":"ExOAPI.Stripe.Schemas.SourceOrderItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceOrderItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceOrderItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceOrderItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceOrderItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceOrderItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceOrderItem.t/0","type":"type"},{"doc":":address :: ExOAPI.Stripe.Schemas.Address Owner's address. :email :: :string Owner's email address. :name :: :string Owner's full name. :phone :: :string Owner's phone number (including extension). :verified_address :: ExOAPI.Stripe.Schemas.Address Verified owner's address. Verified values are verified or provided by the payment method directly (and if supported) at the time of authorization or settlement. They cannot be set or mutated. :verified_email :: :string Verified owner's email address. Verified values are verified or provided by the payment method directly (and if supported) at the time of authorization or settlement. They cannot be set or mutated. :verified_name :: :string Verified owner's full name. Verified values are verified or provided by the payment method directly (and if supported) at the time of authorization or settlement. They cannot be set or mutated. :verified_phone :: :string Verified owner's phone number (including extension). Verified values are verified or provided by the payment method directly (and if supported) at the time of authorization or settlement. They cannot be set or mutated.","ref":"ExOAPI.Stripe.Schemas.SourceOwner.html","title":"ExOAPI.Stripe.Schemas.SourceOwner","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceOwner.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceOwner.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceOwner.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceOwner.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceOwner.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceOwner.t/0","type":"type"},{"doc":":address :: ExOAPI.Stripe.Schemas.Address The address of the receiver source. This is the value that should be communicated to the customer to send their funds to. :amount_charged :: :integer The total amount that was moved to your balance. This is almost always equal to the amount charged. In rare cases when customers deposit excess funds and we are unable to refund those, those funds get moved to your balance and show up in amount_charged as well. The amount charged is expressed in the source's currency. :amount_received :: :integer The total amount received by the receiver source. amount_received = amount_returned + amount_charged should be true for consumed sources unless customers deposit excess funds. The amount received is expressed in the source's currency. :amount_returned :: :integer The total amount that was returned to the customer. The amount returned is expressed in the source's currency. :refund_attributes_method :: :string Type of refund attribute method, one of email , manual , or none . :refund_attributes_status :: :string Type of refund attribute status, one of missing , requested , or available .","ref":"ExOAPI.Stripe.Schemas.SourceReceiverFlow.html","title":"ExOAPI.Stripe.Schemas.SourceReceiverFlow","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceReceiverFlow.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceReceiverFlow.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceReceiverFlow.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceReceiverFlow.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceReceiverFlow.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceReceiverFlow.t/0","type":"type"},{"doc":":failure_reason :: :string The failure reason for the redirect, either user_abort (the customer aborted or dropped out of the redirect flow), declined (the authentication failed or the transaction was declined), or processing_error (the redirect failed due to a technical error). Present only if the redirect status is failed . :return_url :: :string The URL you provide to redirect the customer to after they authenticated their payment. :status :: :string The status of the redirect, either pending (ready to be used by your customer to authenticate the transaction), succeeded (succesful authentication, cannot be reused) or not_required (redirect should not be used) or failed (failed authentication, cannot be reused). :url :: :string The URL provided to you to redirect a customer to as part of a redirect authentication flow.","ref":"ExOAPI.Stripe.Schemas.SourceRedirectFlow.html","title":"ExOAPI.Stripe.Schemas.SourceRedirectFlow","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceRedirectFlow.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceRedirectFlow.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceRedirectFlow.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceRedirectFlow.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceRedirectFlow.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceRedirectFlow.t/0","type":"type"},{"doc":"description : Some payment methods have no required amount that a customer must send. Customers can be instructed to send any amount, and it can be made up of multiple transactions. As such, sources can have multiple associated transactions. :ach_credit_transfer :: ExOAPI.Stripe.Schemas.SourceTransactionAchCreditTransferData :amount :: :integer A positive integer in the smallest currency unit (that is, 100 cents for $1.00, or 1 for ¥1, Japanese Yen being a zero-decimal currency) representing the amount your customer has pushed to the receiver. :chf_credit_transfer :: ExOAPI.Stripe.Schemas.SourceTransactionChfCreditTransferData :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :gbp_credit_transfer :: ExOAPI.Stripe.Schemas.SourceTransactionGbpCreditTransferData :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :paper_check :: ExOAPI.Stripe.Schemas.SourceTransactionPaperCheckData :sepa_credit_transfer :: ExOAPI.Stripe.Schemas.SourceTransactionSepaCreditTransferData :source :: ExOAPI.Stripe.Schemas.Source The ID of the source this transaction is attached to. :status :: :string The status of the transaction, one of succeeded , pending , or failed . :type :: :string The type of source this transaction is attached to.","ref":"ExOAPI.Stripe.Schemas.SourceTransaction.html","title":"ExOAPI.Stripe.Schemas.SourceTransaction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransaction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTransaction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransaction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTransaction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransaction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTransaction.t/0","type":"type"},{"doc":":customer_data :: :string Customer data associated with the transfer. :fingerprint :: :string Bank account fingerprint associated with the transfer. :last4 :: :string Last 4 digits of the account number associated with the transfer. :routing_number :: :string Routing number associated with the transfer.","ref":"ExOAPI.Stripe.Schemas.SourceTransactionAchCreditTransferData.html","title":"ExOAPI.Stripe.Schemas.SourceTransactionAchCreditTransferData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionAchCreditTransferData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTransactionAchCreditTransferData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionAchCreditTransferData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTransactionAchCreditTransferData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionAchCreditTransferData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTransactionAchCreditTransferData.t/0","type":"type"},{"doc":":reference :: :string Reference associated with the transfer. :sender_address_country :: :string Sender's country address. :sender_address_line1 :: :string Sender's line 1 address. :sender_iban :: :string Sender's bank account IBAN. :sender_name :: :string Sender's name.","ref":"ExOAPI.Stripe.Schemas.SourceTransactionChfCreditTransferData.html","title":"ExOAPI.Stripe.Schemas.SourceTransactionChfCreditTransferData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionChfCreditTransferData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTransactionChfCreditTransferData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionChfCreditTransferData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTransactionChfCreditTransferData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionChfCreditTransferData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTransactionChfCreditTransferData.t/0","type":"type"},{"doc":":fingerprint :: :string Bank account fingerprint associated with the Stripe owned bank account receiving the transfer. :funding_method :: :string The credit transfer rails the sender used to push this transfer. The possible rails are: Faster Payments, BACS, CHAPS, and wire transfers. Currently only Faster Payments is supported. :last4 :: :string Last 4 digits of sender account number associated with the transfer. :reference :: :string Sender entered arbitrary information about the transfer. :sender_account_number :: :string Sender account number associated with the transfer. :sender_name :: :string Sender name associated with the transfer. :sender_sort_code :: :string Sender sort code associated with the transfer.","ref":"ExOAPI.Stripe.Schemas.SourceTransactionGbpCreditTransferData.html","title":"ExOAPI.Stripe.Schemas.SourceTransactionGbpCreditTransferData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionGbpCreditTransferData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTransactionGbpCreditTransferData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionGbpCreditTransferData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTransactionGbpCreditTransferData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionGbpCreditTransferData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTransactionGbpCreditTransferData.t/0","type":"type"},{"doc":":available_at :: :string Time at which the deposited funds will be available for use. Measured in seconds since the Unix epoch. :invoices :: :string Comma-separated list of invoice IDs associated with the paper check.","ref":"ExOAPI.Stripe.Schemas.SourceTransactionPaperCheckData.html","title":"ExOAPI.Stripe.Schemas.SourceTransactionPaperCheckData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionPaperCheckData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTransactionPaperCheckData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionPaperCheckData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTransactionPaperCheckData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionPaperCheckData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTransactionPaperCheckData.t/0","type":"type"},{"doc":":reference :: :string Reference associated with the transfer. :sender_iban :: :string Sender's bank account IBAN. :sender_name :: :string Sender's name.","ref":"ExOAPI.Stripe.Schemas.SourceTransactionSepaCreditTransferData.html","title":"ExOAPI.Stripe.Schemas.SourceTransactionSepaCreditTransferData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionSepaCreditTransferData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTransactionSepaCreditTransferData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionSepaCreditTransferData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTransactionSepaCreditTransferData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTransactionSepaCreditTransferData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTransactionSepaCreditTransferData.t/0","type":"type"},{"doc":":account_number :: :string :bank_name :: :string :fingerprint :: :string :refund_account_holder_name :: :string :refund_account_holder_type :: :string :refund_routing_number :: :string :routing_number :: :string :swift_code :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeAchCreditTransfer.html","title":"ExOAPI.Stripe.Schemas.SourceTypeAchCreditTransfer","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAchCreditTransfer.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeAchCreditTransfer.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAchCreditTransfer.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeAchCreditTransfer.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAchCreditTransfer.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeAchCreditTransfer.t/0","type":"type"},{"doc":":bank_name :: :string :country :: :string :fingerprint :: :string :last4 :: :string :routing_number :: :string :type :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeAchDebit.html","title":"ExOAPI.Stripe.Schemas.SourceTypeAchDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAchDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeAchDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAchDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeAchDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAchDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeAchDebit.t/0","type":"type"},{"doc":":bank_address_city :: :string :bank_address_line_1 :: :string :bank_address_line_2 :: :string :bank_address_postal_code :: :string :bank_name :: :string :category :: :string :country :: :string :fingerprint :: :string :last4 :: :string :routing_number :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeAcssDebit.html","title":"ExOAPI.Stripe.Schemas.SourceTypeAcssDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAcssDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeAcssDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAcssDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeAcssDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAcssDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeAcssDebit.t/0","type":"type"},{"doc":":data_string :: :string :native_url :: :string :statement_descriptor :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeAlipay.html","title":"ExOAPI.Stripe.Schemas.SourceTypeAlipay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAlipay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeAlipay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAlipay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeAlipay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAlipay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeAlipay.t/0","type":"type"},{"doc":":bsb_number :: :string :fingerprint :: :string :last4 :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeAuBecsDebit.html","title":"ExOAPI.Stripe.Schemas.SourceTypeAuBecsDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAuBecsDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeAuBecsDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAuBecsDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeAuBecsDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeAuBecsDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeAuBecsDebit.t/0","type":"type"},{"doc":":bank_code :: :string :bank_name :: :string :bic :: :string :iban_last4 :: :string :preferred_language :: :string :statement_descriptor :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeBancontact.html","title":"ExOAPI.Stripe.Schemas.SourceTypeBancontact","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeBancontact.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeBancontact.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeBancontact.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeBancontact.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeBancontact.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeBancontact.t/0","type":"type"},{"doc":":address_line1_check :: :string :address_zip_check :: :string :brand :: :string :country :: :string :cvc_check :: :string :dynamic_last4 :: :string :exp_month :: :integer :exp_year :: :integer :fingerprint :: :string :funding :: :string :last4 :: :string :name :: :string :three_d_secure :: ExOAPI.Stripe.Schemas.ThreeDSecure :tokenization_method :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeCard.html","title":"ExOAPI.Stripe.Schemas.SourceTypeCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeCard.t/0","type":"type"},{"doc":":application_cryptogram :: :string :application_preferred_name :: :string :authorization_code :: :string :authorization_response_code :: :string :brand :: :string :country :: :string :cvm_type :: :string :data_type :: :string :dedicated_file_name :: :string :emv_auth_data :: :string :evidence_customer_signature :: :string :evidence_transaction_certificate :: :string :exp_month :: :integer :exp_year :: :integer :fingerprint :: :string :funding :: :string :last4 :: :string :pos_device_id :: :string :pos_entry_mode :: :string :read_method :: :string :reader :: :string :terminal_verification_results :: :string :transaction_status_information :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeCardPresent.html","title":"ExOAPI.Stripe.Schemas.SourceTypeCardPresent","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeCardPresent.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeCardPresent.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeCardPresent.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeCardPresent.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeCardPresent.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeCardPresent.t/0","type":"type"},{"doc":":reference :: :string :statement_descriptor :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeEps.html","title":"ExOAPI.Stripe.Schemas.SourceTypeEps","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeEps.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeEps.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeEps.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeEps.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeEps.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeEps.t/0","type":"type"},{"doc":":bank_code :: :string :bank_name :: :string :bic :: :string :statement_descriptor :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeGiropay.html","title":"ExOAPI.Stripe.Schemas.SourceTypeGiropay","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeGiropay.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeGiropay.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeGiropay.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeGiropay.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeGiropay.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeGiropay.t/0","type":"type"},{"doc":":bank :: :string :bic :: :string :iban_last4 :: :string :statement_descriptor :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeIdeal.html","title":"ExOAPI.Stripe.Schemas.SourceTypeIdeal","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeIdeal.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeIdeal.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeIdeal.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeIdeal.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeIdeal.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeIdeal.t/0","type":"type"},{"doc":":background_image_url :: :string :client_token :: :string :first_name :: :string :last_name :: :string :locale :: :string :logo_url :: :string :page_title :: :string :pay_later_asset_urls_descriptive :: :string :pay_later_asset_urls_standard :: :string :pay_later_name :: :string :pay_later_redirect_url :: :string :pay_now_asset_urls_descriptive :: :string :pay_now_asset_urls_standard :: :string :pay_now_name :: :string :pay_now_redirect_url :: :string :pay_over_time_asset_urls_descriptive :: :string :pay_over_time_asset_urls_standard :: :string :pay_over_time_name :: :string :pay_over_time_redirect_url :: :string :payment_method_categories :: :string :purchase_country :: :string :purchase_type :: :string :redirect_url :: :string :shipping_delay :: :integer :shipping_first_name :: :string :shipping_last_name :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeKlarna.html","title":"ExOAPI.Stripe.Schemas.SourceTypeKlarna","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeKlarna.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeKlarna.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeKlarna.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeKlarna.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeKlarna.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeKlarna.t/0","type":"type"},{"doc":":entity :: :string :reference :: :string :refund_account_holder_address_city :: :string :refund_account_holder_address_country :: :string :refund_account_holder_address_line1 :: :string :refund_account_holder_address_line2 :: :string :refund_account_holder_address_postal_code :: :string :refund_account_holder_address_state :: :string :refund_account_holder_name :: :string :refund_iban :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeMultibanco.html","title":"ExOAPI.Stripe.Schemas.SourceTypeMultibanco","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeMultibanco.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeMultibanco.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeMultibanco.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeMultibanco.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeMultibanco.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeMultibanco.t/0","type":"type"},{"doc":":reference :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeP24.html","title":"ExOAPI.Stripe.Schemas.SourceTypeP24","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeP24.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeP24.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeP24.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeP24.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeP24.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeP24.t/0","type":"type"},{"doc":":bank_code :: :string :branch_code :: :string :country :: :string :fingerprint :: :string :last4 :: :string :mandate_reference :: :string :mandate_url :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeSepaDebit.html","title":"ExOAPI.Stripe.Schemas.SourceTypeSepaDebit","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeSepaDebit.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeSepaDebit.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeSepaDebit.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeSepaDebit.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeSepaDebit.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeSepaDebit.t/0","type":"type"},{"doc":":bank_code :: :string :bank_name :: :string :bic :: :string :country :: :string :iban_last4 :: :string :preferred_language :: :string :statement_descriptor :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeSofort.html","title":"ExOAPI.Stripe.Schemas.SourceTypeSofort","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeSofort.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeSofort.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeSofort.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeSofort.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeSofort.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeSofort.t/0","type":"type"},{"doc":":address_line1_check :: :string :address_zip_check :: :string :authenticated :: :boolean :brand :: :string :card :: ExOAPI.Stripe.Schemas.Card :country :: :string :customer :: ExOAPI.Stripe.Schemas.Customer :cvc_check :: :string :dynamic_last4 :: :string :exp_month :: :integer :exp_year :: :integer :fingerprint :: :string :funding :: :string :last4 :: :string :name :: :string :three_d_secure :: ExOAPI.Stripe.Schemas.ThreeDSecure :tokenization_method :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeThreeDSecure.html","title":"ExOAPI.Stripe.Schemas.SourceTypeThreeDSecure","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeThreeDSecure.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeThreeDSecure.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeThreeDSecure.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeThreeDSecure.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeThreeDSecure.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeThreeDSecure.t/0","type":"type"},{"doc":":prepay_id :: :string :qr_code_url :: :string :statement_descriptor :: :string","ref":"ExOAPI.Stripe.Schemas.SourceTypeWechat.html","title":"ExOAPI.Stripe.Schemas.SourceTypeWechat","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeWechat.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SourceTypeWechat.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeWechat.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SourceTypeWechat.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SourceTypeWechat.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SourceTypeWechat.t/0","type":"type"},{"doc":":canceled :: :integer The time that the order was canceled. :fulfiled :: :integer The time that the order was fulfilled. :paid :: :integer The time that the order was paid. :returned :: :integer The time that the order was returned.","ref":"ExOAPI.Stripe.Schemas.StatusTransitions.html","title":"ExOAPI.Stripe.Schemas.StatusTransitions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.StatusTransitions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.StatusTransitions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.StatusTransitions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.StatusTransitions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.StatusTransitions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.StatusTransitions.t/0","type":"type"},{"doc":"description : Subscriptions allow you to charge a customer on a recurring basis. Related guide: Creating Subscriptions . :application_fee_percent :: :number A non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice subtotal that will be transferred to the application owner's Stripe account. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :collection_method :: :string Either charge_automatically , or send_invoice . When charging automatically, Stripe will attempt to pay this subscription at the end of the cycle using the default source attached to the customer. When sending an invoice, Stripe will email your customer an invoice with payment instructions. :default_payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod | :string ID of the default payment method for the subscription. It must belong to the customer associated with the subscription. This takes precedence over default_source . If neither are set, invoices will use the customer's invoice_settings.default_payment_method or default_source . :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :pending_setup_intent :: ExOAPI.Stripe.Schemas.SetupIntent | :string You can use this SetupIntent to collect user authentication when creating a subscription without immediate payment or updating a subscription's payment method, allowing you to optimize for off-session payments. Learn more in the SCA Migration Guide . :discount :: ExOAPI.Stripe.Schemas.Discount Describes the current discount applied to this subscription, if there is one. When billing, a discount applied to a subscription overrides a discount applied on a customer-wide basis. :start_date :: :integer Date when the subscription was first created. The date might differ from the created date due to backdating. :pause_collection :: ExOAPI.Stripe.Schemas.SubscriptionsResourcePauseCollection If specified, payment collection for this subscription will be paused. :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string ID of the customer who owns the subscription. :ended_at :: :integer If the subscription has ended, the date the subscription ended. :days_until_due :: :integer Number of days a customer has to pay invoices generated by this subscription. This value will be null for subscriptions where collection_method=charge_automatically . :payment_settings :: ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentSettings Payment settings passed on to invoices created by the subscription. :pending_invoice_item_interval :: ExOAPI.Stripe.Schemas.SubscriptionPendingInvoiceItemInterval Specifies an interval for how often to bill for any pending invoice items. It is analogous to calling Create an invoice for the given subscription at the specified interval. :billing_thresholds :: ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds Define thresholds at which an invoice will be sent, and the subscription advanced to a new billing period :next_pending_invoice_item_invoice :: :integer Specifies the approximate timestamp on which any pending invoice items will be billed according to the schedule provided at pending_invoice_item_interval . :default_source :: ExOAPI.Stripe.Schemas.Source | ExOAPI.Stripe.Schemas.Card | ExOAPI.Stripe.Schemas.BitcoinReceiver | ExOAPI.Stripe.Schemas.BankAccount | ExOAPI.Stripe.Schemas.AlipayAccount | :string ID of the default payment source for the subscription. It must belong to the customer associated with the subscription and be in a chargeable state. If default_payment_method is also set, default_payment_method will take precedence. If neither are set, invoices will use the customer's invoice_settings.default_payment_method or default_source . :cancel_at_period_end :: :boolean If the subscription has been canceled with the at_period_end flag set to true , cancel_at_period_end on the subscription will be true. You can use this attribute to determine whether a subscription that has a status of active is scheduled to be canceled at the end of the current period. :object :: :string String representing the object's type. Objects of the same type share the same value. :billing_cycle_anchor :: :integer Determines the date of the first full invoice, and, for plans with month or year intervals, the day of the month for subsequent invoices. :test_clock :: ExOAPI.Stripe.Schemas.TestHelpers_testClock | :string ID of the test clock this subscription belongs to. :automatic_tax :: ExOAPI.Stripe.Schemas.SubscriptionAutomaticTax :schedule :: ExOAPI.Stripe.Schemas.SubscriptionSchedule | :string The schedule attached to the subscription :canceled_at :: :integer If the subscription has been canceled, the date of that cancellation. If the subscription was canceled with cancel_at_period_end , canceled_at will reflect the time of the most recent update request, not the end of the subscription period when the subscription is automatically moved to a canceled state. :current_period_end :: :integer End of the current period that the subscription has been invoiced for. At the end of this period, a new invoice will be created. :latest_invoice :: ExOAPI.Stripe.Schemas.Invoice | :string The most recent invoice this subscription has generated. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :trial_end :: :integer If the subscription has a trial, the end of that trial. :cancel_at :: :integer A date in the future at which the subscription will automatically get canceled :trial_start :: :integer If the subscription has a trial, the beginning of that trial. :current_period_start :: :integer Start of the current period that the subscription has been invoiced for. :status :: :string Possible values are incomplete , incomplete_expired , trialing , active , past_due , canceled , or unpaid . For collection_method=charge_automatically a subscription moves into incomplete if the initial payment attempt fails. A subscription in this state can only have metadata and default_source updated. Once the first invoice is paid, the subscription moves into an active state. If the first invoice is not paid within 23 hours, the subscription transitions to incomplete_expired . This is a terminal state, the open invoice will be voided and no further invoices will be generated. A subscription that is currently in a trial period is trialing and moves to active when the trial period is over. If subscription collection_method=charge_automatically it becomes past_due when payment to renew it fails and canceled or unpaid (depending on your subscriptions settings) when Stripe has exhausted all payment retry attempts. If subscription collection_method=send_invoice it becomes past_due when its invoice is not paid by the due date, and canceled or unpaid if it is still not paid by an additional deadline after that. Note that when a subscription has a status of unpaid , no subsequent invoices will be attempted (invoices will be created, but then immediately automatically closed). After receiving updated payment information from a customer, you may choose to reopen and pay their closed invoices. ::data :: ExOAPI.Stripe.Schemas.SubscriptionItem :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :transfer_data :: ExOAPI.Stripe.Schemas.SubscriptionTransferData The account (if any) the subscription's payments will be attributed to for tax reporting, and where funds from each payment will be transferred to for each of the subscription's invoices. :id :: :string Unique identifier for the object. :pending_update :: ExOAPI.Stripe.Schemas.SubscriptionsResourcePendingUpdate If specified, pending updates that will be applied to the subscription once the latest_invoice has been paid. ::default_tax_rates :: ExOAPI.Stripe.Schemas.TaxRate","ref":"ExOAPI.Stripe.Schemas.Subscription.html","title":"ExOAPI.Stripe.Schemas.Subscription","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Subscription.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Subscription.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Subscription.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Subscription.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Subscription.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Subscription.t/0","type":"type"},{"doc":":enabled :: :boolean Whether Stripe automatically computes tax on this subscription.","ref":"ExOAPI.Stripe.Schemas.SubscriptionAutomaticTax.html","title":"ExOAPI.Stripe.Schemas.SubscriptionAutomaticTax","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionAutomaticTax.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionAutomaticTax.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionAutomaticTax.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionAutomaticTax.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionAutomaticTax.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionAutomaticTax.t/0","type":"type"},{"doc":":amount_gte :: :integer Monetary threshold that triggers the subscription to create an invoice :reset_billing_cycle_anchor :: :boolean Indicates if the billing_cycle_anchor should be reset when a threshold is reached. If true, billing_cycle_anchor will be updated to the date/time the threshold was last reached; otherwise, the value will remain unchanged. This value may not be true if the subscription contains items with plans that have aggregate_usage=last_ever .","ref":"ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds.html","title":"ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds.t/0","type":"type"},{"doc":"description : Subscription items allow you to create customer subscriptions with more than one plan, making it easy to represent complex billing relationships. :billing_thresholds :: ExOAPI.Stripe.Schemas.SubscriptionItemBillingThresholds Define thresholds at which an invoice will be sent, and the related subscription advanced to a new billing period :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :id :: :string Unique identifier for the object. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :price :: ExOAPI.Stripe.Schemas.Price :quantity :: :integer The quantity of the plan to which the customer should be subscribed. :subscription :: ExOAPI.Stripe.Schemas.Subscription The subscription this subscription_item belongs to. ::tax_rates :: ExOAPI.Stripe.Schemas.TaxRate","ref":"ExOAPI.Stripe.Schemas.SubscriptionItem.html","title":"ExOAPI.Stripe.Schemas.SubscriptionItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionItem.t/0","type":"type"},{"doc":":usage_gte :: :integer Usage threshold that triggers the subscription to create an invoice","ref":"ExOAPI.Stripe.Schemas.SubscriptionItemBillingThresholds.html","title":"ExOAPI.Stripe.Schemas.SubscriptionItemBillingThresholds","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionItemBillingThresholds.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionItemBillingThresholds.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionItemBillingThresholds.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionItemBillingThresholds.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionItemBillingThresholds.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionItemBillingThresholds.t/0","type":"type"},{"doc":":mandate_options :: ExOAPI.Stripe.Schemas.InvoiceMandateOptionsCard :request_three_d_secure :: :string We strongly recommend that you rely on our SCA Engine to automatically prompt your customers for authentication based on risk level and other requirements . However, if you wish to request 3D Secure based on logic from your own fraud engine, provide this option. Read our guide on manually requesting 3D Secure for more information on how this configuration interacts with Radar and our SCA Engine.","ref":"ExOAPI.Stripe.Schemas.SubscriptionPaymentMethodOptionsCard.html","title":"ExOAPI.Stripe.Schemas.SubscriptionPaymentMethodOptionsCard","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionPaymentMethodOptionsCard.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionPaymentMethodOptionsCard.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionPaymentMethodOptionsCard.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionPaymentMethodOptionsCard.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionPaymentMethodOptionsCard.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionPaymentMethodOptionsCard.t/0","type":"type"},{"doc":":interval :: :string Specifies invoicing frequency. Either day , week , month or year . :interval_count :: :integer The number of intervals between invoices. For example, interval=month and interval_count=3 bills every 3 months. Maximum of one year interval allowed (1 year, 12 months, or 52 weeks).","ref":"ExOAPI.Stripe.Schemas.SubscriptionPendingInvoiceItemInterval.html","title":"ExOAPI.Stripe.Schemas.SubscriptionPendingInvoiceItemInterval","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionPendingInvoiceItemInterval.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionPendingInvoiceItemInterval.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionPendingInvoiceItemInterval.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionPendingInvoiceItemInterval.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionPendingInvoiceItemInterval.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionPendingInvoiceItemInterval.t/0","type":"type"},{"doc":"description : A subscription schedule allows you to create and manage the lifecycle of a subscription by predefining expected changes. Related guide: Subscription Schedules . :canceled_at :: :integer Time at which the subscription schedule was canceled. Measured in seconds since the Unix epoch. :completed_at :: :integer Time at which the subscription schedule was completed. Measured in seconds since the Unix epoch. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :current_phase :: ExOAPI.Stripe.Schemas.SubscriptionScheduleCurrentPhase Object representing the start and end dates for the current phase of the subscription schedule, if it is active . :customer :: ExOAPI.Stripe.Schemas.DeletedCustomer | ExOAPI.Stripe.Schemas.Customer | :string ID of the customer who owns the subscription schedule. :default_settings :: ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettings :end_behavior :: :string Behavior of the subscription schedule and underlying subscription when it ends. Possible values are release and cancel . :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. ::phases :: ExOAPI.Stripe.Schemas.SubscriptionSchedulePhaseConfiguration :released_at :: :integer Time at which the subscription schedule was released. Measured in seconds since the Unix epoch. :released_subscription :: :string ID of the subscription once managed by the subscription schedule (if it is released). :status :: :string The present status of the subscription schedule. Possible values are not_started , active , completed , released , and canceled . You can read more about the different states in our behavior guide . :subscription :: ExOAPI.Stripe.Schemas.Subscription | :string ID of the subscription managed by the subscription schedule. :test_clock :: ExOAPI.Stripe.Schemas.TestHelpers_testClock | :string ID of the test clock this subscription schedule belongs to.","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedule.html","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedule","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedule.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedule.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedule.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedule.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedule.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedule.t/0","type":"type"},{"doc":"description : An Add Invoice Item describes the prices and quantities that will be added as pending invoice items when entering a phase. :price :: ExOAPI.Stripe.Schemas.DeletedPrice | ExOAPI.Stripe.Schemas.Price | :string ID of the price used to generate the invoice item. :quantity :: :integer The quantity of the invoice item. ::tax_rates :: ExOAPI.Stripe.Schemas.TaxRate","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleAddInvoiceItem.html","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleAddInvoiceItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleAddInvoiceItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleAddInvoiceItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleAddInvoiceItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleAddInvoiceItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleAddInvoiceItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleAddInvoiceItem.t/0","type":"type"},{"doc":"description : A phase item describes the price and quantity of a phase. :billing_thresholds :: ExOAPI.Stripe.Schemas.SubscriptionItemBillingThresholds Define thresholds at which an invoice will be sent, and the related subscription advanced to a new billing period :price :: ExOAPI.Stripe.Schemas.DeletedPrice | ExOAPI.Stripe.Schemas.Price | :string ID of the price to which the customer should be subscribed. :quantity :: :integer Quantity of the plan to which the customer should be subscribed. ::tax_rates :: ExOAPI.Stripe.Schemas.TaxRate","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleConfigurationItem.html","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleConfigurationItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleConfigurationItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleConfigurationItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleConfigurationItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleConfigurationItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleConfigurationItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleConfigurationItem.t/0","type":"type"},{"doc":":end_date :: :integer The end of this phase of the subscription schedule. :start_date :: :integer The start of this phase of the subscription schedule.","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleCurrentPhase.html","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleCurrentPhase","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleCurrentPhase.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleCurrentPhase.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleCurrentPhase.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleCurrentPhase.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionScheduleCurrentPhase.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionScheduleCurrentPhase.t/0","type":"type"},{"doc":"description : A phase describes the plans, coupon, and trialing status of a subscription for a predefined time period. ::add_invoice_items :: ExOAPI.Stripe.Schemas.SubscriptionScheduleAddInvoiceItem :application_fee_percent :: :number A non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice subtotal that will be transferred to the application owner's Stripe account during this phase of the schedule. :automatic_tax :: ExOAPI.Stripe.Schemas.SchedulesPhaseAutomaticTax :billing_cycle_anchor :: :string Possible values are phase_start or automatic . If phase_start then billing cycle anchor of the subscription is set to the start of the phase when entering the phase. If automatic then the billing cycle anchor is automatically modified as needed when entering the phase. For more information, see the billing cycle documentation . :billing_thresholds :: ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds Define thresholds at which an invoice will be sent, and the subscription advanced to a new billing period :collection_method :: :string Either charge_automatically , or send_invoice . When charging automatically, Stripe will attempt to pay the underlying subscription at the end of each billing cycle using the default source attached to the customer. When sending an invoice, Stripe will email your customer an invoice with payment instructions. :coupon :: ExOAPI.Stripe.Schemas.DeletedCoupon | ExOAPI.Stripe.Schemas.Coupon | :string ID of the coupon to use during this phase of the subscription schedule. :default_payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod | :string ID of the default payment method for the subscription schedule. It must belong to the customer associated with the subscription schedule. If not set, invoices will use the default payment method in the customer's invoice settings. ::default_tax_rates :: ExOAPI.Stripe.Schemas.TaxRate :end_date :: :integer The end of this phase of the subscription schedule. :invoice_settings :: ExOAPI.Stripe.Schemas.InvoiceSettingSubscriptionScheduleSetting The invoice settings applicable during this phase. ::items :: ExOAPI.Stripe.Schemas.SubscriptionScheduleConfigurationItem :proration_behavior :: :string If the subscription schedule will prorate when transitioning to this phase. Possible values are create_prorations and none . :start_date :: :integer The start of this phase of the subscription schedule. :transfer_data :: ExOAPI.Stripe.Schemas.SubscriptionTransferData The account (if any) the associated subscription's payments will be attributed to for tax reporting, and where funds from each payment will be transferred to for each of the subscription's invoices. :trial_end :: :integer When the trial ends within the phase.","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulePhaseConfiguration.html","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulePhaseConfiguration","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulePhaseConfiguration.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulePhaseConfiguration.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulePhaseConfiguration.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulePhaseConfiguration.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulePhaseConfiguration.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulePhaseConfiguration.t/0","type":"type"},{"doc":":application_fee_percent :: :number A non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice subtotal that will be transferred to the application owner's Stripe account during this phase of the schedule. :automatic_tax :: ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettingsAutomaticTax :billing_cycle_anchor :: :string Possible values are phase_start or automatic . If phase_start then billing cycle anchor of the subscription is set to the start of the phase when entering the phase. If automatic then the billing cycle anchor is automatically modified as needed when entering the phase. For more information, see the billing cycle documentation . :billing_thresholds :: ExOAPI.Stripe.Schemas.SubscriptionBillingThresholds Define thresholds at which an invoice will be sent, and the subscription advanced to a new billing period :collection_method :: :string Either charge_automatically , or send_invoice . When charging automatically, Stripe will attempt to pay the underlying subscription at the end of each billing cycle using the default source attached to the customer. When sending an invoice, Stripe will email your customer an invoice with payment instructions. :default_payment_method :: ExOAPI.Stripe.Schemas.PaymentMethod | :string ID of the default payment method for the subscription schedule. If not set, invoices will use the default payment method in the customer's invoice settings. :invoice_settings :: ExOAPI.Stripe.Schemas.InvoiceSettingSubscriptionScheduleSetting The subscription schedule's default invoice settings. :transfer_data :: ExOAPI.Stripe.Schemas.SubscriptionTransferData The account (if any) the associated subscription's payments will be attributed to for tax reporting, and where funds from each payment will be transferred to for each of the subscription's invoices.","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettings.html","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettings.t/0","type":"type"},{"doc":":enabled :: :boolean Whether Stripe automatically computes tax on invoices created during this phase.","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettingsAutomaticTax.html","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettingsAutomaticTax","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettingsAutomaticTax.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettingsAutomaticTax.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettingsAutomaticTax.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettingsAutomaticTax.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettingsAutomaticTax.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionSchedulesResourceDefaultSettingsAutomaticTax.t/0","type":"type"},{"doc":":amount_percent :: :number A non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice subtotal that will be transferred to the destination account. By default, the entire amount is transferred to the destination. :destination :: ExOAPI.Stripe.Schemas.Account | :string The account where funds from the payment will be transferred to upon payment success.","ref":"ExOAPI.Stripe.Schemas.SubscriptionTransferData.html","title":"ExOAPI.Stripe.Schemas.SubscriptionTransferData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionTransferData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionTransferData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionTransferData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionTransferData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionTransferData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionTransferData.t/0","type":"type"},{"doc":"description : The Pause Collection settings determine how we will pause collection for this subscription and for how long the subscription should be paused. :behavior :: :string The payment collection behavior for this subscription while paused. One of keep_as_draft , mark_uncollectible , or void . :resumes_at :: :integer The time after which the subscription will resume collecting payments.","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePauseCollection.html","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePauseCollection","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePauseCollection.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePauseCollection.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePauseCollection.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePauseCollection.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePauseCollection.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePauseCollection.t/0","type":"type"},{"doc":":acss_debit :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsAcssDebit This sub-hash contains details about the Canadian pre-authorized debit payment method options to pass to invoices created by the subscription. :bancontact :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsBancontact This sub-hash contains details about the Bancontact payment method options to pass to invoices created by the subscription. :card :: ExOAPI.Stripe.Schemas.SubscriptionPaymentMethodOptionsCard This sub-hash contains details about the Card payment method options to pass to invoices created by the subscription. :customer_balance :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsCustomerBalance This sub-hash contains details about the Bank transfer payment method options to pass to invoices created by the subscription. :konbini :: :map This sub-hash contains details about the Konbini payment method options to pass to invoices created by the subscription. :us_bank_account :: ExOAPI.Stripe.Schemas.InvoicePaymentMethodOptionsUsBankAccount This sub-hash contains details about the ACH direct debit payment method options to pass to invoices created by the subscription.","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentMethodOptions.html","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentMethodOptions","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentMethodOptions.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentMethodOptions.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentMethodOptions.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentMethodOptions.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentMethodOptions.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentMethodOptions.t/0","type":"type"},{"doc":":payment_method_options :: ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentMethodOptions Payment-method-specific configuration to provide to invoices created by the subscription. ::payment_method_types :: :string","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentSettings.html","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentSettings","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentSettings.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentSettings.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentSettings.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentSettings.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentSettings.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePaymentSettings.t/0","type":"type"},{"doc":"description : Pending Updates store the changes pending from a previous update that will be applied to the Subscription upon successful payment. :billing_cycle_anchor :: :integer If the update is applied, determines the date of the first full invoice, and, for plans with month or year intervals, the day of the month for subsequent invoices. :expires_at :: :integer The point after which the changes reflected by this update will be discarded and no longer applied. ::subscription_items :: ExOAPI.Stripe.Schemas.SubscriptionItem :trial_end :: :integer Unix timestamp representing the end of the trial period the customer will get before being charged for the first time, if the update is applied. :trial_from_plan :: :boolean Indicates if a plan's trial_period_days should be applied to the subscription. Setting trial_end per subscription is preferred, and this defaults to false . Setting this flag to true together with trial_end is not allowed. See Using trial periods on subscriptions to learn more.","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePendingUpdate.html","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePendingUpdate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePendingUpdate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePendingUpdate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePendingUpdate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePendingUpdate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePendingUpdate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.SubscriptionsResourcePendingUpdate.t/0","type":"type"},{"doc":"description : Tax codes classify goods and services for tax purposes. :description :: :string A detailed description of which types of products the tax code represents. :id :: :string Unique identifier for the object. :name :: :string A short name for the tax code. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.TaxCode.html","title":"ExOAPI.Stripe.Schemas.TaxCode","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxCode.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TaxCode.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxCode.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TaxCode.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxCode.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TaxCode.t/0","type":"type"},{"doc":":id :: :string Unique identifier for the object. :object :: :string String representing the object's type. Objects of the same type share the same value. :period_end :: :integer The end of the invoicing period. This TDS applies to Stripe fees collected during this invoicing period. :period_start :: :integer The start of the invoicing period. This TDS applies to Stripe fees collected during this invoicing period. :tax_deduction_account_number :: :string The TAN that was supplied to Stripe when TDS was assessed","ref":"ExOAPI.Stripe.Schemas.TaxDeductedAtSource.html","title":"ExOAPI.Stripe.Schemas.TaxDeductedAtSource","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxDeductedAtSource.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TaxDeductedAtSource.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxDeductedAtSource.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TaxDeductedAtSource.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxDeductedAtSource.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TaxDeductedAtSource.t/0","type":"type"},{"doc":"description : You can add one or multiple tax IDs to a customer . A customer's tax IDs are displayed on invoices and credit notes issued for the customer. Related guide: Customer Tax Identification Numbers . :country :: :string Two-letter ISO code representing the country of the tax ID. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :customer :: ExOAPI.Stripe.Schemas.Customer | :string ID of the customer. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :type :: :string Type of the tax ID, one of ae_trn , au_abn , au_arn , bg_uic , br_cnpj , br_cpf , ca_bn , ca_gst_hst , ca_pst_bc , ca_pst_mb , ca_pst_sk , ca_qst , ch_vat , cl_tin , es_cif , eu_vat , gb_vat , ge_vat , hk_br , hu_tin , id_npwp , il_vat , in_gst , is_vat , jp_cn , jp_rn , kr_brn , li_uid , mx_rfc , my_frp , my_itn , my_sst , no_vat , nz_gst , ru_inn , ru_kpp , sa_vat , sg_gst , sg_uen , si_tin , th_vat , tw_vat , ua_vat , us_ein , or za_vat . Note that some legacy tax IDs have type unknown :value :: :string Value of the tax ID. :verification :: ExOAPI.Stripe.Schemas.TaxIdVerification Tax ID verification information.","ref":"ExOAPI.Stripe.Schemas.TaxId.html","title":"ExOAPI.Stripe.Schemas.TaxId","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxId.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TaxId.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxId.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TaxId.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxId.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TaxId.t/0","type":"type"},{"doc":":status :: :string Verification status, one of pending , verified , unverified , or unavailable . :verified_address :: :string Verified address. :verified_name :: :string Verified name.","ref":"ExOAPI.Stripe.Schemas.TaxIdVerification.html","title":"ExOAPI.Stripe.Schemas.TaxIdVerification","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxIdVerification.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TaxIdVerification.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxIdVerification.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TaxIdVerification.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxIdVerification.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TaxIdVerification.t/0","type":"type"},{"doc":"description : Tax rates can be applied to invoices , subscriptions and Checkout Sessions to collect tax. Related guide: Tax Rates . :active :: :boolean Defaults to true . When set to false , this tax rate cannot be used with new applications or Checkout Sessions, but will still work for subscriptions and invoices that already have it set. :country :: :string Two-letter country code ( ISO 3166-1 alpha-2 ). :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :description :: :string An arbitrary string attached to the tax rate for your internal use only. It will not be visible to your customers. :display_name :: :string The display name of the tax rates as it will appear to your customer on their receipt email, PDF, and the hosted invoice page. :id :: :string Unique identifier for the object. :inclusive :: :boolean This specifies if the tax rate is inclusive or exclusive. :jurisdiction :: :string The jurisdiction for the tax rate. You can use this label field for tax reporting purposes. It also appears on your customer’s invoice. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :percentage :: :number This represents the tax rate percent out of 100. :state :: :string ISO 3166-2 subdivision code , without country prefix. For example, &quot;NY&quot; for New York, United States. :tax_type :: :string The high-level tax type, such as vat or sales_tax .","ref":"ExOAPI.Stripe.Schemas.TaxRate.html","title":"ExOAPI.Stripe.Schemas.TaxRate","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxRate.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TaxRate.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxRate.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TaxRate.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TaxRate.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TaxRate.t/0","type":"type"},{"doc":"::fixed_amounts :: :integer ::percentages :: :integer :smart_tip_threshold :: :integer Below this amount, fixed amounts will be displayed; above it, percentages will be displayed","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig.html","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig.t/0","type":"type"},{"doc":":splashscreen :: ExOAPI.Stripe.Schemas.File | :string A File ID representing an image you would like displayed on the reader.","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceDeviceTypeSpecificConfig.html","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceDeviceTypeSpecificConfig","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceDeviceTypeSpecificConfig.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceDeviceTypeSpecificConfig.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceDeviceTypeSpecificConfig.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceDeviceTypeSpecificConfig.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceDeviceTypeSpecificConfig.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceDeviceTypeSpecificConfig.t/0","type":"type"},{"doc":":aud :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :cad :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :chf :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :dkk :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :eur :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :gbp :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :hkd :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :myr :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :nok :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :nzd :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :sek :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :sgd :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig :usd :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceCurrencySpecificConfig","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceTipping.html","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceTipping","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceTipping.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceTipping.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceTipping.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceTipping.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceTipping.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceTipping.t/0","type":"type"},{"doc":"description : Represents a cart to be displayed on the reader :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . ::line_items :: ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceLineItem :tax :: :integer Tax amount for the entire cart. A positive integer in the smallest currency unit . :total :: :integer Total amount for the entire cart, including tax. A positive integer in the smallest currency unit .","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceCart.html","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceCart","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceCart.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceCart.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceCart.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceCart.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceCart.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceCart.t/0","type":"type"},{"doc":"description : Represents a line item to be displayed on the reader :amount :: :integer The amount of the line item. A positive integer in the smallest currency unit . :description :: :string Description of the line item. :quantity :: :integer The quantity of the line item.","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceLineItem.html","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceLineItem","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceLineItem.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceLineItem.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceLineItem.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceLineItem.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceLineItem.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceLineItem.t/0","type":"type"},{"doc":"description : Represents a reader action to process a payment intent :payment_intent :: ExOAPI.Stripe.Schemas.PaymentIntent | :string Most recent PaymentIntent processed by the reader.","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessPaymentIntentAction.html","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessPaymentIntentAction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessPaymentIntentAction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessPaymentIntentAction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessPaymentIntentAction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessPaymentIntentAction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessPaymentIntentAction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessPaymentIntentAction.t/0","type":"type"},{"doc":"description : Represents a reader action to process a setup intent :generated_card :: :string :setup_intent :: ExOAPI.Stripe.Schemas.SetupIntent | :string Most recent SetupIntent processed by the reader.","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessSetupIntentAction.html","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessSetupIntentAction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessSetupIntentAction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessSetupIntentAction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessSetupIntentAction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessSetupIntentAction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessSetupIntentAction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessSetupIntentAction.t/0","type":"type"},{"doc":"description : Represents an action performed by the reader :failure_code :: :string Failure code, only set if status is failed . :failure_message :: :string Detailed failure message, only set if status is failed . :process_payment_intent :: ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessPaymentIntentAction :process_setup_intent :: ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceProcessSetupIntentAction :set_reader_display :: ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceSetReaderDisplayAction :status :: :string Status of the action performed by the reader. :type :: :string Type of action performed by the reader.","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceReaderAction.html","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceReaderAction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceReaderAction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceReaderAction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceReaderAction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceReaderAction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceReaderAction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceReaderAction.t/0","type":"type"},{"doc":"description : Represents a reader action to set the reader display :cart :: ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceCart Cart object to be displayed by the reader. :type :: :string Type of information to be displayed by the reader.","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceSetReaderDisplayAction.html","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceSetReaderDisplayAction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceSetReaderDisplayAction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceSetReaderDisplayAction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceSetReaderDisplayAction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceSetReaderDisplayAction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceSetReaderDisplayAction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceSetReaderDisplayAction.t/0","type":"type"},{"doc":"description : A Configurations object represents how features should be configured for terminal readers. :bbpos_wisepos_e :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceDeviceTypeSpecificConfig :id :: :string Unique identifier for the object. :is_account_default :: :boolean Whether this Configuration is the default for your account :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :tipping :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceTipping :verifone_P400 :: ExOAPI.Stripe.Schemas.TerminalConfigurationConfigurationResourceDeviceTypeSpecificConfig","ref":"ExOAPI.Stripe.Schemas.Terminal_configuration.html","title":"ExOAPI.Stripe.Schemas.Terminal_configuration","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_configuration.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Terminal_configuration.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_configuration.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Terminal_configuration.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_configuration.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Terminal_configuration.t/0","type":"type"},{"doc":"description : A Connection Token is used by the Stripe Terminal SDK to connect to a reader. Related guide: Fleet Management . :location :: :string The id of the location that this connection token is scoped to. Note that location scoping only applies to internet-connected readers. For more details, see the docs on scoping connection tokens . :object :: :string String representing the object's type. Objects of the same type share the same value. :secret :: :string Your application should pass this token to the Stripe Terminal SDK.","ref":"ExOAPI.Stripe.Schemas.Terminal_connectionToken.html","title":"ExOAPI.Stripe.Schemas.Terminal_connectionToken","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_connectionToken.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Terminal_connectionToken.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_connectionToken.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Terminal_connectionToken.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_connectionToken.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Terminal_connectionToken.t/0","type":"type"},{"doc":"description : A Location represents a grouping of readers. Related guide: Fleet Management . :address :: ExOAPI.Stripe.Schemas.Address :configuration_overrides :: :string The ID of a configuration that will be used to customize all readers in this location. :display_name :: :string The display name of the location. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value.","ref":"ExOAPI.Stripe.Schemas.Terminal_location.html","title":"ExOAPI.Stripe.Schemas.Terminal_location","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_location.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Terminal_location.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_location.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Terminal_location.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_location.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Terminal_location.t/0","type":"type"},{"doc":"description : A Reader represents a physical device for accepting payment details. Related guide: Connecting to a Reader . :action :: ExOAPI.Stripe.Schemas.TerminalReaderReaderResourceReaderAction The most recent action performed by the reader. :device_sw_version :: :string The current software version of the reader. :device_type :: :string Type of reader, one of bbpos_wisepad3 , stripe_m2 , bbpos_chipper2x , bbpos_wisepos_e , or verifone_P400 . :id :: :string Unique identifier for the object. :ip_address :: :string The local IP address of the reader. :label :: :string Custom label given to the reader for easier identification. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :location :: ExOAPI.Stripe.Schemas.Terminal_location | :string The location identifier of the reader. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :serial_number :: :string Serial number of the reader. :status :: :string The networking status of the reader.","ref":"ExOAPI.Stripe.Schemas.Terminal_reader.html","title":"ExOAPI.Stripe.Schemas.Terminal_reader","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_reader.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Terminal_reader.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_reader.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Terminal_reader.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Terminal_reader.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Terminal_reader.t/0","type":"type"},{"doc":"description : A test clock enables deterministic control over objects in testmode. With a test clock, you can create objects at a frozen time in the past or future, and advance to a specific future time to observe webhooks and state changes. After the clock advances, you can either validate the current state of your scenario (and test your assumptions), change the current state of your scenario (and test more complex scenarios), or keep advancing forward in time. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :deletes_after :: :integer Time at which this clock is scheduled to auto delete. :frozen_time :: :integer Time at which all objects belonging to this clock are frozen. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :name :: :string The custom name supplied at creation. :object :: :string String representing the object's type. Objects of the same type share the same value. :status :: :string The status of the Test Clock.","ref":"ExOAPI.Stripe.Schemas.TestHelpers_testClock.html","title":"ExOAPI.Stripe.Schemas.TestHelpers_testClock","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TestHelpers_testClock.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TestHelpers_testClock.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TestHelpers_testClock.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TestHelpers_testClock.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TestHelpers_testClock.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TestHelpers_testClock.t/0","type":"type"},{"doc":"description : Cardholder authentication via 3D Secure is initiated by creating a 3D Secure object. Once the object has been created, you can use it to authenticate the cardholder and create a charge. :amount :: :integer Amount of the charge that you will create when authentication completes. :authenticated :: :boolean True if the cardholder went through the authentication flow and their bank indicated that authentication succeeded. :card :: ExOAPI.Stripe.Schemas.Card :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :redirect_url :: :string If present, this is the URL that you should send the cardholder to for authentication. If you are going to use Stripe.js to display the authentication page in an iframe, you should use the value &quot;_callback&quot;. :status :: :string Possible values are redirect_pending , succeeded , or failed . When the cardholder can be authenticated, the object starts with status redirect_pending . When liability will be shifted to the cardholder's bank (either because the cardholder was successfully authenticated, or because the bank has not implemented 3D Secure, the object wlil be in status succeeded . failed indicates that authentication was attempted unsuccessfully.","ref":"ExOAPI.Stripe.Schemas.ThreeDSecure.html","title":"ExOAPI.Stripe.Schemas.ThreeDSecure","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ThreeDSecure.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ThreeDSecure.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ThreeDSecure.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ThreeDSecure.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ThreeDSecure.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ThreeDSecure.t/0","type":"type"},{"doc":":authentication_flow :: :string For authenticated transactions: how the customer was authenticated by the issuing bank. :result :: :string Indicates the outcome of 3D Secure authentication. :result_reason :: :string Additional information about why 3D Secure succeeded or failed based on the result . :version :: :string The version of 3D Secure that was used.","ref":"ExOAPI.Stripe.Schemas.ThreeDSecureDetails.html","title":"ExOAPI.Stripe.Schemas.ThreeDSecureDetails","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ThreeDSecureDetails.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ThreeDSecureDetails.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ThreeDSecureDetails.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ThreeDSecureDetails.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ThreeDSecureDetails.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ThreeDSecureDetails.t/0","type":"type"},{"doc":":supported :: :boolean Whether 3D Secure is supported on this card.","ref":"ExOAPI.Stripe.Schemas.ThreeDSecureUsage.html","title":"ExOAPI.Stripe.Schemas.ThreeDSecureUsage","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ThreeDSecureUsage.html#changeset/2","title":"ExOAPI.Stripe.Schemas.ThreeDSecureUsage.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ThreeDSecureUsage.html#t:params/0","title":"ExOAPI.Stripe.Schemas.ThreeDSecureUsage.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.ThreeDSecureUsage.html#t:t/0","title":"ExOAPI.Stripe.Schemas.ThreeDSecureUsage.t/0","type":"type"},{"doc":"description : Tokenization is the process Stripe uses to collect sensitive card or bank account details, or personally identifiable information (PII), directly from your customers in a secure manner. A token representing this information is returned to your server to use. You should use our recommended payments integrations to perform this process client-side. This ensures that no sensitive card data touches your server, and allows your integration to operate in a PCI-compliant way. If you cannot use client-side tokenization, you can also create tokens using the API with either your publishable or secret API key. Keep in mind that if your integration uses this method, you are responsible for any PCI compliance that may be required, and you must keep your secret API key safe. Unlike with client-side tokenization, your customer's information is not sent directly to Stripe, so we cannot determine how it is handled or stored. Tokens cannot be stored or used more than once. To store card or bank account information for later use, you can create Customer objects or Custom accounts . Note that Radar , our integrated solution for automatic fraud protection, performs best with integrations that use client-side tokenization. Related guide: Accept a payment :bank_account :: ExOAPI.Stripe.Schemas.BankAccount :card :: ExOAPI.Stripe.Schemas.Card :client_ip :: :string IP address of the client that generated the token. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :type :: :string Type of the token: account , bank_account , card , or pii . :used :: :boolean Whether this token has already been used (tokens can be used only once).","ref":"ExOAPI.Stripe.Schemas.Token.html","title":"ExOAPI.Stripe.Schemas.Token","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Token.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Token.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Token.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Token.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Token.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Token.t/0","type":"type"},{"doc":"description : To top up your Stripe balance, you create a top-up object. You can retrieve individual top-ups, as well as list all top-ups. Top-ups are identified by a unique, random ID. Related guide: Topping Up your Platform Account . :amount :: :integer Amount transferred. :balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string ID of the balance transaction that describes the impact of this top-up on your account balance. May not be specified depending on status of top-up. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :expected_availability_date :: :integer Date the funds are expected to arrive in your Stripe account for payouts. This factors in delays like weekends or bank holidays. May not be specified depending on status of top-up. :failure_code :: :string Error code explaining reason for top-up failure if available (see the errors section for a list of codes). :failure_message :: :string Message to user further explaining reason for top-up failure if available. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :source :: ExOAPI.Stripe.Schemas.Source :statement_descriptor :: :string Extra information about a top-up. This will appear on your source's bank statement. It must contain at least one letter. :status :: :string The status of the top-up is either canceled , failed , pending , reversed , or succeeded . :transfer_group :: :string A string that identifies this top-up as part of a group.","ref":"ExOAPI.Stripe.Schemas.Topup.html","title":"ExOAPI.Stripe.Schemas.Topup","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Topup.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Topup.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Topup.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Topup.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Topup.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Topup.t/0","type":"type"},{"doc":"description : A Transfer object is created when you move funds between Stripe accounts as part of Connect. Before April 6, 2017, transfers also represented movement of funds from a Stripe account to a card or bank account. This behavior has since been split out into a Payout object, with corresponding payout endpoints. For more information, read about the transfer/payout split . Related guide: Creating Separate Charges and Transfers . :amount :: :integer Amount in %s to be transferred. :amount_reversed :: :integer Amount in %s reversed (can be less than the amount attribute on the transfer if a partial reversal was issued). :balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string Balance transaction that describes the impact of this transfer on your account balance. :created :: :integer Time that this record of the transfer was first created. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :description :: :string An arbitrary string attached to the object. Often useful for displaying to users. :destination :: ExOAPI.Stripe.Schemas.Account | :string ID of the Stripe account the transfer was sent to. :destination_payment :: ExOAPI.Stripe.Schemas.Charge | :string If the destination is a Stripe account, this will be the ID of the payment that the destination account received for the transfer. :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. ::data :: ExOAPI.Stripe.Schemas.TransferReversal :has_more :: :boolean True if this list has another page of items after this one that can be fetched. :object :: :string String representing the object's type. Objects of the same type share the same value. Always has the value list . :url :: :string The URL where this list can be accessed. :reversed :: :boolean Whether the transfer has been fully reversed. If the transfer is only partially reversed, this attribute will still be false. :source_transaction :: ExOAPI.Stripe.Schemas.Charge | :string ID of the charge or payment that was used to fund the transfer. If null, the transfer was funded from the available balance. :source_type :: :string The source balance this transfer came from. One of card , fpx , or bank_account . :transfer_group :: :string A string that identifies this transaction as part of a group. See the Connect documentation for details.","ref":"ExOAPI.Stripe.Schemas.Transfer.html","title":"ExOAPI.Stripe.Schemas.Transfer","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Transfer.html#changeset/2","title":"ExOAPI.Stripe.Schemas.Transfer.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Transfer.html#t:params/0","title":"ExOAPI.Stripe.Schemas.Transfer.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.Transfer.html#t:t/0","title":"ExOAPI.Stripe.Schemas.Transfer.t/0","type":"type"},{"doc":":amount :: :integer Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). The minimum amount is $0.50 US or equivalent in charge currency . The amount value supports up to eight digits (e.g., a value of 99999999 for a USD charge of $999,999.99). :destination :: ExOAPI.Stripe.Schemas.Account | :string The account (if any) the payment will be attributed to for tax reporting, and where funds from the payment will be transferred to upon payment success.","ref":"ExOAPI.Stripe.Schemas.TransferData.html","title":"ExOAPI.Stripe.Schemas.TransferData","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransferData.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TransferData.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransferData.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TransferData.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransferData.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TransferData.t/0","type":"type"},{"doc":"description : Stripe Connect platforms can reverse transfers made to a connected account, either entirely or partially, and can also specify whether to refund any related application fees. Transfer reversals add to the platform's balance and subtract from the destination account's balance. Reversing a transfer that was made for a destination charge is allowed only up to the amount of the charge. It is possible to reverse a transfer_group transfer only if the destination account has enough balance to cover the reversal. Related guide: Reversing Transfers . :amount :: :integer Amount, in %s. :balance_transaction :: ExOAPI.Stripe.Schemas.BalanceTransaction | :string Balance transaction that describes the impact on your account balance. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :currency :: :string Three-letter ISO currency code , in lowercase. Must be a supported currency . :destination_payment_refund :: ExOAPI.Stripe.Schemas.Refund | :string Linked payment refund for the transfer reversal. :id :: :string Unique identifier for the object. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :source_refund :: ExOAPI.Stripe.Schemas.Refund | :string ID of the refund responsible for the transfer reversal. :transfer :: ExOAPI.Stripe.Schemas.Transfer | :string ID of the transfer that was reversed.","ref":"ExOAPI.Stripe.Schemas.TransferReversal.html","title":"ExOAPI.Stripe.Schemas.TransferReversal","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransferReversal.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TransferReversal.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransferReversal.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TransferReversal.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransferReversal.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TransferReversal.t/0","type":"type"},{"doc":":delay_days :: :integer The number of days charges for the account will be held before being paid out. :interval :: :string How frequently funds will be paid out. One of manual (payouts only created via API call), daily , weekly , or monthly . :monthly_anchor :: :integer The day of the month funds will be paid out. Only shown if interval is monthly. Payouts scheduled between the 29th and 31st of the month are sent on the last day of shorter months. :weekly_anchor :: :string The day of the week funds will be paid out, of the style 'monday', 'tuesday', etc. Only shown if interval is weekly.","ref":"ExOAPI.Stripe.Schemas.TransferSchedule.html","title":"ExOAPI.Stripe.Schemas.TransferSchedule","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransferSchedule.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TransferSchedule.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransferSchedule.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TransferSchedule.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransferSchedule.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TransferSchedule.t/0","type":"type"},{"doc":":divide_by :: :integer Divide usage by this number. :round :: :string After division, either round the result up or down .","ref":"ExOAPI.Stripe.Schemas.TransformQuantity.html","title":"ExOAPI.Stripe.Schemas.TransformQuantity","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransformQuantity.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TransformQuantity.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransformQuantity.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TransformQuantity.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransformQuantity.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TransformQuantity.t/0","type":"type"},{"doc":":divide_by :: :integer Divide usage by this number. :round :: :string After division, either round the result up or down .","ref":"ExOAPI.Stripe.Schemas.TransformUsage.html","title":"ExOAPI.Stripe.Schemas.TransformUsage","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransformUsage.html#changeset/2","title":"ExOAPI.Stripe.Schemas.TransformUsage.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransformUsage.html#t:params/0","title":"ExOAPI.Stripe.Schemas.TransformUsage.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.TransformUsage.html#t:t/0","title":"ExOAPI.Stripe.Schemas.TransformUsage.t/0","type":"type"},{"doc":"description : Usage records allow you to report customer usage and metrics to Stripe for metered billing of subscription prices. Related guide: Metered Billing . :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :quantity :: :integer The usage quantity for the specified date. :subscription_item :: ExOAPI.Stripe.Schemas.SubscriptionItem The ID of the subscription item this usage record contains data for. :timestamp :: :integer The timestamp when this usage occurred.","ref":"ExOAPI.Stripe.Schemas.UsageRecord.html","title":"ExOAPI.Stripe.Schemas.UsageRecord","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.UsageRecord.html#changeset/2","title":"ExOAPI.Stripe.Schemas.UsageRecord.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.UsageRecord.html#t:params/0","title":"ExOAPI.Stripe.Schemas.UsageRecord.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.UsageRecord.html#t:t/0","title":"ExOAPI.Stripe.Schemas.UsageRecord.t/0","type":"type"},{"doc":":id :: :string Unique identifier for the object. :invoice :: ExOAPI.Stripe.Schemas.Invoice The invoice in which this usage period has been billed for. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :object :: :string String representing the object's type. Objects of the same type share the same value. :period :: ExOAPI.Stripe.Schemas.Period :subscription_item :: ExOAPI.Stripe.Schemas.SubscriptionItem The ID of the subscription item this summary is describing. :total_usage :: :integer The total usage within this usage period.","ref":"ExOAPI.Stripe.Schemas.UsageRecordSummary.html","title":"ExOAPI.Stripe.Schemas.UsageRecordSummary","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.UsageRecordSummary.html#changeset/2","title":"ExOAPI.Stripe.Schemas.UsageRecordSummary.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.UsageRecordSummary.html#t:params/0","title":"ExOAPI.Stripe.Schemas.UsageRecordSummary.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.UsageRecordSummary.html#t:t/0","title":"ExOAPI.Stripe.Schemas.UsageRecordSummary.t/0","type":"type"},{"doc":":status :: :string Indicates whether this object and its related objects have been redacted or not.","ref":"ExOAPI.Stripe.Schemas.VerificationSessionRedaction.html","title":"ExOAPI.Stripe.Schemas.VerificationSessionRedaction","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.VerificationSessionRedaction.html#changeset/2","title":"ExOAPI.Stripe.Schemas.VerificationSessionRedaction.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.VerificationSessionRedaction.html#t:params/0","title":"ExOAPI.Stripe.Schemas.VerificationSessionRedaction.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.VerificationSessionRedaction.html#t:t/0","title":"ExOAPI.Stripe.Schemas.VerificationSessionRedaction.t/0","type":"type"},{"doc":"description : You can configure webhook endpoints via the API to be notified about events that happen in your Stripe account or connected accounts. Most users configure webhooks from the dashboard , which provides a user interface for registering and testing your webhook endpoints. Related guide: Setting up Webhooks . :api_version :: :string The API version events are rendered as for this webhook endpoint. :application :: ExOAPI.Stripe.Schemas.Application The ID of the associated Connect application. :created :: :integer Time at which the object was created. Measured in seconds since the Unix epoch. :description :: :string An optional description of what the webhook is used for. ::enabled_events :: :string :id :: :string Unique identifier for the object. :livemode :: :boolean Has the value true if the object exists in live mode or the value false if the object exists in test mode. :metadata :: :map Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. :object :: :string String representing the object's type. Objects of the same type share the same value. :secret :: :string The endpoint's secret, used to generate webhook signatures . Only returned at creation. :status :: :string The status of the webhook. It can be enabled or disabled . :url :: :string The URL of the webhook endpoint.","ref":"ExOAPI.Stripe.Schemas.WebhookEndpoint.html","title":"ExOAPI.Stripe.Schemas.WebhookEndpoint","type":"module"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.WebhookEndpoint.html#changeset/2","title":"ExOAPI.Stripe.Schemas.WebhookEndpoint.changeset/2","type":"function"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.WebhookEndpoint.html#t:params/0","title":"ExOAPI.Stripe.Schemas.WebhookEndpoint.params/0","type":"type"},{"doc":"","ref":"ExOAPI.Stripe.Schemas.WebhookEndpoint.html#t:t/0","title":"ExOAPI.Stripe.Schemas.WebhookEndpoint.t/0","type":"type"},{"doc":"This library was a generated as a test using the ExOAPI lib from the Stripe OpenAPI V3 spec. For the small use I've put it through, it seems to work fine, but is nowhere tested appropriately and needs feedback from direct usage. ExOAPI is still being developed and doesn't cover everything the OpenAPI 3 spec covers as of now, but works enough for most specs I've thrown at it. The Client module still needs work to allow more (or better, easier) customisation. It uses Tesla underneath so you can configure any other HTTP adapter to be used for the HTTP calls.","ref":"readme.html","title":"Elixir SDK Library for ExOAPI.Stripe","type":"extras"},{"doc":"&quot;The Stripe REST API. Please see https://stripe.com/docs/api for more details.&quot; TODO: Add description","ref":"readme.html#stripe-api","title":"Elixir SDK Library for ExOAPI.Stripe - Stripe API","type":"extras"},{"doc":"available in Hex , the package can be installed by adding :exoapi_stripe to your list of dependencies in mix.exs : def deps do [ { :exoapi_stripe , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"Elixir SDK Library for ExOAPI.Stripe - Installation","type":"extras"},{"doc":"client = Stripe . new ( &quot;sk_test_435466365......&quot; ) # ... % ExOAPI.Client { adapter : nil , base_url : nil , body : nil , errors : [ ] , headers : [ { &quot;Authorization&quot; , &quot;Basic sdjffjg........=&quot; } ] , method : nil , middleware : [ { Tesla.Middleware.FollowRedirects , [ max_redirects : 5 ] } , { Tesla.Middleware.Timeout , [ timeout : 15000 ] } ] , module : nil , oapi_op : nil , opts : [ ] , outgoing_format : &quot;application/json&quot; , path : nil , query : [ ] , replacements : [ ] , response_handler : &amp; ExOAPI.Client . response_handler / 2 , strict_responses : false } Stripe.SDK.Files . get_files ( client , purpose : &quot;business_logo&quot; ) { :ok , %{ &quot;data&quot; =&gt; [ % ExOAPI.Stripe.Schemas.File { created : 1650153925 , expires_at : nil , filename : &quot;wood-background.jpg&quot; , id : &quot;file_1KpLcHsSDF1X3pzkYj4emyD2f&quot; , links : %{ &quot;data&quot; =&gt; [ ] , &quot;has_more&quot; =&gt; false , &quot;object&quot; =&gt; &quot;list&quot; , &quot;url&quot; =&gt; &quot;/v1/file_links?file=file_1KpLcHsSDF1X3pzkYj4emyD2f&quot; } , object : :file , purpose : :business_logo , size : 25447 , title : nil , type : &quot;jpg&quot; , url : &quot;https://files.stripe.com/v1/files/file_1KpLcHsSDF1X3pzkYj4emyD2f/contents&quot; } , % ExOAPI.Stripe.Schemas.File { created : 1650152610 , expires_at : nil , filename : &quot;wood-background-2.jpg&quot; , id : &quot;file_1KpLH4G7R1Z3ApzkYNe3ZMfBw&quot; , links : %{ &quot;data&quot; =&gt; [ ] , &quot;has_more&quot; =&gt; false , &quot;object&quot; =&gt; &quot;list&quot; , &quot;url&quot; =&gt; &quot;/v1/file_links?file=file_1KpLH4G7R1Z3ApzkYNe3ZMfBw&quot; } , object : :file , purpose : :business_logo , size : 15447 , title : nil , type : &quot;jpg&quot; , url : &quot;https://files.stripe.com/v1/files/file_1KpLH4G7R1Z3ApzkYNe3ZMfBw/contents&quot; } ] , &quot;has_more&quot; =&gt; false , &quot;object&quot; =&gt; &quot;list&quot; , &quot;url&quot; =&gt; &quot;/v1/files&quot; } }","ref":"readme.html#usage","title":"Elixir SDK Library for ExOAPI.Stripe - Usage","type":"extras"}]